﻿<%@ Control Language="vb" AutoEventWireup="false" CodeBehind="ucAuditoria2.ascx.vb" Inherits="Dotacion.ucAuditoria2" %>
<%@ Register assembly="DevExpress.Web.ASPxPivotGrid.v18.1, Version=18.1.6.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxPivotGrid" tagprefix="dx" %>
<h3>Estado de los Concursos</h3>
<dx:ASPxPivotGrid ID="ASPxPivotGrid1" runat="server" ClientIDMode="AutoID" DataSourceID="SqlConcursos" Width="100%">
    <Fields>
        <dx:PivotGridField ID="fieldnombreEstadoPlaza" Area="ColumnArea" AreaIndex="0" FieldName="nombreEstadoPlaza" Caption="Estado">
        </dx:PivotGridField>
        <dx:PivotGridField ID="fieldnombreInstitucion" Area="RowArea" AreaIndex="0" FieldName="nombreInstitucion" Caption="Institución" SummaryType="Count">
        </dx:PivotGridField>
        <dx:PivotGridField ID="fieldidPlaza" Area="DataArea" AreaIndex="0" FieldName="idPlaza" SummaryType="Count" Caption="Concursos">
        </dx:PivotGridField>
        <dx:PivotGridField ID="fieldsalario" Area="DataArea" AreaIndex="1" CellFormat-FormatString="c" CellFormat-FormatType="Custom" EmptyValueText="0" FieldName="salario" Caption="Salario">
        </dx:PivotGridField>
    </Fields>
    <OptionsView ShowFilterHeaders="False" ShowTotalsForSingleValues="True" ShowColumnHeaders="False" ShowContextMenus="False" ShowDataHeaders="False" ShowCustomTotalsForSingleValues="True" HorizontalScrollBarMode="Auto" />
    <OptionsCustomization AllowDrag="False" AllowFilter="False" AllowCustomizationForm="False" AllowCustomizationWindowResizing="False" />
    <OptionsPager Visible="False">
        <Summary Text="Página {0} de {1} ({2} instituciones)" />
    </OptionsPager>
    <EmptyAreaTemplate>
        
    </EmptyAreaTemplate>
</dx:ASPxPivotGrid>
<div class="alert-box notice"><span>Salario: </span>El salario comprende el número de vacantes por el salario ofertado. No se incluyen los salarios de concursos declarados Desiertos.</div>
<br />
<asp:SqlDataSource ID="SqlConcursos" runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="SELECT SEGURIDAD.dbo.Institucion.nombreInstitucion, EstadoPlaza.nombreEstadoPlaza, ViewPlazaEstadoNormal.idPlaza, ViewPlazaEstadoNormal.salario FROM EstadoPlaza INNER JOIN ViewPlazaEstadoNormal ON EstadoPlaza.idEstadoPlaza = ViewPlazaEstadoNormal.idEstadoPlaza INNER JOIN SEGURIDAD.dbo.Institucion ON ViewPlazaEstadoNormal.idInstitucion = SEGURIDAD.dbo.Institucion.idInstitucion INNER JOIN Plaza ON ViewPlazaEstadoNormal.idPlaza = Plaza.idPlaza WHERE (ViewPlazaEstadoNormal.idEstadoPlaza &lt;&gt; 1) AND (ViewPlazaEstadoNormal.idInstitucion NOT IN ('AA')) AND (Plaza.idConvocatoria &lt;&gt; 'C1') AND (Plaza.fechaInicioInscripcion &lt;= GETDATE())"></asp:SqlDataSource>
