﻿<%@ Control Language="vb" AutoEventWireup="false" CodeBehind="ucBancoPersonas.ascx.vb" Inherits="Dotacion.ucBancoPersonas" %>
<%@ Register assembly="DevExpress.XtraCharts.v18.1.Web, Version=18.1.6.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.XtraCharts.Web" tagprefix="dxchartsui" %>
<%@ Register assembly="DevExpress.XtraCharts.v18.1, Version=18.1.6.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.XtraCharts" tagprefix="cc1" %>
<h3>Banco de Personas Registradas</h3>
<table style="width:100%">
    <tr>
        <td style="vertical-align:top;padding:10px">

            <dx:ASPxGridView ID="gridBanco" runat="server" AutoGenerateColumns="False" CssClass="CenteredGrid" DataSourceID="SqlBanco">
    <Settings ShowFooter="True" />

<SettingsCommandButton>
<ShowAdaptiveDetailButton ButtonType="Image"></ShowAdaptiveDetailButton>

<HideAdaptiveDetailButton ButtonType="Image"></HideAdaptiveDetailButton>
</SettingsCommandButton>

    <SettingsDataSecurity AllowDelete="False" AllowEdit="False" AllowInsert="False" />
                <SettingsSearchPanel Visible="True" />
    <Columns>
        <dx:GridViewDataTextColumn FieldName="email" VisibleIndex="1">
        </dx:GridViewDataTextColumn>
        <dx:GridViewDataDateColumn FieldName="fechaCreacion" SortIndex="0" SortOrder="Descending" VisibleIndex="2">
            <PropertiesDateEdit DisplayFormatString="g">
            </PropertiesDateEdit>
        </dx:GridViewDataDateColumn>
        <dx:GridViewDataTextColumn FieldName="login" VisibleIndex="0">
        </dx:GridViewDataTextColumn>
        <dx:GridViewDataCheckColumn Caption="Activo" FieldName="estado" VisibleIndex="3">
        </dx:GridViewDataCheckColumn>
    </Columns>
    <TotalSummary>
        <dx:ASPxSummaryItem FieldName="email" SummaryType="Count" DisplayFormat="Total: {0}" />
    </TotalSummary>
</dx:ASPxGridView>
        </td>
        <td style="vertical-align:top;padding:10px;text-align:right">
           <%-- <table>
                               <tr>
                    <td>Hombres:</td>
                    <td style="text-align:right;">
                        <asp:Literal ID="ltlHombres" runat="server"></asp:Literal>
                    </td>
                </tr>
                <tr>
                    <td>Mujeres:</td>
                    <td style="text-align:right;">
                        <asp:Literal ID="ltlMujeres" runat="server"></asp:Literal>
                    </td>
                </tr>
                <tr>
                    <td>Falta completar datos:</td>
                    <td style="text-align:right;">
                        <asp:Literal ID="ltlIndiferente" runat="server"></asp:Literal>
                    </td>
                </tr>
                <tr>
                    <td>Total:</td>
                    <td style="text-align:right;border-top:1px solid black;">
                        <asp:Literal ID="ltlTotal" runat="server"></asp:Literal>
                    </td>
                </tr>
            </table>--%>
                     <div style="float:right">
            <dxchartsui:WebChartControl ID="WebChartControl1" runat="server" CrosshairEnabled="True" DataSourceID="SqlHombresMujeres" Height="200px" Width="300px">
                <seriesserializable>
                    <cc1:Series ArgumentDataMember="etiqueta" LegendTextPattern="{A}:{V}" Name="Usuarios" SummaryFunction="SUM([dato])" ToolTipEnabled="True" ToolTipHintDataMember="etiqueta">
                        <viewserializable>
                            <cc1:PieSeriesView>
                            </cc1:PieSeriesView>
                        </viewserializable>
                    </cc1:Series>
                </seriesserializable>
            </dxchartsui:WebChartControl>
             Total: <asp:Literal ID="ltlTotal" runat="server"></asp:Literal>
             </div>
            <asp:SqlDataSource ID="SqlHombresMujeres" runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="DatoHombresMujeres" SelectCommandType="StoredProcedure"></asp:SqlDataSource>

        </td>
    </tr>
</table>

<asp:SqlDataSource ID="SqlBanco" runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="SELECT email, fechaCreacion, estado, login FROM SEGURIDAD.dbo.SEG_Usuarios WHERE (idUsuario &lt;&gt; 1) AND (idInstitucion IS NULL)"></asp:SqlDataSource>

