﻿<%@ Control Language="vb" AutoEventWireup="false" CodeBehind="ucCambiarCorreo.ascx.vb" Inherits="Dotacion.ucCambiarCorreo" %>
<style>
    .toLower input {
        text-transform:lowercase
    }
</style>
<script type="text/javascript">
    // <![CDATA[    
    function OnReTypeValidation(s, e) {
        var valid = txtCorreo1.GetText() == txtCorreo2.GetText();
        if (s === txtCorreo2 && txtCorreo1.GetIsValid())
            e.isValid = valid;
    }
    // ]]> 
    </script>
        <h2>Cambio de correo electrónico</h2>
<dx:ASPxCallbackPanel ID="cbpCorreo" runat="server" ClientInstanceName="cbpCorreo" Width="100%">
    <PanelCollection>
<dx:PanelContent runat="server">
    <div style="margin: 0 auto;max-width:380px;">
<div class="alert-box warning" style="max-width:355px;margin: 0 auto;"><span>Atención:</span> Asegúrese que tenga acceso al nuevo correo electrónico y se encuentre bien escrito. Si se equivoca, el sistema no podrá enviarle notificaciones.</div>
 
</div>
    <dx:ASPxFormLayout ID="ASPxFormLayout1" runat="server" CssClass="CenteredGrid" Width="380px" AccessibilityCompliant="True">
                <SettingsAdaptivity AdaptivityMode="SingleColumnWindowLimit" SwitchToSingleColumnAtWindowInnerWidth="420" />
    <Items>
        <dx:LayoutGroup Caption="Cambio de correo electrónico" ShowCaption="False">
            <Items>
                 <dx:LayoutItem Caption="Correo electrónico actual">
                     <LayoutItemNestedControlCollection>
                         <dx:LayoutItemNestedControlContainer runat="server">
                             <dx:ASPxLabel ID="lblCorreo" runat="server" Text="ASPxLabel">
                             </dx:ASPxLabel>
                         </dx:LayoutItemNestedControlContainer>
                     </LayoutItemNestedControlCollection>
                 </dx:LayoutItem>
                <dx:LayoutItem Caption="Escriba su nuevo correo">
                    <LayoutItemNestedControlCollection>
                        <dx:LayoutItemNestedControlContainer runat="server">
                            <dx:ASPxTextBox ID="txtCorreo1" runat="server" Width="170px" MaxLength="150" ClientInstanceName="txtCorreo1" CssClass="toLower" AccessibilityCompliant="True">
                                <ClientSideEvents Validation="OnReTypeValidation" />
                                <ValidationSettings CausesValidation="True" ErrorDisplayMode="ImageWithTooltip" SetFocusOnError="True" ValidationGroup="correo">
                                    <RegularExpression ValidationExpression="[a-z0-9!#$%&amp;'*+/=?^_`{|}~-]+(?:\.[a-z0-9!#$%&amp;'*+/=?^_`{|}~-]+)*@(?:[a-z0-9](?:[a-z0-9-]*[a-z0-9])?\.)+[a-z0-9](?:[a-z0-9-]*[a-z0-9])?" />
                                    <RequiredField IsRequired="True" />
                                </ValidationSettings>
                            </dx:ASPxTextBox>
                        </dx:LayoutItemNestedControlContainer>
                    </LayoutItemNestedControlCollection>
                </dx:LayoutItem>
                <dx:LayoutItem Caption="Repita su correo eléctronico">
                    <LayoutItemNestedControlCollection>
                        <dx:LayoutItemNestedControlContainer runat="server">
                            <dx:ASPxTextBox ID="txtCorreo2" runat="server" Width="170px" MaxLength="150" ClientInstanceName="txtCorreo2" CssClass="toLower" AccessibilityCompliant="True">
                                <ClientSideEvents Validation="OnReTypeValidation" />
                                <ValidationSettings CausesValidation="True" SetFocusOnError="True" ValidationGroup="correo">
                                    <RegularExpression ValidationExpression="[a-z0-9!#$%&amp;'*+/=?^_`{|}~-]+(?:\.[a-z0-9!#$%&amp;'*+/=?^_`{|}~-]+)*@(?:[a-z0-9](?:[a-z0-9-]*[a-z0-9])?\.)+[a-z0-9](?:[a-z0-9-]*[a-z0-9])?" />
                                    <RequiredField IsRequired="True" />
                                </ValidationSettings>
                            </dx:ASPxTextBox>
                        </dx:LayoutItemNestedControlContainer>
                    </LayoutItemNestedControlCollection>
                </dx:LayoutItem>
                <dx:LayoutItem ShowCaption="False">
                    <LayoutItemNestedControlCollection>
                        <dx:LayoutItemNestedControlContainer runat="server">
                            <dx:ASPxButton ID="btnCambioCorreo" runat="server" Text="Cambiar&lt;br /&gt;correo electrónico" AutoPostBack="False" ClientInstanceName="btnCambioCorreo" UseSubmitBehavior="False" AccessibilityCompliant="True" EncodeHtml="False" Width="140px">
                                                                <ClientSideEvents Click="function(s, e) {
		if (ASPxClientEdit.ValidateEditorsInContainer(null, 'correo')){
	cbpCorreo.PerformCallback();
}
}" />
                            </dx:ASPxButton>
                        </dx:LayoutItemNestedControlContainer>
                    </LayoutItemNestedControlCollection>
                </dx:LayoutItem>
            </Items>
        </dx:LayoutGroup>
    </Items>
    </dx:ASPxFormLayout>
        </dx:PanelContent>
</PanelCollection>
</dx:ASPxCallbackPanel>

