﻿<%@ Control Language="vb" AutoEventWireup="false" CodeBehind="ucContadorPostulantes.ascx.vb" Inherits="Dotacion.ucContadorPostulantes" %>
<%@ Register assembly="DevExpress.XtraCharts.v18.1.Web, Version=18.1.6.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.XtraCharts.Web" tagprefix="dxchartsui" %>
<%@ Register assembly="DevExpress.XtraCharts.v18.1, Version=18.1.6.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.XtraCharts" tagprefix="cc1" %>

        <div id="content-wrap">
            <div class="flex-ayuda">
<dx:ASPxGridView ID="gridEspecialidades" runat="server" AutoGenerateColumns="False" DataSourceID="SqlEspecialidades" AccessibilityCompliant="True" Theme="MetropolisBlue">
                <SettingsPager Mode="ShowAllRecords" Visible="False">
                </SettingsPager>
                <SettingsDataSecurity AllowDelete="False" AllowEdit="False" AllowInsert="False" />
                <Columns>
                    <dx:GridViewDataTextColumn Caption="Grado Académico" FieldName="ESP_NOMBRE" VisibleIndex="0">
                    </dx:GridViewDataTextColumn>
                    <dx:GridViewDataTextColumn Caption="Frecuencia" FieldName="frecuencia" ReadOnly="True" VisibleIndex="1">
                    </dx:GridViewDataTextColumn>
                </Columns>
            </dx:ASPxGridView>
            <asp:SqlDataSource ID="SqlEspecialidades" runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="select top 10 ESP_CODIGO, ESP_NOMBRE, COUNT(*) as frecuencia 
from goes_especialidad
where REQ_CODIGO=2 and idplaza not in (select idplaza from plaza where idestadoplaza=1)
group by ESP_CODIGO, ESP_NOMBRE
order by frecuencia desc"></asp:SqlDataSource>




               <div style="float:right">
            <dxchartsui:WebChartControl ID="WebChartControl1" runat="server" CrosshairEnabled="True" DataSourceID="SqlHombresMujeres" Height="180px" Width="300px">
<Legend Name="Default Legend"></Legend>
                <seriesserializable>
                    <cc1:Series ArgumentDataMember="etiqueta" LegendTextPattern="{A}: {V:n0}" Name="Usuarios" SummaryFunction="SUM([dato])" ToolTipEnabled="True" ToolTipHintDataMember="etiqueta" ToolTipSeriesPattern="{S}">
                        <viewserializable>
                            <cc1:PieSeriesView>
                            </cc1:PieSeriesView>
                        </viewserializable>
                        <LabelSerializable>
                            <cc1:PieSeriesLabel TextPattern="{VP:0.0%}">
                            </cc1:PieSeriesLabel>
                        </LabelSerializable>
                    </cc1:Series>
                </seriesserializable>
            </dxchartsui:WebChartControl>
             

            <asp:SqlDataSource ID="SqlHombresMujeres" runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="SELECT * FROM [View_HombresMujeres]"></asp:SqlDataSource>


                <p><img src="../../Content/Images/discapacitado.png" alt="discapacidad logo"/>&nbsp;<asp:Literal ID="lblDiscapacidad" runat="server"></asp:Literal> personas con discapacidad.</p>



    
         <dxchartsui:WebChartControl ID="WebChartControl2" runat="server" CrosshairEnabled="True" DataSourceID="SqlEdad" Height="230px" Width="300px">
            <DiagramSerializable>
                <cc1:XYDiagram>
                    <AxisX VisibleInPanesSerializable="-1" Title-Text="Edades" Title-Visibility="True">
                        <Label Angle="-30"></Label>
                    </AxisX>
                    <AxisY VisibleInPanesSerializable="-1">
                    </AxisY>
                </cc1:XYDiagram>
            </DiagramSerializable>
<Legend Name="Default Legend"></Legend>
            <SeriesSerializable>
                <cc1:Series ArgumentDataMember="etiqueta" LabelsVisibility="True" LegendName="Default Legend" Name="Edad" ShowInLegend="False" ToolTipHintDataMember="etiqueta" ValueDataMembersSerializable="dato">
                    <LabelSerializable>
                        <cc1:SideBySideBarSeriesLabel TextPattern="{V:n0}">
                        </cc1:SideBySideBarSeriesLabel>
                    </LabelSerializable>
                </cc1:Series>
            </SeriesSerializable>
        </dxchartsui:WebChartControl>
        Total: <asp:Literal ID="ltlTotal" runat="server"></asp:Literal>
        <asp:SqlDataSource ID="SqlEdad" runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="SELECT * FROM [View_EdadEstadistica]"></asp:SqlDataSource>
            </div>

                             </div>
            </div>




