﻿<%@ Control Language="vb" AutoEventWireup="false" CodeBehind="ucControlUsuarios.ascx.vb" Inherits="Dotacion.ucControlUsuarios" %>
    
<dx:ASPxGridView ID="gridUsuarios" runat="server" AutoGenerateColumns="False" DataSourceID="SqlDataUsuario" KeyFieldName="idUsuario" Width="100%">
    <ClientSideEvents CustomButtonClick="function(s, e) {
if(e.buttonID == 'desactivar'){
        e.processOnServer = confirm('Esta seguro de esto?');
	}
}" />
    <SettingsDetail AllowOnlyOneMasterRowExpanded="True" ShowDetailRow="True" />
    <Templates>
        <DetailRow>
                        <dx:ASPxGridView ID="gridRoles" runat="server" AutoGenerateColumns="False" DataSourceID="SqlRoles" OnBeforePerformDataSelect="gridRoles_BeforePerformDataSelect" KeyFieldName="idRol">
                <Columns>
                    <dx:GridViewCommandColumn ShowDeleteButton="True" ShowNewButtonInHeader="True" VisibleIndex="0" ButtonType="Image" ShowUpdateButton="True">
                    </dx:GridViewCommandColumn>
                    <dx:GridViewDataComboBoxColumn Caption="Rol" FieldName="idRol" VisibleIndex="1">
                        <PropertiesComboBox DataSourceID="SqlNombreRoles" TextField="nombreRol" ValueField="idRol" ValueType="System.Int32"></PropertiesComboBox>
                    </dx:GridViewDataComboBoxColumn>
                </Columns>
                <SettingsBehavior ConfirmDelete="True" />
                <SettingsPager Mode="ShowAllRecords" Visible="False">
                </SettingsPager>
                <SettingsEditing Mode="Inline">
                </SettingsEditing>
                <SettingsCommandButton>
                    <NewButton Text="Agregar Rol">
                        <Image Url="~/Content/Images/Add_16x16.png">
                        </Image>
                    </NewButton>
                    <UpdateButton Text="Guardar">
                        <Image Url="~/Content/Images/Apply_16x16.png">
                        </Image>
                    </UpdateButton>
                    <DeleteButton Text="Eliminar rol">
                        <Image Url="~/Content/Images/Remove_16x16.png">
                        </Image>
                    </DeleteButton>
                </SettingsCommandButton>
                <SettingsDataSecurity AllowEdit="False" />
            </dx:ASPxGridView>

        </DetailRow>
    </Templates>
    <SettingsPager PageSize="20">
    </SettingsPager>
    <SettingsEditing Mode="PopupEditForm">
    </SettingsEditing>
    <SettingsCommandButton>
<ShowAdaptiveDetailButton ButtonType="Image"></ShowAdaptiveDetailButton>

<HideAdaptiveDetailButton ButtonType="Image"></HideAdaptiveDetailButton>

        <NewButton>
            <Image Url="~/Content/Images/Add_16x16.png">
            </Image>
        </NewButton>
        <UpdateButton>
            <Image Url="~/Content/Images/Apply_16x16.png">
            </Image>
        </UpdateButton>
        <CancelButton>
            <Image Url="~/Content/Images/Cancel_16x16.png">
            </Image>
        </CancelButton>
        <EditButton>
            <Image Url="~/Content/Images/Edit_16x16.png">
            </Image>
        </EditButton>
        <DeleteButton>
            <Image Url="~/Content/Images/Remove_16x16.png">
            </Image>
        </DeleteButton>
    </SettingsCommandButton>
    <SettingsDataSecurity AllowDelete="False" />
    <SettingsPopup>
        <EditForm HorizontalAlign="WindowCenter" Modal="True" VerticalAlign="WindowCenter" />
    </SettingsPopup>
    <SettingsSearchPanel Visible="True" />
    <EditFormLayoutProperties ColCount="2">
        <Items>
            <dx:GridViewColumnLayoutItem ColumnName="imagen" RowSpan="6">
            </dx:GridViewColumnLayoutItem>
            <dx:GridViewColumnLayoutItem ColumnName="login" Width="250px">
            </dx:GridViewColumnLayoutItem>
            <dx:GridViewColumnLayoutItem ColumnName="nombres" Width="350px">
            </dx:GridViewColumnLayoutItem>
            <dx:GridViewColumnLayoutItem ColumnName="apellidos" Width="350px">
            </dx:GridViewColumnLayoutItem>
            <dx:GridViewColumnLayoutItem ColumnName="email" Width="350px">
            </dx:GridViewColumnLayoutItem>
            <dx:GridViewColumnLayoutItem ColumnName="sexo" Width="200px">
            </dx:GridViewColumnLayoutItem>
            <dx:GridViewColumnLayoutItem ColumnName="telefonoContacto1" Width="250px">
            </dx:GridViewColumnLayoutItem>
            <dx:GridViewColumnLayoutItem ColumnName="idInstitucion" Width="400px" HelpText="La institución pasará a un proceso de validación">
            </dx:GridViewColumnLayoutItem>
            <dx:GridViewColumnLayoutItem ColumnName="telefonoContacto2" Width="250px">
            </dx:GridViewColumnLayoutItem>
            <dx:EditModeCommandLayoutItem ColSpan="2" HorizontalAlign="Right">
            </dx:EditModeCommandLayoutItem>
        </Items>
    </EditFormLayoutProperties>
    <Columns>
        <dx:GridViewCommandColumn ShowEditButton="True" ShowNewButtonInHeader="True" VisibleIndex="0" ButtonType="Image">
            <CustomButtons>
                <dx:GridViewCommandColumnCustomButton ID="desactivar" Text="Desactivar">
                    <Image Url="~/Content/Images/Remove_16x16.png">
                    </Image>
                </dx:GridViewCommandColumnCustomButton>
            </CustomButtons>
        </dx:GridViewCommandColumn>
        <dx:GridViewDataTextColumn FieldName="email" VisibleIndex="7" Visible="False">
            <PropertiesTextEdit MaxLength="150">
                <ValidationSettings CausesValidation="True" ValidationGroup="usuario">
                    <RegularExpression ErrorText="El correo electrónico no esta bien escrito" ValidationExpression="\w+([-+.']\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*" />
                    <RequiredField IsRequired="True" ErrorText="Este dato es requerido" />
                </ValidationSettings>
            </PropertiesTextEdit>
        </dx:GridViewDataTextColumn>
        <dx:GridViewDataTextColumn FieldName="apellidos" VisibleIndex="5" Caption="Apellidos">
            <PropertiesTextEdit MaxLength="150">
                <ValidationSettings CausesValidation="True">
                    <RequiredField IsRequired="True" ErrorText="Este dato es requerido" />
                </ValidationSettings>
            </PropertiesTextEdit>
        </dx:GridViewDataTextColumn>
        <dx:GridViewDataTextColumn FieldName="nombres" VisibleIndex="4" Caption="Nombres">
            <PropertiesTextEdit MaxLength="150">
                <ValidationSettings CausesValidation="True">
                    <RequiredField IsRequired="True" ErrorText="Este dato es requerido" />
                </ValidationSettings>
            </PropertiesTextEdit>
        </dx:GridViewDataTextColumn>
<dx:GridViewDataTextColumn FieldName="login" VisibleIndex="3" Caption="Login">
    <PropertiesTextEdit MaxLength="25">
        <ValidationSettings CausesValidation="True">
            <RequiredField IsRequired="True" ErrorText="Este dato es requerido" />
        </ValidationSettings>
    </PropertiesTextEdit>
        </dx:GridViewDataTextColumn>
        <dx:GridViewDataTextColumn FieldName="telefonoContacto1" VisibleIndex="6" Caption="Teléfono 1">
            <PropertiesTextEdit HelpText="(503) 2222-2222, 2222-2222, 22222222" MaxLength="15">
                <HelpTextSettings DisplayMode="Popup">
                </HelpTextSettings>
                <ValidationSettings CausesValidation="True">
                    <RegularExpression ErrorText="El teléfono se encuentra mal escrito" ValidationExpression="(\(\d\d\d\) )?\d{1,4}-?\d\d\d\d" />
                </ValidationSettings>
            </PropertiesTextEdit>
            <EditFormSettings Visible="True" />
        </dx:GridViewDataTextColumn>
        <dx:GridViewDataTextColumn FieldName="telefonoContacto2" VisibleIndex="11" Caption="Teléfono 2" Visible="False">
            <PropertiesTextEdit MaxLength="15" HelpText="(503) 2222-2222, 2222-2222, 22222222">
                <HelpTextSettings DisplayMode="Popup">
                </HelpTextSettings>
                <ValidationSettings CausesValidation="True">
                    <RegularExpression ErrorText="El teléfono se encuentra mal escrito" ValidationExpression="(\(\d\d\d\) )?\d{1,4}-?\d\d\d\d" />
                </ValidationSettings>
            </PropertiesTextEdit>
            <EditFormSettings Visible="True" />
        </dx:GridViewDataTextColumn>
        <dx:GridViewDataTextColumn FieldName="idUsuario" VisibleIndex="1" ReadOnly="True" Visible="False">
        </dx:GridViewDataTextColumn>
        <dx:GridViewDataComboBoxColumn FieldName="idInstitucion" VisibleIndex="8" Caption="Institución">
            <PropertiesComboBox DataSourceID="SqlInstitucion" TextField="nombreInstitucion" ValueField="idInstitucion">
                <ValidationSettings>
                    <RequiredField ErrorText="Debe seleccionar una institución" />
                </ValidationSettings>
            </PropertiesComboBox>
        </dx:GridViewDataComboBoxColumn>
        <dx:GridViewDataCheckColumn Caption="Activo" FieldName="estado" ReadOnly="True" VisibleIndex="9">
            <PropertiesCheckEdit ValueChecked="1" ValueType="System.Int32" ValueUnchecked="0">
            </PropertiesCheckEdit>
            <EditFormSettings Visible="False" />
        </dx:GridViewDataCheckColumn>
        <dx:GridViewDataBinaryImageColumn Caption="Foto" FieldName="imagen" VisibleIndex="2">
            <PropertiesBinaryImage EnableServerResize="True" ImageHeight="80px" ImageWidth="80px">
                <EditingSettings Enabled="True">
                    <UploadSettings>
                        <UploadValidationSettings MaxFileSize="4194304">
                        </UploadValidationSettings>
                    </UploadSettings>
                </EditingSettings>
            </PropertiesBinaryImage>
        </dx:GridViewDataBinaryImageColumn>
        <dx:GridViewDataComboBoxColumn FieldName="sexo" VisibleIndex="10" Visible="False">
            <PropertiesComboBox>
                <Items>
                    <dx:ListEditItem Text="Masculino" Value="M" />
                    <dx:ListEditItem Text="Femenino" Value="F" />
                </Items>
            </PropertiesComboBox>
            <EditFormSettings Visible="True" />
        </dx:GridViewDataComboBoxColumn>
        <dx:GridViewDataTextColumn FieldName="roles" ReadOnly="True" VisibleIndex="12">
            <EditFormSettings Visible="False" />
        </dx:GridViewDataTextColumn>
    </Columns>
</dx:ASPxGridView>
            <asp:SqlDataSource ID="SqlRoles" runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" DeleteCommand="delete from SEGURIDAD.dbo.SEG_RolUsuario where idRol=@idRol and idUsuario=@idUsuario" InsertCommand="insert SEGURIDAD.dbo.SEG_RolUsuario(idRol, idUsuario) values(@idRol,@idUsuario)" SelectCommand="SELECT idRol FROM SEGURIDAD.dbo.SEG_RolUsuario WHERE (idUsuario = @idUsuario)">
                <DeleteParameters>
                    <asp:Parameter Name="idRol" />
                    <asp:SessionParameter Name="idUsuario" Type="Int32" SessionField="idUsuario"/>
                </DeleteParameters>
                <InsertParameters>
                    <asp:Parameter Name="idRol" />
                    <asp:SessionParameter Name="idUsuario" Type="Int32" SessionField="idUsuario"/>
                </InsertParameters>
                <SelectParameters>
                    <asp:SessionParameter Name="idUsuario" SessionField="idUsuario" />
                </SelectParameters>
            </asp:SqlDataSource>
<asp:SqlDataSource ID="SqlDataUsuario" runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" 
    SelectCommand="SELECT idUsuario, email, apellidos, nombres, idInstitucion, login, imagen, estado, sexo, telefonoContacto1, telefonoContacto2, (SELECT COUNT(*) AS Expr1 FROM SEGURIDAD.dbo.SEG_RolUsuario AS rol WHERE (u.idUsuario = idUsuario)) AS roles FROM SEGURIDAD.dbo.SEG_Usuarios AS u WHERE (idInstitucion IS NOT NULL) ORDER BY fechaModificacion DESC" 
    UpdateCommand="UPDATE SEGURIDAD.dbo.SEG_USUARIOS SET imagen=@imagen, login=@login, email=@email, apellidos=@apellidos, nombres=@nombres, idInstitucion=@idInstitucion, estado=@estado, sexo=@sexo, telefonoContacto1=@telefonoContacto1, telefonoContacto2=@telefonoContacto2, usuarioModificacion=@usuarioModificacion, fechaModificacion=getDate() where idUsuario=@idUsuario" 
    InsertCommand="INSERT INTO SEGURIDAD.dbo.SEG_USUARIOS ([email], [apellidos], [nombres], [idInstitucion], [login], [imagen], [estado], [sexo], [telefonoContacto1], [telefonoContacto2], usuarioCreacion, fechaCreacion, usuarioModificacion, fechaModificacion, clave)
VALUES(@email, @apellidos,@nombres,@idInstitucion,@login,@imagen,1,@sexo,@telefonoContacto1,@telefonoContacto2, @usuario, getDate(), @usuario, getDate(), @clave)
">
    <InsertParameters>
        <asp:Parameter Name="email" />
        <asp:Parameter Name="apellidos" />
        <asp:Parameter Name="nombres" />
        <asp:Parameter Name="idInstitucion" />
        <asp:Parameter Name="login" />
        <asp:Parameter Name="imagen" DbType="Binary" />
        <asp:Parameter Name="sexo" />
        <asp:Parameter Name="telefonoContacto1" />
        <asp:Parameter Name="telefonoContacto2" />
        <asp:Parameter Name="usuario" />
        <asp:Parameter Name="clave" />


    </InsertParameters>
    <UpdateParameters>
        <asp:Parameter Name="imagen" DbType="Binary" />
        <asp:Parameter Name="login" />
        <asp:Parameter Name="email" />
        <asp:Parameter Name="apellidos" />
        <asp:Parameter Name="nombres" />
        <asp:Parameter Name="idInstitucion" />
        <asp:Parameter Name="estado" />
        <asp:Parameter Name="sexo" />
        <asp:Parameter Name="telefonoContacto1" />
        <asp:Parameter Name="telefonoContacto2" />
        <asp:Parameter Name="usuarioModificacion" />
        <asp:Parameter Name="idUsuario" />
    </UpdateParameters>
</asp:SqlDataSource>
<asp:SqlDataSource ID="SqlInstitucion" runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="SELECT * FROM SEGURIDAD.dbo.[Institucion]"></asp:SqlDataSource>
<asp:SqlDataSource ID="SqlNombreRoles" runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="SELECT * FROM SEGURIDAD.dbo.[SEG_Rol] WHERE ([idRol] &lt;&gt; @idRol)">
    <SelectParameters>
        <asp:Parameter DefaultValue="1" Name="idRol" Type="Int32" />
    </SelectParameters>
</asp:SqlDataSource>
    

            
