﻿<%@ Control Language="vb" AutoEventWireup="false" CodeBehind="ucEnviarCorreo.ascx.vb" Inherits="Dotacion.ucEnviarCorreo" %>


<%@ Register assembly="DevExpress.Web.ASPxRichEdit.v18.1, Version=18.1.6.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxRichEdit" tagprefix="dx" %>


<dx:ASPxCallbackPanel ID="cbpEnviar" runat="server" ClientInstanceName="cbpEnviar" Width="100%">
    <PanelCollection>
<dx:PanelContent runat="server">
<dx:ASPxRadioButtonList ID="rblInstituciones" runat="server" RepeatDirection="Horizontal" ValueType="System.Int32" Width="450px" SelectedIndex="2">
    <Items>
        <dx:ListEditItem Text="Todas" Value="0" />
        <dx:ListEditItem Text="Autónomas" Value="1" />
        <dx:ListEditItem Text="Órgano Ejecutivo" Value="2" Selected="True" />
        <dx:ListEditItem Text="DUI &gt;9" Value="3" />
        <dx:ListEditItem Text="DUI &lt; 9" Value="4" />
        <dx:ListEditItem Text="Usuarios sin nueva clave" Value="5" />
        <dx:ListEditItem Text="Faltan archivos" Value="6" />
    </Items>
    <ValidationSettings CausesValidation="True" SetFocusOnError="True" ValidationGroup="correo">
        <RequiredField IsRequired="True" />
    </ValidationSettings>
</dx:ASPxRadioButtonList>
    <dx:ASPxTextBox ID="txtCorreo" runat="server" Width="303px">
    </dx:ASPxTextBox>
    <dx:ASPxRichEdit ID="ASPxRichEdit1" runat="server" RibbonMode="Ribbon" ShowStatusBar="False" WorkDirectory="~\App_Data\WorkDirectory">
        <RibbonTabs>
            <dx:RERHomeTab>
                <Groups>
                    <dx:RERUndoGroup>
                        <Items>
                            <dx:RERUndoCommand>
                            </dx:RERUndoCommand>
                            <dx:RERRedoCommand>
                            </dx:RERRedoCommand>
                        </Items>
                    </dx:RERUndoGroup>
                    <dx:RERClipboardGroup>
                        <Items>
                            <dx:RERPasteCommand Size="Large">
                            </dx:RERPasteCommand>
                            <dx:RERCutCommand>
                            </dx:RERCutCommand>
                            <dx:RERCopyCommand>
                            </dx:RERCopyCommand>
                        </Items>
                    </dx:RERClipboardGroup>
                    <dx:RERFontGroup>
                        <Items>
                            <dx:RERFontNameCommand>
                                <PropertiesComboBox DropDownStyle="DropDown" ValueType="System.Object">
                                </PropertiesComboBox>
                            </dx:RERFontNameCommand>
                            <dx:RERFontSizeCommand>
                                <PropertiesComboBox DropDownStyle="DropDown" ValueType="System.Int32">
                                </PropertiesComboBox>
                            </dx:RERFontSizeCommand>
                            <dx:RERIncreaseFontSizeCommand>
                            </dx:RERIncreaseFontSizeCommand>
                            <dx:RERDecreaseFontSizeCommand>
                            </dx:RERDecreaseFontSizeCommand>
                            <dx:RERChangeCaseCommand DropDownMode="False">
                            </dx:RERChangeCaseCommand>
                            <dx:RERFontBoldCommand>
                            </dx:RERFontBoldCommand>
                            <dx:RERFontItalicCommand>
                            </dx:RERFontItalicCommand>
                            <dx:RERFontUnderlineCommand>
                            </dx:RERFontUnderlineCommand>
                            <dx:RERFontStrikeoutCommand>
                            </dx:RERFontStrikeoutCommand>
                            <dx:RERFontSuperscriptCommand>
                            </dx:RERFontSuperscriptCommand>
                            <dx:RERFontSubscriptCommand>
                            </dx:RERFontSubscriptCommand>
                            <dx:RERFontColorCommand AutomaticColorItemCaption="Automática" AutomaticColorItemValue="0" Color="Black" EnableAutomaticColorItem="True" EnableCustomColors="True">
                            </dx:RERFontColorCommand>
                            <dx:RERFontBackColorCommand AutomaticColor="" AutomaticColorItemCaption="Sin Color" AutomaticColorItemValue="16777215" EnableAutomaticColorItem="True" EnableCustomColors="True">
                            </dx:RERFontBackColorCommand>
                            <dx:RERClearFormattingCommand>
                            </dx:RERClearFormattingCommand>
                        </Items>
                    </dx:RERFontGroup>
                    <dx:RERParagraphGroup>
                        <Items>
                            <dx:RERBulletedListCommand>
                            </dx:RERBulletedListCommand>
                            <dx:RERNumberingListCommand>
                            </dx:RERNumberingListCommand>
                            <dx:RERMultilevelListCommand>
                            </dx:RERMultilevelListCommand>
                            <dx:RERDecreaseIndentCommand>
                            </dx:RERDecreaseIndentCommand>
                            <dx:RERIncreaseIndentCommand>
                            </dx:RERIncreaseIndentCommand>
                            <dx:RERShowWhitespaceCommand>
                            </dx:RERShowWhitespaceCommand>
                            <dx:RERAlignLeftCommand>
                            </dx:RERAlignLeftCommand>
                            <dx:RERAlignCenterCommand>
                            </dx:RERAlignCenterCommand>
                            <dx:RERAlignRightCommand>
                            </dx:RERAlignRightCommand>
                            <dx:RERAlignJustifyCommand>
                            </dx:RERAlignJustifyCommand>
                            <dx:RERParagraphLineSpacingCommand DropDownMode="False">
                            </dx:RERParagraphLineSpacingCommand>
                            <dx:RERParagraphBackColorCommand AutomaticColor="" AutomaticColorItemCaption="Sin Color" AutomaticColorItemValue="16777215" EnableAutomaticColorItem="True" EnableCustomColors="True">
                            </dx:RERParagraphBackColorCommand>
                        </Items>
                    </dx:RERParagraphGroup>
                    <dx:RERStylesGroup>
                        <Items>
                            <dx:RERChangeStyleCommand ImageWidth="60px" MaxColumnCount="10" MaxTextWidth="65px" MinColumnCount="2">
                                <PropertiesDropDownGallery MinColumnCount="3" RowCount="5" />
                            </dx:RERChangeStyleCommand>
                        </Items>
                    </dx:RERStylesGroup>
                    <dx:REREditingGroup>
                        <Items>
                            <dx:RERFindCommand>
                            </dx:RERFindCommand>
                            <dx:RERReplaceCommand>
                            </dx:RERReplaceCommand>
                            <dx:RERSelectAllCommand>
                            </dx:RERSelectAllCommand>
                        </Items>
                    </dx:REREditingGroup>
                </Groups>
            </dx:RERHomeTab>
            <dx:RERInsertTab>
                <Groups>
                    <dx:RERPagesGroup>
                        <Items>
                            <dx:RERInsertPageBreakCommand Size="Large">
                            </dx:RERInsertPageBreakCommand>
                        </Items>
                    </dx:RERPagesGroup>
                    <dx:RERTablesGroup>
                        <Items>
                            <dx:RERInsertTableCommand Size="Large">
                            </dx:RERInsertTableCommand>
                        </Items>
                    </dx:RERTablesGroup>
                    <dx:RERIllustrationsGroup>
                        <Items>
                            <dx:RERInsertPictureCommand Size="Large">
                            </dx:RERInsertPictureCommand>
                        </Items>
                    </dx:RERIllustrationsGroup>
                    <dx:RERLinksGroup>
                        <Items>
                            <dx:RERShowBookmarksFormCommand Size="Large">
                            </dx:RERShowBookmarksFormCommand>
                            <dx:RERShowHyperlinkFormCommand Size="Large">
                            </dx:RERShowHyperlinkFormCommand>
                        </Items>
                    </dx:RERLinksGroup>
                    <dx:RERHeaderAndFooterGroup Text="Header &amp; Footer">
                        <Items>
                            <dx:REREditPageHeaderCommand Size="Large">
                            </dx:REREditPageHeaderCommand>
                            <dx:REREditPageFooterCommand Size="Large">
                            </dx:REREditPageFooterCommand>
                            <dx:RERInsertPageNumberFieldCommand Size="Large">
                            </dx:RERInsertPageNumberFieldCommand>
                            <dx:RERInsertPageCountFieldCommand Size="Large">
                            </dx:RERInsertPageCountFieldCommand>
                        </Items>
                    </dx:RERHeaderAndFooterGroup>
                    <dx:RERTextGroup>
                        <Items>
                            <dx:RERInsertTextBoxCommand Size="Large">
                            </dx:RERInsertTextBoxCommand>
                        </Items>
                    </dx:RERTextGroup>
                    <dx:RERSymbolsGroup>
                        <Items>
                            <dx:RERShowSymbolFormCommand Size="Large">
                            </dx:RERShowSymbolFormCommand>
                        </Items>
                    </dx:RERSymbolsGroup>
                </Groups>
            </dx:RERInsertTab>
        </RibbonTabs>
    </dx:ASPxRichEdit>
<dx:ASPxButton ID="btnEnviar" runat="server" Text="Enviar" AutoPostBack="False" ValidationGroup="correo">
    <ClientSideEvents Click="function(s, e) {
if (ASPxClientEdit.ValidateEditorsInContainer(null, 'correo')){

	cbpEnviar.PerformCallback();
}
}" />
</dx:ASPxButton>
</dx:PanelContent>
</PanelCollection>
</dx:ASPxCallbackPanel>


