﻿<%@ Control Language="vb" AutoEventWireup="false" CodeBehind="ucFormularioPregunta.ascx.vb" Inherits="Dotacion.ucFormularioPregunta" %>
<script type="text/javascript">
    // <![CDATA[    
    function isDUI(str) {
        var regex = /(^\d{8})-(\d$)/,
            parts = str.match(regex);
        // verficar formato y extraer digitos junto al digito verificador
        if (parts !== null) {
            var digits = parts[1],
                dig_ve = parseInt(parts[2], 10),
                sum = 0;
            // sumar producto de posiciones y digitos
            for (var i = 0, l = digits.length; i < l; i++) {
                var d = parseInt(digits[i], 10);
                sum += (9 - i) * d;
            }
            return dig_ve === (10 - (sum % 10)) % 10;
        } else {
            return false;
        }
    };

    
    function OnReTypeValidation(s, e) {
        var valid = txtEmail1.GetText() == txtEmail2.GetText();
        if (s === txtEmail2 && txtEmail1.GetIsValid())
            e.isValid = valid;
    }
    // ]]> 
</script>
<h3 class="Center">Solicitud de soporte técnico de la plataforma</h3>
<br />
<div style="margin: 0 auto;max-width:380px;">
<div class="alert-box warning" style="max-width:355px;margin: 0 auto;"><span>Información: </span>Esta sección es para resolver conflictos de duplicidad de número de DUI o fallos del sistema. Si tiene alguna duda sobre el proceso de selección, favor solicitar la información a la Institución Pública donde postuló.</div>
   <div class="alert-box notice" style="max-width:355px;margin: 0 auto;"><span>Directorio telefónico: </span><a href="http://www.presidencia.gob.sv/directorio/#tabpanel3">Ministerio e Instituciones Autónomas</a></div>
</div>
<dx:ASPxCallbackPanel ID="cbpPregunta" runat="server" Width="100%" ClientInstanceName="cbpPregunta"><PanelCollection>
<dx:PanelContent runat="server">
    <dx:ASPxFormLayout ID="ASPxFormLayout1" runat="server" AlignItemCaptionsInAllGroups="True" CssClass="CenteredGrid" EnableViewState="false" EncodeHtml="false" Width="380px" AccessibilityCompliant="True">
        <SettingsAdaptivity AdaptivityMode="SingleColumnWindowLimit" SwitchToSingleColumnAtWindowInnerWidth="420" />
    <Items>
                 <dx:LayoutItem Caption="Correo electrónico" HelpText="Ej. nombre@gmail.com">
                    <LayoutItemNestedControlCollection>
                        <dx:LayoutItemNestedControlContainer runat="server">
                            <dx:ASPxTextBox ID="txtEmail" runat="server" MaxLength="150" Width="255px" ClientInstanceName="txtEmail1" AccessibilityCompliant="True">
                                <ClientSideEvents Validation="OnReTypeValidation" />
                                <ValidationSettings CausesValidation="True" ErrorDisplayMode="ImageWithTooltip" SetFocusOnError="True" ValidationGroup="pregunta" Display="Dynamic">
                                    <RegularExpression ErrorText="El correo se encuentra mal escrito." ValidationExpression="[a-z0-9!#$%&amp;'*+/=?^_`{|}~-]+(?:\.[a-z0-9!#$%&amp;'*+/=?^_`{|}~-]+)*@(?:[a-z0-9](?:[a-z0-9-]*[a-z0-9])?\.)+[a-z0-9](?:[a-z0-9-]*[a-z0-9])?" />
                                    <RequiredField ErrorText="El correo electrónico es necesario para mandar mensajes del sistema" IsRequired="True" />
                                </ValidationSettings>
                            </dx:ASPxTextBox>
                        </dx:LayoutItemNestedControlContainer>
                    </LayoutItemNestedControlCollection>
                </dx:LayoutItem>
                         <dx:LayoutItem Caption="Repetir correo electrónico" HelpText="Ej. nombre@gmail.com">
                    <LayoutItemNestedControlCollection>
                        <dx:LayoutItemNestedControlContainer runat="server">
                            <dx:ASPxTextBox ID="txtEmail2" runat="server" MaxLength="150" Width="255px" ClientInstanceName="txtEmail2" AccessibilityCompliant="True">
                                <ClientSideEvents Validation="OnReTypeValidation" />
                                <ValidationSettings CausesValidation="True" ErrorDisplayMode="ImageWithTooltip" SetFocusOnError="True" ValidationGroup="pregunta" Display="Dynamic">
                                    <RegularExpression ErrorText="El correo se encuentra mal escrito." ValidationExpression="[a-z0-9!#$%&amp;'*+/=?^_`{|}~-]+(?:\.[a-z0-9!#$%&amp;'*+/=?^_`{|}~-]+)*@(?:[a-z0-9](?:[a-z0-9-]*[a-z0-9])?\.)+[a-z0-9](?:[a-z0-9-]*[a-z0-9])?" />
                                    <RequiredField ErrorText="El correo electrónico es necesario para mandar mensajes del sistema" IsRequired="True" />
                                </ValidationSettings>
                            </dx:ASPxTextBox>
                        </dx:LayoutItemNestedControlContainer>
                    </LayoutItemNestedControlCollection>
                </dx:LayoutItem>
                <dx:LayoutItem Caption="Tipo de documento">
                    <LayoutItemNestedControlCollection>
                        <dx:LayoutItemNestedControlContainer runat="server">
                            <dx:ASPxRadioButtonList ID="tipoDoc" runat="server" ClientInstanceName="tipoDoc" SelectedIndex="0" ValueType="System.Int32" RepeatLayout="Flow" AccessibilityCompliant="True">
                                <ClientSideEvents SelectedIndexChanged="function(s, e) {
if(s.GetValue() =='0'){
	txtDUI.SetVisible(true);
	txtResidente.SetVisible(false);
}
else{
	txtDUI.SetVisible(false);
	txtResidente.SetVisible(true);
}	
}" />
                                <Items>
                                    <dx:ListEditItem Selected="True" Text="DUI" Value="0" />
                                    <dx:ListEditItem Text="Carnet de Residente" Value="1" />
                                </Items>
                                <ValidationSettings Display="Dynamic">
                                </ValidationSettings>
                            </dx:ASPxRadioButtonList>
                        </dx:LayoutItemNestedControlContainer>
                    </LayoutItemNestedControlCollection>
                </dx:LayoutItem>
                <dx:LayoutItem Caption="Número de Documento">
                    <LayoutItemNestedControlCollection>
                        <dx:LayoutItemNestedControlContainer runat="server">
                            <dx:ASPxTextBox ID="txtDUI" runat="server" ClientInstanceName="txtDUI" MaxLength="9" Width="120px" AccessibilityCompliant="True">
                                <MaskSettings IncludeLiterals="None" Mask="00000000-0" ErrorText="Tiene que ingresar un documento válido." />
                                <ValidationSettings CausesValidation="True" ErrorDisplayMode="ImageWithTooltip" SetFocusOnError="True" ValidationGroup="pregunta" Display="Dynamic" ErrorText="Tiene que ingresar un documento válido.">
                                    <RegularExpression ErrorText="Tiene que ingresar un documento válido." />
                                    <RequiredField ErrorText="El DUI es necesario para preguntar." IsRequired="True" />
                                </ValidationSettings>
                            </dx:ASPxTextBox>
                            <dx:ASPxTextBox ID="txtResidente" runat="server" ClientInstanceName="txtResidente" ClientVisible="False" MaxLength="8" Width="120px" AccessibilityCompliant="True">
                                <MaskSettings IncludeLiterals="None" Mask="00000000" ErrorText="Tiene que ingresar un documento válido." />
                                <ValidationSettings CausesValidation="True" ErrorDisplayMode="ImageWithTooltip" SetFocusOnError="True" ValidationGroup="pregunta" Display="Dynamic">
                                    <RegularExpression ErrorText="Tiene que ingresar un documento válido." />
                                    <RequiredField ErrorText="El documento de extranjeria es requerido" IsRequired="True" />
                                </ValidationSettings>
                            </dx:ASPxTextBox>
                        </dx:LayoutItemNestedControlContainer>
                    </LayoutItemNestedControlCollection>
                </dx:LayoutItem>
        <dx:LayoutItem Caption="Fecha de Nacimiento">
            <LayoutItemNestedControlCollection>
                <dx:LayoutItemNestedControlContainer runat="server">
                    <dx:ASPxDateEdit ID="fechaNacimiento" runat="server" ClientInstanceName="fechaNacimiento" MinDate="1940-01-01" UseMaskBehavior="True" Width="120px" AccessibilityCompliant="True">
                        <ValidationSettings CausesValidation="True" Display="Dynamic" ErrorDisplayMode="ImageWithTooltip" SetFocusOnError="True" ValidationGroup="pregunta">
                            <RequiredField IsRequired="True" />
                        </ValidationSettings>
                    </dx:ASPxDateEdit>
                </dx:LayoutItemNestedControlContainer>
            </LayoutItemNestedControlCollection>
        </dx:LayoutItem>
        <dx:LayoutItem Caption="Pregunta técnica">
            <LayoutItemNestedControlCollection>
                <dx:LayoutItemNestedControlContainer runat="server">
                    <dx:ASPxMemo ID="txtMensaje" runat="server" Rows="4" Width="300px" MaxLength="700">
                        <ValidationSettings CausesValidation="True" Display="Dynamic" ErrorDisplayMode="ImageWithTooltip" ValidationGroup="pregunta">
                            <RequiredField IsRequired="True" />
                        </ValidationSettings>
                    </dx:ASPxMemo>
                </dx:LayoutItemNestedControlContainer>
            </LayoutItemNestedControlCollection>
        </dx:LayoutItem>
        <dx:LayoutItem ShowCaption="False">
            <LayoutItemNestedControlCollection>
                <dx:LayoutItemNestedControlContainer runat="server">
                    <dx:ASPxButton ID="btnEnviar" ClientInstanceName="btnEnviar" runat="server" Text="Enviar" ValidationGroup="pregunta" AutoPostBack="False" AccessibilityCompliant="True">
                                                        <ClientSideEvents Click="function(s, e) {
	if (ASPxClientEdit.ValidateEditorsInContainer(null, 'pregunta')){
        		if(tipoDoc.GetValue()=='0'){
                            var verdadero = isDUI(txtDUI.GetText());
                                            if (verdadero){
        	var res = confirm('¿Seguro/a desea enviar su registro con el correo: ' + txtEmail1.GetText() + '?');
if (res) 
    cbpPregunta.PerformCallback();	
         }
                                         else
 			alert('El número de documento DUI no es válido');
        		}
               else{
                       var res = confirm('¿Seguro/a desea enviar su registro con el correo: ' + txtEmail1.GetText() + '?');
                       if (res) 
                                            cbpPregunta.PerformCallback();
       		}
}
}" />
                    </dx:ASPxButton>
                </dx:LayoutItemNestedControlContainer>
            </LayoutItemNestedControlCollection>
        </dx:LayoutItem>
    </Items>
</dx:ASPxFormLayout>
          <div style="text-align:center;width:100%;">
        <asp:Literal ID="ltlMensaje" runat="server" Visible="False"></asp:Literal>
    </div>
</dx:PanelContent>
</PanelCollection>
</dx:ASPxCallbackPanel>


