﻿<%@ Control Language="vb" AutoEventWireup="false" CodeBehind="ucHistorialIngreso.ascx.vb" Inherits="Dotacion.ucHistorialIngreso" %>

<h3>Historial de Ingreso</h3>
<dx:ASPxGridView ID="ASPxGridView1" runat="server" AutoGenerateColumns="False" DataSourceID="SqlIngreso">
    <SettingsDataSecurity AllowDelete="False" AllowEdit="False" AllowInsert="False" />
    <Columns>
        <dx:GridViewDataDateColumn FieldName="fecha" VisibleIndex="0" SortIndex="0" SortOrder="Descending">
            <PropertiesDateEdit DisplayFormatString="g">
            </PropertiesDateEdit>
        </dx:GridViewDataDateColumn>
        <dx:GridViewDataTextColumn FieldName="persona" ReadOnly="True" VisibleIndex="1">
        </dx:GridViewDataTextColumn>
        <dx:GridViewDataTextColumn FieldName="nombreInstitucion" VisibleIndex="2">
        </dx:GridViewDataTextColumn>
    </Columns>
</dx:ASPxGridView>

<asp:SqlDataSource ID="SqlIngreso" runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="SELECT HistorialIngreso.fecha, SEGURIDAD.dbo.SEG_Usuarios.nombres + ' ' + SEGURIDAD.dbo.SEG_Usuarios.apellidos AS persona, SEGURIDAD.dbo.Institucion.nombreInstitucion FROM HistorialIngreso INNER JOIN SEGURIDAD.dbo.SEG_Usuarios ON HistorialIngreso.usuario = SEGURIDAD.dbo.SEG_Usuarios.idUsuario INNER JOIN SEGURIDAD.dbo.Institucion ON SEGURIDAD.dbo.SEG_Usuarios.idInstitucion = SEGURIDAD.dbo.Institucion.idInstitucion"></asp:SqlDataSource>
