﻿<%@ Control Language="vb" AutoEventWireup="false" CodeBehind="ucRecuperarClave.ascx.vb" Inherits="Dotacion.ucRecuperarClave" %>
<h2 class="Center">Recuperación de contraseña - Paso 1/2.</h2>
<style>
    .toLower input {
        text-transform:lowercase
    }
</style>
<script type="text/javascript">
    // <![CDATA[
    function OnReTypeValidation(s, e) {
        var valid = pass1.GetText() == pass2.GetText();
        if (s === pass2 && pass1.GetIsValid())
            e.isValid = valid;
    }
    // ]]> 
    </script>
<dx:ASPxFormLayout ID="ASPxFormLayout1" runat="server" AlignItemCaptionsInAllGroups="True" CssClass="CenteredGrid" Width="380px" AccessibilityCompliant="True">
    <SettingsAdaptivity AdaptivityMode="SingleColumnWindowLimit" SwitchToSingleColumnAtWindowInnerWidth="420" />
        <Items>
            <dx:LayoutGroup Caption="Datos de contacto">
                <CellStyle>
                    <Paddings Padding="5px" />
                </CellStyle>
                <Items>
                    <dx:LayoutItem ShowCaption="False">
                        <LayoutItemNestedControlCollection>
                            <dx:LayoutItemNestedControlContainer>
                                <%--<div class="alert-box warning" style="margin: 0 auto;"><span>Advertencia: </span>Las cuentas HOTMAIL no estan recibiendo correos por el momento. Utilizar otra cuenta si es posible.</div>--%>
                            </dx:LayoutItemNestedControlContainer>
                            
                        </LayoutItemNestedControlCollection>
                        
                    </dx:LayoutItem>
                    <dx:LayoutItem Caption="Correo Electrónico" HelpText="Escriba el correo electrónico que tenga registrado en el sistema  (en minúsculas)">
                        <LayoutItemNestedControlCollection>
                            <dx:LayoutItemNestedControlContainer runat="server">
                                <dx:ASPxTextBox ID="txtEmail" runat="server" Width="250px" AutoCompleteType="Email" CssClass="toLower" AccessibilityCompliant="True">
                                    <ValidationSettings CausesValidation="True" Display="Dynamic" ErrorText="Es necesario escribir el email del usuario" SetFocusOnError="True" ValidationGroup="generar" ErrorTextPosition="Bottom">
                                        <RegularExpression ErrorText="El correo electrónico esta mal escrito" ValidationExpression="[a-z0-9!#$%&amp;'*+/=?^_`{|}~-]+(?:\.[a-z0-9!#$%&amp;'*+/=?^_`{|}~-]+)*@(?:[a-z0-9](?:[a-z0-9-]*[a-z0-9])?\.)+[a-z0-9](?:[a-z0-9-]*[a-z0-9])?" />
                                        <RequiredField IsRequired="True" ErrorText="Es necesario escribir el email del usuario" />
                                    </ValidationSettings>
                                </dx:ASPxTextBox>
                            </dx:LayoutItemNestedControlContainer>
                        </LayoutItemNestedControlCollection>
                    </dx:LayoutItem>
                    <dx:LayoutItem ShowCaption="False" HorizontalAlign="Right" Width="320px">
                        <LayoutItemNestedControlCollection>
                            <dx:LayoutItemNestedControlContainer runat="server">
                                <dx:ASPxCaptcha ID="captcha" runat="server" AccessibilityCompliant="True">
                                    <ValidationSettings Display="Dynamic" ErrorDisplayMode="ImageWithText" ErrorText="El código es introducido no es el mismo que el de la imagen" SetFocusOnError="True" ValidationGroup="generar">
                                        <RequiredField ErrorText="El código es introducido no es el mismo que el de la imagen" IsRequired="True" />
                                    </ValidationSettings>

<ChallengeImage ForegroundColor="#000000"></ChallengeImage>
                                    <TextBox Position="Bottom" />
                                </dx:ASPxCaptcha>
                            </dx:LayoutItemNestedControlContainer>
                        </LayoutItemNestedControlCollection>
                    </dx:LayoutItem>
                    <dx:LayoutItem HorizontalAlign="Center" ShowCaption="False" Width="150px">
                        <LayoutItemNestedControlCollection>
                            <dx:LayoutItemNestedControlContainer runat="server">
                                <dx:ASPxButton ID="btnEnviar" runat="server" Text="Recuperar contraseña" ValidationGroup="generar" UseSubmitBehavior="False" AccessibilityCompliant="True">
                                </dx:ASPxButton>
                            </dx:LayoutItemNestedControlContainer>
                        </LayoutItemNestedControlCollection>
                    </dx:LayoutItem>
                </Items>
            </dx:LayoutGroup>
        </Items>
    </dx:ASPxFormLayout>
 
