﻿<%@ Control Language="vb" AutoEventWireup="false" CodeBehind="ucRegistro.ascx.vb" Inherits="Dotacion.ucRegistro" %>
<style>
    .toLower input {
        text-transform:lowercase
    }
</style>
<script type="text/javascript">
    function isDUI(str) {
        var regex = /(^\d{8})-(\d$)/,
            parts = str.match(regex);
        // verficar formato y extraer digitos junto al digito verificador
        if (parts !== null) {
            var digits = parts[1],
                dig_ve = parseInt(parts[2], 10),
                sum = 0;
            // sumar producto de posiciones y digitos
            for (var i = 0, l = digits.length; i < l; i++) {
                var d = parseInt(digits[i], 10);
                sum += (9 - i) * d;
            }
            return dig_ve === (10 - (sum % 10)) % 10;
        } else {
            return false;
        }
    };

    function tb1_OnKeyUp(s, e) {
        var code = e.htmlEvent.keyCode;
        if (code > 40 || code < 37)
            s.SetText(s.GetText().toLowerCase());
    }
</script>

<h2 class="Center">Registro de nuevo usuario</h2>
<br />
<div style="margin: 0 auto;max-width:380px;">
<div class="alert-box notice" style="max-width:355px;margin: 0 auto;"><span>Información: </span>Esta sección es para crear nuevas cuentas de usuario, si usted ya tiene usuario favor ingresar en <a href="../../Login.aspx">Iniciar Sesión</a>. Luego de enviar el registro, tiene que ingresar al sistema y completar su hoja de vida y posteriormente postular al concurso disponible.</div>
 
</div>
<dx:ASPxCallbackPanel ID="cbpRegistro" runat="server" Width="100%" ClientInstanceName="cbpRegistro"><PanelCollection>
<dx:PanelContent runat="server">
    <dx:ASPxFormLayout ID="ASPxFormLayout1" runat="server" AlignItemCaptionsInAllGroups="True" CssClass="CenteredGrid" EnableViewState="false" EncodeHtml="false" Width="380px" AccessibilityCompliant="True">
        <SettingsAdaptivity AdaptivityMode="SingleColumnWindowLimit" SwitchToSingleColumnAtWindowInnerWidth="420" />
    <Items>
        <dx:LayoutGroup ShowCaption="False">
            <Items>
                <dx:LayoutItem Caption="Nombres">
                    <LayoutItemNestedControlCollection>
                        <dx:LayoutItemNestedControlContainer runat="server">
                            <dx:ASPxTextBox ID="txtNombres" runat="server" MaxLength="150" Width="255px" AccessibilityCompliant="True">
                                <ValidationSettings CausesValidation="True" ErrorDisplayMode="ImageWithTooltip" SetFocusOnError="True" ValidationGroup="registro" Display="Dynamic">
                                    <RequiredField ErrorText="Es necesario que escriba su nombre" IsRequired="True" />
                                </ValidationSettings>
                            </dx:ASPxTextBox>
                        </dx:LayoutItemNestedControlContainer>
                    </LayoutItemNestedControlCollection>
                </dx:LayoutItem>
                <dx:LayoutItem Caption="Apellidos">
                    <LayoutItemNestedControlCollection>
                        <dx:LayoutItemNestedControlContainer runat="server">
                            <dx:ASPxTextBox ID="txtApellidos" runat="server" MaxLength="150" Width="255px" AccessibilityCompliant="True">
                                <ValidationSettings CausesValidation="True" ErrorDisplayMode="ImageWithTooltip" SetFocusOnError="True" ValidationGroup="registro" Display="Dynamic">
                                    <RequiredField ErrorText="Es necesario que escriba sus apellidos" IsRequired="True" />
                                </ValidationSettings>
                            </dx:ASPxTextBox>
                        </dx:LayoutItemNestedControlContainer>
                    </LayoutItemNestedControlCollection>
                </dx:LayoutItem>
                <dx:LayoutItem Caption="Correo electrónico" HelpText="Ej. nombre@gmail.com">
                    <LayoutItemNestedControlCollection>
                        <dx:LayoutItemNestedControlContainer runat="server">
                            <dx:ASPxTextBox ID="txtEmail" runat="server" MaxLength="150" Width="255px" ClientInstanceName="txtEmail" CssClass="toLower" AccessibilityCompliant="True">
                                <ClientSideEvents KeyUp="tb1_OnKeyUp" />
                                <ValidationSettings CausesValidation="True" ErrorDisplayMode="ImageWithTooltip" SetFocusOnError="True" ValidationGroup="registro" Display="Dynamic">
                                    <RegularExpression ErrorText="El correo se encuentra mal escrito." ValidationExpression="[a-z0-9!#$%&amp;'*+/=?^_`{|}~-]+(?:\.[a-z0-9!#$%&amp;'*+/=?^_`{|}~-]+)*@(?:[a-z0-9](?:[a-z0-9-]*[a-z0-9])?\.)+[a-z0-9](?:[a-z0-9-]*[a-z0-9])?" />
                                    <RequiredField ErrorText="El correo electrónico es necesario para mandar mensajes del sistema" IsRequired="True" />
                                </ValidationSettings>
                            </dx:ASPxTextBox>
                        </dx:LayoutItemNestedControlContainer>
                    </LayoutItemNestedControlCollection>
                </dx:LayoutItem>
                <dx:LayoutItem Caption="Tipo de documento">
                    <LayoutItemNestedControlCollection>
                        <dx:LayoutItemNestedControlContainer runat="server">
                            <dx:ASPxRadioButtonList ID="tipoDoc" runat="server" ClientInstanceName="tipoDoc" RepeatDirection="Horizontal" SelectedIndex="0" ValueType="System.Int32" RepeatLayout="Flow" AccessibilityCompliant="True">
                                <ClientSideEvents SelectedIndexChanged="function(s, e) {
if(s.GetValue() =='0'){
	txtDUI.SetVisible(true);
	txtResidente.SetVisible(false);
}
else{
	txtDUI.SetVisible(false);
	txtResidente.SetVisible(true);
}	
}" />
                                <Items>
                                    <dx:ListEditItem Selected="True" Text="DUI" Value="0" />
                                    <dx:ListEditItem Text="Carnet de Residente" Value="1" />
                                </Items>
                                <ValidationSettings Display="Dynamic">
                                </ValidationSettings>
                            </dx:ASPxRadioButtonList>
                        </dx:LayoutItemNestedControlContainer>
                    </LayoutItemNestedControlCollection>
                </dx:LayoutItem>
                <dx:LayoutItem Caption="Número de Documento">
                    <LayoutItemNestedControlCollection>
                        <dx:LayoutItemNestedControlContainer runat="server">
                            <dx:ASPxTextBox ID="txtDUI" runat="server" ClientInstanceName="txtDUI" MaxLength="9" Width="110px" AccessibilityCompliant="True">
                                <MaskSettings IncludeLiterals="None" Mask="00000000-0" ErrorText="Tiene que ingresar un documento válido." />
                                <ValidationSettings CausesValidation="True" ErrorDisplayMode="ImageWithTooltip" SetFocusOnError="True" ValidationGroup="registro" Display="Dynamic" ErrorText="Tiene que ingresar un documento válido.">
                                    <RegularExpression ErrorText="Tiene que ingresar su número de DUI válido." />
                                    <RequiredField ErrorText="El DUI sera su usuario para entrar al sistema" IsRequired="True" />
                                </ValidationSettings>
                            </dx:ASPxTextBox>
                            <dx:ASPxTextBox ID="txtResidente" runat="server" ClientInstanceName="txtResidente" ClientVisible="False" MaxLength="8" Width="110px" AccessibilityCompliant="True">
                                <MaskSettings IncludeLiterals="None" Mask="00000000" ErrorText="Tiene que ingresar un documento válido." />
                                <ValidationSettings CausesValidation="True" ErrorDisplayMode="ImageWithTooltip" SetFocusOnError="True" ValidationGroup="registro" Display="Dynamic">
                                    <RegularExpression ErrorText="Tiene que ingresar un documento de residencia válido." />
                                    <RequiredField ErrorText="El documento de extranjeria es requerido para postular en el sistema" IsRequired="True" />
                                </ValidationSettings>
                            </dx:ASPxTextBox>
                        </dx:LayoutItemNestedControlContainer>
                    </LayoutItemNestedControlCollection>
                </dx:LayoutItem>
                <dx:LayoutItem Caption=" ">
                    <LayoutItemNestedControlCollection>
                        <dx:LayoutItemNestedControlContainer runat="server">
                            <dx:ASPxButton ID="btnEnviarRegistro" runat="server" AutoPostBack="False" Text="Enviar Solicitud" ValidationGroup="registro" Width="110px" AccessibilityCompliant="True">
                                <ClientSideEvents Click="function(s, e) {
	if (ASPxClientEdit.ValidateEditorsInContainer(null, 'registro')){
        		if(tipoDoc.GetValue()=='0'){
                            var verdadero = isDUI(txtDUI.GetText());
                                            if (verdadero){
        	var res = confirm('¿Seguro/a desea enviar su registro con el correo: ' + txtEmail.GetText() + '?');
if (res) 
    cbpRegistro.PerformCallback();	
         }
                                         else
 			alert('El número de documento DUI no es válido');
        		}
               else{
                       var res = confirm('¿Seguro/a desea enviar su registro con el correo: ' + txtEmail.GetText() + '?');
                       if (res) 
                                            cbpRegistro.PerformCallback();
       		}
}
}" />
                            </dx:ASPxButton>
                        </dx:LayoutItemNestedControlContainer>
                    </LayoutItemNestedControlCollection>
                </dx:LayoutItem>
                <dx:LayoutItem ShowCaption="False">
                    <LayoutItemNestedControlCollection>
                        <dx:LayoutItemNestedControlContainer runat="server">
<%--                            <div style="margin: 0 auto;width:380px;">--%>
                            <ol style="font-size:.8rem;background-color:#DCDCDC;">
                                <li style="margin-bottom:10px">Registrar su usuario no significa que este aplicando a un concurso, favor seguir las instrucciones necesarias que se encuetran en: <a href="../../pasos.aspx">Pasos a seguir</a>.</li>
                                <li style="margin-bottom:10px">Antes de enviar la solicitud revise que su correo electrónico se encuentre bien escrito y pueda acceder a este, porque se enviará un código de activación. Si este registro no se activa en un período de UNA(1) hora, se borrará del sistema para evitar duplicidad o posible fraude de usuarios. Después de este período puede volver a registrarse.</li>
                                <li style="margin-bottom:10px">El número de documento DUI servirá para identificarse en el sistema. No publicaremos ni compartiremos su información personal. Una vez aprobado la primera etapa de pre-selección su información personal estará disponible solo a la Institución responsable del concurso.</li>
                                <li style="margin-bottom:10px">Si no se recibe el correo de activación, favor revisar correo Spam o Correo No Deseado. Si necesita activar o recordar su usuario y clave, favor usar la opción: <a href="../../Recuperar.aspx">Recuperar Clave</a> que se encuentra en Inicio de Sesión. Si se ha equivocado en ingresar el correo electrónico puede volver a registrarse esperando UNA hora. </li>
                                <li style="margin-bottom:10px">Para reportar fallas técnicas o duplicidad en número de DUI favor solicitarlo por medio de: <a href="../../wfContacto.aspx">Soporte</a>.</li>
                            </ol>
<%--                            </div>--%>
                        </dx:LayoutItemNestedControlContainer>
                    </LayoutItemNestedControlCollection>
                </dx:LayoutItem>
            </Items>
        </dx:LayoutGroup>
    </Items>
</dx:ASPxFormLayout>
    <div style="text-align:center;width:100%;">
        <asp:Literal ID="ltlMensaje" runat="server" Visible="False"></asp:Literal>
    </div>
    
</dx:PanelContent>
</PanelCollection>
</dx:ASPxCallbackPanel>

