﻿<%@ Control Language="vb" AutoEventWireup="false" CodeBehind="ucTablaEstadistica.ascx.vb" Inherits="Dotacion.ucTablaEstadistica" %>
<h3>Estado de los concursos por Año</h3>
<dx:ASPxGridView ID="gridTablaEstadistica" runat="server" AutoGenerateColumns="False" DataSourceID="SqlViewTabla" Width="100%" AccessibilityCompliant="True" Theme="MetropolisBlue">
<SettingsAdaptivity AdaptivityMode="HideDataCellsWindowLimit" HideDataCellsAtWindowInnerWidth="800">
<AdaptiveDetailLayoutProperties ColCount="1">
    <Items>
        <dx:GridViewColumnLayoutItem ColSpan="1" ColumnName="anio">
        </dx:GridViewColumnLayoutItem>
        <dx:GridViewColumnLayoutItem ColSpan="1" ColumnName="Instituciones">
        </dx:GridViewColumnLayoutItem>
        <dx:GridViewColumnLayoutItem ColSpan="1" ColumnName="ConcursosPublicados">
        </dx:GridViewColumnLayoutItem>
        <dx:GridViewColumnLayoutItem ColSpan="1" ColumnName="ConcursosContratados">
        </dx:GridViewColumnLayoutItem>
        <dx:GridViewColumnLayoutItem ColSpan="1" ColumnName="EmpleadosContratados">
        </dx:GridViewColumnLayoutItem>
        <dx:GridViewColumnLayoutItem ColSpan="1" ColumnName="Desiertos">
        </dx:GridViewColumnLayoutItem>
        <dx:GridViewColumnLayoutItem ColSpan="1" ColumnName="EnEvaluacion">
        </dx:GridViewColumnLayoutItem>
        <dx:GridViewColumnLayoutItem ColSpan="1" ColumnName="Nuevos">
        </dx:GridViewColumnLayoutItem>
    </Items>
    </AdaptiveDetailLayoutProperties>
</SettingsAdaptivity>

    <SettingsPager Mode="ShowAllRecords" Visible="False">
    </SettingsPager>
    <Settings ShowFooter="True" />
    <SettingsBehavior AllowDragDrop="False" AllowSort="False" />
    <SettingsDataSecurity AllowDelete="False" AllowEdit="False" AllowInsert="False" />

<EditFormLayoutProperties ColCount="1"></EditFormLayoutProperties>
       <Columns>
        <dx:GridViewDataTextColumn Caption="Año" FieldName="anio" VisibleIndex="0">
            <FooterTemplate>
                <b>Totales:</b>
            </FooterTemplate>
        </dx:GridViewDataTextColumn>
        <dx:GridViewDataTextColumn FieldName="Instituciones" Caption="Instituciones Participantes" VisibleIndex="1" ToolTip="Instituciones que han participado publicando concursos">
        </dx:GridViewDataTextColumn>
        <dx:GridViewDataTextColumn FieldName="ConcursosPublicados" VisibleIndex="2" ToolTip="Concursos que han sido generados a través del sistema">
            <PropertiesTextEdit DisplayFormatString="n0">
            </PropertiesTextEdit>
        </dx:GridViewDataTextColumn>
        <dx:GridViewDataTextColumn FieldName="ConcursosContratados" Caption="Concursos Finalizados" VisibleIndex="3" ToolTip="Concursos que han sido finalizados y contratados">
            <PropertiesTextEdit DisplayFormatString="n0">
            </PropertiesTextEdit>
        </dx:GridViewDataTextColumn>
        <dx:GridViewDataTextColumn FieldName="EmpleadosContratados" Caption="Personas Contratadas"  VisibleIndex="4" ToolTip="Corresponde a la sumatoria de las vacantes de los concursos finalizados y contratados.">
            <PropertiesTextEdit DisplayFormatString="n0">
            </PropertiesTextEdit>
        </dx:GridViewDataTextColumn>
        <dx:GridViewDataTextColumn FieldName="Desiertos" VisibleIndex="5" ToolTip="Concursos que se han declarado desiertos (sin contratación)">
            <PropertiesTextEdit DisplayFormatString="n0">
            </PropertiesTextEdit>
        </dx:GridViewDataTextColumn>
        <dx:GridViewDataTextColumn FieldName="EnEvaluacion" VisibleIndex="6" ToolTip="Concursos que aún estan en período de Evaluación" Caption="En Evaluación">
            <PropertiesTextEdit DisplayFormatString="n0">
            </PropertiesTextEdit>
        </dx:GridViewDataTextColumn>
        <dx:GridViewDataTextColumn Caption="Usuarios Registrados" FieldName="Nuevos" VisibleIndex="7">
            <PropertiesTextEdit DisplayFormatString="n0">
            </PropertiesTextEdit>
        </dx:GridViewDataTextColumn>
    </Columns>
    <TotalSummary>
        <dx:ASPxSummaryItem FieldName="ConcursosContratados" SummaryType="Sum" DisplayFormat="{0:n0}" />
        <dx:ASPxSummaryItem FieldName="EmpleadosContratados" SummaryType="Sum" DisplayFormat="{0:n0}" />
        <dx:ASPxSummaryItem FieldName="Desiertos" SummaryType="Sum" DisplayFormat="{0:n0}" />
        <dx:ASPxSummaryItem DisplayFormat="{0:n0}" FieldName="Nuevos" SummaryType="Sum" />
        <dx:ASPxSummaryItem DisplayFormat="{0:n0}" FieldName="ConcursosPublicados" SummaryType="Sum" Tag="Publicados" />
        <dx:ASPxSummaryItem DisplayFormat="{0:n0}" FieldName="EnEvaluacion" SummaryType="Sum" />
    </TotalSummary>
    <Styles>
        <Header HorizontalAlign="Center" Wrap="True">
        </Header>
        <Footer Font-Bold="True">
        </Footer>
    </Styles>
</dx:ASPxGridView>
<%--<div class="alert-box notice"><span>Información: </span>Cada título de la tabla describe su contenido, favor pasar el cursor para obtener información.</div>--%>
<asp:SqlDataSource ID="SqlViewTabla" runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="SELECT * FROM [TablaEstadistica]"></asp:SqlDataSource>

