﻿<%@ Control Language="vb" AutoEventWireup="false" CodeBehind="ucTask.ascx.vb" Inherits="Dotacion.ucTask" %>
<dx:ASPxComboBox runat="server" ValueType="System.Int32" NullText="[Concurso]" CallbackPageSize="5" EnableCallbackMode="True" DropDownRows="5" DataSourceID="SqlConcursoAEvaluar" TextField="nombrePuesto" ValueField="idPlaza" TextFormatString="{0}; {1}; {2}; {3}" AutoResizeWithContainer="True" Width="500px" AutoPostBack="True" Caption="Seleccione el concurso a calificar:" ID="cmbConcursoEvaluar" Theme="Office2003Olive">
    <Columns>
        <dx:ListBoxColumn FieldName="Identificador" Caption="Concurso">
        </dx:ListBoxColumn>
        <dx:ListBoxColumn FieldName="nombrePuesto" Caption="Puesto">
        </dx:ListBoxColumn>
        <dx:ListBoxColumn FieldName="vacantes" Caption="Vacantes">
        </dx:ListBoxColumn>
        <dx:ListBoxColumn FieldName="nombreMunicipio" Caption="Municipio">
        </dx:ListBoxColumn>
    </Columns>
    <ItemStyle Wrap="True"></ItemStyle>
    <ValidationSettings ErrorDisplayMode="ImageWithTooltip" SetFocusOnError="True" ValidationGroup="groupTabSeleccion">
        <RequiredField IsRequired="True" ErrorText="Es necesario seleccionar el concurso">
        </RequiredField>
    </ValidationSettings>
</dx:ASPxComboBox><dx:ASPxButton ID="btnCambiar" runat="server" AutoPostBack="False" Text="Asignar postulantes" Theme="Office2003Olive">
</dx:ASPxButton>
<asp:SqlDataSource runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="SELECT Plaza.idPlaza, Plaza.nombrePuesto, STP_Municipio.nombreMunicipio, Plaza.Identificador, Plaza.vacantes FROM Plaza LEFT OUTER JOIN STP_Municipio ON Plaza.idMunicipio = STP_Municipio.idMunicipio ORDER BY Plaza.fechaModificacion DESC" ID="SqlConcursoAEvaluar"></asp:SqlDataSource>
<br />
<br />

<dx:ASPxGridView ID="ASPxGridView1" runat="server" AutoGenerateColumns="False" DataSourceID="ObjectPlaza" EnableTheming="True" KeyFieldName="idPlaza" Theme="Office2003Silver">
    <SettingsPager PageSize="5">
    </SettingsPager>
    <SettingsSearchPanel Visible="True" />
    <Columns>
        <dx:GridViewCommandColumn ShowDeleteButton="True" ShowEditButton="True" ShowNewButtonInHeader="True" VisibleIndex="0">
        </dx:GridViewCommandColumn>
        <dx:GridViewDataTextColumn FieldName="idPlaza" VisibleIndex="1">
        </dx:GridViewDataTextColumn>
        <dx:GridViewDataTextColumn Caption="institucion" FieldName="idInstitucion" VisibleIndex="3">
        </dx:GridViewDataTextColumn>
        <dx:GridViewDataTextColumn FieldName="Identificador" VisibleIndex="4">
        </dx:GridViewDataTextColumn>
        <dx:GridViewDataTextColumn Caption="estado" FieldName="idEstadoPlaza" VisibleIndex="6">
        </dx:GridViewDataTextColumn>
        <dx:GridViewDataTextColumn FieldName="vacantes" VisibleIndex="12">
        </dx:GridViewDataTextColumn>
        <dx:GridViewDataTextColumn FieldName="idMunicipio" VisibleIndex="14">
        </dx:GridViewDataTextColumn>
        <dx:GridViewDataTextColumn FieldName="salario" VisibleIndex="16">
        </dx:GridViewDataTextColumn>
        <dx:GridViewDataDateColumn Caption="Inicio" FieldName="fechaInicioInscripcion" VisibleIndex="18">
        </dx:GridViewDataDateColumn>
        <dx:GridViewDataDateColumn Caption="Cierre" FieldName="fechaCierreInscripcion" VisibleIndex="20">
        </dx:GridViewDataDateColumn>
        <dx:GridViewDataTextColumn Caption="creador" FieldName="usuarioCreacion" VisibleIndex="22">
        </dx:GridViewDataTextColumn>
        <dx:GridViewDataDateColumn Caption="f creacion" FieldName="fechaCreacion" VisibleIndex="24">
            <PropertiesDateEdit DisplayFormatString="g">
            </PropertiesDateEdit>
        </dx:GridViewDataDateColumn>
        <dx:GridViewDataTextColumn Caption="Modificador" FieldName="usuarioModificacion" VisibleIndex="26">
        </dx:GridViewDataTextColumn>
        <dx:GridViewDataDateColumn Caption="f Modif" FieldName="fechaModificacion" VisibleIndex="28" SortIndex="0" SortOrder="Descending">
            <PropertiesDateEdit DisplayFormatString="g">
            </PropertiesDateEdit>
        </dx:GridViewDataDateColumn>
        <dx:GridViewDataTextColumn FieldName="COD_INSPTO" VisibleIndex="30">
        </dx:GridViewDataTextColumn>
        <dx:GridViewDataTextColumn FieldName="nombrePuesto" VisibleIndex="34">
        </dx:GridViewDataTextColumn>
        <dx:GridViewDataTextColumn FieldName="comentario" VisibleIndex="54">
        </dx:GridViewDataTextColumn>
        <dx:GridViewDataTextColumn Caption="coment" FieldName="cierreComentario" VisibleIndex="59">
        </dx:GridViewDataTextColumn>
        <dx:GridViewDataTextColumn Caption="# par" FieldName="numeroParticipantes" VisibleIndex="56">
        </dx:GridViewDataTextColumn>
    </Columns>
</dx:ASPxGridView>
<asp:ObjectDataSource ID="ObjectPlaza" runat="server" DataObjectTypeName="STP.EL.Dotacion.Plaza" DeleteMethod="Delete" InsertMethod="SaveChanges" SelectMethod="GetListPlaza" TypeName="Dotacion.PlazaBusinessObject" UpdateMethod="SaveChanges">
    <SelectParameters>
        <asp:Parameter Name="foreignLevel" Type="Int32" />
    </SelectParameters>
</asp:ObjectDataSource>


