﻿<%@ Control Language="vb" AutoEventWireup="false" CodeBehind="ucConcursosFiltros.ascx.vb" Inherits="Dotacion.ucConcursosFiltros" %>
<script type="text/javascript">
     // <![CDATA[
        function OnMoreInfoClick(key) {
            
            window.location.href = '../wfPlaza.aspx?p=' + key;
        }
        function Proceso(key) {

            window.location.href = '../wfProceso.aspx?p=' + key;
        }

     // ]]> 
</script>
<div class="flex-ayuda">
    <%--<dx:ASPxComboBox ID="cmbEstado" runat="server" ValueType="System.Int32" AutoResizeWithContainer="True" DataSourceID="SqlEstados" TextField="nombreEstadoPlaza" ValueField="idEstadoPlaza" Width="423px" ClientInstanceName="cmbEstado" SelectedIndex="1" Caption="Estado">
    <ClientSideEvents SelectedIndexChanged="function(s, e) {
	gridPuestosPublicados.Refresh();
}" />
</dx:ASPxComboBox>--%>
<asp:SqlDataSource ID="SqlEstados" runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="SELECT * FROM [EstadoPlaza]"></asp:SqlDataSource>
<dx:ASPxButton ID="ASPxButton1" runat="server" Text="Exportar"></dx:ASPxButton>
</div>
<br />
<dx:ASPxGridView runat="server" AutoGenerateColumns="False" KeyFieldName="idPlaza" ClientInstanceName="gridPuestosPublicados" DataSourceID="SqlPlazas" Width="100%" ID="gridPuestosPublicados">
    <SettingsAdaptivity AdaptivityMode="HideDataCellsWindowLimit" HideDataCellsAtWindowInnerWidth="910">
        <AdaptiveDetailLayoutProperties ColCount="2">
            <Items>
                <dx:GridViewColumnLayoutItem ColumnName="Identificador" ColSpan="2">
                    <CaptionSettings Location="Left" VerticalAlign="Top">
                    </CaptionSettings>
                </dx:GridViewColumnLayoutItem>
                <dx:GridViewColumnLayoutItem ColumnName="nombrePuesto" ColSpan="2">
                </dx:GridViewColumnLayoutItem>
                <dx:GridViewColumnLayoutItem ColumnName="siglasInstitucion">
                </dx:GridViewColumnLayoutItem>
                <dx:GridViewColumnLayoutItem ColumnName="salario">
                </dx:GridViewColumnLayoutItem>
                <dx:GridViewColumnLayoutItem ColumnName="vacantes">
                </dx:GridViewColumnLayoutItem>
                <dx:GridViewColumnLayoutItem ColumnName="municipio">
                </dx:GridViewColumnLayoutItem>
                <dx:GridViewColumnLayoutItem ColumnName="fechaCierreInscripcion" ColSpan="2">
                    <CaptionSettings Location="Left" VerticalAlign="Top">
                    </CaptionSettings>
                </dx:GridViewColumnLayoutItem>
                <dx:GridViewColumnLayoutItem ColumnName="Acci&#243;n" ShowCaption="False" ColSpan="2">
                    <CaptionSettings HorizontalAlign="Center">
                    </CaptionSettings>
                </dx:GridViewColumnLayoutItem>
            </Items>
            <SettingsItemCaptions Location="Top" HorizontalAlign="Left" VerticalAlign="Middle">
            </SettingsItemCaptions>
            <Styles>
                <LayoutGroup>
                    <Cell>
                        <Paddings Padding="0px">
                        </Paddings>
                    </Cell>
                </LayoutGroup>
            </Styles>
        </AdaptiveDetailLayoutProperties>
    </SettingsAdaptivity>
    <SettingsPager AlwaysShowPager="True" Mode="ShowAllRecords" Visible="False">
        <Summary EmptyText="No existen concursos por el momento" Text="P&#225;gina {0} de {1} ({2} concursos)">
        </Summary>
    </SettingsPager>
    <Settings ShowHeaderFilterBlankItems="False" ShowFilterRow="True" ShowFooter="True">
    </Settings>
    <SettingsBehavior EnableRowHotTrack="True" AllowDragDrop="False">
    </SettingsBehavior>
    <SettingsCommandButton>
        <SearchPanelApplyButton ButtonType="Button" RenderMode="Button" Text=" ">
            <Image Url="~/Content/Images/search.png">
            </Image>
            <Styles>
                <Style Wrap="True">
                </Style>
            </Styles>
        </SearchPanelApplyButton>
    </SettingsCommandButton>
    <SettingsDataSecurity AllowInsert="False" AllowEdit="False" AllowDelete="False">
    </SettingsDataSecurity>
    <SettingsSearchPanel ShowApplyButton="True" CustomEditorID="btnBuscarDisponibles" AllowTextInputTimer="False">
    </SettingsSearchPanel>
    <SettingsText EmptyDataRow="No existen concursos disponibles por el momento." SearchPanelEditorNullText="Buscar por No. de concurso o t&#237;tulo del puesto o instituci&#243;n o ubicaci&#243;n">
    </SettingsText>
    <Columns>
        <dx:GridViewCommandColumn ShowClearFilterButton="True" VisibleIndex="0">
        </dx:GridViewCommandColumn>
        <dx:GridViewDataTextColumn FieldName="nombrePuesto" SortIndex="1" SortOrder="Ascending" ShowInCustomizationForm="True" Caption="T&#237;tulo del Puesto" ToolTip="Nombre del puesto funcional" VisibleIndex="2">
            <Settings AutoFilterCondition="Contains" />
            <DataItemTemplate>
                <a href="javascript:void(0);" onclick="OnMoreInfoClick('<%# Container.KeyValue %>')" class="mayusculas"><%# Eval("nombrePuesto")%></a>
            </DataItemTemplate>
        </dx:GridViewDataTextColumn>
        <dx:GridViewDataTextColumn FieldName="Identificador" ReadOnly="True" ShowInCustomizationForm="True" AdaptivePriority="1" Caption="No. concurso" ToolTip="N&#250;mero de concurso" VisibleIndex="1">
        </dx:GridViewDataTextColumn>
        <dx:GridViewDataTextColumn FieldName="vacantes" ShowInCustomizationForm="True" AdaptivePriority="1" Caption="Vacantes" ToolTip="N&#250;mero de puestos vacantes" VisibleIndex="6">
            <Settings HeaderFilterMode="CheckedList">
            </Settings>
            <HeaderStyle HorizontalAlign="Center"></HeaderStyle>
        </dx:GridViewDataTextColumn>
        <dx:GridViewDataTextColumn FieldName="salario" ShowInCustomizationForm="True" AdaptivePriority="1" Caption="Salario" ToolTip="Salario ofertado" VisibleIndex="5">
            <PropertiesTextEdit DisplayFormatString="c">
            </PropertiesTextEdit>
            <Settings AllowAutoFilter="False" />
            <HeaderStyle HorizontalAlign="Center"></HeaderStyle>
        </dx:GridViewDataTextColumn>
        <dx:GridViewDataDateColumn FieldName="fechaCierreInscripcion" SortIndex="0" SortOrder="Ascending" ShowInCustomizationForm="True" AdaptivePriority="1" Caption="Cierre" ToolTip="&#218;ltima fecha para postular" VisibleIndex="8">
            <PropertiesDateEdit DisplayFormatString="D">
            </PropertiesDateEdit>
            <Settings HeaderFilterMode="CheckedList" AllowAutoFilter="False">
            </Settings>
            <HeaderStyle HorizontalAlign="Center"></HeaderStyle>
            <CellStyle HorizontalAlign="Right">
            </CellStyle>
        </dx:GridViewDataDateColumn>
        <dx:GridViewDataTextColumn ShowInCustomizationForm="True" Caption="Acci&#243;n" ToolTip="Acciones que se pueden realizar" VisibleIndex="10" Name="accion">
            <DataItemTemplate>
                <dx:ASPxButton ID="btnAplicar" runat="server" Text="Aplicar" AutoPostBack="False" Width="110px" UseSubmitBehavior="false">
                </dx:ASPxButton>
                <dx:ASPxButton ID="btnProceso" runat="server" Text="Ver proceso" AutoPostBack="False" Width="110px" Theme="Office2003Silver" UseSubmitBehavior="false">
                </dx:ASPxButton>
            </DataItemTemplate>
            <HeaderStyle HorizontalAlign="Center"></HeaderStyle>
            <CellStyle HorizontalAlign="Center">
            </CellStyle>
        </dx:GridViewDataTextColumn>
        <dx:GridViewDataComboBoxColumn Caption="Institución" FieldName="idInstitucion" ToolTip="Institución pública que solicita el servicio" VisibleIndex="4">
            <PropertiesComboBox DataSourceID="SqlInstitucion" TextField="siglasInstitucion" ValueField="idInstitucion">
            </PropertiesComboBox>
            <HeaderStyle HorizontalAlign="Center" />
            <CellStyle HorizontalAlign="Center">
            </CellStyle>
        </dx:GridViewDataComboBoxColumn>
        <dx:GridViewDataComboBoxColumn Caption="Estado" FieldName="idEstadoPlaza" VisibleIndex="3">
            <PropertiesComboBox DataSourceID="SqlEstados" TextField="nombreEstadoPlaza" ValueField="idEstadoPlaza">
            </PropertiesComboBox>
        </dx:GridViewDataComboBoxColumn>
        <dx:GridViewDataTextColumn Caption="No. Postulantes" FieldName="numeroParticipantes" VisibleIndex="9">
            <Settings AllowAutoFilter="False" />
        </dx:GridViewDataTextColumn>
        <dx:GridViewDataComboBoxColumn Caption="Ubicación" FieldName="idMunicipio" ReadOnly="True" ToolTip="Municipio donde se requieren los servicios" VisibleIndex="7">
            <PropertiesComboBox DataSourceID="SqlMunicipio" TextField="nombreMunicipio" ValueField="idMunicipio">
            </PropertiesComboBox>
            <Settings HeaderFilterMode="CheckedList" />
            <HeaderStyle HorizontalAlign="Center" />
            <CellStyle HorizontalAlign="Center">
            </CellStyle>
        </dx:GridViewDataComboBoxColumn>
    </Columns>
    <TotalSummary>
        <dx:ASPxSummaryItem DisplayFormat="Total: {0}" FieldName="idPlaza" ShowInColumn="No. concurso" SummaryType="Count" />
    </TotalSummary>
    <Styles>
        <Header Wrap="True">
        </Header>
        <AlternatingRow Enabled="True">
        </AlternatingRow>
        <Cell Wrap="True">
        </Cell>
        <TitlePanel BackColor="#99CCFF">
        </TitlePanel>
        <SearchPanel Wrap="True" Border-BorderColor="#3399FF" Border-BorderStyle="Solid" Border-BorderWidth="1px" BackColor="#99CCFF">
        </SearchPanel>
    </Styles>
</dx:ASPxGridView>
<asp:SqlDataSource runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="SELECT Plaza.idPlaza, Plaza.Identificador, Plaza.idEstadoPlaza, Plaza.vacantes, Plaza.salario, Plaza.fechaCierreInscripcion, Plaza.nombrePuesto, EstadoPlaza.nombreEstadoPlaza, SEGURIDAD.dbo.Institucion.idInstitucion, Plaza.numeroParticipantes, Plaza.idMunicipio FROM Plaza INNER JOIN SEGURIDAD.dbo.Institucion ON Plaza.idInstitucion = SEGURIDAD.dbo.Institucion.idInstitucion INNER JOIN EstadoPlaza ON Plaza.idEstadoPlaza = EstadoPlaza.idEstadoPlaza LEFT OUTER JOIN STP_Municipio ON Plaza.idMunicipio = STP_Municipio.idMunicipio WHERE (Plaza.fechaInicioInscripcion &lt;= GETDATE()) AND (Plaza.idConvocatoria &lt;&gt; 'C1') AND (Plaza.idInstitucion &lt;&gt; 'AA')" ID="SqlPlazas">
</asp:SqlDataSource>

<dx:ASPxGridViewExporter ID="gridExport" runat="server" GridViewID="gridPuestosPublicados">
</dx:ASPxGridViewExporter>


<asp:SqlDataSource runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="SELECT [siglasInstitucion], [idInstitucion] FROM SEGURIDAD.dbo.[Institucion]" ID="SqlInstitucion">
</asp:SqlDataSource>




<asp:SqlDataSource runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="SELECT [idMunicipio], [nombreMunicipio] FROM [STP_Municipio]" ID="SqlMunicipio">
</asp:SqlDataSource>




