﻿<%@ Control Language="vb" AutoEventWireup="false" CodeBehind="ucGrado.ascx.vb" Inherits="Dotacion.ucGrado" %>
<%@ Register assembly="DevExpress.Web.v18.1, Version=18.1.6.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Data.Linq" tagprefix="dx" %>
   <script type="text/javascript">
        var lastGrado = null;
        function OnGradoChanged(cmbGrado) {
            if (gridEspecialidad.GetEditor("ESP_CODIGO").InCallback())
                lastGrado = cmbGrado.GetValue().toString();
            else 
                gridEspecialidad.GetEditor("ESP_CODIGO").PerformCallback(cmbGrado.GetValue().toString());
        }
        function OnEndCallback(s,e){
            if (lastGrado){
                gridEspecialidad.GetEditor("ESP_CODIGO").PerformCallback(lastGrado);
                lastGrado = null;
            }
        }
    </script>
<dx:ASPxFormLayout ID="FormPuesto" runat="server" CssClass="CenteredGrid">
    <Items>
        <dx:LayoutGroup ShowCaption="False">
            <Items>
                <dx:LayoutItem Caption="Formación Académica">
                    <LayoutItemNestedControlCollection>
                        <dx:LayoutItemNestedControlContainer runat="server">
                            <h3 style="text-align:right;">Grado Académico</h3>
                            <div class="alert-box notice"><span>Indispensables: </span>La persona de este puesto podrá tener alguno de los grados indispensables que se ingresen.</div>
                            
                            <dx:ASPxGridView ID="gridGradosSAPT" runat="server" ClientInstanceName="gridGradosSAPT" Width="100%" DataSourceID="SqlDataGradoPuesto" Theme="Office2003Blue" AutoGenerateColumns="False" KeyFieldName="GRA_CODIGO">
                                <ClientSideEvents EndCallback="function(s, e) {
		if (s.cpInserted) {
		delete s.cpInserted;
gridGradosSAPT.SetFocusedRowIndex(0);
	}

}" />
                                <SettingsPager Mode="ShowAllRecords">
                                </SettingsPager>
                                <SettingsBehavior AllowAutoFilter="False" AllowDragDrop="False" AllowFocusedRow="True" AllowSort="False" />
                                <SettingsCommandButton>
                                    <UpdateButton ButtonType="Button">
                                        <Image IconID="save_save_16x16">
                                        </Image>
                                    </UpdateButton>
                                </SettingsCommandButton>
                                <Columns>
                                    <dx:GridViewDataComboBoxColumn FieldName="REQ_CODIGO" ShowInCustomizationForm="True" VisibleIndex="2" Caption="Requerimiento">
                                        <PropertiesComboBox DataSourceID="SqlRequerimiento" TextField="REQ_NOMBRE" ValueField="REQ_CODIGO" ValueType="System.Int32">
                                        </PropertiesComboBox>
                                    </dx:GridViewDataComboBoxColumn>
                                    <dx:GridViewDataComboBoxColumn FieldName="GRA_CODIGO" ShowInCustomizationForm="True" VisibleIndex="1" Caption="Grado Académico">
                                        <PropertiesComboBox DataSourceID="SqlGrado" TextField="GRA_NOMBRE" ValueField="GRA_CODIGO">
                                        </PropertiesComboBox>
                                    </dx:GridViewDataComboBoxColumn>
                                    <dx:GridViewDataTextColumn FieldName="ContEsp" ReadOnly="True" ShowInCustomizationForm="True" Visible="False" VisibleIndex="3">
                                    </dx:GridViewDataTextColumn>
                                    <dx:GridViewDataTextColumn Caption="Código" FieldName="GRA_CODIGO" ShowInCustomizationForm="True" VisibleIndex="0">
                                        <EditFormSettings Visible="False" />
                                    </dx:GridViewDataTextColumn>
                                </Columns>
                                <Toolbars>
                                    <dx:GridViewToolbar ItemAlign="Right">
                                        <Items>
                                            <dx:GridViewToolbarItem Command="New" Text="Nuevo">
                                                <Image IconID="actions_add_16x16">
                                                </Image>
                                            </dx:GridViewToolbarItem>
                                            <dx:GridViewToolbarItem Command="Edit" Text="Modificar">
                                            </dx:GridViewToolbarItem>
                                            <dx:GridViewToolbarItem Command="Delete" Text="Eliminar">
                                            </dx:GridViewToolbarItem>
                                        </Items>
                                    </dx:GridViewToolbar>
                                </Toolbars>
                                    <TotalSummary>
                                    <dx:ASPxSummaryItem FieldName="ContEsp" SummaryType="Min" />
                                    </TotalSummary>
                            </dx:ASPxGridView>

<h3 style="text-align:right;">Opción Académica</h3>
<dx:ASPxGridView ID="gridEspecialidad" runat="server" AutoGenerateColumns="False" ClientInstanceName="gridEspecialidad" DataSourceID="SqlDataEspecialidadPuesto" Width="100%" Theme="Office2003Blue" KeyFieldName="ESP_CODIGO">
    <ClientSideEvents EndCallback="function(s, e) {
if (s.cpUpdate) {
		delete s.cpUpdate;
gridGradosSAPT.Refresh();
        gridEspecialidad.SetFocusedRowIndex(0);
	}
}
" />
    <Templates>
        <EmptyDataRow>
                       <div class="alert-box error"><span>[No existen opciones aún]</span> Debe registrar una opción académica Indispensable.</div>
        </EmptyDataRow>
    </Templates>
    <SettingsPager Mode="ShowAllRecords" Visible="False">
    </SettingsPager>
    <SettingsBehavior AllowAutoFilter="False" AllowDragDrop="False" AllowFocusedRow="True" AllowSort="False" />
                                    <SettingsCommandButton>
                                    <UpdateButton ButtonType="Button">
                                        <Image IconID="save_save_16x16">
                                        </Image>
                                    </UpdateButton>
                                </SettingsCommandButton>
    <Columns>
            <dx:GridViewDataComboBoxColumn Caption="Especialidad" FieldName="ESP_CODIGO" ShowInCustomizationForm="True" VisibleIndex="4" Visible="False">
                        <PropertiesComboBox EnableSynchronization="False" IncrementalFilteringMode="Contains" ValueType="System.String">
                <ClientSideEvents EndCallback="OnEndCallback" />
                <InvalidStyle BackColor="LightPink">
                </InvalidStyle>
                <ValidationSettings CausesValidation="True" SetFocusOnError="True" ValidationGroup="groupTabFormacion">
                    <RequiredField IsRequired="True" ErrorText="Es necesario seleccionar la especialidad" />
                </ValidationSettings>
            </PropertiesComboBox>
            <EditFormSettings Visible="True" />
        </dx:GridViewDataComboBoxColumn>
        <dx:GridViewDataComboBoxColumn Caption="Requerimiento" FieldName="REQ_CODIGO" VisibleIndex="3">
            <PropertiesComboBox DataSourceID="SqlRequerimiento" TextField="REQ_NOMBRE" ValueField="REQ_CODIGO" ValueType="System.Int32">
                <InvalidStyle BackColor="LightPink">
                </InvalidStyle>
                <ValidationSettings Display="Dynamic" SetFocusOnError="True" ValidationGroup="groupTabFormacion">
                    <RequiredField ErrorText="Es necesario seleccionar el requerimiento" IsRequired="True" />
                </ValidationSettings>
            </PropertiesComboBox>
        </dx:GridViewDataComboBoxColumn>
        <dx:GridViewDataComboBoxColumn Caption="Grado" Visible="False" VisibleIndex="1" FieldName="GRA_CODIGO">
                    <PropertiesComboBox DataSourceID="SqlDataGradoPuesto" TextField="GRA_NOMBRE" ValueField="GRA_CODIGO" EnableSynchronization="False" IncrementalFilteringMode="Contains">
                <ClientSideEvents SelectedIndexChanged="function(s, e) {
	OnGradoChanged(s); 
}" />
                <InvalidStyle BackColor="LightPink">
                </InvalidStyle>
                <ValidationSettings CausesValidation="True" SetFocusOnError="True" ValidationGroup="groupTabFormacion">
                    <RequiredField IsRequired="True" ErrorText="Es necesario seleccionar el Grado" />
                </ValidationSettings>
            </PropertiesComboBox>
            <EditFormSettings Visible="True" />
        </dx:GridViewDataComboBoxColumn>

            <dx:GridViewDataTextColumn Caption="Opción Académica" FieldName="ESP_NOMBRE" VisibleIndex="2">
                <EditFormSettings Visible="False" />
            </dx:GridViewDataTextColumn>

    </Columns>
      <Toolbars>
                                    <dx:GridViewToolbar ItemAlign="Right">
                                        <Items>
                                            <dx:GridViewToolbarItem Command="New" Text="Nuevo">
                                                <Image IconID="actions_add_16x16">
                                                </Image>
                                            </dx:GridViewToolbarItem>
                                            <dx:GridViewToolbarItem Command="Edit" Text="Modificar">
                                            </dx:GridViewToolbarItem>
                                            <dx:GridViewToolbarItem Command="Delete" Text="Eliminar">
                                            </dx:GridViewToolbarItem>
                                        </Items>
                                    </dx:GridViewToolbar>
                                </Toolbars>
</dx:ASPxGridView>


                            
                        </dx:LayoutItemNestedControlContainer>
                    </LayoutItemNestedControlCollection>
                </dx:LayoutItem>

                <dx:LayoutItem Caption="Idioma">
                    <LayoutItemNestedControlCollection>
                        <dx:LayoutItemNestedControlContainer runat="server">

                            <dx:ASPxGridView ID="gridIdioma" runat="server" ClientInstanceName="gridIdioma" AutoGenerateColumns="False" DataSourceID="SqlIdiomaDotacion" KeyFieldName="COD_INSPTO;IDI_CODIGO" Width="100%" Theme="Office2003Blue">
                                <ClientSideEvents EndCallback="function(s, e) {
		if (s.cpInserted) {
		delete s.cpInserted;
gridIdioma.SetFocusedRowIndex(0);
	}
}" />
    <SettingsPager Visible="False" Mode="ShowAllRecords">
    </SettingsPager>
                                <SettingsEditing Mode="EditForm">
                                </SettingsEditing>
    <SettingsBehavior AllowDragDrop="False" AllowSort="False" AllowAutoFilter="False" AllowFocusedRow="True" />
                                <SettingsCommandButton>
                                    <NewButton ButtonType="Button" Text="Nuevo Idioma">
                                        <Image Url="~/Content/Images/Add_16x16.png">
                                        </Image>
                                    </NewButton>
                                    <UpdateButton ButtonType="Button" Text="Guardar">
                                        <Image Url="~/Content/Images/Save_16x16.png">
                                        </Image>
                                    </UpdateButton>
                                </SettingsCommandButton>
    <EditFormLayoutProperties ColCount="2">
        <Items>
            <dx:GridViewColumnLayoutItem ColumnName="IDI_CODIGO">
            </dx:GridViewColumnLayoutItem>
            <dx:GridViewColumnLayoutItem ColumnName="REQ_CODIGO">
            </dx:GridViewColumnLayoutItem>
            <dx:EditModeCommandLayoutItem ColSpan="2" HorizontalAlign="Center">
            </dx:EditModeCommandLayoutItem>
        </Items>
    </EditFormLayoutProperties>
    <Columns>
        <dx:GridViewDataTextColumn FieldName="COD_INSPTO" ReadOnly="True" Visible="False" VisibleIndex="1">
        </dx:GridViewDataTextColumn>
<dx:GridViewDataComboBoxColumn FieldName="IDI_CODIGO" ShowInCustomizationForm="True" Caption="Idioma" VisibleIndex="2">
<PropertiesComboBox DataSourceID="SqlIdioma" TextField="IDI_NOMBRE" ValueField="IDI_CODIGO">
<ValidationSettings CausesValidation="True">
<RequiredField IsRequired="True" ErrorText="Este campo es requerido"></RequiredField>
</ValidationSettings>
</PropertiesComboBox>
</dx:GridViewDataComboBoxColumn>
        <dx:GridViewDataComboBoxColumn Caption="Requerimiento" FieldName="REQ_CODIGO" VisibleIndex="3">
            <PropertiesComboBox DataSourceID="SqlRequerimiento" TextField="REQ_NOMBRE" ValueField="REQ_CODIGO" ValueType="System.Int32">
                <ValidationSettings CausesValidation="True">
                    <RequiredField ErrorText="Este campo es requerido" IsRequired="True" />
                </ValidationSettings>
            </PropertiesComboBox>
        </dx:GridViewDataComboBoxColumn>
    </Columns>
                                      <Toolbars>
                                    <dx:GridViewToolbar ItemAlign="Right">
                                        <Items>
                                            <dx:GridViewToolbarItem Command="New" Text="Nuevo">
                                                <Image IconID="actions_add_16x16">
                                                </Image>
                                            </dx:GridViewToolbarItem>
                                            <dx:GridViewToolbarItem Command="Edit" Text="Modificar">
                                            </dx:GridViewToolbarItem>
                                            <dx:GridViewToolbarItem Command="Delete" Text="Eliminar">
                                            </dx:GridViewToolbarItem>
                                        </Items>
                                    </dx:GridViewToolbar>
                                </Toolbars>
</dx:ASPxGridView>

                        </dx:LayoutItemNestedControlContainer>
                    </LayoutItemNestedControlCollection>
                </dx:LayoutItem>
                <dx:LayoutItem Caption="Competencias Técnicas">
                    <LayoutItemNestedControlCollection>
                        <dx:LayoutItemNestedControlContainer runat="server">
                            <dx:ASPxGridView ID="gridCompTecnica" runat="server" AutoGenerateColumns="False" ClientInstanceName="gridCompTecnica" DataSourceID="SqlCompTecnicaDotacion" KeyFieldName="COD_INSPTO;idCorrelativo" Width="100%">
                                <SettingsPager Mode="ShowAllRecords" Visible="False">
                                </SettingsPager>
                                <SettingsEditing Mode="EditForm">
                                </SettingsEditing>
                                <SettingsBehavior AllowDragDrop="False" AllowSort="False" />
                                <SettingsCommandButton>
                                    <NewButton ButtonType="Button" Text="Nuevo Conocimiento">
                                        <Image Url="~/Content/Images/Add_16x16.png">
                                        </Image>
                                    </NewButton>
                                    <UpdateButton ButtonType="Button" Text="Guardar">
                                        <Image Url="~/Content/Images/Save_16x16.png">
                                        </Image>
                                    </UpdateButton>
                                </SettingsCommandButton>
                                <EditFormLayoutProperties ColCount="2">
                                    <Items>
                                        <dx:GridViewColumnLayoutItem ColSpan="2" ColumnName="TEC_NOMBRE">
                                        </dx:GridViewColumnLayoutItem>
                                        <dx:GridViewColumnLayoutItem ColumnName="REQ_CODIGO">
                                        </dx:GridViewColumnLayoutItem>
                                        <dx:EditModeCommandLayoutItem ColSpan="2" HorizontalAlign="Center">
                                        </dx:EditModeCommandLayoutItem>
                                    </Items>
                                </EditFormLayoutProperties>
                                <Columns>
                                    <dx:GridViewCommandColumn ShowDeleteButton="True" ShowEditButton="True" ShowInCustomizationForm="True" ShowNewButtonInHeader="True" VisibleIndex="0">
                                    </dx:GridViewCommandColumn>
                                    <dx:GridViewDataTextColumn FieldName="COD_INSPTO" ReadOnly="True" ShowInCustomizationForm="True" Visible="False" VisibleIndex="1">
                                    </dx:GridViewDataTextColumn>
                                    <dx:GridViewDataComboBoxColumn Caption="Requerimiento" FieldName="REQ_CODIGO" ShowInCustomizationForm="True" VisibleIndex="3">
                                        <PropertiesComboBox DataSourceID="SqlRequerimiento" TextField="REQ_NOMBRE" ValueField="REQ_CODIGO">
                                            <ValidationSettings CausesValidation="True">
                                                <RequiredField ErrorText="Este campo se requiere" IsRequired="True" />
                                            </ValidationSettings>
                                        </PropertiesComboBox>
                                    </dx:GridViewDataComboBoxColumn>
                                    <dx:GridViewDataMemoColumn Caption="Conocimientos Específicos que se requieren" FieldName="TEC_NOMBRE" ShowInCustomizationForm="True" VisibleIndex="2">
                                        <PropertiesMemoEdit HelpText="Separar los conocimientos para que aparezcan en forma de listado." MaxLength="350" Rows="3" Width="300px">
                                            <ValidationSettings CausesValidation="True">
                                                <RequiredField ErrorText="Este campo es requerido" IsRequired="True" />
                                            </ValidationSettings>
                                        </PropertiesMemoEdit>
                                    </dx:GridViewDataMemoColumn>
                                </Columns>
                                <Styles>
                                    <EditForm Wrap="True">
                                    </EditForm>
                                    <EditFormColumnCaption Wrap="True">
                                    </EditFormColumnCaption>
                                </Styles>
                            </dx:ASPxGridView>

                        </dx:LayoutItemNestedControlContainer>
                    </LayoutItemNestedControlCollection>
                </dx:LayoutItem>
                <dx:LayoutItem Caption="Experiencia necesaria">
                    <LayoutItemNestedControlCollection>
                        <dx:LayoutItemNestedControlContainer runat="server">
                            <dx:ASPxGridView ID="gridExperiencia" runat="server" AutoGenerateColumns="False" ClientInstanceName="gridExperiencia" DataSourceID="SqlExperienciaDotacion" KeyFieldName="COD_INSPTO;idCorrelativo" Width="100%">
    <SettingsPager Visible="False" Mode="ShowAllRecords">
    </SettingsPager>
                                <SettingsEditing Mode="EditForm">
                                </SettingsEditing>
    <SettingsBehavior AllowDragDrop="False" AllowSort="False" />
                                <SettingsCommandButton>
                                    <NewButton ButtonType="Button" Text="Nueva Experiencia">
                                        <Image Url="~/Content/Images/Add_16x16.png">
                                        </Image>
                                    </NewButton>
                                    <UpdateButton ButtonType="Button" Text="Guardar">
                                        <Image Url="~/Content/Images/Save_16x16.png">
                                        </Image>
                                    </UpdateButton>
                                </SettingsCommandButton>
                                <EditFormLayoutProperties ColCount="2">
                                    <Items>
                                        <dx:GridViewColumnLayoutItem ColumnName="EXP_DESCRIPCION">
                                        </dx:GridViewColumnLayoutItem>
                                        <dx:GridViewColumnLayoutItem ColumnName="EXP_CODIGO">
                                        </dx:GridViewColumnLayoutItem>
                                        <dx:EditModeCommandLayoutItem ColSpan="2" HorizontalAlign="Center">
                                        </dx:EditModeCommandLayoutItem>
                                    </Items>
                                </EditFormLayoutProperties>
    <Columns>
        <dx:GridViewCommandColumn ShowDeleteButton="True" ShowEditButton="True" ShowNewButtonInHeader="True" VisibleIndex="0">
        </dx:GridViewCommandColumn>
        <dx:GridViewDataTextColumn FieldName="COD_INSPTO" ReadOnly="True" VisibleIndex="1" Visible="False">
        </dx:GridViewDataTextColumn>
        <dx:GridViewDataMemoColumn Caption="Descripción" FieldName="EXP_DESCRIPCION" ShowInCustomizationForm="True" VisibleIndex="2">
            <PropertiesMemoEdit MaxLength="350" Rows="3" Width="300px">
                <ValidationSettings CausesValidation="True">
                    <RequiredField ErrorText="Este campo es necesario" IsRequired="True" />
                </ValidationSettings>
            </PropertiesMemoEdit>
        </dx:GridViewDataMemoColumn>
        <dx:GridViewDataComboBoxColumn FieldName="EXP_CODIGO" VisibleIndex="3" Caption="Tiempo">
            <PropertiesComboBox DataSourceID="SqlTiempo" TextField="EXP_NOMBRE" ValueField="EXP_CODIGO">
                <ValidationSettings CausesValidation="True">
                    <RequiredField ErrorText="Este campo es necesario" IsRequired="True" />
                </ValidationSettings>
            </PropertiesComboBox>
        </dx:GridViewDataComboBoxColumn>
    </Columns>
</dx:ASPxGridView>

                        </dx:LayoutItemNestedControlContainer>
                    </LayoutItemNestedControlCollection>
                </dx:LayoutItem>
            </Items>
        </dx:LayoutGroup>
    </Items>
    <SettingsItemCaptions Location="Top" />
</dx:ASPxFormLayout>


<asp:SqlDataSource ID="SqlDataGradoPuesto" runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" DeleteCommand="DELETE FROM dSAPT_Grado where COD_INSPTO=@codPuesto and GRA_CODIGO=@gra_codigo" SelectCommand="SELECT GRA_CODIGO, REQ_CODIGO, (SELECT COUNT(*) AS Expr1 FROM dSAPT_Especialidad AS ep WHERE (COD_INSPTO = @codPuesto) AND (GRA_CODIGO = gp.GRA_CODIGO)) AS ContEsp, GRA_NOMBRE FROM dSAPT_Grado AS gp WHERE (COD_INSPTO = @codPuesto)" InsertCommand="SP_GuardarGrado" InsertCommandType="StoredProcedure" UpdateCommand="SP_GuardarGrado" UpdateCommandType="StoredProcedure">
    <DeleteParameters>
        <asp:SessionParameter Name="codPuesto" Type="String" SessionField="puesto" />
        <asp:Parameter Name="gra_codigo" />
    </DeleteParameters>
    <InsertParameters>
        <asp:SessionParameter Name="COD_INSPTO" Type="String" SessionField="puesto" />
        <asp:Parameter Name="GRA_CODIGO" Type="String" />
        <asp:Parameter Name="REQ_CODIGO" Type="Int32" />
    </InsertParameters>
    <SelectParameters>
        <asp:SessionParameter Name="codPuesto" SessionField="puesto" />
    </SelectParameters>
    <UpdateParameters>
        <asp:SessionParameter Name="COD_INSPTO" Type="String" SessionField="puesto" />
        <asp:Parameter Name="GRA_CODIGO" Type="String" />
        <asp:Parameter Name="REQ_CODIGO" Type="Int32" />
    </UpdateParameters>
</asp:SqlDataSource>

<asp:SqlDataSource ID="SqlDataEspecialidadPuesto" runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" DeleteCommand="DELETE FROM dSAPT_Especialidad where COD_INSPTO=@codPuesto and ESP_CODIGO=@ESP_CODIGO" SelectCommand="SELECT ESP_CODIGO, REQ_CODIGO, GRA_CODIGO, ESP_NOMBRE FROM dSAPT_Especialidad AS ep WHERE (COD_INSPTO = @codPuesto)" InsertCommand="SP_GuardarEspecialidad" InsertCommandType="StoredProcedure" UpdateCommand="SP_GuardarEspecialidad" UpdateCommandType="StoredProcedure">
    <DeleteParameters>
        <asp:SessionParameter Name="codPuesto" Type="String" SessionField="puesto" />
        <asp:Parameter Name="ESP_CODIGO" />
    </DeleteParameters>
    <InsertParameters>
        <asp:SessionParameter Name="COD_INSPTO" Type="String" SessionField="puesto" />
        <asp:Parameter Name="GRA_CODIGO" Type="String" />
        <asp:Parameter Name="ESP_CODIGO" Type="String" />
        <asp:Parameter Name="REQ_CODIGO" Type="Int32" />
    </InsertParameters>
    <SelectParameters>
        <asp:SessionParameter Name="codPuesto" SessionField="puesto" />
    </SelectParameters>
    <UpdateParameters>
        <asp:SessionParameter Name="COD_INSPTO" Type="String" SessionField="puesto" />
        <asp:Parameter Name="GRA_CODIGO" Type="String" />
        <asp:Parameter Name="ESP_CODIGO" Type="String" />
        <asp:Parameter Name="REQ_CODIGO" Type="Int32" />
    </UpdateParameters>
</asp:SqlDataSource>

<asp:SqlDataSource ID="SqlRequerimiento" runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="SELECT * FROM [dSAPT_Requerimiento] WHERE ([REQ_CODIGO] &lt;&gt; @REQ_CODIGO)">
    <SelectParameters>
        <asp:Parameter DefaultValue="0" Name="REQ_CODIGO" Type="Int32" />
    </SelectParameters>
</asp:SqlDataSource>
<asp:SqlDataSource ID="SqlGrado" runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="SELECT GRA_CODIGO, GRA_NOMBRE, ORDEN FROM ViewGrado ORDER BY ORDEN">
</asp:SqlDataSource>
<asp:SqlDataSource ID="SqlEspecialidad" runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="SELECT * FROM [ViewEspecialidades]"></asp:SqlDataSource>

<asp:SqlDataSource ID="SqlCompTecnicaDotacion" runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" DeleteCommand="DELETE FROM [dSAPT_CompTecnica] WHERE [COD_INSPTO] = @COD_INSPTO AND [idCorrelativo] = @idCorrelativo" InsertCommand="INSERT INTO [dSAPT_CompTecnica] ([COD_INSPTO], [TEC_NOMBRE], [REQ_CODIGO]) VALUES (@COD_INSPTO, @TEC_NOMBRE, @REQ_CODIGO)" SelectCommand="SELECT * FROM [dSAPT_CompTecnica] WHERE ([COD_INSPTO] = @COD_INSPTO)" UpdateCommand="UPDATE [dSAPT_CompTecnica] SET [TEC_NOMBRE] = @TEC_NOMBRE, [REQ_CODIGO] = @REQ_CODIGO WHERE [COD_INSPTO] = @COD_INSPTO AND [idCorrelativo] = @idCorrelativo">
    <DeleteParameters>
        <asp:SessionParameter Name="COD_INSPTO" SessionField="puesto" Type="String" />
        <asp:Parameter Name="idCorrelativo" Type="Int32" />
    </DeleteParameters>
    <InsertParameters>
       <asp:SessionParameter Name="COD_INSPTO" SessionField="puesto" Type="String" />
        <asp:Parameter Name="TEC_NOMBRE" Type="String" />
        <asp:Parameter Name="REQ_CODIGO" Type="Int32" />
    </InsertParameters>
    <SelectParameters>
        <asp:SessionParameter Name="COD_INSPTO" SessionField="puesto" Type="String" />
    </SelectParameters>
    <UpdateParameters>
        <asp:Parameter Name="TEC_NOMBRE" Type="String" />
        <asp:Parameter Name="REQ_CODIGO" Type="Int32" />
        <asp:SessionParameter Name="COD_INSPTO" SessionField="puesto" Type="String" />
        <asp:Parameter Name="idCorrelativo" Type="Int32" />
    </UpdateParameters>
</asp:SqlDataSource>

<asp:SqlDataSource ID="SqlIdiomaDotacion" runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="SELECT COD_INSPTO, IDI_CODIGO, IDI_NOMBRE, REQ_CODIGO FROM dSAPT_Idioma WHERE (COD_INSPTO = @puesto)" DeleteCommand="delete from dsapt_idioma where IDI_CODIGO=@IDI_CODIGO and cod_inspto=@cod_inspto" InsertCommand="GuardarIdioma" InsertCommandType="StoredProcedure" UpdateCommand="GuardarIdioma" UpdateCommandType="StoredProcedure">
    <DeleteParameters>
        <asp:Parameter Name="IDI_CODIGO" />
        <asp:SessionParameter Name="COD_INSPTO" SessionField="puesto" Type="String" />
    </DeleteParameters>
    <InsertParameters>
        <asp:SessionParameter Name="COD_INSPTO" SessionField="puesto" Type="String" />
        <asp:Parameter Name="IDI_CODIGO" Type="String" />
        <asp:Parameter Name="REQ_CODIGO" Type="Int32" />
    </InsertParameters>
    <SelectParameters>
        <asp:SessionParameter Name="puesto" SessionField="puesto" />
    </SelectParameters>
    <UpdateParameters>
        <asp:SessionParameter Name="COD_INSPTO" SessionField="puesto" Type="String" />
        <asp:Parameter Name="IDI_CODIGO" Type="String" />
        <asp:Parameter Name="REQ_CODIGO" Type="Int32" />
    </UpdateParameters>
</asp:SqlDataSource>

<asp:SqlDataSource ID="SqlIdioma" runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="SELECT * FROM [ViewIdioma]">
</asp:SqlDataSource>

<asp:SqlDataSource ID="SqlExperienciaDotacion" runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" DeleteCommand="DELETE FROM [dSAPT_Experiencia] WHERE [COD_INSPTO] = @COD_INSPTO AND [idCorrelativo] = @idCorrelativo" InsertCommand="INSERT INTO [dSAPT_Experiencia] ([COD_INSPTO], [EXP_DESCRIPCION], [EXP_CODIGO]) VALUES (@COD_INSPTO, @EXP_DESCRIPCION, @EXP_CODIGO)" SelectCommand="SELECT * FROM [dSAPT_Experiencia] WHERE ([COD_INSPTO] = @COD_INSPTO)" UpdateCommand="UPDATE [dSAPT_Experiencia] SET [EXP_DESCRIPCION] = @EXP_DESCRIPCION, [EXP_CODIGO] = @EXP_CODIGO WHERE [COD_INSPTO] = @COD_INSPTO AND [idCorrelativo] = @idCorrelativo">
    <DeleteParameters>
           <asp:SessionParameter Name="COD_INSPTO" SessionField="puesto" Type="String" />
        <asp:Parameter Name="idCorrelativo" Type="Int32" />
    </DeleteParameters>
    <InsertParameters>
           <asp:SessionParameter Name="COD_INSPTO" SessionField="puesto" Type="String" />
        <asp:Parameter Name="EXP_DESCRIPCION" Type="String" />
        <asp:Parameter Name="EXP_CODIGO" Type="String" />
    </InsertParameters>
    <SelectParameters>
        <asp:SessionParameter Name="COD_INSPTO" SessionField="puesto" Type="String" />
    </SelectParameters>
    <UpdateParameters>
        <asp:Parameter Name="EXP_DESCRIPCION" Type="String" />
        <asp:Parameter Name="EXP_CODIGO" Type="String" />
           <asp:SessionParameter Name="COD_INSPTO" SessionField="puesto" Type="String" />
        <asp:Parameter Name="idCorrelativo" Type="Int32" />
    </UpdateParameters>
</asp:SqlDataSource>

<asp:SqlDataSource ID="SqlTiempo" runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="SELECT * FROM [dSAPT_Tiempo]">
</asp:SqlDataSource>

