﻿<%@ Control Language="vb" AutoEventWireup="false" CodeBehind="ucListadoPlaza.ascx.vb" Inherits="Dotacion.ucListadoPlazas" %>
<h3 class="Center">Historial de Concursos</h3>
    <script type="text/javascript">
        function Info(element, key) {
            callPanelElemento.SetContentHtml("");
            popElemento.ShowAtElement(element);
            callPanelElemento.PerformCallback(key);
        }
        function OnMoreInfoClick(key) {
            cbpComentario.SetContentHtml("");
            popupCerrar.Show();
            cbpComentario.PerformCallback(key);
        }

    </script>
<dx:ASPxButton ID="btnNuevo" runat="server" Text="Nuevo Concurso" AutoPostBack="False" >
    <ClientSideEvents Click="function(s, e) {
	window.location = 'wfCreacionPlaza.aspx?p=0';
}" />
    <Image Url="~/Content/Images/Add_16x16.png">
    </Image>
</dx:ASPxButton>

<div style="text-align:center;"><dx:ASPxLabel ID="lblInstitucion" runat="server" Text="" EncodeHtml="false"></dx:ASPxLabel></div>

<dx:ASPxCallbackPanel ID="cbpConcursos" runat="server" Width="100%" ClientInstanceName="cbpConcursos"><PanelCollection>
<dx:PanelContent runat="server">
<dx:ASPxGridView ID="gridHistorialPuestos" ClientInstanceName="gridHistorialPuestos" runat="server" AutoGenerateColumns="False" DataSourceID="SqlPlazasPublicadas" KeyFieldName="idPlaza" Width="100%" EnableTheming="True" Theme="DevEx">
          <ClientSideEvents CustomButtonClick="function(s, e) {
    var keyValue = s.GetRowKey(e.visibleIndex); 
    switch (e.buttonID){
 case 'btnEliminar': 
if(confirm('Esta seguro de esto?'))  
    gridHistorialPuestos.DeleteRowByKey(keyValue);
break;
case 'btnEdit': 
    window.location = 'wfCreacionPlaza.aspx?p=' + keyValue;
break;
case 'btnExport':
    window.open('wfReporteEmpleos.aspx?r=concurso&amp;p=' + keyValue,'_blank');
    break;
case 'btnCerrar':
    OnMoreInfoClick(keyValue);
break;
case 'btnProceso':
 window.open('../wfProceso.aspx?p=' + keyValue,'_self');
break;
case 'btnDetalle':
 window.open('../wfPlaza.aspx?p=' + keyValue, '_self');
   }
}" />
          <SettingsAdaptivity AdaptivityMode="HideDataCells" HideDataCellsAtWindowInnerWidth="800">
              <AdaptiveDetailLayoutProperties>
                  <Items>
                      <dx:GridViewColumnLayoutItem ColumnName="Identificador">
                      </dx:GridViewColumnLayoutItem>
                      <dx:GridViewColumnLayoutItem ColumnName="nombrePuesto">
                      </dx:GridViewColumnLayoutItem>
                      <dx:GridViewColumnLayoutItem ColumnName="cod_inspto">
                      </dx:GridViewColumnLayoutItem>
                      <dx:GridViewColumnLayoutItem ColumnName="idInstitucion">
                      </dx:GridViewColumnLayoutItem>
                      <dx:GridViewColumnLayoutItem ColumnName="idEstadoPlaza">
                      </dx:GridViewColumnLayoutItem>
                      <dx:GridViewColumnLayoutItem ColumnName="dias">
                      </dx:GridViewColumnLayoutItem>
                      <dx:GridViewColumnLayoutItem ColumnName="fechaModificacion">
                      </dx:GridViewColumnLayoutItem>
                      <dx:GridViewColumnLayoutItem ColumnName="Acciones">
                      </dx:GridViewColumnLayoutItem>
                  </Items>
                  <SettingsAdaptivity AdaptivityMode="SingleColumnWindowLimit" />
              </AdaptiveDetailLayoutProperties>
          </SettingsAdaptivity>
          <SettingsPager PageSize="15">
          </SettingsPager>
          <Settings ShowFilterRow="True" ShowFooter="True" ShowHeaderFilterButton="True" />
          <SettingsCommandButton>
<ShowAdaptiveDetailButton ButtonType="Image"></ShowAdaptiveDetailButton>

<HideAdaptiveDetailButton ButtonType="Image"></HideAdaptiveDetailButton>

              <ClearFilterButton ButtonType="Link" Text="Quitar Filtro">
              </ClearFilterButton>
          </SettingsCommandButton>
          <SettingsDataSecurity AllowEdit="False" AllowInsert="False" />
          <SettingsText ConfirmDelete="Esta seguro que desea eliminar esta Plaza? Se ELIMINARAN: Factores de evaluación asociados." />
        <Columns>
            <dx:GridViewDataTextColumn FieldName="Identificador" VisibleIndex="0" Width="10%">
                <Settings AllowHeaderFilter="False" AutoFilterCondition="Contains" />
            </dx:GridViewDataTextColumn>
            <dx:GridViewDataComboBoxColumn Caption="Institución" FieldName="idInstitucion" VisibleIndex="4" Width="12%">
                <PropertiesComboBox DataSourceID="SqlInstitucion" TextField="siglasInstitucion" ValueField="idInstitucion">
                </PropertiesComboBox>
                <Settings AllowAutoFilter="False" />
                <SettingsHeaderFilter Mode="CheckedList">
                </SettingsHeaderFilter>
            </dx:GridViewDataComboBoxColumn>
            <dx:GridViewDataComboBoxColumn Caption="Estado" FieldName="idEstadoPlaza" VisibleIndex="6" Width="10%">
                <PropertiesComboBox DataSourceID="SqlEstado" TextField="nombreEstadoPlaza" ValueField="idEstadoPlaza" ValueType="System.Int32">
                </PropertiesComboBox>
                <SettingsHeaderFilter Mode="CheckedList">
                </SettingsHeaderFilter>
            </dx:GridViewDataComboBoxColumn>
            <dx:GridViewCommandColumn ButtonType="Image" Caption="Acciones" VisibleIndex="9" ShowClearFilterButton="True" Width="12%">
                <CustomButtons>
                    <dx:GridViewCommandColumnCustomButton ID="btnCerrar" Text="Finalizar Concurso">
                        <Image Url="~/Content/Images/Close_16x16.png">
                        </Image>
                    </dx:GridViewCommandColumnCustomButton>
                    <dx:GridViewCommandColumnCustomButton ID="btnEdit" Text="Modificar">
                        <Image Url="~/Content/Images/Edit_16x16.png">
                        </Image>
                    </dx:GridViewCommandColumnCustomButton>
                    <dx:GridViewCommandColumnCustomButton ID="btnEliminar" Text="Borrar la plaza">
                        <Image Url="~/Content/Images/Remove_16x16.png">
                        </Image>
                    </dx:GridViewCommandColumnCustomButton>
                    <dx:GridViewCommandColumnCustomButton ID="btnExport" Text="Generar Reporte">
                        <Image Url="~/Content/Images/BOReport_16x16.png">
                        </Image>
                    </dx:GridViewCommandColumnCustomButton>
                    <dx:GridViewCommandColumnCustomButton ID="btnDetalle" Text="Ver detalle">
                        <Image Url="~/Content/Images/Portada.png">
                        </Image>
                    </dx:GridViewCommandColumnCustomButton>
                    <dx:GridViewCommandColumnCustomButton ID="btnProceso" Text="Ver proceso">
                        <Image Url="~/Content/Images/Properties_16x16.png">
                        </Image>
                    </dx:GridViewCommandColumnCustomButton>
                </CustomButtons>
                <CellStyle HorizontalAlign="Right">
                </CellStyle>
            </dx:GridViewCommandColumn>
            <dx:GridViewDataTextColumn Caption="Título del Puesto" FieldName="nombrePuesto" VisibleIndex="1" Width="25%">
                <Settings AllowHeaderFilter="False" AutoFilterCondition="Contains" />
                <FooterTemplate>
                    <dx:ASPxLabel ID="lblFinalizadosDesiertos" runat="server" Text='<%#GetEstadoConcursos()%>'>
                    </dx:ASPxLabel>
                </FooterTemplate>
            </dx:GridViewDataTextColumn>
            <dx:GridViewDataDateColumn Caption="Actualización" FieldName="fechaModificacion" VisibleIndex="8" SortIndex="0" SortOrder="Descending" Width="15%">
                <PropertiesDateEdit DisplayFormatString="dd/MM/yyyy hh:mm:ss" MinDate="2015-12-15">
                </PropertiesDateEdit>
                <Settings AllowHeaderFilter="True" AllowAutoFilter="False" />
                <SettingsHeaderFilter Mode="DateRangePicker">
                </SettingsHeaderFilter>
                <DataItemTemplate>
                    <a href="javascript:void(0);" onclick="Info(this, '<%# Container.KeyValue %>')">
                        <%# Eval("fechaModificacion")%></a>
                </DataItemTemplate>
            </dx:GridViewDataDateColumn>
            <dx:GridViewDataTextColumn Caption="Tiempo" FieldName="dias" ReadOnly="True" ShowInCustomizationForm="True" ToolTip="Días en el Estado Actual del Concurso" VisibleIndex="7" Width="3%">
                <Settings AllowAutoFilter="False" ShowFilterRowMenu="False" AllowHeaderFilter="False" />
            </dx:GridViewDataTextColumn>
            <dx:GridViewDataTextColumn Caption="Postulaciones" FieldName="postulantes" ReadOnly="True" ShowInCustomizationForm="True" VisibleIndex="5" Width="3%">
                <Settings AllowAutoFilter="False" AllowHeaderFilter="False" ShowFilterRowMenu="False" />
            </dx:GridViewDataTextColumn>
            <dx:GridViewDataComboBoxColumn Caption="Municipio" FieldName="idMunicipio" ShowInCustomizationForm="True" VisibleIndex="2">
                <PropertiesComboBox DataSourceID="SqlMunicipio" TextField="nombreMunicipio" ValueField="idMunicipio">
                </PropertiesComboBox>
                <SettingsHeaderFilter Mode="CheckedList">
                </SettingsHeaderFilter>
            </dx:GridViewDataComboBoxColumn>
            <dx:GridViewDataTextColumn Caption="SAPT" FieldName="cod_inspto" ReadOnly="True" ShowInCustomizationForm="True" VisibleIndex="3">
                <Settings AllowHeaderFilter="False" AutoFilterCondition="Contains" />
            </dx:GridViewDataTextColumn>
        </Columns>
          <TotalSummary>
              <dx:ASPxSummaryItem DisplayFormat="Total: {0}" FieldName="idPlaza" ShowInColumn="Identificador" SummaryType="Count" />
          </TotalSummary>
          <Styles>
              <Header Wrap="True">
              </Header>
          </Styles>
    </dx:ASPxGridView>
    <asp:SqlDataSource ID="SqlPlazasPublicadas" runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="HistorialPuestos" DeleteCommand="ADMIN_EliminarConcurso" DeleteCommandType="StoredProcedure" SelectCommandType="StoredProcedure">
        <DeleteParameters>
            <asp:Parameter Name="idPlaza" Type="Int32" />
        </DeleteParameters>
        <SelectParameters>
            <asp:SessionParameter Name="idIns" SessionField="idIns" Type="String" />
        </SelectParameters>
    </asp:SqlDataSource>
    <asp:SqlDataSource ID="SqlInstitucion" runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="SELECT [idInstitucion], [nombreInstitucion], [siglasInstitucion] FROM SEGURIDAD.dbo.[Institucion]"></asp:SqlDataSource>
    

    <asp:SqlDataSource ID="SqlEstado" runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="SELECT * FROM [EstadoPlaza]"></asp:SqlDataSource>
    

    <asp:SqlDataSource ID="SqlConvocatoria" runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="SELECT [idConvocatoria] FROM [Convocatoria]"></asp:SqlDataSource>
   
    <asp:SqlDataSource ID="SqlMunicipio" runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="SELECT [idMunicipio], [nombreMunicipio] FROM [STP_Municipio]"></asp:SqlDataSource>
   
  <dx:ASPxPopupControl ID="popupCerrar" runat="server" ClientInstanceName="popupCerrar" CloseAction="CloseButton" Modal="True" Width="500px" HeaderText="Finalizar Concurso" PopupHorizontalAlign="WindowCenter" PopupVerticalAlign="TopSides" AllowDragging="True">
      <ContentCollection>
<dx:PopupControlContentControl runat="server">
    <dx:ASPxCallbackPanel ID="cbpComentario" ClientInstanceName="cbpComentario" runat="server" Width="100%"><PanelCollection>
<dx:PanelContent runat="server">
    <asp:HiddenField ID="txtID" runat="server" />
    <p>Si está seguro que desea Finalizar el Concurso: &quot;<asp:Literal ID="lblConcurso" runat="server"></asp:Literal>&quot;, por líneamiento del Instituto de Acceso a la Información Pública se deberá registrar el nombre de la persona que se contrata. Favor escribir en el campo correspondiente:</p>
                            
    
    <dx:ASPxGridView runat="server" ID="gridPostulantes" AutoGenerateColumns="False" DataSourceID="ObjectContratos" KeyFieldName="idContrato" Width="100%" ClientInstanceName="gridPostulantes">

                                    <SettingsPager Mode="ShowAllRecords" Visible="False">
                                    </SettingsPager>
                                    <SettingsEditing Mode="Batch">
                                    </SettingsEditing>
                                    <Settings ShowFooter="True" />
                                    <SettingsCommandButton>
<ShowAdaptiveDetailButton ButtonType="Image"></ShowAdaptiveDetailButton>

<HideAdaptiveDetailButton ButtonType="Image"></HideAdaptiveDetailButton>

                                        <UpdateButton ButtonType="Button" Text="Guardar personas">
                                            <Image Url="~/Content/Images/Save_16x16.png">
                                            </Image>
                                        </UpdateButton>
                                        <CancelButton Text="Cancelar">
                                        </CancelButton>
                                    </SettingsCommandButton>
                                    <SettingsDataSecurity AllowDelete="False" AllowInsert="False" />
                                    <EditFormLayoutProperties ColCount="2">
                                    </EditFormLayoutProperties>
                                    <Columns>
                                        <dx:GridViewDataTextColumn FieldName="idPlaza" ShowInCustomizationForm="True" Visible="False" VisibleIndex="1">
                                        </dx:GridViewDataTextColumn>
                                        <dx:GridViewDataTextColumn Caption="Nombres *" FieldName="nombre" ShowInCustomizationForm="True" VisibleIndex="2">
                                            <PropertiesTextEdit Width="170px" MaxLength="150" NullDisplayText="[Nombres]" NullText="[Nombres]">
                                                
<ValidationSettings CausesValidation="True" SetFocusOnError="True" ValidationGroup="cerrar">
                                                    
<RequiredField IsRequired="True" />
                                                
</ValidationSettings>
                                            
</PropertiesTextEdit>
                                            <FooterTemplate>
                                                * Campos obligatorios
                                            </FooterTemplate>
                                        </dx:GridViewDataTextColumn>
                                        <dx:GridViewDataTextColumn Caption="Apellidos *" FieldName="apellido" ShowInCustomizationForm="True" VisibleIndex="4">
                                            <PropertiesTextEdit Width="170px" MaxLength="150" NullDisplayText="[Apellidos]" NullText="[Apellidos]">
                                                
<ValidationSettings CausesValidation="True" SetFocusOnError="True" ValidationGroup="cerrar">
                                                    
<RequiredField IsRequired="True" />
                                                
</ValidationSettings>
                                            
</PropertiesTextEdit>
                                        </dx:GridViewDataTextColumn>
                                        <dx:GridViewDataTextColumn FieldName="idContrato" ShowInCustomizationForm="True" Visible="False" VisibleIndex="0">
                                        </dx:GridViewDataTextColumn>
                                        <dx:GridViewDataTextColumn Caption="Código del Postulante" FieldName="idPostulante" ShowInCustomizationForm="True" VisibleIndex="5">
                                            <PropertiesTextEdit Width="170px" HelpText="Ej. C2.xxx.XXX.xxxxx" MaxLength="25">
                                                
<ValidationSettings CausesValidation="True">
                                                    
<RegularExpression ValidationExpression="C\d.\d{0,4}[A-Z]*?.\d{1,4}.\d{1,7}" />
                                                
</ValidationSettings>
                                            
</PropertiesTextEdit>
                                        </dx:GridViewDataTextColumn>
                                    </Columns>

                            </dx:ASPxGridView>
                                <asp:ObjectDataSource ID="ObjectContratos" runat="server" DataObjectTypeName="STP.EL.Dotacion.Contratos" SelectMethod="GetListContratosByPlaza" TypeName="Dotacion.ContratosBusinessObject" UpdateMethod="SaveChanges">
                                    <SelectParameters>
                                        <asp:ControlParameter ControlID="txtID" DefaultValue="" Name="idPlaza" PropertyName="Value" Type="Int32" />
                                        <asp:Parameter Name="foreignLevel" Type="Int32" />
                                    </SelectParameters>
                                </asp:ObjectDataSource>
    <dx:ASPxRadioButtonList ID="rbDesierto" runat="server" ValueType="System.Boolean" Caption="¿Se declara Desierto?" RepeatDirection="Horizontal" SelectedIndex="1">
        <Items>
            <dx:ListEditItem Text="Sí" Value="True" />
            <dx:ListEditItem Selected="True" Text="No" Value="False" />
        </Items>
    </dx:ASPxRadioButtonList>
                <dx:ASPxMemo ID="txtComentario" runat="server" Height="71px" Width="100%" MaxLength="200" Caption="Conclusión a publicar">
                                <CaptionSettings Position="Top" />
                                </dx:ASPxMemo>
    <div style="float:left">
    <dx:ASPxButton ID="btnEnviaryCerrar" runat="server" Text="Enviar comentario y finalizar Concurso" AutoPostBack="False" UseSubmitBehavior="False" ValidationGroup="cerrar">
        <ClientSideEvents Click="function(s, e) {
	if (ASPxClientEdit.ValidateEditorsInContainer(null, 'cerrar')){
		cbpConcursos.PerformCallback('1');
}

}" />
    </dx:ASPxButton>
        </div>
    <div style="float:right">
                                <dx:ASPxButton ID="btnCancelar" runat="server" AutoPostBack="False" ClientInstanceName="btnCancelar" TabIndex="9" Text="Cancelar" RenderMode="Link">
                                <ClientSideEvents Click="function(s, e) {
	                                popupCerrar.Hide();
                                }" />
                            </dx:ASPxButton>
        </div>
</dx:PanelContent>
</PanelCollection>
    </dx:ASPxCallbackPanel>


          </dx:PopupControlContentControl>
</ContentCollection>
</dx:ASPxPopupControl>

    <dx:ASPxPopupControl ID="popElemento" ClientInstanceName="popElemento" runat="server" AllowDragging="true" PopupHorizontalAlign="OutsideRight" HeaderText="Información de Actualización" Width="270px" Theme="Glass">
        <ContentStyle>
            <Paddings Padding="1px" />
        </ContentStyle>
    <ContentCollection>
        <dx:PopupControlContentControl ID="PopupControlContentControl1" runat="server">
            <dx:ASPxCallbackPanel ID="callPanelElemento" 
                ClientInstanceName="callPanelElemento" runat="server">
                <PanelCollection>
                    <dx:PanelContent ID="PanelContent1" runat="server" >
                        <dx:ASPxFormLayout ID="ASPxFormLayout2" runat="server" AlignItemCaptionsInAllGroups="True">
                            <Items>
                                <dx:LayoutItem Caption="Creado por">
                                    <LayoutItemNestedControlCollection>
                                        <dx:LayoutItemNestedControlContainer runat="server">
                                            <dx:ASPxLabel ID="lblCreado" runat="server" Text="ASPxLabel">
                                            </dx:ASPxLabel>
                                        </dx:LayoutItemNestedControlContainer>
                                    </LayoutItemNestedControlCollection>
                                    <ParentContainerStyle>
                                        <Paddings Padding="5px" />
                                    </ParentContainerStyle>
                                </dx:LayoutItem>
                                <dx:LayoutItem Caption="Creado al">
                                    <LayoutItemNestedControlCollection>
                                        <dx:LayoutItemNestedControlContainer runat="server">
                                            <dx:ASPxLabel ID="lblFechaCreado" runat="server" Text="ASPxLabel">
                                            </dx:ASPxLabel>
                                        </dx:LayoutItemNestedControlContainer>
                                    </LayoutItemNestedControlCollection>
                                    <ParentContainerStyle>
                                        <Paddings Padding="5px" />
                                    </ParentContainerStyle>
                                </dx:LayoutItem>
                                <dx:LayoutItem Caption="Modificado por">
                                    <LayoutItemNestedControlCollection>
                                        <dx:LayoutItemNestedControlContainer runat="server">
                                            <dx:ASPxLabel ID="lblModificado" runat="server" Text="ASPxLabel">
                                            </dx:ASPxLabel>
                                        </dx:LayoutItemNestedControlContainer>
                                    </LayoutItemNestedControlCollection>
                                    <ParentContainerStyle>
                                        <Paddings Padding="5px" />
                                    </ParentContainerStyle>
                                </dx:LayoutItem>
                                <dx:LayoutItem Caption="Modificado al">
                                    <LayoutItemNestedControlCollection>
                                        <dx:LayoutItemNestedControlContainer runat="server">
                                            <dx:ASPxLabel ID="lblFechaModificado" runat="server" Text="ASPxLabel">
                                            </dx:ASPxLabel>
                                        </dx:LayoutItemNestedControlContainer>
                                    </LayoutItemNestedControlCollection>
                                    <ParentContainerStyle>
                                        <Paddings Padding="5px" />
                                    </ParentContainerStyle>
                                </dx:LayoutItem>
                            </Items>
                        </dx:ASPxFormLayout>
                    </dx:PanelContent>
                </PanelCollection>
            </dx:ASPxCallbackPanel>
        </dx:PopupControlContentControl>
        </ContentCollection>
</dx:ASPxPopupControl>
</dx:PanelContent>
</PanelCollection>
</dx:ASPxCallbackPanel>

    
  