﻿<%@ Control Language="vb" AutoEventWireup="false" CodeBehind="ucProcesoConcurso.ascx.vb" Inherits="Dotacion.ucProcesoConcurso" %>
  <script type="text/javascript">
      var showPopup = true;
      var iframe;

      function OnPopupInit(s, e) {
          iframe = popupDetalle.GetContentIFrame();

          // the "load" event is fired when the content has been already loaded 
          ASPxClientUtils.AttachEventToElement(iframe, 'load', OnContentLoaded);
      }

      function OnPopupShown(s, e) {
          if (showPopup)
              lp.ShowInElement(iframe);
      }

      function OnContentLoaded(e) {
          showPopup = false;
          lp.Hide();
      }

      function OnDetalleClick(element, key) {
          showPopup = true;
          var parametro = window.location.search.substring(1);
          switch (key) {
              case 1:
                  popupDetalle.SetContentUrl('etapas/wfEtapa1.aspx?' + parametro);
                  break;
              case 2:
                  popupDetalle.SetContentUrl('etapas/wfEtapa2.aspx?' + parametro);
                  break;
              case 3:
                  popupDetalle.SetContentUrl('etapas/wfEtapa3.aspx?' + parametro);
                  break;
              case 4:
                  popupDetalle.SetContentUrl('etapas/wfEtapa4.aspx?' + parametro);
                  break;
              case 5:
                  popupDetalle.SetContentUrl('etapas/wfEtapa5.aspx?' + parametro);
                  break;
              case 5:
                  popupDetalle.SetContentUrl('etapas/wfEtapaFinal.aspx?' + parametro);
                  break;
              default:
                  popupDetalle.SetContentUrl('etapas/wfEtapaFinal.aspx?' + parametro);
          }
          //popupDetalle.Show();
          popupDetalle.ShowAtElement(element);
        }

      function ShowDetailPopup(postulanteID) {
          popupPostulante.SetContentUrl('etapas/wfVisorPostulante.aspx?id=' + postulanteID);
          popupPostulante.Show();
      }
      function VerProceso(s, e) {
          var parametro = window.location.search.substring(1);
          window.location.href = 'wfPlaza.aspx?' + parametro;
      }
    </script>
<div style="text-align:center;">
   <h3>
       <asp:Literal ID="ltlPlaza" runat="server"></asp:Literal></h3>
<span>
    
    <asp:Literal ID="ltlInstitucion" runat="server"></asp:Literal></span>
    </div>
    <dx:ASPxCardView ID="cvEstados" runat="server" AutoGenerateColumns="False" DataSourceID="SqlProceso" KeyFieldName="estado" CssClass="CenteredGrid" EnableCardsCache="false" AccessibilityCompliant="True">
        <SettingsPager Visible="False">
            <SettingsTableLayout ColumnCount="6" RowsPerPage="1" />
        </SettingsPager>
        <Settings ShowHeaderFilterBlankItems="False" LayoutMode="Flow" />
        <SettingsDataSecurity AllowDelete="False" AllowEdit="False" AllowInsert="False" />
        <Templates>
            <Card>
                <div style='height:145px;width:145px;padding-top:5px;text-align: center;background-color:<%# If(Eval("actual"),"#B1DAFE","white") %>';' >
                <dx:ASPxImage ID="imagen" runat="server" ShowLoadingImage="true" ImageUrl='<%# "~\Content\Images\" & Eval("imagen") %>' Width="100px" Height="100px"></dx:ASPxImage>
                <span style="display: inline-block;font-family: 'Arial Black', 'Arial Bold', Gadget, sans-serif;font-size: .8em;color:#3C4F8F;font-style: normal;font-variant: normal;font-weight: 200;line-height: 10px;"><%# Eval("nombre")%></span>
                <%# If(Eval("actual"), "<p style='color:#116710;'>Estado actual</p>", "") %>
                <div class="info">
                    <p><%# Eval("nombre")%></p>
                    <div class="address">
                        <span><%# Eval("participantes")%></span>
                        <br />
                        <span><%# Eval("porcentaje")%></span>
                        <br />
                        <br />
                        <dx:ASPxButton ID="btnDetalle" runat="server" Text="Ver detalle" AutoPostBack="False" OnClick='<%# "OnDetalleClick(this, " & Eval("estado") & ");"%>'></dx:ASPxButton>
                    </div>
                </div>
                </div>
            </Card>
        </Templates>
        <Columns>
            <dx:CardViewTextColumn FieldName="estado" ReadOnly="True" VisibleIndex="0">
            </dx:CardViewTextColumn>
            <dx:CardViewTextColumn FieldName="nombre" VisibleIndex="1" ReadOnly="True">
            </dx:CardViewTextColumn>
            <dx:CardViewTextColumn FieldName="participantes" ReadOnly="True" VisibleIndex="3">
            </dx:CardViewTextColumn>
            <dx:CardViewTextColumn FieldName="porcentaje" ReadOnly="True" VisibleIndex="4">
            </dx:CardViewTextColumn>
            <dx:CardViewImageColumn FieldName="imagen" ReadOnly="True" VisibleIndex="2">
            </dx:CardViewImageColumn>
            <dx:CardViewTextColumn FieldName="color" ReadOnly="True" VisibleIndex="5">
            </dx:CardViewTextColumn>
        </Columns>
        <Styles>
            <Card CssClass="card">
            </Card>
            <FlowCard CssClass="card">
            </FlowCard>
            <TitlePanel Font-Bold="True" Font-Size="Large" ForeColor="#666666">
            </TitlePanel>
        </Styles>
    </dx:ASPxCardView> 

<br />
    <div style="text-align:center">
    <dx:ASPxButton ID="btnDetalle" runat="server" Text="Ver detalle y aplicar" Height="30px" HorizontalAlign="Center" Width="150px" AutoPostBack="False" AccessibilityCompliant="True">
        <ClientSideEvents Click="VerProceso" />
    </dx:ASPxButton>

        </div>
<br />
    <ol style="font-size:.7rem;color:#116710;">
        <li style="margin-bottom:5px">Si usted es postulante y tiene duda sobre el proceso de evaluación, favor solicitar información a la Institución Pública que ofrece el concurso.</li>
        <li style="margin-bottom:5px">Los concursos que fueron creados antes del 27 de abril del 2016 no tienen registros de postulantes ya que no existía postulación en línea.</li>
        <li style="margin-bottom:5px">Los datos de las evaluaciones, estados y calificaciones de cada postulante son proporcionados por la unidad encargada de cada institución ofertante.</li>
    </ol>
    <asp:SqlDataSource ID="SqlProceso" runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="SELECT 1 AS estado, 'Recepción del CV' AS nombre, 'paso1.png' AS imagen, (SELECT 'Participantes: ' + CONVERT (varchar, ISNULL(numeroParticipantes, 0)) AS Expr1 FROM Plaza WHERE (idPlaza = @idPlaza)) AS participantes, '' AS porcentaje, CASE WHEN idestadoplaza = 2 THEN 1 ELSE 0 END AS actual FROM Plaza AS Plaza_3 WHERE (idPlaza = @idPlaza) UNION ALL SELECT 2 AS estado, 'Revisión curricular' AS nombre, 'paso2.png' AS imagen, (SELECT 'Aprobados: ' + CONVERT (varchar, COUNT(*)) AS Expr1 FROM ConcursoPostulante WHERE (idEstadoConcursoPostulante = 5) AND (idPlaza = @idPlaza)) + '&lt;br /&gt;' + (SELECT 'Calificados: ' + CONVERT (varchar, COUNT(*)) AS Expr1 FROM ConcursoPostulante AS ConcursoPostulante_2 WHERE (Calificado = 1) AND (idPlaza = @idPlaza)) AS participantes, (SELECT 'Porcentaje: ' + CONVERT (varchar, puntaje) + '%' AS Expr1 FROM ConfiguracionEvaluacion WHERE (idPlaza = @idPlaza) AND (idFactor = 1)) AS porcentaje, CASE WHEN idestadoplaza = 3 THEN 1 ELSE 0 END AS actual FROM Plaza AS Plaza_2 WHERE (idPlaza = @idPlaza) UNION ALL SELECT 3 AS estado, 'Pruebas técnicas' AS nombre, 'paso3.png' AS imagen, (SELECT 'Participantes: ' + CONVERT (varchar, COUNT(*)) AS Expr1 FROM ConcursoPostulante AS ConcursoPostulante_1 WHERE (idEstadoConcursoPostulante = 5) AND (idPlaza = @idPlaza)) AS participantes, (SELECT 'Porcentaje: ' + CONVERT (varchar, puntaje) + '%' AS Expr1 FROM ConfiguracionEvaluacion AS ConfiguracionEvaluacion_1 WHERE (idPlaza = @idPlaza) AND (idFactor = 5)) AS porcentaje, CASE WHEN idestadoplaza = 5 OR idestadoplaza = 6 THEN 1 ELSE 0 END AS actual FROM Plaza AS Plaza_1 WHERE (idPlaza = @idPlaza) UNION ALL SELECT 4 AS estado, 'Pruebas conductuales' AS nombre, 'paso4.png' AS imagen, (SELECT 'Participantes: ' + CONVERT (varchar, COUNT(*)) AS Expr1 FROM ConcursoPostulante AS ConcursoPostulante_1 WHERE (idEstadoConcursoPostulante = 5) AND (idPlaza = @idPlaza)) AS participantes, (SELECT 'Porcentaje: ' + CONVERT (varchar, puntaje) + '%' AS Expr1 FROM ConfiguracionEvaluacion AS ConfiguracionEvaluacion_1 WHERE (idPlaza = @idPlaza) AND (idFactor = 6)) AS porcentaje, CASE WHEN idestadoplaza = 5 OR idestadoplaza = 6 THEN 1 ELSE 0 END AS actual FROM Plaza AS Plaza_1 WHERE (idPlaza = @idPlaza) UNION ALL SELECT 5 AS estado, 'Entrevistas' AS nombre, 'paso5.png' AS imagen, (SELECT 'Participantes: ' + CONVERT (varchar, COUNT(*)) AS Expr1 FROM ConcursoPostulante AS ConcursoPostulante_1 WHERE (idEstadoConcursoPostulante = 5) AND (idPlaza = @idPlaza)) AS participantes, (SELECT 'Porcentaje: ' + CONVERT (varchar, puntaje) + '%' AS Expr1 FROM ConfiguracionEvaluacion AS ConfiguracionEvaluacion_1 WHERE (idPlaza = @idPlaza) AND (idFactor = 7)) AS porcentaje, CASE WHEN idestadoplaza = 5 OR idestadoplaza = 6 THEN 1 ELSE 0 END AS actual FROM Plaza AS Plaza_1 WHERE (idPlaza = @idPlaza) UNION ALL SELECT 6 AS estado, 'Selección final' AS nombre, 'paso6.png' AS imagen, '' AS participantes, '' AS porcentaje, CASE WHEN idestadoplaza = 4 OR idestadoplaza = 7 THEN 1 ELSE 0 END AS actual FROM Plaza AS Plaza_1 WHERE (idPlaza = @idPlaza)">
        <SelectParameters>
            <asp:QueryStringParameter Name="idPlaza" QueryStringField="p" />
        </SelectParameters>
</asp:SqlDataSource>
    <dx:ASPxLoadingPanel ID="lp" runat="server" ClientInstanceName="lp"></dx:ASPxLoadingPanel>
<dx:ASPxPopupControl ID="popupDetalle" runat="server" ClientInstanceName="popupDetalle" AllowDragging="True" AllowResize="True" HeaderText="Detalle del proceso" Modal="True" PopupHorizontalAlign="OutsideRight" PopupVerticalAlign="WindowCenter" ContentUrl="javascript:void(0);" CloseAction="CloseButton" CloseOnEscape="True" Height="500px" Width="350px" MinHeight="500px" MinWidth="350px" AccessibilityCompliant="True">
<ClientSideEvents Init="OnPopupInit" Shown="OnPopupShown" />
    <ContentStyle>
        <Paddings Padding="3px" />
    </ContentStyle>
<ContentCollection>
<dx:PopupControlContentControl runat="server"></dx:PopupControlContentControl>
</ContentCollection>
</dx:ASPxPopupControl>
<dx:ASPxPopupControl ID="popupPostulante" runat="server" ClientInstanceName="popupPostulante" AllowDragging="True" AllowResize="True" PopupAnimationType="Fade" EnableViewState="False" HeaderText="Formación del postulante" MinWidth="400px" Modal="True" PopupHorizontalAlign="WindowCenter" PopupVerticalAlign="WindowCenter" MinHeight="500px" CloseAction="CloseButton" CloseOnEscape="True" ShowMaximizeButton="True" Height="650px" Width="600px" ShowPageScrollbarWhenModal="True" AccessibilityCompliant="True">
    <ContentStyle>
        <Paddings Padding="3px" />
    </ContentStyle>
<ContentCollection>
<dx:PopupControlContentControl runat="server"></dx:PopupControlContentControl>
</ContentCollection>
</dx:ASPxPopupControl>




