﻿<%@ Control Language="vb" AutoEventWireup="false" CodeBehind="ucVisorPostulante.ascx.vb" Inherits="Dotacion.ucVisorPostulante" %>
<h3>
    <asp:Literal ID="litPostulante" runat="server"></asp:Literal></h3> 
<table style="width:100%;">
               
                <tr>
                    <td>
                        <dx:ASPxRoundPanel ID="rpFormacionP" runat="server" Width="100%" HeaderText="Formación Académica" Theme="MetropolisBlue">
                            <PanelCollection>
                                <dx:PanelContent runat="server">
                                    <dx:ASPxGridView ID="gridPostulanteEspecialidades" runat="server" AutoGenerateColumns="False" DataSourceID="SqlPostulanteEspecialidad" Width="100%" KeyFieldName="idPostulanteEspecialidad" Theme="Office2010Blue">
        <SettingsPager Visible="False" Mode="ShowAllRecords">
        </SettingsPager>
        <SettingsBehavior AllowDragDrop="False" AllowGroup="False" AllowSort="False" />

<SettingsCommandButton>
<ShowAdaptiveDetailButton ButtonType="Image"></ShowAdaptiveDetailButton>

<HideAdaptiveDetailButton ButtonType="Image"></HideAdaptiveDetailButton>
</SettingsCommandButton>

        <SettingsDataSecurity AllowDelete="False" AllowInsert="False" AllowEdit="False" />
        <SettingsText Title="Formación:" />
        <Columns>
            <dx:GridViewDataTextColumn FieldName="ESP_NOMBRE" ShowInCustomizationForm="True" VisibleIndex="0" Caption="Especialidad" ReadOnly="True">
                <EditFormSettings Visible="False" />
            </dx:GridViewDataTextColumn>
            <dx:GridViewDataTextColumn FieldName="insNombre" ShowInCustomizationForm="True" VisibleIndex="2" Caption="Institución" ReadOnly="True" Visible="False">
                <EditFormSettings Visible="False" />
            </dx:GridViewDataTextColumn>
            <dx:GridViewDataTextColumn FieldName="inicioAnio" ShowInCustomizationForm="True" VisibleIndex="9" Caption="Inicio" ReadOnly="True">
                <EditFormSettings Visible="False" />
                <DataItemTemplate>
                    <dx:ASPxLabel ID="ASPxLabel1" runat="server" Text='<%# String.Format("{0}/{1}", Eval("inicioMes"), Eval("inicioAnio"))%>'>
                    </dx:ASPxLabel>
                </DataItemTemplate>
            </dx:GridViewDataTextColumn>
            <dx:GridViewDataTextColumn FieldName="finAnio" ShowInCustomizationForm="True" VisibleIndex="13" Caption="Fin" ReadOnly="True" SortIndex="0" SortOrder="Descending">
                <EditFormSettings Visible="False" />
                <DataItemTemplate>
                    <dx:ASPxLabel ID="ASPxLabel2" runat="server" Text='<%# String.Format("{0}/{1}", Eval("finMes"), Eval("finAnio"))%>'>
                    </dx:ASPxLabel>
                </DataItemTemplate>
            </dx:GridViewDataTextColumn>
            <dx:GridViewDataComboBoxColumn Caption="Grado" FieldName="GRA_CODIGO" ShowInCustomizationForm="True" VisibleIndex="1" ReadOnly="True">
                <PropertiesComboBox DataSourceID="SqlPostulanteGrado" TextField="GRA_NOMBRE" ValueField="GRA_CODIGO">
                </PropertiesComboBox>
                <EditFormSettings Visible="False" />
            </dx:GridViewDataComboBoxColumn>
            <dx:GridViewDataComboBoxColumn Caption="País" FieldName="idPais" ShowInCustomizationForm="True" VisibleIndex="8" ReadOnly="True">
                <PropertiesComboBox DataSourceID="SqlPais" TextField="nombre" ValueField="codigo" ValueType="System.Int32">
                </PropertiesComboBox>
                <EditFormSettings Visible="False" />
            </dx:GridViewDataComboBoxColumn>
            <dx:GridViewDataTextColumn FieldName="idPostulanteEspecialidad" ShowInCustomizationForm="True" Visible="False" VisibleIndex="18">
            </dx:GridViewDataTextColumn>
            <dx:GridViewDataTextColumn FieldName="idConcursoPostulante" ShowInCustomizationForm="True" Visible="False" VisibleIndex="19">
            </dx:GridViewDataTextColumn>
            <dx:GridViewDataCheckColumn Caption="Válido" FieldName="falso" ReadOnly="True" ShowInCustomizationForm="True" VisibleIndex="17">
                <PropertiesCheckEdit>
                        <DisplayImageChecked Height="16px" Url="~/Content/Images/Cancel_16x16.png" Width="16px">
                        </DisplayImageChecked>
                    </PropertiesCheckEdit>
            </dx:GridViewDataCheckColumn>
        </Columns>
        <Styles>
            <Header Wrap="True">
            </Header>
            <TitlePanel HorizontalAlign="Left" BackColor="#999999" Font-Bold="True">
            </TitlePanel>
        </Styles>
    </dx:ASPxGridView>
                                    <br />
                                    <br />
                    <dx:ASPxGridView ID="gridPostulanteIdioma" runat="server" AutoGenerateColumns="False" DataSourceID="SqlPostulanteIdioma" KeyFieldName="idPostulanteIdioma" OnDataBound="gridPostulanteIdioma_DataBound" Theme="Office2010Blue" OnCustomUnboundColumnData="gridPostulanteIdioma_CustomUnboundColumnData">
                            <SettingsPager Mode="ShowAllRecords" Visible="False">
                            </SettingsPager>
                            <SettingsBehavior AllowDragDrop="False" AllowGroup="False" AllowSort="False" />

<SettingsCommandButton>
<ShowAdaptiveDetailButton ButtonType="Image"></ShowAdaptiveDetailButton>

<HideAdaptiveDetailButton ButtonType="Image"></HideAdaptiveDetailButton>
</SettingsCommandButton>

                            <SettingsDataSecurity AllowDelete="False" AllowEdit="False" AllowInsert="False" />
                            <SettingsText Title="Idiomas:" />
                            <Columns>
                                <dx:GridViewDataTextColumn Caption="Idioma" FieldName="IDI_NOMBRE" ShowInCustomizationForm="True" VisibleIndex="1" Width="35%">
                                </dx:GridViewDataTextColumn>
                                <dx:GridViewDataComboBoxColumn Caption="Lee" FieldName="IDI_Lee" ShowInCustomizationForm="True" VisibleIndex="5" Width="15%">
                                    <PropertiesComboBox DataSourceID="SqlCatalogoIdioma" TextField="nombreExperiencia" ValueField="idExperiencia" ValueType="System.Int32">
                                    </PropertiesComboBox>
                                </dx:GridViewDataComboBoxColumn>
                                <dx:GridViewDataComboBoxColumn Caption="Escribe" FieldName="IDI_Escribe" ShowInCustomizationForm="True" VisibleIndex="9" Width="15%">
                                    <PropertiesComboBox DataSourceID="SqlCatalogoIdioma" TextField="nombreExperiencia" ValueField="idExperiencia" ValueType="System.Int32">
                                    </PropertiesComboBox>
                                </dx:GridViewDataComboBoxColumn>
                                <dx:GridViewDataComboBoxColumn Caption="Habla" FieldName="IDI_Habla" ShowInCustomizationForm="True" VisibleIndex="7" Width="15%">
                                    <PropertiesComboBox DataSourceID="SqlCatalogoIdioma" TextField="nombreExperiencia" ValueField="idExperiencia" ValueType="System.Int32">
                                    </PropertiesComboBox>
                                </dx:GridViewDataComboBoxColumn>
                                <dx:GridViewDataTextColumn Caption="Calidad" FieldName="calidad" ShowInCustomizationForm="True" UnboundType="Integer" VisibleIndex="10" Width="20%">
                                    <DataItemTemplate>
                                        <dx:ASPxRatingControl ID="ASPxRatingControl1" runat="server" ItemCount="6" ItemHeight="6" ItemWidth="6" ReadOnly="True" Value='<%# Eval("calidad") %>'>
                                        </dx:ASPxRatingControl>
                                    </DataItemTemplate>
                                </dx:GridViewDataTextColumn>
                            </Columns>
                            <Styles>
                                <Header Wrap="True">
                                </Header>
                                <TitlePanel HorizontalAlign="Left">
                                </TitlePanel>
                            </Styles>
                        </dx:ASPxGridView>
                                </dx:PanelContent>
                            </PanelCollection>
                        </dx:ASPxRoundPanel>
                
                                                
                        
             </td>
            </tr>
            <tr>
                    <td>
                        <dx:ASPxRoundPanel ID="rpConocimientoP" runat="server" Width="100%" HeaderText="Conocimientos" Theme="MetropolisBlue" style="margin-bottom: 0px">
                            <PanelCollection>
                                <dx:PanelContent runat="server">
                                    <dx:ASPxGridView ID="gridPostulanteCapacitaciones" runat="server" AutoGenerateColumns="False" DataSourceID="SqlPostulanteCapacitacion" KeyFieldName="idPostulanteCapacitacion" Width="100%" OnDataBound="gridPostulanteCapacitaciones_DataBound" Theme="Office2010Blue">
                            <SettingsPager Mode="ShowAllRecords" Visible="False">
                            </SettingsPager>
                            <SettingsBehavior AllowDragDrop="False" AllowGroup="False" AllowSort="False" />
                            <SettingsDataSecurity AllowDelete="False" AllowEdit="False" AllowInsert="False" />
                            <SettingsText Title="Conocimientos:" />
                            <Columns>
                                <dx:GridViewDataTextColumn Caption="Título" FieldName="tituloCapacitacion" ShowInCustomizationForm="True" VisibleIndex="3">
                                </dx:GridViewDataTextColumn>
                                <dx:GridViewDataTextColumn Caption="Conocimientos aprendidos" FieldName="conocimientosCapacitacion" ShowInCustomizationForm="True" VisibleIndex="5">
                                </dx:GridViewDataTextColumn>
                                <dx:GridViewDataTextColumn Caption="Duración" FieldName="duracionCapacitacion" ShowInCustomizationForm="True" VisibleIndex="7">
                                </dx:GridViewDataTextColumn>
                                <dx:GridViewDataTextColumn Caption="Lugar" FieldName="lugarCapacitacion" ShowInCustomizationForm="True" VisibleIndex="9" Visible="False">
                                </dx:GridViewDataTextColumn>
                                <dx:GridViewDataTextColumn Caption="Instituto" FieldName="institucionCapacitacion" ShowInCustomizationForm="True" VisibleIndex="11" Visible="False">
                                </dx:GridViewDataTextColumn>
                                <dx:GridViewDataTextColumn Caption="Año" FieldName="anio" ShowInCustomizationForm="True" SortIndex="0" SortOrder="Descending" VisibleIndex="13">
                                </dx:GridViewDataTextColumn>
                            </Columns>
                            <Styles>
                                <Header Wrap="True">
                                </Header>
                                <TitlePanel HorizontalAlign="Left" BackColor="#999999" Font-Bold="True">
                                </TitlePanel>
                            </Styles>
                        </dx:ASPxGridView>
                                    <br />
                                    <dx:ASPxGridView ID="gridPostulanteConocimientos" runat="server" AutoGenerateColumns="False" KeyFieldName="idPostulanteConocimiento" Width="100%"  Theme="Office2010Blue" OnDataBound="gridPostulanteConocimientos_DataBound" DataSourceID="SqlPostulanteConocimiento">
                            <SettingsPager Mode="ShowAllRecords" Visible="False">
                            </SettingsPager>
                            <SettingsBehavior AllowDragDrop="False" AllowGroup="False" AllowSort="False" />
                            <SettingsDataSecurity AllowDelete="False" AllowEdit="False" AllowInsert="False" />
                            <SettingsText Title="Conocimientos adicionales:" />
                            <Columns>
                                <dx:GridViewDataTextColumn Caption="Conocimiento específico" FieldName="nombreConocimiento" ShowInCustomizationForm="True" VisibleIndex="2">
                                </dx:GridViewDataTextColumn>
                            </Columns>
                            <Styles>
                                <Header Wrap="True">
                                </Header>
                                <TitlePanel HorizontalAlign="Left" BackColor="#999999" Font-Bold="True">
                                </TitlePanel>
                            </Styles>
                        </dx:ASPxGridView>
                                </dx:PanelContent>
                            </PanelCollection>
                        </dx:ASPxRoundPanel>
                        
                       
                 
                    </td>
                </tr>
                  <tr>
                    <td>
                        <dx:ASPxRoundPanel ID="rpExperienciaP" runat="server" Width="100%" HeaderText="Experiencia Laboral" Theme="MetropolisBlue">
                            <PanelCollection>
                                <dx:PanelContent runat="server">
                                    <dx:ASPxGridView ID="gridPostulanteExperiencia" runat="server" AutoGenerateColumns="False" DataSourceID="SqlPostulanteExperiencia" KeyFieldName="idPostulanteExperiencia" OnCustomUnboundColumnData="gridPostulanteExperiencia_CustomUnboundColumnData" OnDataBound="gridPostulanteExperiencia_DataBound" Width="100%" Theme="Office2010Blue" EnableRowsCache="False">
                                        <SettingsPager Mode="ShowAllRecords" Visible="False">
                                        </SettingsPager>
                                        <SettingsBehavior AllowDragDrop="False" AllowGroup="False" AllowSort="False" />

<SettingsCommandButton>
<ShowAdaptiveDetailButton ButtonType="Image"></ShowAdaptiveDetailButton>

<HideAdaptiveDetailButton ButtonType="Image"></HideAdaptiveDetailButton>
</SettingsCommandButton>

                                        <SettingsDataSecurity AllowDelete="False" AllowEdit="False" AllowInsert="False" />
                                        <SettingsText Title="Experiencia:" />
                                        <Columns>
                                            <dx:GridViewDataTextColumn Caption="Institución" FieldName="nombreInstitucion" ShowInCustomizationForm="True" VisibleIndex="1" Visible="False">
                                            </dx:GridViewDataTextColumn>
                                            <dx:GridViewDataTextColumn Caption="Cargo" FieldName="nombrePuesto" ShowInCustomizationForm="True" VisibleIndex="0">
                                            </dx:GridViewDataTextColumn>
                                            <dx:GridViewDataTextColumn Caption="Descripción" FieldName="descripcionPuesto" ShowInCustomizationForm="True" VisibleIndex="9">
                                            </dx:GridViewDataTextColumn>
                                            <dx:GridViewDataTextColumn Caption="Inicio" FieldName="inicioAnio" ShowInCustomizationForm="True" VisibleIndex="13">
                                                <DataItemTemplate>
                                                    <dx:ASPxLabel ID="ASPxLabel3" runat="server" Text='<%# String.Format("{0}/{1}", Eval("inicioMes"), Eval("inicioAnio"))%>'>
                                                    </dx:ASPxLabel>
                                                </DataItemTemplate>
                                            </dx:GridViewDataTextColumn>
                                            <dx:GridViewDataTextColumn Caption="Fin" FieldName="finAnio" ShowInCustomizationForm="True" VisibleIndex="17">
                                                <DataItemTemplate>
                                                    <dx:ASPxLabel ID="lblfechafin" runat="server" Text='<%# String.Format("{0}/{1}", Eval("finMes"), Eval("finAnio"))%>'>
                                                    </dx:ASPxLabel>
                                                    <dx:ASPxLabel ID="lblactual" runat="server" Text="Actual" Visible="false">
                                                    </dx:ASPxLabel>
                                                </DataItemTemplate>
                                            </dx:GridViewDataTextColumn>
                                            <dx:GridViewDataComboBoxColumn Caption="País" FieldName="idPais" ShowInCustomizationForm="True" VisibleIndex="4">
                                                <PropertiesComboBox DataSourceID="SqlPais" TextField="nombre" ValueField="codigo" ValueType="System.Int32">
                                                </PropertiesComboBox>
                                            </dx:GridViewDataComboBoxColumn>
                                            <dx:GridViewDataComboBoxColumn Caption="Sector" FieldName="idSector" ShowInCustomizationForm="True" VisibleIndex="8">
                                                <PropertiesComboBox DataSourceID="SqlSector" TextField="nombreSector" ValueField="idSector" ValueType="System.Int32">
                                                </PropertiesComboBox>
                                            </dx:GridViewDataComboBoxColumn>
                                            <dx:GridViewDataTextColumn Caption="Tiempo" FieldName="tiempo" ShowInCustomizationForm="True" UnboundType="String" VisibleIndex="20">
                                                <CellStyle ForeColor="#0066FF">
                                                </CellStyle>
                                            </dx:GridViewDataTextColumn>
                                        </Columns>
                                        <Styles>
                                            <Header Wrap="True">
                                            </Header>
                                            <TitlePanel HorizontalAlign="Left">
                                            </TitlePanel>
                                        </Styles>
                                    </dx:ASPxGridView>
                                </dx:PanelContent>
                            </PanelCollection>
                        </dx:ASPxRoundPanel>
                  
                        
                        </td>
                  </tr>
            </table>
            <asp:SqlDataSource ID="SqlPostulanteGrado" runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="SELECT [GRA_CODIGO], [GRA_NOMBRE] FROM [ViewGrado]"></asp:SqlDataSource>
            <asp:SqlDataSource ID="SqlPostulanteEspecialidad" runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="SELECT [idPostulanteEspecialidad], [ESP_NOMBRE], [GRA_CODIGO], [idPais], [inicioMes], [inicioAnio], [finMes], [finAnio], [falso] FROM [PostulanteEspecialidad] WHERE ([idConcursoPostulante] = @idConcursoPostulante)">
                <SelectParameters>
                    <asp:QueryStringParameter Name="idConcursoPostulante" QueryStringField="id" Type="Int32" />
                </SelectParameters>
</asp:SqlDataSource>
    <asp:SqlDataSource ID="SqlPais" runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="SELECT * FROM SEGURIDAD.dbo.[STP_Pais]"></asp:SqlDataSource>
            <asp:SqlDataSource ID="SqlPostulanteIdioma" runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="SELECT [IDI_NOMBRE], [IDI_Lee], [IDI_Escribe], [IDI_Habla] FROM [PostulanteIdioma] WHERE ([idConcursoPostulante] = @idConcursoPostulante)">
                <SelectParameters>
                    <asp:QueryStringParameter Name="idConcursoPostulante" QueryStringField="id" Type="Int32" />
                </SelectParameters>
</asp:SqlDataSource>
                        <asp:SqlDataSource ID="SqlCatalogoIdioma" runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="SELECT * FROM [USU_IdiomaExperiencia]"></asp:SqlDataSource>

    <asp:SqlDataSource runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="SELECT idPais, descripcionPuesto, idSector, nombrePuesto, inicioMes, inicioAnio, finMes, finAnio, activo FROM PostulanteExperiencia WHERE (idConcursoPostulante = @idConcursoPostulante) ORDER BY finAnio DESC, finMes DESC" ID="SqlPostulanteExperiencia">
        <SelectParameters>
            <asp:QueryStringParameter Name="idConcursoPostulante" QueryStringField="id" Type="Int32" />
        </SelectParameters>
</asp:SqlDataSource>

    <asp:SqlDataSource runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="SELECT [tituloCapacitacion], [conocimientosCapacitacion], [duracionCapacitacion], [anio] FROM [PostulanteCapacitacion] WHERE ([idConcursoPostulante] = @idConcursoPostulante)" ID="SqlPostulanteCapacitacion">
        <SelectParameters>
            <asp:QueryStringParameter Name="idConcursoPostulante" QueryStringField="id" Type="Int32" />
        </SelectParameters>
</asp:SqlDataSource>

    <asp:SqlDataSource runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="SELECT * FROM [PostulanteConocimiento] WHERE ([idConcursoPostulante] = @idConcursoPostulante)" ID="SqlPostulanteConocimiento">
        <SelectParameters>
            <asp:QueryStringParameter Name="idConcursoPostulante" QueryStringField="id" Type="Int32" />
        </SelectParameters>
</asp:SqlDataSource>

    <asp:SqlDataSource runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="SELECT * FROM [STP_Sector]" ID="SqlSector"></asp:SqlDataSource>
