﻿<%@ Control Language="vb" AutoEventWireup="false" CodeBehind="ucVistaPlaza.ascx.vb" Inherits="Dotacion.ucVistaPlaza" %>
 <script type="text/javascript">
     // <![CDATA[
     function CallForm() {
         popupPlaza.Show();
         cbpPlaza.PerformCallback();
     }
     function OnButtonClick(s, e) {
         var indexTab = (tabPerfil.GetActiveTab()).index;
         tabPerfil.SetActiveTab(tabPerfil.GetTab(indexTab + 1));

     }
     function VerDetalle(s, e) {
         var parametro = window.location.search.substring(1);
         window.location.href = 'wfProceso.aspx?' + parametro;
     }
     function Postular(s, e) {
         var parametro = window.location.search.substring(1);
         window.location.href = 'Pages/wfPostular.aspx?' + parametro;
     }
     // ]]> 
</script> 
<div style="max-width:1000px;margin: 0 auto;">
<dx:ASPxFormLayout ID="FormPuesto" runat="server" DataSourceID="SqlPuesto" RequiredMarkDisplayMode="None" ClientInstanceName="FormPuesto" Theme="Glass" Width="100%" AccessibilityCompliant="True">
    <SettingsAdaptivity AdaptivityMode="SingleColumnWindowLimit" SwitchToSingleColumnAtWindowInnerWidth="700" />
    <Items>
        <dx:LayoutGroup Caption="Concurso de Selección por Oposición" ColCount="2" Width="100%">
            <GroupBoxStyle>
                <Caption Font-Bold="True" Font-Size="Larger">
                </Caption>
            </GroupBoxStyle>
            <Items>
                <dx:LayoutItem Caption="Título del Puesto" FieldName="nombrePuesto" Width="50%">
                    <LayoutItemNestedControlCollection>
                        <dx:LayoutItemNestedControlContainer runat="server">
                            <dx:ASPxLabel ID="txtTitulo" runat="server" Font-Bold="True" CssClass="mayusculas">
                            </dx:ASPxLabel>
                        </dx:LayoutItemNestedControlContainer>
                    </LayoutItemNestedControlCollection>
                </dx:LayoutItem>
                <dx:LayoutItem ShowCaption="False" Width="50%">
                    <LayoutItemNestedControlCollection>
                        <dx:LayoutItemNestedControlContainer runat="server">
                            <dx:ASPxImage ID="ASPxImage2" runat="server" ShowLoadingImage="false" ImageUrl="~/Content/Images/bannerPuesto.png" ImageAlign="Right" Height="73px" Width="237px"></dx:ASPxImage>
                        </dx:LayoutItemNestedControlContainer>
                    </LayoutItemNestedControlCollection>
                </dx:LayoutItem>
                <dx:LayoutItem Caption="Número de Concurso" FieldName="Identificador" Width="100%">
                    <LayoutItemNestedControlCollection>
                        <dx:LayoutItemNestedControlContainer runat="server">
                            <dx:ASPxLabel ID="ASPxFormLayout1_E4" runat="server">
                            </dx:ASPxLabel>
                        </dx:LayoutItemNestedControlContainer>
                    </LayoutItemNestedControlCollection>
                </dx:LayoutItem>
                <dx:LayoutItem Caption="Institución" FieldName="idInstitucion" ColSpan="2" Width="100%">
                    <LayoutItemNestedControlCollection>
                        <dx:LayoutItemNestedControlContainer runat="server">
                            <dx:ASPxComboBox ID="cmbInstitucion" runat="server" DataSourceID="SqlInstitucion" Enabled="False" TextField="nombreInstitucion" ValueField="idInstitucion" Width="100%" ForeColor="Black" AccessibilityCompliant="True">
                                <DropDownButton Visible="False">
                                </DropDownButton>
                                <Paddings Padding="0px" />
                                <Border BorderStyle="None" />
                                <DisabledStyle BackColor="White">
                                </DisabledStyle>
                            </dx:ASPxComboBox>
                            <asp:SqlDataSource ID="SqlInstitucion" runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="SELECT [idInstitucion], [nombreInstitucion] FROM SEGURIDAD.dbo.[Institucion]"></asp:SqlDataSource>
                        </dx:LayoutItemNestedControlContainer>
                    </LayoutItemNestedControlCollection>
                </dx:LayoutItem>
                <dx:LayoutItem Caption="Tipo" FieldName="idConvocatoria" ColSpan="2" Width="50%">
                    <LayoutItemNestedControlCollection>
                        <dx:LayoutItemNestedControlContainer runat="server">
                            <dx:ASPxComboBox ID="cmbTipoConvocatoria" runat="server" AutoResizeWithContainer="True" DataSourceID="SqlTipoConvocatoria" Enabled="False" TextField="nombreConvocatoria" ValueField="idConvocatoria" Width="100%" ForeColor="Black" AccessibilityCompliant="True">
                                <DropDownButton Visible="False">
                                </DropDownButton>
                                <Paddings Padding="0px" />
                                <Border BorderStyle="None" />
                                <DisabledStyle ForeColor="Black" BackColor="White">
                                </DisabledStyle>
                            </dx:ASPxComboBox>
                            <asp:SqlDataSource ID="SqlTipoConvocatoria" runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="SELECT * FROM [Convocatoria]"></asp:SqlDataSource>
                        </dx:LayoutItemNestedControlContainer>
                    </LayoutItemNestedControlCollection>
                </dx:LayoutItem>
                <dx:LayoutItem Caption="Contratación" FieldName="idContratacion" Width="50%">
                    <LayoutItemNestedControlCollection>
                        <dx:LayoutItemNestedControlContainer runat="server">
                            <dx:ASPxComboBox ID="cmbTipoContratacion" runat="server" AutoResizeWithContainer="True" DataSourceID="SqlContratacion" Enabled="False" TextField="nombreContratacion" ValueField="idContratacion" ForeColor="Black" ValueType="System.Int32" Width="100%">
                                <DropDownButton Visible="False">
                                </DropDownButton>
                                <Paddings Padding="0px" />
                                <Border BorderStyle="None" />
                                <DisabledStyle ForeColor="Black" BackColor="White">
                                </DisabledStyle>
                            </dx:ASPxComboBox>
                            <asp:SqlDataSource ID="SqlContratacion" runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="SELECT [idContratacion], [nombreContratacion] FROM [Contratacion]"></asp:SqlDataSource>
                        </dx:LayoutItemNestedControlContainer>
                    </LayoutItemNestedControlCollection>
                </dx:LayoutItem>
                <dx:LayoutItem Caption="Estado" FieldName="idEstadoPlaza" Width="50%">
                    <LayoutItemNestedControlCollection>
                        <dx:LayoutItemNestedControlContainer runat="server">
                            <dx:ASPxComboBox ID="cmbEstado" runat="server" AutoResizeWithContainer="True" DataSourceID="SqlEstado" Enabled="False" TextField="nombreEstadoPlaza" ValueField="idEstadoPlaza" Width="90%" ForeColor="Black" AccessibilityCompliant="True">
                                <DropDownButton Visible="False">
                                </DropDownButton>
                                <Paddings Padding="0px" />
                                <Border BorderStyle="None" />
                            </dx:ASPxComboBox>
                            <asp:SqlDataSource ID="SqlEstado" runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="SELECT * FROM [EstadoPlaza]"></asp:SqlDataSource>
                        </dx:LayoutItemNestedControlContainer>
                    </LayoutItemNestedControlCollection>
                </dx:LayoutItem>
                <dx:LayoutItem Caption="Vacantes" FieldName="vacantes" Width="50%">
                    <LayoutItemNestedControlCollection>
                        <dx:LayoutItemNestedControlContainer runat="server">
                            <dx:ASPxLabel ID="txtVacantes" runat="server">
                            </dx:ASPxLabel>
                        </dx:LayoutItemNestedControlContainer>
                    </LayoutItemNestedControlCollection>
                </dx:LayoutItem>
                <dx:LayoutItem Caption="Salario" FieldName="salario" Width="50%">
                    <LayoutItemNestedControlCollection>
                        <dx:LayoutItemNestedControlContainer runat="server">
                            <dx:ASPxLabel ID="txtSalario" runat="server" Text="0">
                            </dx:ASPxLabel>
                        </dx:LayoutItemNestedControlContainer>
                    </LayoutItemNestedControlCollection>
                </dx:LayoutItem>
                <dx:LayoutItem Caption="Ubicación" FieldName="idMunicipio" ColSpan="2" Width="50%">
                    <LayoutItemNestedControlCollection>
                        <dx:LayoutItemNestedControlContainer runat="server">
                            <dx:ASPxComboBox ID="cmbMunicipio" runat="server" AutoResizeWithContainer="True" DataSourceID="SqlMunicipio" Enabled="False" EnableTheming="True" ForeColor="Black" TextField="municipio" ValueField="idMunicipio" Width="100%" AccessibilityCompliant="True">
                                <DropDownButton Visible="False">
                                </DropDownButton>
                                <Border BorderStyle="None" />
                                <DisabledStyle BackColor="White">
                                </DisabledStyle>
                            </dx:ASPxComboBox>
                            <asp:SqlDataSource ID="SqlMunicipio" runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="SELECT STP_Municipio.idMunicipio, STP_Municipio.nombreMunicipio + ', ' + STP_Departamento.nombreDepartamento AS municipio FROM STP_Departamento INNER JOIN STP_Municipio ON STP_Departamento.idDepartamento = STP_Municipio.idDepartamento"></asp:SqlDataSource>
                        </dx:LayoutItemNestedControlContainer>
                    </LayoutItemNestedControlCollection>
                </dx:LayoutItem>
                <dx:LayoutItem Caption="Inscripción desde" FieldName="fechaInicioInscripcion" Width="50%">
                    <LayoutItemNestedControlCollection>
                        <dx:LayoutItemNestedControlContainer runat="server">
                            <dx:ASPxLabel ID="fechaInicio" runat="server">
                            </dx:ASPxLabel>
                        </dx:LayoutItemNestedControlContainer>
                    </LayoutItemNestedControlCollection>
                </dx:LayoutItem>
                <dx:LayoutItem Caption="Hasta" FieldName="fechaCierreInscripcion" Width="50%">
                    <LayoutItemNestedControlCollection>
                        <dx:LayoutItemNestedControlContainer runat="server">
                            <dx:ASPxLabel ID="fechaFin" runat="server">
                            </dx:ASPxLabel>
                        </dx:LayoutItemNestedControlContainer>
                    </LayoutItemNestedControlCollection>
                </dx:LayoutItem>
                <dx:LayoutItem FieldName="comentario" Caption="Comentario" ColSpan="2" Width="100%">
                    <LayoutItemNestedControlCollection>
                        <dx:LayoutItemNestedControlContainer runat="server">
                            <dx:ASPxLabel ID="lblComentario" runat="server">
                            </dx:ASPxLabel>
                        </dx:LayoutItemNestedControlContainer>
                    </LayoutItemNestedControlCollection>
                </dx:LayoutItem>
                <dx:LayoutItem Caption="" FieldName="numeroParticipantes" ShowCaption="False"  Width="100%">
                    <LayoutItemNestedControlCollection>
                        <dx:LayoutItemNestedControlContainer runat="server">
                            <dx:ASPxLabel ID="lblParticipantes" runat="server" Visible="False">
                            </dx:ASPxLabel>
                        </dx:LayoutItemNestedControlContainer>
                    </LayoutItemNestedControlCollection>
                    <NestedControlCellStyle BackColor="lightsteelblue">
                    </NestedControlCellStyle>
                </dx:LayoutItem>
                <dx:LayoutItem Caption="" FieldName="cierreComentario" ColSpan="2" ShowCaption="False" Width="100%">
                    <LayoutItemNestedControlCollection>
                        <dx:LayoutItemNestedControlContainer runat="server">
                            <dx:ASPxLabel ID="lblCierre" runat="server" Text="" Visible="False">
                            </dx:ASPxLabel>
                        </dx:LayoutItemNestedControlContainer>
                    </LayoutItemNestedControlCollection>
                     <NestedControlCellStyle BackColor="lightsteelblue">
                    </NestedControlCellStyle>
                </dx:LayoutItem>
            </Items>
        </dx:LayoutGroup>
        <dx:LayoutGroup Caption="Perfil del Puesto">
            <GroupBoxStyle>
                <Caption Font-Bold="True" Font-Size="Larger">
                </Caption>
            </GroupBoxStyle>
            <Items>
                <dx:TabbedLayoutGroup Caption="Perfil del Puesto" TabAlign="Justify" Width="100%" ClientInstanceName="tabPerfil">
                    <Border BorderStyle="None" />
                    <Styles>
                        <TabStyle Wrap="True">
                        </TabStyle>
                    </Styles>
                    <Items>
                        <dx:LayoutGroup Caption="Información del Puesto" Name="informacion">
                            <Items>
                                <dx:LayoutItem Caption="Misión" FieldName="misionPuesto">
                                    <LayoutItemNestedControlCollection>
                                        <dx:LayoutItemNestedControlContainer runat="server">
                                            <dx:ASPxLabel ID="FormPuesto_E3" runat="server" Wrap="True">
                                            </dx:ASPxLabel>
                                        </dx:LayoutItemNestedControlContainer>
                                    </LayoutItemNestedControlCollection>
                                </dx:LayoutItem>
                                <dx:LayoutItem Caption="Funciones Básicas" FieldName="funcionPuesto">
                                    <LayoutItemNestedControlCollection>
                                        <dx:LayoutItemNestedControlContainer runat="server">
                                            <dx:ASPxLabel ID="FormPuesto_E4" runat="server" Wrap="True">
                                            </dx:ASPxLabel>
                                        </dx:LayoutItemNestedControlContainer>
                                    </LayoutItemNestedControlCollection>
                                </dx:LayoutItem>
                                <dx:LayoutItem Caption="Resultados Principales" FieldName="resultadoPuesto">
                                    <LayoutItemNestedControlCollection>
                                        <dx:LayoutItemNestedControlContainer runat="server">
                                        
                                            <dx:ASPxLabel ID="FormPuesto_E5" runat="server" Wrap="True">
                                            </dx:ASPxLabel>
                                        </dx:LayoutItemNestedControlContainer>
                                    </LayoutItemNestedControlCollection>
                                </dx:LayoutItem>
                                <dx:LayoutItem Caption="Marco de Referencia" FieldName="marcoPuesto">
                                    <LayoutItemNestedControlCollection>
                                        <dx:LayoutItemNestedControlContainer runat="server">
                                            <dx:ASPxLabel ID="FormPuesto_E6" runat="server" Wrap="True">
                                            </dx:ASPxLabel>

                                        </dx:LayoutItemNestedControlContainer>
                                    </LayoutItemNestedControlCollection>
                                </dx:LayoutItem>
                                <dx:LayoutItem Caption="Otros aspectos" FieldName="descripcionPuesto">
                                    <LayoutItemNestedControlCollection>
                                        <dx:LayoutItemNestedControlContainer runat="server">
                                              <dx:ASPxLabel ID="FormPuesto_E7" runat="server" Wrap="True">
                                            </dx:ASPxLabel>
                                         </dx:LayoutItemNestedControlContainer>
                                    </LayoutItemNestedControlCollection>
                                </dx:LayoutItem>
                                <dx:LayoutItem Caption="" HorizontalAlign="Center" ShowCaption="False" Width="150px">
                                    <LayoutItemNestedControlCollection>
                                        <dx:LayoutItemNestedControlContainer runat="server">
                                            <dx:ASPxButton ID="btnNext1" runat="server" AutoPostBack="False" Height="30px" HorizontalAlign="Center" Text="Siguiente" Width="150px" AccessibilityCompliant="True">
                                                                            <ClientSideEvents Click="OnButtonClick" />
                                            </dx:ASPxButton>
                                        </dx:LayoutItemNestedControlContainer>
                                    </LayoutItemNestedControlCollection>
                                    <ParentContainerStyle>
                                        <Paddings PaddingTop="25px" />
                                    </ParentContainerStyle>
                                </dx:LayoutItem>
                            </Items>
                        </dx:LayoutGroup>
                        <dx:LayoutGroup Caption="Perfil de Contratación" ShowCaption="False" Name="perfil">
                            <Items>
                                <dx:LayoutGroup Caption="Formación Básica" GroupBoxDecoration="HeadingLine">
                                    <Items>
                                        <dx:LayoutItem Caption="Grado Académico">
                                            <LayoutItemNestedControlCollection>
                                                <dx:LayoutItemNestedControlContainer runat="server">
                                                    <dx:ASPxGridView ID="gridGrado" runat="server" AutoGenerateColumns="False" ClientInstanceName="gridGrado" DataSourceID="SqlGrado" Width="100%" AccessibilityCompliant="True">
<SettingsAdaptivity>
<AdaptiveDetailLayoutProperties ColCount="1"></AdaptiveDetailLayoutProperties>
</SettingsAdaptivity>

                                                        <SettingsPager Visible="False">
                                                        </SettingsPager>
                                                        <Settings GridLines="Horizontal" ShowColumnHeaders="False" />
                                                        <SettingsBehavior AllowDragDrop="False" AllowSort="False" />

<SettingsCommandButton>
<ShowAdaptiveDetailButton ButtonType="Image"></ShowAdaptiveDetailButton>

<HideAdaptiveDetailButton ButtonType="Image"></HideAdaptiveDetailButton>
</SettingsCommandButton>

                                                        <SettingsDataSecurity AllowDelete="False" AllowEdit="False" AllowInsert="False" />
                                                        <SettingsText EmptyDataRow="No existen grados academicos asociados." />

<EditFormLayoutProperties ColCount="1"></EditFormLayoutProperties>
                                                        <Columns>
                                                            <dx:GridViewDataTextColumn FieldName="GRA_NOMBRE" ShowInCustomizationForm="True" VisibleIndex="0" Width="70%">
                                                            </dx:GridViewDataTextColumn>
                                                            <dx:GridViewDataTextColumn FieldName="REQ_NOMBRE" ShowInCustomizationForm="True" VisibleIndex="1" Width="30%">
                                                                <CellStyle HorizontalAlign="Right">
                                                                </CellStyle>
                                                            </dx:GridViewDataTextColumn>
                                                        </Columns>
                                                        <Styles>
                                                            <EmptyDataRow BackColor="White" HorizontalAlign="Left">
                                                            </EmptyDataRow>
                                                        </Styles>
                                                    </dx:ASPxGridView>
                                                    <asp:SqlDataSource ID="SqlGrado" runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="SELECT GRA_NOMBRE, REQ_NOMBRE FROM GOES_Grado WHERE (idPlaza = @idPlaza) ORDER BY REQ_NOMBRE desc, gra_NOMBRE asc">
                                                        <SelectParameters>
                                                            <asp:SessionParameter Name="idPlaza" SessionField="plaza" Type="Int32" />
                                                        </SelectParameters>
                                                    </asp:SqlDataSource>
                                                </dx:LayoutItemNestedControlContainer>
                                            </LayoutItemNestedControlCollection>
                                        </dx:LayoutItem>
                                        <dx:LayoutItem Caption="Opciones Académicas">
                                            <LayoutItemNestedControlCollection>
                                                <dx:LayoutItemNestedControlContainer runat="server">
                                                    <dx:ASPxGridView ID="gridEspecialidad" runat="server" AutoGenerateColumns="False" ClientInstanceName="gridEspecialidad" DataSourceID="SqlEspecialidades" Width="100%" AccessibilityCompliant="True">
<SettingsAdaptivity>
<AdaptiveDetailLayoutProperties ColCount="1"></AdaptiveDetailLayoutProperties>
</SettingsAdaptivity>

                                                        <SettingsPager Visible="False" Mode="ShowAllRecords">
                                                        </SettingsPager>
                                                        <Settings GridLines="Horizontal" ShowColumnHeaders="False" />
                                                        <SettingsBehavior AllowDragDrop="False" AllowSort="False" />

<SettingsCommandButton>
<ShowAdaptiveDetailButton ButtonType="Image"></ShowAdaptiveDetailButton>

<HideAdaptiveDetailButton ButtonType="Image"></HideAdaptiveDetailButton>
</SettingsCommandButton>

                                                        <SettingsDataSecurity AllowDelete="False" AllowEdit="False" AllowInsert="False" />
                                                        <SettingsText EmptyDataRow="No se requiere" />

<EditFormLayoutProperties ColCount="1"></EditFormLayoutProperties>
                                                        <Columns>
                                                            <dx:GridViewDataTextColumn FieldName="ESP_NOMBRE" ShowInCustomizationForm="True" VisibleIndex="0" Width="70%">
                                                            </dx:GridViewDataTextColumn>
                                                            <dx:GridViewDataTextColumn FieldName="REQ_NOMBRE" ShowInCustomizationForm="True" VisibleIndex="1" Width="30%">
                                                                <CellStyle HorizontalAlign="Right">
                                                                </CellStyle>
                                                            </dx:GridViewDataTextColumn>
                                                        </Columns>
                                                        <Styles>
                                                            <EmptyDataRow BackColor="White" HorizontalAlign="Left">
                                                            </EmptyDataRow>
                                                        </Styles>
                                                    </dx:ASPxGridView>
                                                    <asp:SqlDataSource ID="SqlEspecialidades" runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="SELECT  ESP_NOMBRE, REQ_NOMBRE FROM GOES_Especialidad WHERE (idPlaza = @idPlaza) ORDER BY REQ_NOMBRE desc, ESP_NOMBRE asc">
                                                        <SelectParameters>
                                                            <asp:SessionParameter Name="idPlaza" SessionField="plaza" Type="Int32" />
                                                        </SelectParameters>
                                                    </asp:SqlDataSource>
                                                </dx:LayoutItemNestedControlContainer>
                                            </LayoutItemNestedControlCollection>
                                        </dx:LayoutItem>
                                    </Items>
                                </dx:LayoutGroup>
                                <dx:LayoutGroup Caption="Formación Específica" GroupBoxDecoration="HeadingLine">
                                    <Items>
                                        <dx:LayoutItem Caption="Conocimientos específicos que se requieren">
                                            <LayoutItemNestedControlCollection>
                                                <dx:LayoutItemNestedControlContainer runat="server">
                                                    <dx:ASPxGridView ID="gridCompTecnicas" runat="server" AutoGenerateColumns="False" ClientInstanceName="gridCompTecnicas" DataSourceID="SqlCompTecnicas" Width="100%" AccessibilityCompliant="True">
<SettingsAdaptivity>
<AdaptiveDetailLayoutProperties ColCount="1"></AdaptiveDetailLayoutProperties>
</SettingsAdaptivity>

                                                        <SettingsPager Visible="False" Mode="ShowAllRecords">
                                                        </SettingsPager>
                                                        <Settings GridLines="Horizontal" ShowColumnHeaders="False" />
                                                        <SettingsBehavior AllowDragDrop="False" AllowSort="False" />

<SettingsCommandButton>
<ShowAdaptiveDetailButton ButtonType="Image"></ShowAdaptiveDetailButton>

<HideAdaptiveDetailButton ButtonType="Image"></HideAdaptiveDetailButton>
</SettingsCommandButton>

                                                        <SettingsDataSecurity AllowDelete="False" AllowEdit="False" AllowInsert="False" />
                                                        <SettingsText EmptyDataRow="No se requiere." />

<EditFormLayoutProperties ColCount="1"></EditFormLayoutProperties>
                                                        <Columns>
                                                            <dx:GridViewDataTextColumn FieldName="TEC_NOMBRE" ShowInCustomizationForm="True" VisibleIndex="0" Width="70%">
                                                            </dx:GridViewDataTextColumn>
                                                            <dx:GridViewDataTextColumn FieldName="REQ_NOMBRE" ShowInCustomizationForm="True" VisibleIndex="1" Width="30%">
                                                                <CellStyle HorizontalAlign="Right">
                                                                </CellStyle>
                                                            </dx:GridViewDataTextColumn>
                                                        </Columns>
                                                        <Styles>
                                                            <EmptyDataRow BackColor="White" HorizontalAlign="Left">
                                                            </EmptyDataRow>
                                                        </Styles>
                                                    </dx:ASPxGridView>
                                                    <asp:SqlDataSource ID="SqlCompTecnicas" runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="SELECT [TEC_NOMBRE], [REQ_NOMBRE] FROM [GOES_CompTecnica] WHERE ([idPlaza] = @idPlaza) ORDER BY REQ_NOMBRE desc, TEC_NOMBRE asc">
                                                        <SelectParameters>
                                                            <asp:SessionParameter Name="idPlaza" SessionField="plaza" Type="Int32" />
                                                        </SelectParameters>
                                                    </asp:SqlDataSource>
                                                </dx:LayoutItemNestedControlContainer>
                                            </LayoutItemNestedControlCollection>
                                        </dx:LayoutItem>
                                        <dx:LayoutItem Caption="Idiomas">
                                            <LayoutItemNestedControlCollection>
                                                <dx:LayoutItemNestedControlContainer runat="server">
                                                    <dx:ASPxGridView ID="gridIdioma" runat="server" AutoGenerateColumns="False" ClientInstanceName="gridIdioma" DataSourceID="SqlIdioma" Width="100%" AccessibilityCompliant="True">
<SettingsAdaptivity>
<AdaptiveDetailLayoutProperties ColCount="1"></AdaptiveDetailLayoutProperties>
</SettingsAdaptivity>

                                                        <SettingsPager Visible="False">
                                                        </SettingsPager>
                                                        <Settings GridLines="Horizontal" ShowColumnHeaders="False" />
                                                        <SettingsBehavior AllowDragDrop="False" AllowSort="False" />

<SettingsCommandButton>
<ShowAdaptiveDetailButton ButtonType="Image"></ShowAdaptiveDetailButton>

<HideAdaptiveDetailButton ButtonType="Image"></HideAdaptiveDetailButton>
</SettingsCommandButton>

                                                        <SettingsDataSecurity AllowDelete="False" AllowEdit="False" AllowInsert="False" />
                                                        <SettingsText EmptyDataRow="No se requiere." />

<EditFormLayoutProperties ColCount="1"></EditFormLayoutProperties>
                                                        <Columns>
                                                            <dx:GridViewDataTextColumn FieldName="IDI_NOMBRE" ShowInCustomizationForm="True" VisibleIndex="0" Width="70%">
                                                            </dx:GridViewDataTextColumn>
                                                            <dx:GridViewDataTextColumn FieldName="REQ_NOMBRE" ShowInCustomizationForm="True" VisibleIndex="1" Width="30%">
                                                                <CellStyle HorizontalAlign="Right">
                                                                </CellStyle>
                                                            </dx:GridViewDataTextColumn>
                                                        </Columns>
                                                        <Styles>
                                                            <EmptyDataRow BackColor="White" HorizontalAlign="Left">
                                                            </EmptyDataRow>
                                                        </Styles>
                                                    </dx:ASPxGridView>
                                                    <asp:SqlDataSource ID="SqlIdioma" runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="SELECT IDI_NOMBRE, REQ_NOMBRE FROM GOES_Idioma WHERE (idPlaza = @idPlaza)">
                                                        <SelectParameters>
                                                            <asp:SessionParameter Name="idPlaza" SessionField="plaza" Type="Int32" />
                                                        </SelectParameters>
                                                    </asp:SqlDataSource>
                                                </dx:LayoutItemNestedControlContainer>
                                            </LayoutItemNestedControlCollection>
                                        </dx:LayoutItem>
                                        <dx:LayoutItem Caption="Experiencia previa">
                                            <LayoutItemNestedControlCollection>
                                                <dx:LayoutItemNestedControlContainer runat="server">
                                                    <dx:ASPxGridView ID="gridExperiencia" runat="server" AutoGenerateColumns="False" ClientInstanceName="gridExperiencia" DataSourceID="SqlExperiencia" Width="100%" AccessibilityCompliant="True">
<SettingsAdaptivity>
<AdaptiveDetailLayoutProperties ColCount="1"></AdaptiveDetailLayoutProperties>
</SettingsAdaptivity>

                                                        <SettingsPager Visible="False">
                                                        </SettingsPager>
                                                        <Settings GridLines="Horizontal" ShowColumnHeaders="False" />
                                                        <SettingsBehavior AllowDragDrop="False" AllowSort="False" />

<SettingsCommandButton>
<ShowAdaptiveDetailButton ButtonType="Image"></ShowAdaptiveDetailButton>

<HideAdaptiveDetailButton ButtonType="Image"></HideAdaptiveDetailButton>
</SettingsCommandButton>

                                                        <SettingsDataSecurity AllowDelete="False" AllowEdit="False" AllowInsert="False" />
                                                        <SettingsText EmptyDataRow="No se requiere." />

<EditFormLayoutProperties ColCount="1"></EditFormLayoutProperties>
                                                        <Columns>
                                                            <dx:GridViewDataTextColumn FieldName="EXP_DESCRIPCION" ShowInCustomizationForm="True" VisibleIndex="0" Width="70%">
                                                            </dx:GridViewDataTextColumn>
                                                            <dx:GridViewDataTextColumn FieldName="EXP_NOMBRE" ShowInCustomizationForm="True" VisibleIndex="1" Width="30%">
                                                                <CellStyle HorizontalAlign="Right">
                                                                </CellStyle>
                                                            </dx:GridViewDataTextColumn>
                                                        </Columns>
                                                        <Styles>
                                                            <EmptyDataRow BackColor="White" HorizontalAlign="Left">
                                                            </EmptyDataRow>
                                                        </Styles>
                                                    </dx:ASPxGridView>
                                                    <asp:SqlDataSource ID="SqlExperiencia" runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="SELECT EXP_DESCRIPCION, EXP_NOMBRE FROM GOES_Experiencia WHERE (idPlaza = @idPlaza) ORDER BY EXP_NOMBRE">
                                                        <SelectParameters>
                                                            <asp:SessionParameter Name="idPlaza" SessionField="plaza" Type="Int32" />
                                                        </SelectParameters>
                                                    </asp:SqlDataSource>
                                                </dx:LayoutItemNestedControlContainer>
                                            </LayoutItemNestedControlCollection>
                                        </dx:LayoutItem>
                                    </Items>
                                </dx:LayoutGroup>
                                <dx:LayoutItem HorizontalAlign="Center" ShowCaption="False" Width="150px">
                                    <LayoutItemNestedControlCollection>
                                        <dx:LayoutItemNestedControlContainer runat="server">
                                            <dx:ASPxButton ID="btnNext2" runat="server" Height="30px" HorizontalAlign="Center" Text="Siguiente" Width="150px" AutoPostBack="false" AccessibilityCompliant="True">
                                                <ClientSideEvents Click="OnButtonClick" />
                                            </dx:ASPxButton>
                                        </dx:LayoutItemNestedControlContainer>
                                    </LayoutItemNestedControlCollection>
                                </dx:LayoutItem>
                            </Items>
                        </dx:LayoutGroup>
                        <dx:LayoutGroup Caption="Criterios de Evaluación" Name="criterios">
                            <Items>
                                <dx:LayoutItem ShowCaption="False">
                                    <LayoutItemNestedControlCollection>
                                        <dx:LayoutItemNestedControlContainer runat="server">
                                            <dx:ASPxGridView ID="gridEtapa" runat="server" AutoGenerateColumns="False" ClientInstanceName="gridEtapa" CssClass="CenteredGrid" DataSourceID="SqlEtapa" KeyFieldName="idEtapa" OnDataBound="gridEtapa_DataBound" Width="100%" AccessibilityCompliant="True">
                                                <SettingsDetail ExportMode="All" ShowDetailButtons="False" ShowDetailRow="True" />

<SettingsAdaptivity>
<AdaptiveDetailLayoutProperties ColCount="1"></AdaptiveDetailLayoutProperties>
</SettingsAdaptivity>

                                                <Templates>
                                                    <DetailRow>
                                                        <dx:ASPxGridView ID="gridFactorPuntaje" runat="server" AutoGenerateColumns="False" ClientInstanceName="gridFactorPuntaje" DataSourceID="SqlFactorPuntaje" KeyFieldName="idFactorPuntaje" OnBeforePerformDataSelect="gridFactorPuntaje_BeforePerformDataSelect" OnDataBound="gridFactorPuntaje_DataBound" Width="100%" AccessibilityCompliant="True">
                                                            <SettingsDetail ExportMode="All" ShowDetailButtons="False" ShowDetailRow="True" />
                                                            <Templates>
                                                                <DetailRow>
                                                                    <dx:ASPxGridView ID="gridArea" runat="server" AutoGenerateColumns="False" DataSourceID="SqlArea" KeyFieldName="idFactorPuntaje;idArea" OnBeforePerformDataSelect="gridArea_BeforePerformDataSelect" Width="100%" AccessibilityCompliant="True">
                                                                        <Templates>
                                                                            <DataRow>
                                                                                <table style="width:100%;padding:5px;">
                                                                                    <tr>
                                                                                        <td style="width:5%">&nbsp;</td>
                                                                                        <td style="width:5%;">
                                                                                            <dx:ASPxImage ID="ASPxImage1" runat="server" ImageUrl="~/Content/Images/bullet.png" ShowLoadingImage="false">
                                                                                            </dx:ASPxImage>
                                                                                        </td>
                                                                                        <td style="width:75%;">
                                                                                            <dx:ASPxLabel ID="lblArea" runat="server" Text='<%# Eval("nombreArea")%>'>
                                                                                            </dx:ASPxLabel>
                                                                                        </td>
                                                                                        <td style="width:15%;text-align:center;">
                                                                                            <dx:ASPxLabel ID="lblPuntaje" runat="server" Text='<%# String.Concat(String.Format("{0:N0}", Eval("puntajeArea")), " pts.")%>'>
                                                                                            </dx:ASPxLabel>
                                                                                        </td>
                                                                                    </tr>
                                                                                </table>
                                                                            </DataRow>
                                                                        </Templates>
                                                                        <SettingsPager Visible="False" Mode="ShowAllRecords">
                                                                        </SettingsPager>
                                                                        <Settings GridLines="None" ShowColumnHeaders="False" />
                                                                        <SettingsBehavior AllowDragDrop="False" AllowSort="False" />
                                                                        <SettingsDataSecurity AllowDelete="False" AllowEdit="False" AllowInsert="False" />
                                                                        <SettingsText EmptyDataRow="[No existe área temática]" />
                                                                        <Columns>
                                                                            <dx:GridViewDataTextColumn FieldName="nombreArea" VisibleIndex="0" Width="80%">
                                                                            </dx:GridViewDataTextColumn>
                                                                            <dx:GridViewDataTextColumn FieldName="puntajeArea" VisibleIndex="1" Width="20%">
                                                                            </dx:GridViewDataTextColumn>
                                                                        </Columns>
                                                                        <Styles>
                                                                            <EmptyDataRow BackColor="White" CssClass="myEmptyDataRow">
                                                                            </EmptyDataRow>
                                                                            <Table Border-BorderStyle="None" CssClass="cls" >
                                                                                <Border BorderStyle="None" />
                                                                            </Table>
                                                                        </Styles>
                                                                    </dx:ASPxGridView>
                                                                </DetailRow>
                                                            </Templates>
                                                            <SettingsPager Visible="False">
                                                            </SettingsPager>
                                                            <SettingsBehavior AllowDragDrop="False" AllowSort="False" />
                                                            <SettingsCommandButton>
                                                                <ShowAdaptiveDetailButton ButtonType="Image">
                                                                </ShowAdaptiveDetailButton>
                                                                <HideAdaptiveDetailButton ButtonType="Image">
                                                                </HideAdaptiveDetailButton>
                                                            </SettingsCommandButton>
                                                            <SettingsDataSecurity AllowDelete="False" AllowEdit="false" AllowInsert="False" />
                                                            <Columns>
                                                                <dx:GridViewDataSpinEditColumn Caption="Puntaje Mínimo" FieldName="FactorPuntajeMinimo" VisibleIndex="3" Width="15%">
                                                                    <PropertiesSpinEdit DisplayFormatString="N0" MaxValue="100" NumberFormat="Custom" NumberType="Integer">
                                                                    </PropertiesSpinEdit>
                                                                    <CellStyle HorizontalAlign="Center">
                                                                    </CellStyle>
                                                                </dx:GridViewDataSpinEditColumn>
                                                                <dx:GridViewDataSpinEditColumn Caption="Puntaje Máximo" FieldName="FactorPuntajeMaximo" VisibleIndex="2" Width="15%">
                                                                    <PropertiesSpinEdit DisplayFormatString="N0" MaxValue="100" NumberFormat="Custom" NumberType="Integer">
                                                                    </PropertiesSpinEdit>
                                                                    <CellStyle HorizontalAlign="Center">
                                                                    </CellStyle>
                                                                </dx:GridViewDataSpinEditColumn>
                                                                <dx:GridViewDataTextColumn FieldName="idFactor" ReadOnly="True" Visible="False" VisibleIndex="0">
                                                                    <EditFormSettings Visible="False" />
                                                                </dx:GridViewDataTextColumn>
                                                                <dx:GridViewDataTextColumn Caption="Factor" FieldName="nombreFactor" VisibleIndex="1" Width="70%">
                                                                </dx:GridViewDataTextColumn>
                                                            </Columns>
                                                            <Styles>
                                                                <Header Wrap="True">
                                                                </Header>
                                                            </Styles>
                                                        </dx:ASPxGridView>
                                                    </DetailRow>
                                                </Templates>
                                                <SettingsPager Visible="False">
                                                </SettingsPager>
                                                <Settings GridLines="None" ShowColumnHeaders="False" />
                                                <SettingsBehavior AllowDragDrop="False" AllowSort="False" />

<SettingsCommandButton>
<ShowAdaptiveDetailButton ButtonType="Image"></ShowAdaptiveDetailButton>

<HideAdaptiveDetailButton ButtonType="Image"></HideAdaptiveDetailButton>
</SettingsCommandButton>

                                                <SettingsDataSecurity AllowDelete="False" AllowEdit="False" AllowInsert="False" />

<EditFormLayoutProperties ColCount="1"></EditFormLayoutProperties>
                                                <Columns>
                                                    <dx:GridViewDataTextColumn FieldName="nombreEtapa" ShowInCustomizationForm="True" VisibleIndex="1">
                                                        <CellStyle BackColor="#CCCCCC">
                                                        </CellStyle>
                                                    </dx:GridViewDataTextColumn>
                                                </Columns>
                                                <Styles>
                                                    <Table CssClass="cls">
                                                        <Border BorderStyle="None" />
                                                    </Table>
                                                </Styles>
                                            </dx:ASPxGridView>
                                            <asp:SqlDataSource ID="SqlEtapa" runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="SELECT Etapa.idEtapa, Etapa.nombreEtapa FROM Etapa INNER JOIN ProcesoEvaluacion ON Etapa.idProcesoEvaluacion = ProcesoEvaluacion.idProcesoEvalacion INNER JOIN Plaza ON ProcesoEvaluacion.idProcesoEvalacion = Plaza.idProcesoEvaluacion WHERE (Plaza.idPlaza = @plaza)">
                                                <SelectParameters>
                                                    <asp:SessionParameter Name="plaza" SessionField="plaza" />
                                                </SelectParameters>
                                            </asp:SqlDataSource>
                                            <asp:SqlDataSource ID="SqlFactorPuntaje" runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="SELECT p.idFactorPuntaje, f.nombreFactor, p.FactorPuntajeMinimo, p.FactorPuntajeMaximo FROM Factor AS f INNER JOIN FactorPuntaje AS p ON f.idFactor = p.idFactor WHERE (f.idEtapa = @idEtapa) AND (p.idPlaza = @plaza) ORDER BY f.ordenFactor">
                                                <SelectParameters>
                                                    <asp:SessionParameter Name="idEtapa" SessionField="idEtapa" />
                                                    <asp:SessionParameter Name="plaza" SessionField="plaza" />
                                                </SelectParameters>
                                            </asp:SqlDataSource>
                                            <asp:SqlDataSource ID="SqlArea" runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="SELECT [nombreArea], [puntajeArea] FROM [Area] WHERE ([idFactorPuntaje] = @idFactorPuntaje) ORDER BY [ordenArea]">
                                                <SelectParameters>
                                                    <asp:SessionParameter Name="idFactorPuntaje" SessionField="idFactorPuntaje" Type="Int32" />
                                                </SelectParameters>
                                            </asp:SqlDataSource>
                                        </dx:LayoutItemNestedControlContainer>
                                    </LayoutItemNestedControlCollection>
                                </dx:LayoutItem>
                                <dx:LayoutItem HorizontalAlign="Center" ShowCaption="False" Width="150px">
                                    <LayoutItemNestedControlCollection>
                                        <dx:LayoutItemNestedControlContainer runat="server">
                                            <dx:ASPxButton ID="btnPostular" runat="server" Enabled="False" Height="30px" HorizontalAlign="Center" Text="Aplicar" Width="150px" AutoPostBack="false" AccessibilityCompliant="True">
                                                <ClientSideEvents Click="Postular" />
                                            </dx:ASPxButton>
                                        </dx:LayoutItemNestedControlContainer>
                                    </LayoutItemNestedControlCollection>
                                </dx:LayoutItem>
                            </Items>
                        </dx:LayoutGroup>
                    </Items>
                    <ParentContainerStyle>
                        <Paddings Padding="0px" />
                        <Border BorderStyle="None" />
                    </ParentContainerStyle>
                </dx:TabbedLayoutGroup>
                <dx:LayoutItem HorizontalAlign="Right" ShowCaption="False" Width="150px">
                    <LayoutItemNestedControlCollection>
                        <dx:LayoutItemNestedControlContainer runat="server">
                            <dx:ASPxButton ID="btnProceso" runat="server" EnableTheming="True" Text="Ver proceso" Height="30px" HorizontalAlign="Center" Width="150px" AutoPostBack="False" Theme="Office2003Silver" AccessibilityCompliant="True">
                                <ClientSideEvents Click="VerDetalle" />
                            </dx:ASPxButton>
                        </dx:LayoutItemNestedControlContainer>
                    </LayoutItemNestedControlCollection>
                </dx:LayoutItem>
            </Items>
        </dx:LayoutGroup>
    </Items>
    <Styles>
        <LayoutItem>
            <CaptionCell CssClass="CaptionWidth">
            </CaptionCell>
        </LayoutItem>
        <LayoutGroup>
            <Cell>
                <Paddings Padding="0px" />
            </Cell>
        </LayoutGroup>
    </Styles>
</dx:ASPxFormLayout>
</div>
 <asp:SqlDataSource runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="SELECT * FROM [Plaza] WHERE ([idPlaza] = @idPlaza)" ID="SqlPuesto"><SelectParameters>
<asp:SessionParameter SessionField="plaza" Name="idPlaza" Type="Int32"></asp:SessionParameter>
</SelectParameters>
</asp:SqlDataSource>


                        

