﻿<%@ Control Language="vb" AutoEventWireup="false" CodeBehind="ucDatosUsuario.ascx.vb" Inherits="Dotacion.ucDatosUsuario" %>
       <script type="text/javascript">
        function OnDateBirth(s, e) {
            var selectedDate = s.date;
            if(selectedDate == null || selectedDate == false)
                return;
            var currentDate = new Date();
            if((currentDate.getFullYear() - selectedDate.getFullYear()) < 18)
                e.isValid = false;
        }
    </script>
<dx:ASPxCallbackPanel ID="cbpPersonal" runat="server" Width="100%" ClientInstanceName="cbpPersonal"><PanelCollection>
<dx:PanelContent runat="server">
    <dx:ASPxFormLayout ID="flPersonal" runat="server" AlignItemCaptionsInAllGroups="True" CssClass="CenteredGrid" DataSourceID="ObjectUsuario" AccessibilityCompliant="True" Width="100%">
        <SettingsAdaptivity AdaptivityMode="SingleColumnWindowLimit" SwitchToSingleColumnAtWindowInnerWidth="800">
        </SettingsAdaptivity>
        <Items>
            <dx:LayoutGroup Caption="Favor llenar sus datos para fines estadísticos: [ REQUERIDO ]">
                <Items>
                    <dx:LayoutItem Caption="Login/DUI" FieldName="login">
                        <LayoutItemNestedControlCollection>
                            <dx:LayoutItemNestedControlContainer runat="server">
                                <dx:ASPxLabel ID="ASPxFormLayout1_E1" runat="server" Font-Bold="True" Text="ASPxLabel">
                                </dx:ASPxLabel>
                            </dx:LayoutItemNestedControlContainer>
                        </LayoutItemNestedControlCollection>
                    </dx:LayoutItem>
                    <dx:LayoutItem Caption="Trato" FieldName="idTratamiento">
                        <LayoutItemNestedControlCollection>
                            <dx:LayoutItemNestedControlContainer runat="server">
                                <dx:ASPxComboBox ID="cmbTrato" runat="server" DataSourceID="SqlTrato" TextField="tratamiento" ValueField="idTratamiento" ValueType="System.Int32" Width="100px" AccessibilityCompliant="True">
                                    <ValidationSettings CausesValidation="True" ErrorDisplayMode="ImageWithTooltip" SetFocusOnError="True" ValidationGroup="personal" Display="Dynamic">
                                        <RequiredField ErrorText="Este campo se requiere" IsRequired="True" />
                                    </ValidationSettings>
                                </dx:ASPxComboBox>
                                <asp:SqlDataSource ID="SqlTrato" runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="SELECT * FROM SEGURIDAD.dbo.[STP_Tratamiento]"></asp:SqlDataSource>
                            </dx:LayoutItemNestedControlContainer>
                        </LayoutItemNestedControlCollection>
                    </dx:LayoutItem>
                    <dx:LayoutItem FieldName="nombres" Caption="Nombres">
                        <LayoutItemNestedControlCollection>
                            <dx:LayoutItemNestedControlContainer runat="server">
                                <dx:ASPxTextBox ID="txtNombres" runat="server" Width="250px" MaxLength="150" AccessibilityCompliant="True">
                                    <ValidationSettings CausesValidation="True" ErrorDisplayMode="ImageWithTooltip" SetFocusOnError="True" ValidationGroup="personal" Display="Dynamic">
                                        <RequiredField IsRequired="True" ErrorText="Campo necesario" />
                                    </ValidationSettings>
                                </dx:ASPxTextBox>
                            </dx:LayoutItemNestedControlContainer>
                        </LayoutItemNestedControlCollection>
                    </dx:LayoutItem>
                    <dx:LayoutItem FieldName="apellidos" Caption="Apellidos">
                        <LayoutItemNestedControlCollection>
                            <dx:LayoutItemNestedControlContainer runat="server">
                                <dx:ASPxTextBox ID="txtApellidos" runat="server" MaxLength="150" Width="250px" AccessibilityCompliant="True">
                                    <ValidationSettings CausesValidation="True" ErrorDisplayMode="ImageWithTooltip" SetFocusOnError="True" ValidationGroup="personal" Display="Dynamic">
                                        <RequiredField ErrorText="campo necesario" IsRequired="True" />
                                    </ValidationSettings>
                                </dx:ASPxTextBox>
                            </dx:LayoutItemNestedControlContainer>
                        </LayoutItemNestedControlCollection>
                    </dx:LayoutItem>
                    <dx:LayoutItem Caption="Sexo" FieldName="sexo">
                        <LayoutItemNestedControlCollection>
                            <dx:LayoutItemNestedControlContainer runat="server">
                                <dx:ASPxComboBox ID="cmbSexo" runat="server" Width="140px" AccessibilityCompliant="True">
                                    <Items>
                                        <dx:ListEditItem Text="Masculino" Value="M" />
                                        <dx:ListEditItem Text="Femenino" Value="F" />
                                    </Items>
                                    <ValidationSettings CausesValidation="True" ErrorDisplayMode="ImageWithTooltip" SetFocusOnError="True" ValidationGroup="personal" Display="Dynamic">
                                        <RequiredField ErrorText="necesario para estadísticas" IsRequired="True" />
                                    </ValidationSettings>
                                </dx:ASPxComboBox>
                            </dx:LayoutItemNestedControlContainer>
                        </LayoutItemNestedControlCollection>
                    </dx:LayoutItem>
                    <dx:LayoutItem Caption="Fecha de Nacimiento" FieldName="fechanacimiento">
                        <LayoutItemNestedControlCollection>
                            <dx:LayoutItemNestedControlContainer runat="server">
                                <dx:ASPxDateEdit ID="txtNacimiento" runat="server" Width="145px" AccessibilityCompliant="True">
                                    <ClientSideEvents Validation="OnDateBirth" />
                                    <ValidationSettings CausesValidation="True" ErrorDisplayMode="ImageWithTooltip" ErrorText="Para agregar fecha de nacimiento tiene que ser mayor de 18 años." SetFocusOnError="True" ValidationGroup="personal" Display="Dynamic">
                                        <RequiredField IsRequired="True" />
                                    </ValidationSettings>
                                </dx:ASPxDateEdit>
                            </dx:LayoutItemNestedControlContainer>
                        </LayoutItemNestedControlCollection>
                    </dx:LayoutItem>
                    <dx:LayoutItem Caption="Teléfono (Oficina/Casa)" FieldName="telefonoContacto1" HelpText="Sólo teléfonos nacionales: (503)">
                        <LayoutItemNestedControlCollection>
                            <dx:LayoutItemNestedControlContainer runat="server">
                                <dx:ASPxTextBox ID="txtTelefono1" runat="server" MaxLength="20" Width="140px" AccessibilityCompliant="True">
                                    <MaskSettings Mask="0000-0000" />
                                    <ValidationSettings CausesValidation="True" ErrorDisplayMode="ImageWithTooltip" SetFocusOnError="True" ValidationGroup="personal" Display="Dynamic">
                                        <RegularExpression ErrorText="Teléfono mal escrito. Escriba los paréntesis o el número sólo." />
                                        <RequiredField ErrorText="necesario para contactarlo/a" IsRequired="True" />
                                    </ValidationSettings>
                                </dx:ASPxTextBox>
                            </dx:LayoutItemNestedControlContainer>
                        </LayoutItemNestedControlCollection>
                    </dx:LayoutItem>
                    <dx:LayoutItem FieldName="telefonoContacto2" Caption="Teléfono (Celular)" HelpText="Sólo teléfonos nacionales: (503)">
                        <LayoutItemNestedControlCollection>
                            <dx:LayoutItemNestedControlContainer runat="server">
                                <dx:ASPxTextBox ID="txtTelefono2" runat="server" Width="140px" MaxLength="20" AccessibilityCompliant="True">
                                    <MaskSettings Mask="0000-0000" />
                                    <ValidationSettings CausesValidation="True" ErrorDisplayMode="ImageWithTooltip" SetFocusOnError="True" ValidationGroup="personal" Display="Dynamic">
                                        <RegularExpression ErrorText="Teléfono mal escrito. Escriba los paréntesis o el número sólo." />
                                    </ValidationSettings>
                                </dx:ASPxTextBox>
                            </dx:LayoutItemNestedControlContainer>
                        </LayoutItemNestedControlCollection>
                    </dx:LayoutItem>
                    <dx:LayoutItem FieldName="NIT">
                        <LayoutItemNestedControlCollection>
                            <dx:LayoutItemNestedControlContainer runat="server">
                                <dx:ASPxTextBox ID="txtNIT" runat="server" MaxLength="17" Width="170px" AccessibilityCompliant="True">
                                    <MaskSettings Mask="0000-000000-000-0" />
                                    <ValidationSettings CausesValidation="True" ErrorDisplayMode="ImageWithTooltip" SetFocusOnError="True" ValidationGroup="personal" Display="Dynamic">
                                        <RequiredField IsRequired="True" />
                                    </ValidationSettings>
                                </dx:ASPxTextBox>
                            </dx:LayoutItemNestedControlContainer>
                        </LayoutItemNestedControlCollection>
                    </dx:LayoutItem>
                    <dx:LayoutItem FieldName="direccion" Caption="Dirección">
                        <LayoutItemNestedControlCollection>
                            <dx:LayoutItemNestedControlContainer runat="server">
                                <dx:ASPxMemo ID="txtDireccion" runat="server" Height="71px" MaxLength="300" Width="250px">
                                    <ValidationSettings CausesValidation="True" ErrorDisplayMode="ImageWithTooltip" SetFocusOnError="True" ValidationGroup="personal" Display="Dynamic">
                                        <RequiredField ErrorText="Esta información es requerida" IsRequired="True" />
                                    </ValidationSettings>
                                </dx:ASPxMemo>
                            </dx:LayoutItemNestedControlContainer>
                        </LayoutItemNestedControlCollection>
                    </dx:LayoutItem>
                    <dx:LayoutItem Caption="País de Nacimiento" FieldName="nacionalidad" HelpText="El Salvador">
                        <LayoutItemNestedControlCollection>
                            <dx:LayoutItemNestedControlContainer runat="server">
                                <dx:ASPxComboBox ID="cmdPais" runat="server" DataSourceID="SqlPais" SelectedIndex="64" TextField="nombre" ValueField="codigo" ValueType="System.Int32" AccessibilityCompliant="True" Width="250px">
                                    <ValidationSettings Display="Dynamic">
                                    </ValidationSettings>
                                </dx:ASPxComboBox>
                                
                            </dx:LayoutItemNestedControlContainer>
                        </LayoutItemNestedControlCollection>
                    </dx:LayoutItem>
                    <dx:LayoutItem ShowCaption="False" Width="100%">
                        <LayoutItemNestedControlCollection>
                            <dx:LayoutItemNestedControlContainer runat="server">
                                <dx:ASPxButton ID="btnGuardarDatos" runat="server" AutoPostBack="False" Text="Guardar Datos" UseSubmitBehavior="False" ValidationGroup="personal" AccessibilityCompliant="True" Width="250px">
                                    <ClientSideEvents Click="function(s, e) {
			if (ASPxClientEdit.ValidateEditorsInContainer(null, 'personal')){
	cbpPersonal.PerformCallback();
    gcSemaforo.PerformCallback();
}

}" />
                                    <Image Url="~/Content/Images/Save_16x16.png">
                                    </Image>
                                </dx:ASPxButton>
                            </dx:LayoutItemNestedControlContainer>
                        </LayoutItemNestedControlCollection>
                    </dx:LayoutItem>
                </Items>
            </dx:LayoutGroup>
        </Items>
        <Paddings PaddingRight="0px" />
        <Styles>
            <LayoutGroup BackColor="White">
            </LayoutGroup>
        </Styles>
    </dx:ASPxFormLayout>
    </dx:PanelContent>
</PanelCollection>
</dx:ASPxCallbackPanel>
<asp:ObjectDataSource ID="ObjectUsuario" runat="server" SelectMethod="GetUsuarios" TypeName="STP.BL.UsuariosBusinessObject">
    <SelectParameters>
        <asp:SessionParameter Name="_login" SessionField="login" Type="String" />
    </SelectParameters>
</asp:ObjectDataSource>
<asp:SqlDataSource ID="SqlPais" runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="SELECT [codigo], [nombre] FROM seguridad.dbo.[STP_Pais]"></asp:SqlDataSource>

