﻿<%@ Control Language="vb" AutoEventWireup="false" CodeBehind="ucMisPostulaciones.ascx.vb" Inherits="Dotacion.ucMisPostulaciones" %>
<%--<div class="alert-box error"><span>Error: </span>El proceso de postulación se encontrará disponible próximamente porque se estan realizando ajustes.</div>--%>
  <script type="text/javascript">

      function ShowDetailPopup(postulanteID) {
          popupPostulante.SetContentUrl('../etapas/wfVisorPostulante.aspx?id=' + postulanteID);
          popupPostulante.Show();
      }


    </script>

<h2 class="Center">Mis Postulaciones</h2>
<br />
<ul>
    <li>Si presiona Abandonar postulación, no podrá postular de nuevo, ya que el sistema cuenta con un historial de registros de postulantes.</li>
    <li>El número de postulaciones que tenga no influye en futuras postulaciones.</li>
</ul>
<br />
<dx:ASPxGridView ID="gridMispostulaciones" runat="server" AutoGenerateColumns="False" CssClass="CenteredGrid" DataSourceID="ObjectMisPostulaciones" KeyFieldName="idConcursoPostulante" ClientInstanceName="gridMispostulaciones" Width="100%" AccessibilityCompliant="True">
    <ClientSideEvents CustomButtonClick="function(s, e) {
	if(e.buttonID == 'btnBaja'){
        e.processOnServer = confirm('Esta seguro que ya no desea participar en este concurso? DESPUES DE ESTE PROCESO YA NO PUEDE VOLVER A PARTICIPAR');
	}
    if (e.buttonID == 'btnDetalle'){  
            if (isDetailRowExpanded[e.visibleIndex] != true)
                s.ExpandDetailRow(e.visibleIndex);
            else
                s.CollapseDetailRow(e.visibleIndex);
    }

}" />
    <SettingsDetail ShowDetailRow="True" />
    <SettingsAdaptivity AdaptivityMode="HideDataCellsWindowLimit" HideDataCellsAtWindowInnerWidth="800">
<AdaptiveDetailLayoutProperties ColCount="1">
    <Items>
        <dx:GridViewColumnLayoutItem ColSpan="1" ColumnName="Identificador">
        </dx:GridViewColumnLayoutItem>
        <dx:GridViewColumnLayoutItem ColSpan="1" ColumnName="CodigoPostulante">
        </dx:GridViewColumnLayoutItem>
        <dx:GridViewColumnLayoutItem ColSpan="1" ColumnName="idEstadoConcursoPostulante">
        </dx:GridViewColumnLayoutItem>
        <dx:GridViewColumnLayoutItem ColSpan="1" ColumnName="fkidPlaza.idInstitucion">
        </dx:GridViewColumnLayoutItem>
        <dx:GridViewColumnLayoutItem ColSpan="1" ColumnName="vbFormacion">
        </dx:GridViewColumnLayoutItem>
        <dx:GridViewColumnLayoutItem ColSpan="1" ColumnName="vbConocimientos">
        </dx:GridViewColumnLayoutItem>
        <dx:GridViewColumnLayoutItem ColSpan="1" ColumnName="vbExperiencia">
        </dx:GridViewColumnLayoutItem>
        <dx:GridViewColumnLayoutItem ColSpan="1" ColumnName="Acciones">
        </dx:GridViewColumnLayoutItem>
    </Items>
    <SettingsAdaptivity AdaptivityMode="SingleColumnWindowLimit">
    </SettingsAdaptivity>
    <SettingsItemCaptions Location="Top" />
        </AdaptiveDetailLayoutProperties>
    </SettingsAdaptivity>
    <Templates>
        <DetailRow>
            Ingreso de Postulación: <b>
                    <%# Eval("fechacreacion")%></b>
                <br />
                <br />
            <dx:ASPxGridView ID="gridComentarios" runat="server" AutoGenerateColumns="False" DataSourceID="SqlComentario" KeyFieldName="idTecnicoComentario" OnBeforePerformDataSelect="gridComentarios_BeforePerformDataSelect" Width="100%" Theme="Aqua" AccessibilityCompliant="True">
                <SettingsAdaptivity AdaptivityMode="HideDataCellsWindowLimit" HideDataCellsAtWindowInnerWidth="800">
                </SettingsAdaptivity>
                <SettingsPager Mode="ShowAllRecords" Visible="False">
                </SettingsPager>
                <SettingsBehavior AllowDragDrop="False" AllowGroup="False" AllowSort="False" />
                <SettingsDataSecurity AllowDelete="False" AllowEdit="False" AllowInsert="False" />
                <SettingsText EmptyDataRow="[El evaluador/a no ha comentado aún]" />
                <Columns>
                    <dx:GridViewDataTextColumn Caption="Comentario" FieldName="comentario" VisibleIndex="2">
                    </dx:GridViewDataTextColumn>
                    <dx:GridViewDataDateColumn Caption="Fecha/Hora" FieldName="fecha" VisibleIndex="3">
                        <PropertiesDateEdit DisplayFormatString="g">
                        </PropertiesDateEdit>
                    </dx:GridViewDataDateColumn>
                </Columns>
                <Styles>
                    <Header Wrap="True">
                    </Header>
                </Styles>
            </dx:ASPxGridView>
            <br />
            <dx:ASPxGridView ID="gridCalificaciones" runat="server" AutoGenerateColumns="False" DataSourceID="SqlCalificaciones" Width="100%" EnableTheming="True" Theme="Aqua" AccessibilityCompliant="True">
                <SettingsAdaptivity AdaptivityMode="HideDataCellsWindowLimit" HideDataCellsAtWindowInnerWidth="800">
                    <AdaptiveDetailLayoutProperties>
                        <Items>
                            <dx:GridViewColumnLayoutItem ColumnName="idFactor">
                            </dx:GridViewColumnLayoutItem>
                            <dx:GridViewColumnLayoutItem ColumnName="nombreEvaluacion">
                            </dx:GridViewColumnLayoutItem>
                            <dx:GridViewColumnLayoutItem ColumnName="calificacion">
                            </dx:GridViewColumnLayoutItem>
                            <dx:GridViewColumnLayoutItem ColumnName="puntajeObtenido">
                            </dx:GridViewColumnLayoutItem>
                            <dx:GridViewColumnLayoutItem ColumnName="comentario">
                            </dx:GridViewColumnLayoutItem>
                            <dx:GridViewColumnLayoutItem ColumnName="fechaModificacion">
                            </dx:GridViewColumnLayoutItem>
                        </Items>
                        <SettingsAdaptivity AdaptivityMode="SingleColumnWindowLimit" />
                    </AdaptiveDetailLayoutProperties>
                </SettingsAdaptivity>
                <SettingsPager Mode="ShowAllRecords" Visible="False">
                </SettingsPager>
                <Settings ShowFooter="True" />
                <SettingsBehavior AllowDragDrop="False" AllowGroup="False" AllowSort="False" />
                <SettingsCommandButton>
                    <ShowAdaptiveDetailButton ButtonType="Image">
                    </ShowAdaptiveDetailButton>
                    <HideAdaptiveDetailButton ButtonType="Image">
                    </HideAdaptiveDetailButton>
                </SettingsCommandButton>
                <SettingsDataSecurity AllowDelete="False" AllowEdit="False" AllowInsert="False" />
                <SettingsText EmptyDataRow="[No existen calificaciones aún]" />
                <Columns>
                    <dx:GridViewDataTextColumn FieldName="nombreEvaluacion" VisibleIndex="1" Caption="Nombre de la evaluación">
                    </dx:GridViewDataTextColumn>
                    <dx:GridViewDataTextColumn FieldName="calificacion" VisibleIndex="2" Caption="Calificación obtenida">
                        <PropertiesTextEdit NullDisplayText="[sin calificar]">
                        </PropertiesTextEdit>
                    </dx:GridViewDataTextColumn>
                    <dx:GridViewDataTextColumn FieldName="puntajeObtenido" VisibleIndex="3" Caption="Puntaje obtenido">
                    </dx:GridViewDataTextColumn>
                    <dx:GridViewDataDateColumn FieldName="fechaModificacion" VisibleIndex="5" Caption="Fecha/Hora">
                        <PropertiesDateEdit DisplayFormatString="g">
                        </PropertiesDateEdit>
                    </dx:GridViewDataDateColumn>
                    <dx:GridViewDataComboBoxColumn Caption="Factor de Medida" FieldName="idFactor" VisibleIndex="0">
                        <PropertiesComboBox DataSourceID="SqlFactor" TextField="nombreFactor" ValueField="idFactor">
                        </PropertiesComboBox>
                    </dx:GridViewDataComboBoxColumn>
                    <dx:GridViewDataTextColumn Caption="Comentario" FieldName="comentario" VisibleIndex="4">
                    </dx:GridViewDataTextColumn>
                </Columns>
                <TotalSummary>
                    <dx:ASPxSummaryItem DisplayFormat="Total: {0}" FieldName="puntajeObtenido" SummaryType="Sum" />
                </TotalSummary>
                <Styles>
                    <Header Wrap="True">
                    </Header>
                    <Footer Font-Bold="True" Font-Size="Larger">
                    </Footer>
                </Styles>
            </dx:ASPxGridView>
        </DetailRow>
        <EmptyDataRow>
            <div class="alert-box warning"><span>Aún no existen postulaciones realizadas,</span> debe presionar Aplicar en el concurso disponible hasta confirmar su postulación.</div>
        </EmptyDataRow>
    </Templates>
    <Settings ShowFooter="True" />

<SettingsCommandButton>
<ShowAdaptiveDetailButton ButtonType="Image"></ShowAdaptiveDetailButton>

<HideAdaptiveDetailButton ButtonType="Image"></HideAdaptiveDetailButton>
</SettingsCommandButton>

    <SettingsDataSecurity AllowDelete="False" AllowEdit="False" AllowInsert="False" />

<EditFormLayoutProperties ColCount="1"></EditFormLayoutProperties>
    <Columns>
        <dx:GridViewDataTextColumn FieldName="idConcursoPostulante" Visible="False" VisibleIndex="0">
        </dx:GridViewDataTextColumn>
        <dx:GridViewDataTextColumn FieldName="idUsuario" Visible="False" VisibleIndex="1">
        </dx:GridViewDataTextColumn>
        <dx:GridViewDataTextColumn FieldName="idPlaza" Visible="False" VisibleIndex="2">
        </dx:GridViewDataTextColumn>
        <dx:GridViewDataTextColumn FieldName="CodigoPostulante" VisibleIndex="4">
            <DataItemTemplate>
                    <a id="clickElement" href="javascript:ShowDetailPopup(<%#Eval("idConcursoPostulante")%>);"><%#Eval("CodigoPostulante").ToString()%></a>
                </DataItemTemplate>
        </dx:GridViewDataTextColumn>
        <dx:GridViewDataCheckColumn Caption="Conocimientos" FieldName="vbConocimientos" VisibleIndex="14">
            <PropertiesCheckEdit>    
            <DisplayImageChecked Height="16px" Url="~/Content/Images/Apply_16x16.png" ToolTip="[PASA]" Width="16px">
                </DisplayImageChecked>
                <DisplayImageUnchecked Height="16px" Url="~/Content/Images/Close_16x16.png" ToolTip="[NO PASA]" Width="16px">
                </DisplayImageUnchecked>
                <DisplayImageUndefined Height="16px" Url="~/Content/Images/Question_16x16.png" ToolTip="[No se ha calificado aún]" Width="16px">
                </DisplayImageUndefined>
                <DisplayImageGrayed Height="16px" Url="~/Content/Images/Question_16x16.png" ToolTip="[No se ha calificado aún]" Width="16px">
                </DisplayImageGrayed>
            </PropertiesCheckEdit>
        </dx:GridViewDataCheckColumn>
        <dx:GridViewDataCheckColumn Caption="Experiencia" FieldName="vbExperiencia" VisibleIndex="19">
            <PropertiesCheckEdit>    
            <DisplayImageChecked Height="16px" Url="~/Content/Images/Apply_16x16.png" ToolTip="[PASA]" Width="16px">
                </DisplayImageChecked>
                <DisplayImageUnchecked Height="16px" Url="~/Content/Images/Close_16x16.png" ToolTip="[NO PASA]" Width="16px">
                </DisplayImageUnchecked>
                <DisplayImageUndefined Height="16px" Url="~/Content/Images/Question_16x16.png" ToolTip="[No se ha calificado aún]" Width="16px">
                </DisplayImageUndefined>
                <DisplayImageGrayed Height="16px" Url="~/Content/Images/Question_16x16.png" ToolTip="[No se ha calificado aún]" Width="16px">
                </DisplayImageGrayed>
            </PropertiesCheckEdit>
        </dx:GridViewDataCheckColumn>
        <dx:GridViewDataCheckColumn Caption="Formación" FieldName="vbFormacion" VisibleIndex="7">
            <PropertiesCheckEdit>
                <DisplayImageChecked Height="16px" Url="~/Content/Images/Apply_16x16.png" ToolTip="[PASA]" Width="16px">
                </DisplayImageChecked>
                <DisplayImageUnchecked Height="16px" Url="~/Content/Images/Close_16x16.png" ToolTip="[NO PASA]" Width="16px">
                </DisplayImageUnchecked>
                <DisplayImageUndefined Height="16px" Url="~/Content/Images/Question_16x16.png" ToolTip="[No se ha calificado aún]" Width="16px">
                </DisplayImageUndefined>
                <DisplayImageGrayed Height="16px" Url="~/Content/Images/Question_16x16.png" ToolTip="[No se ha calificado aún]" Width="16px">
                </DisplayImageGrayed>
            </PropertiesCheckEdit>
        </dx:GridViewDataCheckColumn>
        <dx:GridViewDataComboBoxColumn Caption="Estado" FieldName="idEstadoConcursoPostulante" VisibleIndex="5">
            <PropertiesComboBox DataSourceID="SqlEstado" TextField="nombreEstado" ValueField="idEstadoConcursoPostulante">
            </PropertiesComboBox>
        </dx:GridViewDataComboBoxColumn>
        <dx:GridViewDataComboBoxColumn Caption="Institución" FieldName="fkidPlaza.idInstitucion" VisibleIndex="6">
            <PropertiesComboBox DataSourceID="SqlInstitucion" TextField="nombreInstitucion" ValueField="idInstitucion">
            </PropertiesComboBox>
        </dx:GridViewDataComboBoxColumn>
        <dx:GridViewCommandColumn ButtonType="Link" Caption="Acciones" VisibleIndex="21">
            <CustomButtons>
                <dx:GridViewCommandColumnCustomButton ID="btnBaja" Text="Abandonar postulación">
                    <Image Url="~/Content/Images/Cancel_16x16.png">
                    </Image>
                </dx:GridViewCommandColumnCustomButton>
<%--                <dx:GridViewCommandColumnCustomButton ID="btnDetalle" Text="Ver detalle">
                    <Image Url="~/Content/Images/notice.png">
                    </Image>
                </dx:GridViewCommandColumnCustomButton>--%>
            </CustomButtons>
        </dx:GridViewCommandColumn>
        <dx:GridViewDataHyperLinkColumn Caption="Concurso" FieldName="Identificador" VisibleIndex="3">
                 <DataItemTemplate>
           <dx:ASPxHyperLink ID="ASPxHyperLink1" runat="server" Text='<%#Eval("Identificador")%>' NavigateUrl='<%#String.Format("~/wfProceso.aspx?p={0}", Eval("idPlaza"))%>' target="_blank" ToolTip="Ver el proceso del concurso">
           </dx:ASPxHyperLink>
     </DataItemTemplate>
        </dx:GridViewDataHyperLinkColumn>
    </Columns>
    <TotalSummary>
        <dx:ASPxSummaryItem FieldName="Identificador" SummaryType="Count" DisplayFormat="Total: {0}" />
    </TotalSummary>
    <Styles>
        <Header Wrap="True">
        </Header>
    </Styles>
</dx:ASPxGridView>

<dx:ASPxPopupControl ID="popupPostulante" runat="server" ClientInstanceName="popupPostulante" AllowDragging="True" AllowResize="True" PopupAnimationType="Fade" EnableViewState="False" HeaderText="Formación del postulante" MinWidth="400px" Modal="True" PopupHorizontalAlign="WindowCenter" PopupVerticalAlign="WindowCenter" MinHeight="500px" CloseAction="CloseButton" CloseOnEscape="True" ShowMaximizeButton="True" Height="650px" Width="600px" ShowPageScrollbarWhenModal="True" AccessibilityCompliant="True">
    <SettingsAdaptivity Mode="OnWindowInnerWidth" />
    <ContentStyle>
        <Paddings Padding="3px" />
    </ContentStyle>
<ContentCollection>
<dx:PopupControlContentControl runat="server"></dx:PopupControlContentControl>
</ContentCollection>
</dx:ASPxPopupControl>
<asp:ObjectDataSource ID="ObjectMisPostulaciones" runat="server" SelectMethod="GetListConcursoPostulanteBySEG_Usuarios" TypeName="Dotacion.ConcursoPostulanteBusinessObject">
    <SelectParameters>
        <asp:Parameter Name="idUsuario" Type="Int32" DefaultValue="" />
        <asp:Parameter Name="foreignLevel" Type="Int32" DefaultValue="0" />
    </SelectParameters>
</asp:ObjectDataSource>
<asp:SqlDataSource ID="SqlEstado" runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="SELECT * FROM [EstadoConcursoPostulante]"></asp:SqlDataSource>



<asp:SqlDataSource ID="SqlInstitucion" runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="SELECT [idInstitucion], [nombreInstitucion] FROM SEGURIDAD.dbo.[Institucion]"></asp:SqlDataSource>



<asp:SqlDataSource ID="SqlComentario" runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="SELECT * FROM [TecnicoComentario] WHERE ([idConcursoPostulante] = @idConcursoPostulante)">
    <SelectParameters>
        <asp:SessionParameter Name="idConcursoPostulante" SessionField="idConcursoPostulante" Type="Int32" />
    </SelectParameters>
</asp:SqlDataSource>




<asp:SqlDataSource ID="SqlCalificaciones" runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="SELECT idFactor, nombreEvaluacion, calificacion, puntajeObtenido, fechaModificacion, comentario FROM PostulanteEvaluaciones WHERE (idConcursoPostulante = @idConcursoPostulante)">
    <SelectParameters>
        <asp:SessionParameter Name="idConcursoPostulante" SessionField="idConcursoPostulante" Type="Int32" />
    </SelectParameters>
</asp:SqlDataSource>





<asp:SqlDataSource ID="SqlFactor" runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="SELECT [idFactor], [nombreFactor] FROM [Factor]"></asp:SqlDataSource>









