﻿<%@ Control Language="vb" AutoEventWireup="false" CodeBehind="ucPostulante.ascx.vb" Inherits="Dotacion.ucPostulante" %>
<dx:ASPxGridView ID="gridUsuario" runat="server" AutoGenerateColumns="False" DataSourceID="SqlUsuario" Width="100%" Theme="Office2010Blue">
    <SettingsPager Visible="False" Mode="ShowAllRecords">
    </SettingsPager>
    <SettingsBehavior AllowDragDrop="False" AllowGroup="False" AllowSort="False" />
    <SettingsDataSecurity AllowDelete="False" AllowEdit="False" AllowInsert="False" />
    <Columns>
        <dx:GridViewDataTextColumn FieldName="login" VisibleIndex="0">
        </dx:GridViewDataTextColumn>
        <dx:GridViewDataTextColumn FieldName="idTratamiento" VisibleIndex="1">
        </dx:GridViewDataTextColumn>
        <dx:GridViewDataTextColumn FieldName="nombres" VisibleIndex="2">
        </dx:GridViewDataTextColumn>
        <dx:GridViewDataTextColumn FieldName="apellidos" VisibleIndex="3">
        </dx:GridViewDataTextColumn>
        <dx:GridViewDataTextColumn FieldName="nacionalidad" VisibleIndex="4">
        </dx:GridViewDataTextColumn>
        <dx:GridViewDataTextColumn FieldName="estado" VisibleIndex="5">
        </dx:GridViewDataTextColumn>
        <dx:GridViewDataTextColumn FieldName="direccion" VisibleIndex="6">
        </dx:GridViewDataTextColumn>
        <dx:GridViewDataTextColumn FieldName="telefonoContacto2" VisibleIndex="7">
        </dx:GridViewDataTextColumn>
        <dx:GridViewDataTextColumn FieldName="telefonoContacto1" VisibleIndex="8">
        </dx:GridViewDataTextColumn>
        <dx:GridViewDataTextColumn FieldName="email" VisibleIndex="9">
        </dx:GridViewDataTextColumn>
        <dx:GridViewDataDateColumn FieldName="fechanacimiento" VisibleIndex="10">
        </dx:GridViewDataDateColumn>
        <dx:GridViewDataTextColumn FieldName="NIT" VisibleIndex="11">
        </dx:GridViewDataTextColumn>
        <dx:GridViewDataCheckColumn FieldName="documento" VisibleIndex="12">
        </dx:GridViewDataCheckColumn>
        <dx:GridViewDataTextColumn FieldName="DUI" VisibleIndex="13">
        </dx:GridViewDataTextColumn>
        <dx:GridViewDataTextColumn FieldName="carneExtranjero" VisibleIndex="14">
        </dx:GridViewDataTextColumn>
        <dx:GridViewDataTextColumn FieldName="usuarioCreacion" VisibleIndex="15">
        </dx:GridViewDataTextColumn>
        <dx:GridViewDataDateColumn FieldName="fechaCreacion" VisibleIndex="16">
        </dx:GridViewDataDateColumn>
        <dx:GridViewDataTextColumn FieldName="usuarioModificacion" VisibleIndex="17">
        </dx:GridViewDataTextColumn>
        <dx:GridViewDataDateColumn FieldName="fechaModificacion" VisibleIndex="18">
        </dx:GridViewDataDateColumn>
    </Columns>
    <Styles>
        <Header Wrap="True">
        </Header>
    </Styles>
</dx:ASPxGridView>
<asp:SqlDataSource ID="SqlUsuario" runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="SELECT login, idTratamiento, nombres, apellidos, nacionalidad, estado, direccion, telefonoContacto2, telefonoContacto1, email, fechanacimiento, NIT, documento, DUI, carneExtranjero, usuarioCreacion, fechaCreacion, usuarioModificacion, fechaModificacion FROM SEGURIDAD.dbo.SEG_Usuarios WHERE (idUsuario = @idUsuario)">
    <SelectParameters>
        <asp:QueryStringParameter Name="idUsuario" QueryStringField="idUsuario" Type="Int32" />
    </SelectParameters>
</asp:SqlDataSource>

  <table style="width:100%;">
               
                <tr>
                    <td colspan="2" style="vertical-align:top;padding:10px;">
                        <dx:ASPxRoundPanel ID="rpFormacionP" runat="server" Width="100%" HeaderText="Formación Académica" Theme="MetropolisBlue">
                            <PanelCollection>
                                <dx:PanelContent runat="server">
                                    <dx:ASPxGridView ID="gridPostulanteEspecialidades" runat="server" AutoGenerateColumns="False" DataSourceID="SqlEspecialidades" Width="100%" KeyFieldName="idEspecialidad" OnDataBound="gridPostulanteEspecialidades_DataBound" Theme="Office2010Blue">
        <SettingsPager Visible="False" Mode="ShowAllRecords">
        </SettingsPager>
        <SettingsBehavior AllowDragDrop="False" AllowGroup="False" AllowSort="False" />
        <SettingsDataSecurity AllowDelete="False" AllowInsert="False" AllowEdit="False" />
        <SettingsText Title="Formación:" />
        <Columns>
            <dx:GridViewDataTextColumn FieldName="ESP_NOMBRE" ShowInCustomizationForm="True" VisibleIndex="1" Caption="Especialidad" ReadOnly="True">
                <EditFormSettings Visible="False" />
            </dx:GridViewDataTextColumn>
            <dx:GridViewDataTextColumn FieldName="insNombre" ShowInCustomizationForm="True" VisibleIndex="3" Caption="Institución" ReadOnly="True">
                <EditFormSettings Visible="False" />
            </dx:GridViewDataTextColumn>
            <dx:GridViewDataTextColumn FieldName="inicioAnio" ShowInCustomizationForm="True" VisibleIndex="10" Caption="Inicio" ReadOnly="True">
                <EditFormSettings Visible="False" />
                <DataItemTemplate>
                    <dx:ASPxLabel ID="ASPxLabel1" runat="server" Text='<%# String.Format("{0}/{1}", Eval("inicioMes"), Eval("inicioAnio"))%>'>
                    </dx:ASPxLabel>
                </DataItemTemplate>
            </dx:GridViewDataTextColumn>
            <dx:GridViewDataTextColumn FieldName="finAnio" ShowInCustomizationForm="True" VisibleIndex="14" Caption="Fin" ReadOnly="True" SortIndex="0" SortOrder="Descending">
                <EditFormSettings Visible="False" />
                <DataItemTemplate>
                    <dx:ASPxLabel ID="ASPxLabel2" runat="server" Text='<%# String.Format("{0}/{1}", Eval("finMes"), Eval("finAnio"))%>'>
                    </dx:ASPxLabel>
                </DataItemTemplate>
            </dx:GridViewDataTextColumn>
            <dx:GridViewDataTextColumn FieldName="certificado" ShowInCustomizationForm="True" VisibleIndex="16" ReadOnly="True">
                <EditFormSettings Visible="False" />
                <DataItemTemplate>
                    <dx:ASPxHyperLink ID="ASPxHyperLink1" runat="server" ImageUrl="~/Content/Images/ExportToPDF_16x16.png" ToolTip='<%# Eval("certificado")%>' NavigateUrl='<%# "~/Archivos/Especialidad/" & Eval("certificado")%>' Target="_blank" />
                </DataItemTemplate>
            </dx:GridViewDataTextColumn>
            <dx:GridViewDataComboBoxColumn Caption="Grado" FieldName="GRA_CODIGO" ShowInCustomizationForm="True" VisibleIndex="2" ReadOnly="True">
                <PropertiesComboBox DataSourceID="SqlPostulanteGrado" TextField="GRA_NOMBRE" ValueField="GRA_CODIGO">
                </PropertiesComboBox>
                <EditFormSettings Visible="False" />
            </dx:GridViewDataComboBoxColumn>
            <dx:GridViewDataComboBoxColumn Caption="País" FieldName="idPais" ShowInCustomizationForm="True" VisibleIndex="9" ReadOnly="True">
                <PropertiesComboBox DataSourceID="SqlPais" TextField="nombre" ValueField="codigo" ValueType="System.Int32">
                </PropertiesComboBox>
                <EditFormSettings Visible="False" />
            </dx:GridViewDataComboBoxColumn>
            <dx:GridViewDataTextColumn FieldName="idPostulanteEspecialidad" ShowInCustomizationForm="True" Visible="False" VisibleIndex="18">
            </dx:GridViewDataTextColumn>
            <dx:GridViewDataTextColumn FieldName="idConcursoPostulante" ShowInCustomizationForm="True" Visible="False" VisibleIndex="19">
            </dx:GridViewDataTextColumn>
        </Columns>
        <Styles>
            <Header Wrap="True">
            </Header>
            <TitlePanel HorizontalAlign="Left" BackColor="#999999" Font-Bold="True">
            </TitlePanel>
        </Styles>
    </dx:ASPxGridView>
                                    <br />
                                    <br />
                    <dx:ASPxGridView ID="gridPostulanteIdioma" runat="server" AutoGenerateColumns="False" DataSourceID="SqlUsuIdioma" KeyFieldName="IDI_CODIGO" OnDataBound="gridPostulanteIdioma_DataBound" Theme="Office2010Blue" OnCustomUnboundColumnData="gridPostulanteIdioma_CustomUnboundColumnData">
                            <SettingsPager Mode="ShowAllRecords" Visible="False">
                            </SettingsPager>
                            <SettingsBehavior AllowDragDrop="False" AllowGroup="False" AllowSort="False" />
                            <SettingsDataSecurity AllowDelete="False" AllowEdit="False" AllowInsert="False" />
                            <SettingsText Title="Idiomas:" />
                            <Columns>
                                <dx:GridViewDataTextColumn Caption="Idioma" FieldName="IDI_NOMBRE" ShowInCustomizationForm="True" VisibleIndex="1" Width="35%">
                                </dx:GridViewDataTextColumn>
                                <dx:GridViewDataComboBoxColumn Caption="Lee" FieldName="IDI_Lee" ShowInCustomizationForm="True" VisibleIndex="5" Width="15%">
                                    <PropertiesComboBox DataSourceID="SqlCatalogoIdioma" TextField="nombreExperiencia" ValueField="idExperiencia" ValueType="System.Int32">
                                    </PropertiesComboBox>
                                </dx:GridViewDataComboBoxColumn>
                                <dx:GridViewDataComboBoxColumn Caption="Escribe" FieldName="IDI_Escribe" ShowInCustomizationForm="True" VisibleIndex="9" Width="15%">
                                    <PropertiesComboBox DataSourceID="SqlCatalogoIdioma" TextField="nombreExperiencia" ValueField="idExperiencia" ValueType="System.Int32">
                                    </PropertiesComboBox>
                                </dx:GridViewDataComboBoxColumn>
                                <dx:GridViewDataComboBoxColumn Caption="Habla" FieldName="IDI_Habla" ShowInCustomizationForm="True" VisibleIndex="7" Width="15%">
                                    <PropertiesComboBox DataSourceID="SqlCatalogoIdioma" TextField="nombreExperiencia" ValueField="idExperiencia" ValueType="System.Int32">
                                    </PropertiesComboBox>
                                </dx:GridViewDataComboBoxColumn>
                                <dx:GridViewDataTextColumn Caption="Calidad" FieldName="calidad" ShowInCustomizationForm="True" UnboundType="Integer" VisibleIndex="10" Width="20%">
                                    <DataItemTemplate>
                                        <dx:ASPxRatingControl ID="ASPxRatingControl1" runat="server" ItemCount="6" ItemHeight="6" ItemWidth="6" ReadOnly="True" Value='<%# Eval("calidad") %>'>
                                        </dx:ASPxRatingControl>
                                    </DataItemTemplate>
                                    <HeaderStyle BackColor="#0066FF" ForeColor="White" />
                                </dx:GridViewDataTextColumn>
                            </Columns>
                            <Styles>
                                <Header Wrap="True">
                                </Header>
                                <TitlePanel HorizontalAlign="Left">
                                </TitlePanel>
                            </Styles>
                        </dx:ASPxGridView>
                                </dx:PanelContent>
                            </PanelCollection>
                        </dx:ASPxRoundPanel>
                
                                                
                        
             </td>
            </tr>
            <tr>
                    <td colspan="2" style="vertical-align:top;padding:10px;">
                        <dx:ASPxRoundPanel ID="rpConocimientoP" runat="server" Width="100%" HeaderText="Capacitaciones" Theme="MetropolisBlue" style="margin-bottom: 0px">
                            <PanelCollection>
                                <dx:PanelContent runat="server">
                                    <dx:ASPxGridView ID="gridPostulanteCapacitaciones" runat="server" AutoGenerateColumns="False" DataSourceID="SqlUsuCapacitacion" KeyFieldName="idCapacitacion" Width="100%" OnDataBound="gridPostulanteCapacitaciones_DataBound" Theme="Office2010Blue">
                            <SettingsPager Mode="ShowAllRecords" Visible="False">
                            </SettingsPager>
                            <SettingsBehavior AllowDragDrop="False" AllowGroup="False" AllowSort="False" />
                            <SettingsDataSecurity AllowDelete="False" AllowEdit="False" AllowInsert="False" />
                            <SettingsText Title="Conocimientos:" />
                            <Columns>
                                <dx:GridViewDataTextColumn Caption="Título" FieldName="tituloCapacitacion" ShowInCustomizationForm="True" VisibleIndex="3">
                                </dx:GridViewDataTextColumn>
                                <dx:GridViewDataTextColumn Caption="Conocimientos aprendidos" FieldName="conocimientosCapacitacion" ShowInCustomizationForm="True" VisibleIndex="5">
                                </dx:GridViewDataTextColumn>
                                <dx:GridViewDataTextColumn Caption="Duración" FieldName="duracionCapacitacion" ShowInCustomizationForm="True" VisibleIndex="7">
                                </dx:GridViewDataTextColumn>
                                <dx:GridViewDataTextColumn Caption="Lugar" FieldName="lugarCapacitacion" ShowInCustomizationForm="True" VisibleIndex="9">
                                </dx:GridViewDataTextColumn>
                                <dx:GridViewDataTextColumn Caption="Instituto" FieldName="institucionCapacitacion" ShowInCustomizationForm="True" VisibleIndex="11">
                                </dx:GridViewDataTextColumn>
                                <dx:GridViewDataTextColumn Caption="Año" FieldName="anio" ShowInCustomizationForm="True" SortIndex="0" SortOrder="Descending" VisibleIndex="13">
                                </dx:GridViewDataTextColumn>
                            </Columns>
                            <Styles>
                                <Header Wrap="True">
                                </Header>
                                <TitlePanel HorizontalAlign="Left" BackColor="#999999" Font-Bold="True">
                                </TitlePanel>
                            </Styles>
                        </dx:ASPxGridView>
                                    <br />
                                    <dx:ASPxGridView ID="gridConocimientos" runat="server" AutoGenerateColumns="False" DataSourceID="SqlUsuConocimientos" KeyFieldName="idConocimiento" Width="100%" OnDataBound="gridPostulanteCapacitaciones_DataBound" Theme="Office2010Blue">
                            <SettingsPager Mode="ShowAllRecords" Visible="False">
                            </SettingsPager>
                            <SettingsBehavior AllowDragDrop="False" AllowGroup="False" AllowSort="False" />
                            <SettingsDataSecurity AllowDelete="False" AllowEdit="False" AllowInsert="False" />
                            <SettingsText Title="Conocimientos:" />
                            <Columns>
                                <dx:GridViewDataTextColumn Caption="Conocimiento" FieldName="nombreConocimiento" ShowInCustomizationForm="True" VisibleIndex="1">
                                </dx:GridViewDataTextColumn>
                                <dx:GridViewDataTextColumn FieldName="idConocimiento" ShowInCustomizationForm="True" VisibleIndex="0" ReadOnly="True" Visible="False">
                                    <EditFormSettings Visible="False" />
                                </dx:GridViewDataTextColumn>
                            </Columns>
                            <Styles>
                                <Header Wrap="True">
                                </Header>
                                <TitlePanel HorizontalAlign="Left" BackColor="#999999" Font-Bold="True">
                                </TitlePanel>
                            </Styles>
                        </dx:ASPxGridView>
                                </dx:PanelContent>
                            </PanelCollection>
                        </dx:ASPxRoundPanel>
                        
                       
                 
                    </td>
                </tr>
                  <tr>
                    <td colspan="2" style="vertical-align:top;padding:10px;">
                        <dx:ASPxRoundPanel ID="rpExperienciaP" runat="server" Width="100%" HeaderText="Experiencia Laboral" Theme="MetropolisBlue">
                            <PanelCollection>
                                <dx:PanelContent runat="server">
                                    <dx:ASPxGridView ID="gridPostulanteExperiencia" runat="server" AutoGenerateColumns="False"  OnCustomUnboundColumnData="gridPostulanteExperiencia_CustomUnboundColumnData" OnDataBound="gridPostulanteExperiencia_DataBound" Width="100%" Theme="Office2010Blue" DataSourceID="SqlUsuExperiencia" KeyFieldName="idExperiencia">
                                        <SettingsPager Mode="ShowAllRecords" Visible="False">
                                        </SettingsPager>
                                        <SettingsBehavior AllowDragDrop="False" AllowGroup="False" AllowSort="False" />
                                        <SettingsDataSecurity AllowDelete="False" AllowEdit="False" AllowInsert="False" />
                                        <SettingsText Title="Experiencia:" />
                                        <Columns>
                                            <dx:GridViewDataTextColumn Caption="Institución" FieldName="nombreInstitucion" ShowInCustomizationForm="True" VisibleIndex="1">
                                            </dx:GridViewDataTextColumn>
                                            <dx:GridViewDataTextColumn Caption="Cargo" FieldName="nombrePuesto" ShowInCustomizationForm="True" VisibleIndex="0">
                                            </dx:GridViewDataTextColumn>
                                            <dx:GridViewDataTextColumn Caption="Descripción" FieldName="descripcionPuesto" ShowInCustomizationForm="True" VisibleIndex="9">
                                            </dx:GridViewDataTextColumn>
                                            <dx:GridViewDataTextColumn Caption="Inicio" FieldName="inicioAnio" ShowInCustomizationForm="True" VisibleIndex="13">
                                                <DataItemTemplate>
                                                    <dx:ASPxLabel ID="ASPxLabel3" runat="server" Text='<%# String.Format("{0}/{1}", Eval("inicioMes"), Eval("inicioAnio"))%>'>
                                                    </dx:ASPxLabel>
                                                </DataItemTemplate>
                                            </dx:GridViewDataTextColumn>
                                            <dx:GridViewDataTextColumn Caption="Fin" FieldName="finAnio" ShowInCustomizationForm="True" VisibleIndex="17">
                                                <DataItemTemplate>
                                                    <dx:ASPxLabel ID="ASPxLabel4" runat="server" Text='<%# String.Format("{0}/{1}", Eval("finMes"), Eval("finAnio"))%>'>
                                                    </dx:ASPxLabel>
                                                </DataItemTemplate>
                                            </dx:GridViewDataTextColumn>
                                            <dx:GridViewDataCheckColumn Caption="Actual" FieldName="activo" ShowInCustomizationForm="True" VisibleIndex="19">
                                            </dx:GridViewDataCheckColumn>
                                            <dx:GridViewDataComboBoxColumn Caption="País" FieldName="idPais" ShowInCustomizationForm="True" VisibleIndex="4">
                                                <PropertiesComboBox DataSourceID="SqlPais" TextField="nombre" ValueField="codigo" ValueType="System.Int32">
                                                </PropertiesComboBox>
                                            </dx:GridViewDataComboBoxColumn>
                                            <dx:GridViewDataComboBoxColumn Caption="Sector" FieldName="idSector" ShowInCustomizationForm="True" VisibleIndex="8">
                                                <PropertiesComboBox DataSourceID="SqlSector" TextField="nombreSector" ValueField="idSector" ValueType="System.Int32">
                                                </PropertiesComboBox>
                                            </dx:GridViewDataComboBoxColumn>
                                            <dx:GridViewDataTextColumn Caption="Tiempo" FieldName="tiempo" ShowInCustomizationForm="True" UnboundType="String" VisibleIndex="20">
                                                <HeaderStyle BackColor="#0066FF" ForeColor="White" />
                                                <CellStyle ForeColor="#0066FF">
                                                </CellStyle>
                                            </dx:GridViewDataTextColumn>
                                        </Columns>
                                        <Styles>
                                            <Header Wrap="True">
                                            </Header>
                                            <TitlePanel HorizontalAlign="Left">
                                            </TitlePanel>
                                        </Styles>
                                    </dx:ASPxGridView>
                                </dx:PanelContent>
                            </PanelCollection>
                        </dx:ASPxRoundPanel>
                  
                        
                        </td>
                  </tr>
                 <tr>
                    <td style="width:50%;vertical-align:top;padding:10px;">
                        <dx:ASPxRoundPanel ID="rpLaboralP" runat="server" Width="100%" HeaderText="Referencias Laborales" Theme="MetropolisBlue">
                            <PanelCollection>
                                <dx:PanelContent runat="server">
                                      <dx:ASPxGridView ID="gridRefLaborales" runat="server" AutoGenerateColumns="False" DataSourceID="SqlRefLaborales" KeyFieldName="idReferencia" Width="100%" Theme="Office2010Blue">
                            <SettingsPager Mode="ShowAllRecords" Visible="False">
                            </SettingsPager>
                            <SettingsDataSecurity AllowDelete="False" AllowEdit="False" AllowInsert="False" />
                            <SettingsText Title="Referencias Laborales:" />
                            <Columns>
                                <dx:GridViewDataTextColumn Caption="Nombre" FieldName="nombreReferencia" VisibleIndex="0">
                                </dx:GridViewDataTextColumn>
                                <dx:GridViewDataTextColumn Caption="Cargo" FieldName="cargoReferencia" VisibleIndex="1">
                                </dx:GridViewDataTextColumn>
                                <dx:GridViewDataTextColumn Caption="Dirección" FieldName="direccionReferencia" VisibleIndex="2">
                                </dx:GridViewDataTextColumn>
                                <dx:GridViewDataTextColumn Caption="Teléfono" FieldName="telefonoReferencia" VisibleIndex="3">
                                </dx:GridViewDataTextColumn>
                            </Columns>
                            <Styles>
                                <Header Font-Bold="False" Wrap="True">
                                </Header>
                                <TitlePanel HorizontalAlign="Left" BackColor="#999999" Font-Bold="True">
                                </TitlePanel>
                            </Styles>
                        </dx:ASPxGridView>

                                </dx:PanelContent>
                            </PanelCollection>
                        </dx:ASPxRoundPanel>
                      

                    </td>
                    <td style="width:50%;vertical-align:top;padding:10px;">
                        <dx:ASPxRoundPanel ID="rpPersonalP" runat="server" Width="100%" HeaderText="Referencias Personales" Theme="MetropolisBlue">
                            <PanelCollection>
                                <dx:PanelContent runat="server">
                                    
<dx:ASPxGridView ID="gridReferencias" runat="server" AutoGenerateColumns="False" DataSourceID="SqlReferencias" KeyFieldName="idReferencia"  Width="100%" OnDataBound="gridReferencias_DataBound" Theme="Office2010Blue">
                <SettingsPager Mode="ShowAllRecords" Visible="False">
                </SettingsPager>
                <SettingsDataSecurity AllowDelete="False" AllowEdit="False" AllowInsert="False" />
                <SettingsText Title="Referencias Personales:" />
                <Columns>
                    <dx:GridViewDataTextColumn FieldName="nombreReferencia" VisibleIndex="0" Caption="Nombre">
                    </dx:GridViewDataTextColumn>
                    <dx:GridViewDataTextColumn FieldName="cargoReferencia" VisibleIndex="1" Caption="Cargo">
                    </dx:GridViewDataTextColumn>
                    <dx:GridViewDataTextColumn FieldName="direccionReferencia" VisibleIndex="2" Caption="Dirección">
                    </dx:GridViewDataTextColumn>
                    <dx:GridViewDataTextColumn FieldName="telefonoReferencia" VisibleIndex="3" Caption="Teléfono">
                    </dx:GridViewDataTextColumn>
                </Columns>
                <Styles>
                    <Header Font-Bold="False" Wrap="True">
                    </Header>
                    <TitlePanel HorizontalAlign="Left" BackColor="#999999" Font-Bold="True">
                    </TitlePanel>
                </Styles>
            </dx:ASPxGridView>

                                </dx:PanelContent>
                            </PanelCollection>
                        </dx:ASPxRoundPanel>

 
                    </td>
                </tr>
                <tr>

                     <td colspan="2" style="vertical-align:top;padding:10px;">
                         <dx:ASPxRoundPanel ID="rpDiscapacidadP" runat="server" Width="100%" HeaderText="Discapacidad" Theme="MetropolisBlue">
                             <PanelCollection>
                                 <dx:PanelContent runat="server">
                                     <dx:ASPxGridView ID="gridDiscapacidad" runat="server" AutoGenerateColumns="False" DataSourceID="SqlDiscapacidad" EnableTheming="True" OnDataBound="gridDiscapacidad_DataBound" Theme="Office2010Blue">
                                         <SettingsPager Mode="ShowAllRecords">
                                         </SettingsPager>
                                         <SettingsBehavior AllowDragDrop="False" AllowGroup="False" AllowSort="False" />
                                         <SettingsDataSecurity AllowDelete="False" AllowEdit="False" AllowInsert="False" />
                                         <Columns>
                                             <dx:GridViewDataTextColumn Caption="Discapacidad" FieldName="nombreDiscapacidad" ShowInCustomizationForm="True" VisibleIndex="0">
                                             </dx:GridViewDataTextColumn>
                                             <dx:GridViewDataTextColumn Caption="Certificación" FieldName="nombreCertificacion" ShowInCustomizationForm="True" VisibleIndex="1">
                                             </dx:GridViewDataTextColumn>
                                         </Columns>
                                     </dx:ASPxGridView>
                                     <asp:SqlDataSource ID="SqlDiscapacidadUsuario" runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="SELECT STP_Discapacidad.nombreDiscapacidad, STP_CertificacionDiscapacidad.nombreCertificacion FROM USU_Discapacidad INNER JOIN STP_CertificacionDiscapacidad ON USU_Discapacidad.idCertificado = STP_CertificacionDiscapacidad.idCertificacion INNER JOIN STP_Discapacidad ON USU_Discapacidad.idTipoDiscapacidad = STP_Discapacidad.idDiscapacidad WHERE (USU_Discapacidad.idUsuario = @idUsuario)">
                                         <SelectParameters>
                                             <asp:SessionParameter Name="idUsuario" SessionField="idUsuario" />
                                         </SelectParameters>
                                     </asp:SqlDataSource>
                                 </dx:PanelContent>
                             </PanelCollection>
                         </dx:ASPxRoundPanel>
                    </td>
                </tr>
            </table>
<dx:ASPxGridView ID="gridPostulaciones" runat="server" AutoGenerateColumns="False" DataSourceID="SqlPostulaciones" KeyFieldName="idConcursoPostulante">
    <Columns>
        <dx:GridViewDataTextColumn FieldName="idConcursoPostulante" ReadOnly="True" VisibleIndex="0">
            <EditFormSettings Visible="False" />
        </dx:GridViewDataTextColumn>
        <dx:GridViewDataTextColumn FieldName="idUsuario" VisibleIndex="1">
        </dx:GridViewDataTextColumn>
        <dx:GridViewDataTextColumn FieldName="idPlaza" VisibleIndex="2">
        </dx:GridViewDataTextColumn>
        <dx:GridViewDataTextColumn FieldName="Identificador" VisibleIndex="3">
        </dx:GridViewDataTextColumn>
        <dx:GridViewDataTextColumn FieldName="CodigoPostulante" ReadOnly="True" VisibleIndex="4">
        </dx:GridViewDataTextColumn>
        <dx:GridViewDataTextColumn FieldName="idEstadoConcursoPostulante" VisibleIndex="5">
        </dx:GridViewDataTextColumn>
        <dx:GridViewDataCheckColumn FieldName="Calificado" VisibleIndex="6">
        </dx:GridViewDataCheckColumn>
        <dx:GridViewDataCheckColumn FieldName="vbFormacion" VisibleIndex="7">
        </dx:GridViewDataCheckColumn>
        <dx:GridViewDataCheckColumn FieldName="vbConocimientos" VisibleIndex="8">
        </dx:GridViewDataCheckColumn>
        <dx:GridViewDataCheckColumn FieldName="vbExperiencia" VisibleIndex="9">
        </dx:GridViewDataCheckColumn>
        <dx:GridViewDataTextColumn FieldName="usuarioCreacion" VisibleIndex="10">
        </dx:GridViewDataTextColumn>
        <dx:GridViewDataDateColumn FieldName="fechaCreacion" VisibleIndex="11">
        </dx:GridViewDataDateColumn>
        <dx:GridViewDataTextColumn FieldName="usuarioModificacion" VisibleIndex="12">
        </dx:GridViewDataTextColumn>
        <dx:GridViewDataDateColumn FieldName="fechaModificacion" VisibleIndex="13">
        </dx:GridViewDataDateColumn>
    </Columns>
    <Styles>
        <Header Wrap="True">
        </Header>
    </Styles>
</dx:ASPxGridView>
<asp:SqlDataSource ID="SqlPostulaciones" runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="SELECT * FROM [ConcursoPostulante] WHERE ([idUsuario] = @idUsuario)">
    <SelectParameters>
        <asp:QueryStringParameter Name="idUsuario" QueryStringField="idUsuario" Type="Int32" />
    </SelectParameters>
</asp:SqlDataSource>
<asp:SqlDataSource ID="SqlEspecialidades" runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="SELECT * FROM [USU_Especialidad] WHERE ([idUsuario] = @idUsuario)">
    <SelectParameters>
        <asp:QueryStringParameter Name="idUsuario" QueryStringField="idUsuario" Type="Int32" />
    </SelectParameters>
</asp:SqlDataSource>
     <asp:SqlDataSource ID="SqlPostulanteGrado" runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="SELECT [GRA_CODIGO], [GRA_NOMBRE] FROM [ViewGrado]"></asp:SqlDataSource>
    <asp:SqlDataSource ID="SqlPais" runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="SELECT * FROM SEGURIDAD.dbo.[STP_Pais]"></asp:SqlDataSource>
<asp:SqlDataSource ID="SqlUsuIdioma" runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="SELECT * FROM [USU_Idioma] WHERE ([idUsuario] = @idUsuario)">
    <SelectParameters>
        <asp:QueryStringParameter Name="idUsuario" QueryStringField="idUsuario" Type="Int32" />
    </SelectParameters>
</asp:SqlDataSource>
                        <asp:SqlDataSource ID="SqlCatalogoIdioma" runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="SELECT * FROM [USU_IdiomaExperiencia]"></asp:SqlDataSource>
<asp:SqlDataSource ID="SqlUsuCapacitacion" runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="SELECT * FROM [USU_Capacitaciones] WHERE ([idUsuario] = @idUsuario)">
    <SelectParameters>
        <asp:QueryStringParameter Name="idUsuario" QueryStringField="idUsuario" Type="Int32" />
    </SelectParameters>
</asp:SqlDataSource>
<asp:SqlDataSource ID="SqlUsuConocimientos" runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="SELECT nombreConocimiento, idUsuario, idConocimiento FROM USU_Conocimientos WHERE (idUsuario = @idUsuario)">
    <SelectParameters>
        <asp:QueryStringParameter Name="idUsuario" QueryStringField="idUsuario" Type="Int32" />
    </SelectParameters>
</asp:SqlDataSource>
<asp:SqlDataSource ID="SqlUsuExperiencia" runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="SELECT * FROM [USU_Experiencia] WHERE ([idUsuario] = @idUsuario)">
    <SelectParameters>
        <asp:QueryStringParameter Name="idUsuario" QueryStringField="idUsuario" Type="Int32" />
    </SelectParameters>
</asp:SqlDataSource>
    <asp:SqlDataSource runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="SELECT * FROM [STP_Sector]" ID="SqlSector"></asp:SqlDataSource>


                        <asp:SqlDataSource ID="SqlRefLaborales" runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="SELECT nombreReferencia, cargoReferencia, direccionReferencia, telefonoReferencia, idReferencia FROM USU_Referencias WHERE (idUsuario = @idUsuario) AND (tipoReferencia = @tipoReferencia)">
                            <SelectParameters>
                                <asp:QueryStringParameter Name="idUsuario" QueryStringField="idUsuario" Type="Int32" />
                                <asp:Parameter DefaultValue="true" Name="tipoReferencia" Type="Boolean" />
                            </SelectParameters>
                        </asp:SqlDataSource>
<asp:SqlDataSource ID="SqlReferencias" runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="SELECT nombreReferencia, cargoReferencia, direccionReferencia, telefonoReferencia, idReferencia FROM USU_Referencias WHERE (idUsuario = @idUsuario) AND (tipoReferencia = @tipoReferencia)">
                <SelectParameters>
                    <asp:QueryStringParameter Name="idUsuario" QueryStringField="idUsuario" Type="Int32" />
                    <asp:Parameter DefaultValue="false" Name="tipoReferencia" Type="Boolean" />
                </SelectParameters>
            </asp:SqlDataSource>
 <asp:SqlDataSource ID="SqlDiscapacidad" runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="SELECT STP_Discapacidad.nombreDiscapacidad, STP_CertificacionDiscapacidad.nombreCertificacion FROM USU_Discapacidad INNER JOIN STP_CertificacionDiscapacidad ON USU_Discapacidad.idCertificado = STP_CertificacionDiscapacidad.idCertificacion INNER JOIN STP_Discapacidad ON USU_Discapacidad.idTipoDiscapacidad = STP_Discapacidad.idDiscapacidad WHERE (USU_Discapacidad.idUsuario = @idUsuario)">
                                         <SelectParameters>
                                             <asp:QueryStringParameter Name="idUsuario" QueryStringField="idUsuario" />
                                         </SelectParameters>
                                     </asp:SqlDataSource>