﻿<%@ Control Language="vb" AutoEventWireup="false" CodeBehind="ucPreviewPostular.ascx.vb" Inherits="Dotacion.ucPreviewPostular" %>

<dx:ASPxCallbackPanel ID="cbpPostulacion" runat="server" Width="100%" ClientInstanceName="cbpPostulacion">
    <PanelCollection>
    <dx:PanelContent>     
  <div runat="server" id="panel1">

<div style="margin: 0 auto;max-width:380px;">

    <div class="alert-box error" style="max-width:355px;margin: 0 auto;" runat="server" id="ErrorContainer" visible="false"><span>Error: </span>
        <asp:Literal ID="txtError" runat="server"></asp:Literal></div>
      <div class="alert-box warning" style="max-width:355px;margin: 0 auto;" runat="server" id="ErrorContainer2" visible="false"><span>Advertencia: </span>
        <asp:Literal ID="txtError2" runat="server"></asp:Literal></div>

        <dx:ASPxButton ID="btnMiCV" runat="server" AutoPostBack="False" Text="Revisar Mi CV" ClientVisible="False" AccessibilityCompliant="True">
                <ClientSideEvents Click="function(s, e) {
window.location = 'wfPerfilUsuario.aspx';
}" />
            </dx:ASPxButton>

    <p>Estimado/a <b><asp:Literal ID="ltlUsuario" runat="server"></asp:Literal></b>,</p>
    <p>Muchas gracias por su interés en participar en el concurso: <b><asp:Literal ID="ltlPlaza" runat="server"></asp:Literal></b></p>


            <dx:ASPxRoundPanel ID="rpIndispensables" runat="server" ShowCollapseButton="false" Width="100%" HeaderText="Formación académica indispensable:" ClientVisible="false"><PanelCollection>
<dx:PanelContent runat="server">
     <dx:ASPxGridView ID="gridGrado" runat="server" AutoGenerateColumns="False" DataSourceID="SqlGrado" Width="100%" KeyFieldName="codigo" EnableTheming="True" Theme="Aqua" AccessibilityCompliant="True">
<SettingsAdaptivity>
<AdaptiveDetailLayoutProperties ColCount="1"></AdaptiveDetailLayoutProperties>
</SettingsAdaptivity>

    <SettingsPager Mode="ShowAllRecords" Visible="False">
    </SettingsPager>
    <Settings ShowColumnHeaders="False" ShowFooter="True" ShowTitlePanel="True" />
    <SettingsBehavior AllowDragDrop="False" AllowGroup="False" AllowSort="False" />

<SettingsCommandButton>
<ShowAdaptiveDetailButton ButtonType="Image"></ShowAdaptiveDetailButton>

<HideAdaptiveDetailButton ButtonType="Image"></HideAdaptiveDetailButton>
</SettingsCommandButton>

    <SettingsDataSecurity AllowDelete="False" AllowEdit="False" AllowInsert="False" />
    <SettingsText Title="Grado Académico:" />

<EditFormLayoutProperties ColCount="1"></EditFormLayoutProperties>
    <Columns>
        <dx:GridViewDataTextColumn FieldName="nombre" VisibleIndex="1" Width="300px">
        </dx:GridViewDataTextColumn>
        <dx:GridViewDataCheckColumn FieldName="Cumple" ReadOnly="True" VisibleIndex="3" Width="100px">
            <PropertiesCheckEdit ValueChecked="1" ValueType="System.Int32" ValueUnchecked="0">
                

<DisplayImageChecked Height="16px" Url="~/Content/Images/Apply_16x16.png" Width="16px">
                </DisplayImageChecked>
                



<DisplayImageUnchecked Height="16px" Url="~/Content/Images/Cancel_16x16.png" Width="16px">
                </DisplayImageUnchecked>
            

</PropertiesCheckEdit>
        </dx:GridViewDataCheckColumn>
        <dx:GridViewDataTextColumn FieldName="Req" ReadOnly="True" ShowInCustomizationForm="True" VisibleIndex="2" Width="100px">
        </dx:GridViewDataTextColumn>
    </Columns>
    <TotalSummary>
        <dx:ASPxSummaryItem FieldName="Cumple" SummaryType="Max" />
    </TotalSummary>
    <Styles>
        <TitlePanel HorizontalAlign="Left">
        </TitlePanel>
    </Styles>
</dx:ASPxGridView>

<asp:SqlDataSource ID="SqlGrado" runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="SELECT nombre, 'Indispensable' AS Req, (SELECT CASE WHEN COUNT(*) &gt; 0 THEN 1 ELSE 0 END AS Expr1 FROM USU_Especialidad WHERE (GRA_CODIGO = v.codigo) AND (idUsuario = @idUsuario)) AS 'Cumple' FROM ViewIndis_Grado AS v WHERE (idPlaza = @idPlaza)">
    <SelectParameters>
        <asp:Parameter Name="idUsuario" />
        <asp:SessionParameter Name="idPlaza" SessionField="plaza" Type="Int32" />
    </SelectParameters>
</asp:SqlDataSource>
<dx:ASPxGridView ID="gridEspecialidad" runat="server" AutoGenerateColumns="False" DataSourceID="SqlEspecialidad" Width="100%" Theme="Aqua" AccessibilityCompliant="True">
<SettingsAdaptivity>
<AdaptiveDetailLayoutProperties ColCount="1"></AdaptiveDetailLayoutProperties>
</SettingsAdaptivity>

    <SettingsPager Mode="ShowAllRecords" Visible="False">
    </SettingsPager>
    <Settings ShowColumnHeaders="False" ShowFooter="True" ShowTitlePanel="True" />
    <SettingsBehavior AllowDragDrop="False" AllowGroup="False" AllowSort="False" />

<SettingsCommandButton>
<ShowAdaptiveDetailButton ButtonType="Image"></ShowAdaptiveDetailButton>

<HideAdaptiveDetailButton ButtonType="Image"></HideAdaptiveDetailButton>
</SettingsCommandButton>

    <SettingsDataSecurity AllowDelete="False" AllowEdit="False" AllowInsert="False" />
    <SettingsText Title="Especialidad Académica:" />

<EditFormLayoutProperties ColCount="1"></EditFormLayoutProperties>
    <Columns>
        <dx:GridViewDataTextColumn FieldName="nombre" VisibleIndex="1" Width="300px">
        </dx:GridViewDataTextColumn>
        <dx:GridViewDataCheckColumn FieldName="Cumple" ReadOnly="True" VisibleIndex="3" Width="100px">
                        <PropertiesCheckEdit>
                

<DisplayImageChecked Height="16px" Url="~/Content/Images/Apply_16x16.png" Width="16px">
                </DisplayImageChecked>
                



<DisplayImageUnchecked Height="16px" Url="~/Content/Images/Cancel_16x16.png" Width="16px">
                </DisplayImageUnchecked>
            

</PropertiesCheckEdit>
        </dx:GridViewDataCheckColumn>
        <dx:GridViewDataTextColumn FieldName="Req" ReadOnly="True" ShowInCustomizationForm="True" VisibleIndex="2" Width="100px">
        </dx:GridViewDataTextColumn>
    </Columns>
    <TotalSummary>
        <dx:ASPxSummaryItem FieldName="Cumple" SummaryType="Max" />
    </TotalSummary>
    <Styles>
        <TitlePanel HorizontalAlign="Left">
        </TitlePanel>
    </Styles>
</dx:ASPxGridView>

<asp:SqlDataSource ID="SqlEspecialidad" runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="SELECT nombre, 'Indispensable' AS Req, (SELECT CASE WHEN COUNT(*) &gt; 0 THEN 1 ELSE 0 END AS Expr1 FROM USU_Especialidad WHERE (ESP_CODIGO = v.codigo) AND (idUsuario = @idUsuario)) AS 'Cumple' FROM ViewIndis_Especialidad AS v WHERE (idPlaza = @idPlaza)">
    <SelectParameters>
        <asp:Parameter Name="idUsuario" />
        <asp:SessionParameter Name="idPlaza" SessionField="plaza" Type="Int32" />
    </SelectParameters>
</asp:SqlDataSource>

      <dx:ASPxGridView ID="gridIdioma" runat="server" AutoGenerateColumns="False" DataSourceID="SqlIdioma" Width="100%" Theme="Aqua" AccessibilityCompliant="True">
<SettingsAdaptivity>
<AdaptiveDetailLayoutProperties ColCount="1"></AdaptiveDetailLayoutProperties>
</SettingsAdaptivity>

    <SettingsPager Mode="ShowAllRecords" Visible="False">
    </SettingsPager>
    <Settings ShowColumnHeaders="False" ShowFooter="True" ShowTitlePanel="True" />
    <SettingsBehavior AllowDragDrop="False" AllowGroup="False" AllowSort="False" />

<SettingsCommandButton>
<ShowAdaptiveDetailButton ButtonType="Image"></ShowAdaptiveDetailButton>

<HideAdaptiveDetailButton ButtonType="Image"></HideAdaptiveDetailButton>
</SettingsCommandButton>

    <SettingsDataSecurity AllowDelete="False" AllowEdit="False" AllowInsert="False" />
    <SettingsText Title="Idioma:" />

<EditFormLayoutProperties ColCount="1"></EditFormLayoutProperties>
    <Columns>
        <dx:GridViewDataTextColumn FieldName="nombre" VisibleIndex="1" Width="300px">
        </dx:GridViewDataTextColumn>
        <dx:GridViewDataCheckColumn FieldName="Cumple" ReadOnly="True" VisibleIndex="3" Width="100px">
            <PropertiesCheckEdit>
                

<DisplayImageChecked Height="16px" Url="~/Content/Images/Apply_16x16.png" Width="16px">
                </DisplayImageChecked>
                



<DisplayImageUnchecked Height="16px" Url="~/Content/Images/Cancel_16x16.png" Width="16px">
                </DisplayImageUnchecked>
            

</PropertiesCheckEdit>
        </dx:GridViewDataCheckColumn>
        <dx:GridViewDataTextColumn FieldName="Req" ReadOnly="True" ShowInCustomizationForm="True" VisibleIndex="2" Width="100px">
        </dx:GridViewDataTextColumn>
    </Columns>
    <TotalSummary>
        <dx:ASPxSummaryItem FieldName="Cumple" SummaryType="Max" />
    </TotalSummary>
    <Styles>
        <TitlePanel HorizontalAlign="Left">
        </TitlePanel>
    </Styles>
</dx:ASPxGridView>

<asp:SqlDataSource ID="SqlIdioma" runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="SELECT nombre, 'Indispensable' as Req, (SELECT CASE WHEN COUNT(*) &gt; 0 THEN 1 ELSE 0 END AS Expr1 FROM USU_Idioma WHERE (IDI_CODIGO = v.codigo) AND (idUsuario = @idUsuario)) AS 'Cumple' FROM ViewIndis_Idioma AS v WHERE (idPlaza = @idPlaza)">
    <SelectParameters>
        <asp:Parameter Name="idUsuario" />
        <asp:SessionParameter Name="idPlaza" SessionField="plaza" Type="Int32" />
    </SelectParameters>
</asp:SqlDataSource>


</dx:PanelContent>
</PanelCollection>
            </dx:ASPxRoundPanel>
           


<br />
            
            <dx:ASPxGridView ID="gridComp" runat="server" AutoGenerateColumns="False" DataSourceID="SqlComp" Theme="Aqua" Width="100%" AccessibilityCompliant="True">
<SettingsAdaptivity>
<AdaptiveDetailLayoutProperties ColCount="1"></AdaptiveDetailLayoutProperties>
</SettingsAdaptivity>

                <SettingsPager Mode="ShowAllRecords" Visible="False">
                </SettingsPager>
                <Settings ShowColumnHeaders="False" ShowTitlePanel="True" />
                <SettingsBehavior AllowDragDrop="False" AllowGroup="False" AllowSort="False" />

<SettingsCommandButton>
<ShowAdaptiveDetailButton ButtonType="Image"></ShowAdaptiveDetailButton>

<HideAdaptiveDetailButton ButtonType="Image"></HideAdaptiveDetailButton>
</SettingsCommandButton>

                <SettingsDataSecurity AllowDelete="False" AllowEdit="False" AllowInsert="False" />
                <SettingsText Title="Recuerde que el concurso solicita que tenga los siguientes conocimientos específicos: (favor mencionarlos en su CV)" />

<EditFormLayoutProperties ColCount="1"></EditFormLayoutProperties>
                <Columns>
                    <dx:GridViewDataTextColumn FieldName="nombre" ShowInCustomizationForm="True" VisibleIndex="0">
                    </dx:GridViewDataTextColumn>
                </Columns>
                <Styles>
                    <Header Font-Bold="True">
                    </Header>
                    <TitlePanel HorizontalAlign="Left" Wrap="True">
                    </TitlePanel>
                </Styles>
            </dx:ASPxGridView>
            <asp:SqlDataSource ID="SqlComp" runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="SELECT nombre FROM ViewIndis_Comp AS v WHERE (idPlaza = @idPlaza)">
                <SelectParameters>
                    <asp:SessionParameter Name="idPlaza" SessionField="plaza" Type="Int32" />
                </SelectParameters>
            </asp:SqlDataSource>

            <br />
            <p style="text-align:justify;"><b>Importante:</b> Si su grado académico es superior al solicitado por la Institución, deberá adicionar ese grado menor a su perfil si corresponde a la misma especialidad. <br />Si usted cumple con el perfil académico necesario para este concurso, favor presionar el botón Aplicar para que el sistema le asigne un código de postulante.</p>
<br />
            <dx:ASPxCheckBox ID="chkAcuerdo" ClientInstanceName="chkAcuerdo" runat="server" Text="Estoy de acuerdo que mis datos del currículo se copiarán tal como se encuentran en este momento a la Institución que publicó el concurso y durante la postulación no se podrán cambiar. La información enviada puede ser sujeta a verificación." BackColor="#FFFF99" AccessibilityCompliant="True" >
    <ValidationSettings CausesValidation="True" ErrorDisplayMode="ImageWithTooltip" SetFocusOnError="True" ValidationGroup="postular">
        <ErrorImage IconID="actions_cancel_16x16">
        </ErrorImage>
        <RequiredField ErrorText="Es necesario estar de acuerdo para participar" IsRequired="True" />
    </ValidationSettings>
</dx:ASPxCheckBox>
            <br />
    <div style="text-align:center;">
<dx:ASPxButton ID="btnAplicar" runat="server" Text="Aplicar" AutoPostBack="False" UseSubmitBehavior="False" ValidationGroup="postular" Enabled="False" AccessibilityCompliant="True" Width="200px">
    <ClientSideEvents Click="function(s, e) {
	if (ASPxClientEdit.ValidateEditorsInContainer(null, 'postular')){
	cbpPostulacion.PerformCallback('1');
}

}" />
</dx:ASPxButton>
    </div>
</div>  
</div>
        <div runat="server" id="panel2" style="text-align:center;">

                        <h2>Su información ha sido enviada.</h2>
                        <p>En breve, recibirá un correo de confirmación de ingreso a este concuro.</p>
                        <p>Su registro de postulación ha sido generado con el código: <b><asp:Literal ID="lblCodigo" runat="server"></asp:Literal> </b>, con fecha: <b><asp:Literal ID="lblFecha" runat="server"></asp:Literal></b></p>
                        
                        <dx:ASPxButton ID="ASPxButton1" runat="server" Text="Ver mis postulaciones" AutoPostBack="false" AccessibilityCompliant="True">
                            <ClientSideEvents Click="function(s, e) {
	window.location = 'wfMisPostulaciones.aspx';
}" />
                        </dx:ASPxButton>
            </div>
 



</dx:PanelContent>
</PanelCollection>
</dx:ASPxCallbackPanel>

