﻿<%@ Control Language="vb" AutoEventWireup="false" CodeBehind="ucUsuDiscapacidad.ascx.vb" Inherits="Dotacion.ucUsuDiscapacidad" %>
<dx:ASPxGridView ID="gridDiscapacidades" runat="server" AutoGenerateColumns="False" DataSourceID="ObjectUsuDiscapacidad" KeyFieldName="idDiscapacidad" Width="100%" AccessibilityCompliant="True">
    <SettingsAdaptivity AdaptivityMode="HideDataCells">
<AdaptiveDetailLayoutProperties ColCount="1"></AdaptiveDetailLayoutProperties>
</SettingsAdaptivity>

    <SettingsPager Mode="ShowAllRecords" Visible="False">
    </SettingsPager>
    <Settings ShowFooter="True" ShowTitlePanel="True" />
    <SettingsBehavior AllowDragDrop="False" AllowSort="False" />
    <SettingsCommandButton>
        <NewButton ButtonType="Button" Text="Agregar Discapacidad">
            <Image Url="~/Content/Images/Add_16x16.png">
            </Image>
        </NewButton>
        <UpdateButton ButtonType="Button" Text="Guardar">
            <Image AlternateText="Guardar icono" IconID="save_save_16x16" ToolTip="Guarde">
            </Image>
        </UpdateButton>
        <CancelButton ButtonType="Link" RenderMode="Link">
        </CancelButton>
        <EditButton>
            <Image AlternateText="Editar" IconID="edit_edit_16x16" ToolTip="Modificar discapacidad">
            </Image>
        </EditButton>
        <DeleteButton>
            <Image AlternateText="Eliminar" IconID="edit_delete_16x16" ToolTip="Quitar discapacidad">
            </Image>
        </DeleteButton>
    </SettingsCommandButton>
    <SettingsText Title="Ingrese si tiene discapacidades verificadas por una institución:" EmptyDataRow="[Ingrese si tiene alguna discapacidad]" />
    <EditFormLayoutProperties>
        <Items>
            <dx:GridViewColumnLayoutItem ColumnName="idTipoDiscapacidad">
            </dx:GridViewColumnLayoutItem>
            <dx:GridViewColumnLayoutItem ColumnName="idCertificado">
            </dx:GridViewColumnLayoutItem>
            <dx:EditModeCommandLayoutItem HorizontalAlign="Right">
            </dx:EditModeCommandLayoutItem>
        </Items>
        <SettingsAdaptivity AdaptivityMode="SingleColumnWindowLimit" SwitchToSingleColumnAtWindowInnerWidth="600">
        </SettingsAdaptivity>
    </EditFormLayoutProperties>
    <Columns>
        <dx:GridViewCommandColumn ShowDeleteButton="True" ShowEditButton="True" VisibleIndex="0" Width="20%" ButtonRenderMode="Image" ButtonType="Image" Caption=" ">
        </dx:GridViewCommandColumn>
<dx:GridViewDataTextColumn FieldName="idDiscapacidad" Visible="False" VisibleIndex="1"></dx:GridViewDataTextColumn>
        <dx:GridViewDataTextColumn FieldName="idUsuario" Visible="False" VisibleIndex="2">
        </dx:GridViewDataTextColumn>
        <dx:GridViewDataComboBoxColumn Caption="Certificado" FieldName="idCertificado" VisibleIndex="4" Width="40%">
            <PropertiesComboBox DataSourceID="SqlCertificado" TextField="nombreCertificacion" ValueField="idCertificacion" ValueType="System.Int32">
                <ValidationSettings CausesValidation="True" SetFocusOnError="True" ValidationGroup="discapacidad" Display="Dynamic">
                    <RequiredField IsRequired="True" />
                </ValidationSettings>
            </PropertiesComboBox>
        </dx:GridViewDataComboBoxColumn>
        <dx:GridViewDataComboBoxColumn Caption="Tipo de discapacidad" FieldName="idTipoDiscapacidad" VisibleIndex="3" Width="40%">
            <PropertiesComboBox DataSourceID="SqlTipoDiscapacidad" TextField="nombreDiscapacidad" ValueField="idDiscapacidad" ValueType="System.Int32">
                <ValidationSettings CausesValidation="True" SetFocusOnError="True" ValidationGroup="discapacidad" Display="Dynamic">
                    <RequiredField IsRequired="True" />
                </ValidationSettings>
            </PropertiesComboBox>
        </dx:GridViewDataComboBoxColumn>
    </Columns>
    <Toolbars>
        <dx:GridViewToolbar>
            <Items>
                <dx:GridViewToolbarItem Command="New" Text="Agregar discapacidad" ToolTip="Agregar algún tipo de discapacidad si lo posee.">
                    <Image IconID="actions_add_16x16">
                    </Image>
                </dx:GridViewToolbarItem>
            </Items>
        </dx:GridViewToolbar>
    </Toolbars>
    <TotalSummary>
        <dx:ASPxSummaryItem DisplayFormat="Total: {0}" FieldName="idDiscapacidad" SummaryType="Count" ShowInColumn="Certificado por" />
    </TotalSummary>
    <Styles>
        <Header Wrap="True">
        </Header>
        <EmptyDataRow ForeColor="Red">
        </EmptyDataRow>
        <TitlePanel HorizontalAlign="Left">
        </TitlePanel>
    </Styles>
                        <StylesToolbar>
        <Style HorizontalAlign="Left">
            <Paddings Padding="1px" />
        </Style>
        <Item BackColor="#125685" ForeColor="White">
        </Item>
    </StylesToolbar>
</dx:ASPxGridView>
<asp:ObjectDataSource ID="ObjectUsuDiscapacidad" runat="server" DataObjectTypeName="STP.EL.Dotacion.USU_Discapacidad" DeleteMethod="Delete" InsertMethod="SaveChanges" SelectMethod="GetListUSU_DiscapacidadBySEG_Usuarios" TypeName="Dotacion.USU_DiscapacidadBusinessObject" UpdateMethod="SaveChanges">
    <SelectParameters>
        <asp:Parameter Name="idUsuario" Type="Int32" />
        <asp:Parameter Name="foreignLevel" Type="Int32" />
    </SelectParameters>
</asp:ObjectDataSource>


<asp:SqlDataSource ID="SqlTipoDiscapacidad" runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="SELECT * FROM [STP_Discapacidad]"></asp:SqlDataSource>
<asp:SqlDataSource ID="SqlCertificado" runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="SELECT * FROM [STP_CertificacionDiscapacidad]"></asp:SqlDataSource>



