﻿<%@ Control Language="vb" AutoEventWireup="false" CodeBehind="ucUsuEspecialidad.ascx.vb" Inherits="Dotacion.ucUsuEspecialidad" %>
   <%@ Register src="ucCargaArchivo.ascx" tagname="ucCargaArchivo" tagprefix="uc1" %>

<dx:ASPxGridView ID="gridUsuEspecialidad" ClientInstanceName="gridUsuEspecialidad" runat="server" AutoGenerateColumns="False" DataSourceID="ObjectUsuEspecialidad" KeyFieldName="idEspecialidad" Width="100%" AccessibilityCompliant="True">
    <ClientSideEvents EndCallback="function(s, e) {
	if (s.cpInsert) {
	delete s.cpInsert;
	gcSemaforo.PerformCallback();
}

}" />
    <SettingsAdaptivity AdaptivityMode="HideDataCells">
<AdaptiveDetailLayoutProperties ColCount="1"></AdaptiveDetailLayoutProperties>
</SettingsAdaptivity>
    <Templates>
        <FooterRow>
                <div style="float:right;">Total: <dx:ASPxLabel ID="ASPxLabel1" runat="server" Text='<%# GetTotal()%>'>
                </dx:ASPxLabel></div>
        </FooterRow>
    </Templates>
    <SettingsPager Mode="ShowAllRecords" Visible="False">
    </SettingsPager>
    <Settings ShowTitlePanel="True" ShowFooter="True" />
    <SettingsBehavior AllowDragDrop="False" AllowSort="False" />
    <SettingsCommandButton>
        <NewButton ButtonType="Button" Text="Agregar&lt;br /&gt;grado">
            <Image Url="~/Content/Images/Add_16x16.png">
            </Image>
        </NewButton>
        <UpdateButton ButtonType="Button" Text="Guardar">
            <Image Url="~/Content/Images/Save_16x16.png">
            </Image>
        </UpdateButton>
        <CancelButton ButtonType="Link" RenderMode="Link">
        </CancelButton>
        <EditButton>
            <Image AlternateText="Editar" IconID="edit_edit_16x16" ToolTip="Modificar grado">
            </Image>
        </EditButton>
        <DeleteButton>
            <Image AlternateText="Eliminar" IconID="edit_delete_16x16" ToolTip="Quitar grado">
            </Image>
        </DeleteButton>
    </SettingsCommandButton>
    <SettingsText Title="Favor llenar sus grados académicos junto con su certificado con extensión .pdf [ REQUERIDO ]" EmptyDataRow="[No ha ingresado formación académica aún]" />
    <EditFormLayoutProperties ColCount="2" AlignItemCaptionsInAllGroups="True">
        <Items>
            <dx:GridViewColumnLayoutItem ColSpan="2" ColumnName="GRA_CODIGO" Width="100%">
            </dx:GridViewColumnLayoutItem>
            <dx:GridViewColumnLayoutItem ColSpan="2" ColumnName="ESP_CODIGO" Width="100%">
            </dx:GridViewColumnLayoutItem>
            <dx:GridViewColumnLayoutItem ColumnName="insNombre">
            </dx:GridViewColumnLayoutItem>
            <dx:GridViewColumnLayoutItem ColumnName="idPais">
            </dx:GridViewColumnLayoutItem>
            <dx:GridViewLayoutGroup Caption="Fecha de comienzo:">
                <Items>
                    <dx:GridViewColumnLayoutItem Caption="Mes" ColumnName="inicioMes">
                    </dx:GridViewColumnLayoutItem>
                    <dx:GridViewColumnLayoutItem Caption="Año" ColumnName="inicioAnio">
                    </dx:GridViewColumnLayoutItem>
                </Items>
            </dx:GridViewLayoutGroup>
            <dx:GridViewLayoutGroup Caption="Fecha Finalización:">
                <Items>
                    <dx:GridViewColumnLayoutItem Caption="Mes" ColumnName="finMes">
                    </dx:GridViewColumnLayoutItem>
                    <dx:GridViewColumnLayoutItem Caption="Año" ColumnName="finAnio">
                    </dx:GridViewColumnLayoutItem>
                </Items>
            </dx:GridViewLayoutGroup>
            <dx:GridViewColumnLayoutItem ColSpan="2" ColumnName="certificado" Width="100%">
            </dx:GridViewColumnLayoutItem>
            <dx:EditModeCommandLayoutItem ColSpan="2" HorizontalAlign="Center" Visible="False" Width="100%">
            </dx:EditModeCommandLayoutItem>
            <dx:GridViewColumnLayoutItem ColSpan="2" HorizontalAlign="Center" ShowCaption="False" Width="100%">
                <Template>
                    <dx:ASPxButton ID="ASPxButton1" runat="server" AutoPostBack="False" Text="Guardar" UseSubmitBehavior="False" ValidationGroup="especialidad" Image-Url="~/Content/Images/Save_16x16.png" EncodeHtml="False" Width="70px">
                        <ClientSideEvents Click="function(s, e) {
if (ASPxClientEdit.ValidateEditorsInContainer(null, 'especialidad')){

	if (CargaArchivoASPxUploadControl.GetText()!='' ){
		//se acaba de adjuntar archivo
	CargaArchivoASPxUploadControl.Upload();
}else{
		//no se acaba de adjuntar, posiblemente se esta actualizando el registro
		if (ArchivoASPxHyperLink.GetText()!=''){
			gridUsuEspecialidad.UpdateEdit()
}else{
	img.SetVisible(true)
}
}
}
}" />
                        <Image Url="~/Content/Images/Save_16x16.png">
                        </Image>
                    </dx:ASPxButton>
                    <dx:ASPxButton ID="ASPxButton2" runat="server" AutoPostBack="False" Text="Cancelar" RenderMode="Link">
                        <ClientSideEvents Click="function(s, e) {
	gridUsuEspecialidad.CancelEdit()
}" />
                    </dx:ASPxButton>
                </Template>
            </dx:GridViewColumnLayoutItem>
        </Items>
        <SettingsAdaptivity AdaptivityMode="SingleColumnWindowLimit" SwitchToSingleColumnAtWindowInnerWidth="900">
        </SettingsAdaptivity>
    </EditFormLayoutProperties>
    <Columns>
        <dx:GridViewCommandColumn ShowDeleteButton="True" ShowEditButton="True" VisibleIndex="0" ButtonRenderMode="Image" ButtonType="Image" Caption=" ">
        </dx:GridViewCommandColumn>
        <dx:GridViewDataTextColumn FieldName="idUsuario" VisibleIndex="1" Visible="False">
        </dx:GridViewDataTextColumn>
        <dx:GridViewDataTextColumn FieldName="ESP_NOMBRE" VisibleIndex="4" Caption="Opción Académica">
            <PropertiesTextEdit>
                <ValidationSettings Display="Dynamic">
                </ValidationSettings>
            </PropertiesTextEdit>
            <EditFormSettings Visible="False" />
            <CellStyle Font-Bold="True">
            </CellStyle>
        </dx:GridViewDataTextColumn>
        <dx:GridViewDataTextColumn FieldName="insNombre" VisibleIndex="5" Caption="Institución" AdaptivePriority="1">
            <PropertiesTextEdit>
                <ValidationSettings CausesValidation="True" SetFocusOnError="True" ValidationGroup="especialidad" Display="Dynamic">
                    <RequiredField IsRequired="True" />
                </ValidationSettings>
            </PropertiesTextEdit>
        </dx:GridViewDataTextColumn>
        <dx:GridViewDataComboBoxColumn FieldName="GRA_CODIGO" VisibleIndex="2" Caption="Grado Académico">
            <PropertiesComboBox DataSourceID="SqlDataGrado" TextField="GRA_NOMBRE" ValueField="GRA_CODIGO" EnableSynchronization="False" IncrementalFilteringMode="Contains">
                <ClientSideEvents SelectedIndexChanged="function(s, e) {
	OnGradoChanged(s); 
}" />
                <ValidationSettings CausesValidation="True" SetFocusOnError="True" ValidationGroup="especialidad" Display="Dynamic">
                    <RequiredField IsRequired="True" />
                </ValidationSettings>
            </PropertiesComboBox>
        </dx:GridViewDataComboBoxColumn>
        <dx:GridViewDataComboBoxColumn FieldName="ESP_CODIGO" VisibleIndex="3" Caption="Opción Académica" Visible="False">
            <PropertiesComboBox EnableSynchronization="False" IncrementalFilteringMode="Contains" ValueType="System.String">
                <ClientSideEvents EndCallback="OnEndCallback" />
                <ValidationSettings CausesValidation="True" SetFocusOnError="True" ValidationGroup="especialidad" Display="Dynamic">
                    <RequiredField IsRequired="True" />
                </ValidationSettings>
            </PropertiesComboBox>
            <EditFormSettings Visible="True" />
        </dx:GridViewDataComboBoxColumn>
        <dx:GridViewDataComboBoxColumn Caption="País" FieldName="idPais" VisibleIndex="6" AdaptivePriority="1">
            <PropertiesComboBox DataSourceID="SqlDataPais" TextField="nombre" ValueField="codigo">
                <ValidationSettings CausesValidation="True" SetFocusOnError="True" ValidationGroup="especialidad" Display="Dynamic">
                    <RequiredField IsRequired="True" />
                </ValidationSettings>
            </PropertiesComboBox>
        </dx:GridViewDataComboBoxColumn>
        <dx:GridViewDataSpinEditColumn Caption="Año Inicio" FieldName="inicioAnio" VisibleIndex="8" AdaptivePriority="1">
            <PropertiesSpinEdit DisplayFormatString="g" NumberType="Integer" Width="120px" ClientInstanceName="inicioAnio">
                <ValidationSettings CausesValidation="True" SetFocusOnError="True" ValidationGroup="especialidad" Display="Dynamic">
                    <RequiredField IsRequired="True" ErrorText="Este campo es necesario" />
                </ValidationSettings>
            </PropertiesSpinEdit>
        </dx:GridViewDataSpinEditColumn>
        <dx:GridViewDataSpinEditColumn Caption="Año fin" FieldName="finAnio" VisibleIndex="15" SortIndex="0" SortOrder="Descending" AdaptivePriority="1">
            <PropertiesSpinEdit DisplayFormatString="g" NumberType="Integer" width="120px" ClientInstanceName="finAnio">
                <ClientSideEvents Validation="ValidarAnios" />
                <ValidationSettings CausesValidation="True" SetFocusOnError="True" ValidationGroup="especialidad" Display="Dynamic">
                    <RequiredField ErrorText="Este campo es necesario." IsRequired="True" />
                </ValidationSettings>
            </PropertiesSpinEdit>
        </dx:GridViewDataSpinEditColumn>
        <dx:GridViewDataComboBoxColumn Caption="Mes Inicio" FieldName="inicioMes" VisibleIndex="7" AdaptivePriority="1">
            <PropertiesComboBox DisplayFormatString="g" ValueType="System.Int32" Width="80px">
                <Items>
                    <dx:ListEditItem Text="Ene" Value="1" />
                    <dx:ListEditItem Text="Feb" Value="2" />
                    <dx:ListEditItem Text="Mar" Value="3" />
                    <dx:ListEditItem Text="Abr" Value="4" />
                    <dx:ListEditItem Text="May" Value="5" />
                    <dx:ListEditItem Text="Jun" Value="6" />
                    <dx:ListEditItem Text="Jul" Value="7" />
                    <dx:ListEditItem Text="Ago" Value="8" />
                    <dx:ListEditItem Text="Sep" Value="9" />
                    <dx:ListEditItem Text="Oct" Value="10" />
                    <dx:ListEditItem Text="Nov" Value="11" />
                    <dx:ListEditItem Text="Dic" Value="12" />
                </Items>
                <ValidationSettings CausesValidation="True" SetFocusOnError="True" ValidationGroup="especialidad" Display="Dynamic">
                    <RequiredField IsRequired="True" />
                </ValidationSettings>
            </PropertiesComboBox>
        </dx:GridViewDataComboBoxColumn>
        <dx:GridViewDataComboBoxColumn Caption="Mes Fin" FieldName="finMes" VisibleIndex="14" SortIndex="1" SortOrder="Descending" AdaptivePriority="1">
           <PropertiesComboBox DisplayFormatString="g" ValueType="System.Int32" Width="80px">
                <Items>
                    <dx:ListEditItem Text="Ene" Value="1" />
                    <dx:ListEditItem Text="Feb" Value="2" />
                    <dx:ListEditItem Text="Mar" Value="3" />
                    <dx:ListEditItem Text="Abr" Value="4" />
                    <dx:ListEditItem Text="May" Value="5" />
                    <dx:ListEditItem Text="Jun" Value="6" />
                    <dx:ListEditItem Text="Jul" Value="7" />
                    <dx:ListEditItem Text="Ago" Value="8" />
                    <dx:ListEditItem Text="Sep" Value="9" />
                    <dx:ListEditItem Text="Oct" Value="10" />
                    <dx:ListEditItem Text="Nov" Value="11" />
                    <dx:ListEditItem Text="Dic" Value="12" />
                </Items>
                <ValidationSettings CausesValidation="True" SetFocusOnError="True" ValidationGroup="especialidad" Display="Dynamic">
                    <RequiredField ErrorText="Este campo es necesario." IsRequired="True" />
                </ValidationSettings>
            </PropertiesComboBox>
        </dx:GridViewDataComboBoxColumn>
        <dx:GridViewDataTextColumn FieldName="certificado" VisibleIndex="16" Caption="Certificado" ToolTip="Clic en el icono PDF para verificar archivo">
            <PropertiesTextEdit DisplayFormatString="{0}">
                <ValidationSettings CausesValidation="True" SetFocusOnError="True" Display="Dynamic">
                    <RequiredField IsRequired="True" />
                </ValidationSettings>
            </PropertiesTextEdit>
            <DataItemTemplate>
                <dx:ASPxHyperLink ID="ASPxHyperLink1" runat="server" ImageUrl="~/Content/Images/ExportToPDF_16x16.png" ToolTip='<%# Eval("certificado")%>' NavigateUrl='<%# ConfigurationManager.AppSettings("RutaArchivos") & Eval("certificado")%>' Target="_blank" />
            </DataItemTemplate>
            <EditItemTemplate>
                <uc1:ucCargaArchivo ID="ucCargaArchivo1" runat="server" />
            </EditItemTemplate>
        </dx:GridViewDataTextColumn>
    </Columns>
    <Toolbars>
        <dx:GridViewToolbar>
            <Items>
                <dx:GridViewToolbarItem Command="New" Text="Agregar grado" ToolTip="Agregar un grado académico con su certificado">
                    <Image IconID="actions_add_16x16">
                    </Image>
                </dx:GridViewToolbarItem>
            </Items>
        </dx:GridViewToolbar>
    </Toolbars>
    <TotalSummary>
        <dx:ASPxSummaryItem DisplayFormat="Total: {0}" FieldName="ESP_NOMBRE" SummaryType="Count" ShowInColumn="Certificado" Tag="total" />
    </TotalSummary>
    <Styles>
        <Header Wrap="True">
        </Header>
        <EmptyDataRow ForeColor="Red">
        </EmptyDataRow>
        <TitlePanel HorizontalAlign="Left">
        </TitlePanel>
    </Styles>
        <StylesToolbar>
        <Style HorizontalAlign="Left">
            <Paddings Padding="1px" />
        </Style>
        <Item BackColor="#125685" ForeColor="White">
        </Item>
    </StylesToolbar>
</dx:ASPxGridView>
<asp:ObjectDataSource ID="ObjectUsuEspecialidad" runat="server" DataObjectTypeName="STP.EL.Dotacion.USU_Especialidad" DeleteMethod="Delete" InsertMethod="SaveChanges" SelectMethod="GetListUSU_EspecialidadBySEG_Usuarios" TypeName="Dotacion.USU_EspecialidadBusinessObject" UpdateMethod="SaveChanges">
    <SelectParameters>
        <asp:Parameter Name="idUsuario" Type="Int32" />
        <asp:Parameter Name="foreignLevel" Type="Int32" />
    </SelectParameters>
</asp:ObjectDataSource>

<asp:SqlDataSource ID="SqlDataGrado" runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="SELECT GRA_CODIGO, GRA_NOMBRE FROM GOES.dbo.RHM_ORG_GRADOACADEMICO WHERE (VISIBLE = 1) ORDER BY ORDEN"></asp:SqlDataSource>


<asp:SqlDataSource ID="SqlDataPais" runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="SELECT * FROM Seguridad.dbo.[STP_Pais]"></asp:SqlDataSource>


