﻿<%@ Control Language="vb" AutoEventWireup="false" CodeBehind="ucUsuExperiencia.ascx.vb" Inherits="Dotacion.ucUsuExperiencia" %>
<%-- <script type="text/javascript">
     function ValidateEditorValue() {
         var actual = gridExperiencia.GetEditor("activo");
         if (actual.GetValue() == false || actual.GetValue() == null) {
               return GetEditorValue("inicioAnio") <= GetEditorValue("finAnio")
         }
         else {
             if (inicioAnio.GetValue() == null)
                 return false
             else
                 return true;
         }
             
            
     }

     function ValidateRequerido() {
         var actual = gridExperiencia.GetEditor("activo");
         if (actual.GetValue() == false || actual.GetValue() == null){
             
             if (finMes.GetValue() == null)
                 return false;
             else
                 return true;
         }
         else
             return true;
         }
   

     function GetEditorValue(fieldName) {
        var editor = gridExperiencia.GetEditor(fieldName);
        return parseInt(editor.GetValue());
     }
    </script>--%>
<dx:ASPxGridView ID="gridExperiencia" runat="server" AutoGenerateColumns="False" ClientInstanceName="gridExperiencia" CssClass="CenteredGrid" DataSourceID="ObjectExperiencia" KeyFieldName="idExperiencia" Width="100%" AccessibilityCompliant="True">
<SettingsAdaptivity AdaptivityMode="HideDataCells">
<AdaptiveDetailLayoutProperties ColCount="1"></AdaptiveDetailLayoutProperties>
</SettingsAdaptivity>

    <SettingsPager Mode="ShowAllRecords" Visible="False">
    </SettingsPager>
    <Settings ShowFooter="True" ShowTitlePanel="True" />
    <SettingsCommandButton>
        <NewButton ButtonType="Button" Text="Agregar&lt;br /&gt;experiencia">
            <Image Url="~/Content/Images/Add_16x16.png">
            </Image>
        </NewButton>
        <UpdateButton ButtonType="Button" Text="Guardar">
            <Image Url="~/Content/Images/Save_16x16.png">
            </Image>
        </UpdateButton>
        <CancelButton ButtonType="Link" RenderMode="Link">
        </CancelButton>
        <EditButton>
            <Image AlternateText="Editar" IconID="edit_edit_16x16" ToolTip="Modificar experiencia">
            </Image>
        </EditButton>
        <DeleteButton>
            <Image AlternateText="Eliminar" IconID="edit_delete_16x16" ToolTip="Quitar experiencia">
            </Image>
        </DeleteButton>
    </SettingsCommandButton>
    <SettingsText EmptyDataRow="[No ha ingresado experiencias de trabajos anteriores o actual]" Title="Agregar Instituciones donde laboró:" />
    <EditFormLayoutProperties ColCount="2">
        <Items>
            <dx:GridViewColumnLayoutItem ColumnName="nombreInstitucion">
            </dx:GridViewColumnLayoutItem>
            <dx:GridViewColumnLayoutItem ColumnName="idPais">
            </dx:GridViewColumnLayoutItem>
            <dx:GridViewColumnLayoutItem ColumnName="nombrePuesto">
            </dx:GridViewColumnLayoutItem>
            <dx:GridViewColumnLayoutItem ColumnName="idSector">
            </dx:GridViewColumnLayoutItem>
            <dx:GridViewColumnLayoutItem ColumnName="descripcionPuesto" ColSpan="1" Width="100%">
            </dx:GridViewColumnLayoutItem>
            <dx:GridViewLayoutGroup Caption="Fecha Inicio">
                <Items>
                    <dx:GridViewColumnLayoutItem Caption="Mes" ColumnName="Mes Inicio">
                    </dx:GridViewColumnLayoutItem>
                    <dx:GridViewColumnLayoutItem Caption="Año" ColumnName="Año Inicio">
                    </dx:GridViewColumnLayoutItem>
                </Items>
            </dx:GridViewLayoutGroup>
            <dx:GridViewLayoutGroup Caption="Fecha Finalización" ColCount="2" ColumnCount="2">
                <Items>
                    <dx:GridViewColumnLayoutItem ColumnName="Mes Fin" Caption="Mes">
                    </dx:GridViewColumnLayoutItem>
                    <dx:GridViewColumnLayoutItem ColumnName="activo" HorizontalAlign="Right">
                    </dx:GridViewColumnLayoutItem>
                    <dx:GridViewColumnLayoutItem ColumnName="Año Fin" Caption="Año" Width="100%">
                    </dx:GridViewColumnLayoutItem>
                </Items>
            </dx:GridViewLayoutGroup>
            <dx:EditModeCommandLayoutItem ColSpan="1" HorizontalAlign="Center" Width="100%">
            </dx:EditModeCommandLayoutItem>
        </Items>
        <SettingsAdaptivity AdaptivityMode="SingleColumnWindowLimit" SwitchToSingleColumnAtWindowInnerWidth="900">
        </SettingsAdaptivity>
    </EditFormLayoutProperties>
    <Columns>
        <dx:GridViewCommandColumn ShowDeleteButton="True" ShowEditButton="True" VisibleIndex="0" ButtonRenderMode="Image" ButtonType="Image" Caption=" ">
        </dx:GridViewCommandColumn>
        <dx:GridViewDataTextColumn FieldName="idExperiencia" Visible="False" VisibleIndex="2">
        </dx:GridViewDataTextColumn>
        <dx:GridViewDataTextColumn FieldName="nombreInstitucion" VisibleIndex="3" Caption="Institución" AdaptivePriority="1">
            <PropertiesTextEdit>
                <ValidationSettings CausesValidation="True" SetFocusOnError="True" ValidationGroup="experiencia">
                    <RequiredField ErrorText="Este campo es requerido" IsRequired="True" />
                </ValidationSettings>
            </PropertiesTextEdit>
        </dx:GridViewDataTextColumn>
        <dx:GridViewDataTextColumn FieldName="nombrePuesto" VisibleIndex="5" Caption="Puesto / Cargo">
            <PropertiesTextEdit MaxLength="200">
                <ValidationSettings CausesValidation="True" SetFocusOnError="True" ValidationGroup="experiencia">
                    <RequiredField ErrorText="Este campo es requerido" IsRequired="True" />
                </ValidationSettings>
            </PropertiesTextEdit>
            <CellStyle Font-Bold="True">
            </CellStyle>
        </dx:GridViewDataTextColumn>
        <dx:GridViewDataCheckColumn FieldName="activo" VisibleIndex="18" Caption="Trabajo Actual">
            <PropertiesCheckEdit>
                <ClientSideEvents CheckedChanged="function(s, e) {
                   
	var editor = gridExperiencia.GetEditor('finAnio');
    var editor2 = gridExperiencia.GetEditor('finMes');
	editor.SetEnabled(!s.GetChecked());
    editor2.SetEnabled(!s.GetChecked());
}" Init="function(s, e) {
		var editor = gridExperiencia.GetEditor('finAnio');
    var editor2 = gridExperiencia.GetEditor('finMes');
	editor.SetEnabled(!s.GetChecked());
    editor2.SetEnabled(!s.GetChecked());

}" />
            </PropertiesCheckEdit>
        </dx:GridViewDataCheckColumn>
        <dx:GridViewDataComboBoxColumn FieldName="idPais" VisibleIndex="4" Caption="País" AdaptivePriority="2">
            <PropertiesComboBox DataSourceID="SqlDataPais" TextField="nombre" ValueField="codigo">
                <ValidationSettings CausesValidation="True" SetFocusOnError="True" ValidationGroup="experiencia">
                    <RequiredField ErrorText="Este campo es requerido" IsRequired="True" />
                </ValidationSettings>
            </PropertiesComboBox>
        </dx:GridViewDataComboBoxColumn>
        <dx:GridViewDataComboBoxColumn FieldName="idSector" VisibleIndex="6" Caption="Sector" AdaptivePriority="2">
            <PropertiesComboBox DataSourceID="SqlDataSector" TextField="nombreSector" ValueField="idSector">
                <ValidationSettings CausesValidation="True" SetFocusOnError="True" ValidationGroup="experiencia">
                    <RequiredField ErrorText="Este campo es requerido" IsRequired="True" />
                </ValidationSettings>
            </PropertiesComboBox>
        </dx:GridViewDataComboBoxColumn>
        <dx:GridViewDataTextColumn FieldName="idUsuario" VisibleIndex="1" Visible="False">
        </dx:GridViewDataTextColumn>
        <dx:GridViewDataMemoColumn Caption="Funciones" FieldName="descripcionPuesto" VisibleIndex="7" AdaptivePriority="2">
            <PropertiesMemoEdit MaxLength="500" Rows="3" HelpText="Escriba una breve descripción de las funciones que realizó o realiza (max 500 caracteres)">
                <ValidationSettings CausesValidation="True" SetFocusOnError="True" ValidationGroup="experiencia">
                    <RequiredField ErrorText="Este campo es requerido" IsRequired="True" />
                </ValidationSettings>
            </PropertiesMemoEdit>
        </dx:GridViewDataMemoColumn>
        <dx:GridViewDataSpinEditColumn Caption="Año Inicio" FieldName="inicioAnio" VisibleIndex="15" SortIndex="0" SortOrder="Descending" AdaptivePriority="1">
            <PropertiesSpinEdit DisplayFormatString="g" NumberType="Integer" Width="120px" ClientInstanceName="inicioAnio">
                <ValidationSettings CausesValidation="True" SetFocusOnError="True" ValidationGroup="experiencia">
                    <RequiredField IsRequired="True" />
                </ValidationSettings>
            </PropertiesSpinEdit>
        </dx:GridViewDataSpinEditColumn>
        <dx:GridViewDataComboBoxColumn Caption="Mes Inicio" FieldName="inicioMes" VisibleIndex="14" SortIndex="1" SortOrder="Descending" AdaptivePriority="1">
            <PropertiesComboBox DisplayFormatString="g" ValueType="System.Int32" Width="80px">
                <Items>
                    <dx:ListEditItem Text="Ene" Value="1" />
                    <dx:ListEditItem Text="Feb" Value="2" />
                    <dx:ListEditItem Text="Mar" Value="3" />
                    <dx:ListEditItem Text="Abr" Value="4" />
                    <dx:ListEditItem Text="May" Value="5" />
                    <dx:ListEditItem Text="Jun" Value="6" />
                    <dx:ListEditItem Text="Jul" Value="7" />
                    <dx:ListEditItem Text="Ago" Value="8" />
                    <dx:ListEditItem Text="Sep" Value="9" />
                    <dx:ListEditItem Text="Oct" Value="10" />
                    <dx:ListEditItem Text="Nov" Value="11" />
                    <dx:ListEditItem Text="Dic" Value="12" />
                </Items>
                <ValidationSettings CausesValidation="True" SetFocusOnError="True" ValidationGroup="experiencia">
                    <RequiredField ErrorText="Es necesario conocer la fecha inicio" IsRequired="True" />
                </ValidationSettings>
            </PropertiesComboBox>
        </dx:GridViewDataComboBoxColumn>
        <dx:GridViewDataComboBoxColumn Caption="Mes Fin" FieldName="finMes" VisibleIndex="16" AdaptivePriority="1">
            <PropertiesComboBox DisplayFormatString="g" ValueType="System.Int32" Width="80px" ClientInstanceName="finMes">
                <Items>
                    <dx:ListEditItem Text="Ene" Value="1" />
                    <dx:ListEditItem Text="Feb" Value="2" />
                    <dx:ListEditItem Text="Mar" Value="3" />
                    <dx:ListEditItem Text="Abr" Value="4" />
                    <dx:ListEditItem Text="May" Value="5" />
                    <dx:ListEditItem Text="Jun" Value="6" />
                    <dx:ListEditItem Text="Jul" Value="7" />
                    <dx:ListEditItem Text="Ago" Value="8" />
                    <dx:ListEditItem Text="Sep" Value="9" />
                    <dx:ListEditItem Text="Oct" Value="10" />
                    <dx:ListEditItem Text="Nov" Value="11" />
                    <dx:ListEditItem Text="Dic" Value="12" />
                </Items>
                <ValidationSettings CausesValidation="True" SetFocusOnError="True" ValidationGroup="experiencia">
                    <RequiredField ErrorText="Es necesario conocer la fecha de finalización" />
                </ValidationSettings>
            </PropertiesComboBox>
        </dx:GridViewDataComboBoxColumn>
        <dx:GridViewDataSpinEditColumn Caption="Año Fin" FieldName="finAnio" VisibleIndex="17" AdaptivePriority="1">
            <PropertiesSpinEdit DisplayFormatString="g" NumberType="Integer" Width="120px">
                <ValidationSettings CausesValidation="True" SetFocusOnError="True" ValidationGroup="experiencia">
                </ValidationSettings>
            </PropertiesSpinEdit>
        </dx:GridViewDataSpinEditColumn>
    </Columns>
    <Toolbars>
        <dx:GridViewToolbar>
            <Items>
                <dx:GridViewToolbarItem Command="New" Text="Agregar experiencia" ToolTip="Agregar una experiencia laboral">
                    <Image IconID="actions_add_16x16">
                    </Image>
                </dx:GridViewToolbarItem>
            </Items>
        </dx:GridViewToolbar>
    </Toolbars>
    <TotalSummary>
        <dx:ASPxSummaryItem DisplayFormat="Total: {0}" FieldName="nombrePuesto" SummaryType="Count" ShowInColumn="Trabajo Actual" />
    </TotalSummary>
    <Styles>
        <Header Wrap="True">
        </Header>
        <TitlePanel HorizontalAlign="Left">
        </TitlePanel>
    </Styles>
    <StylesToolbar>
        <Style HorizontalAlign="Left">
            <Paddings Padding="1px" />
        </Style>
        <Item BackColor="#125685" ForeColor="White">
        </Item>
    </StylesToolbar>
</dx:ASPxGridView>

<asp:ObjectDataSource ID="ObjectExperiencia" runat="server" DataObjectTypeName="STP.EL.Dotacion.USU_Experiencia" DeleteMethod="Delete" InsertMethod="SaveChanges" SelectMethod="GetListUSU_ExperienciaBySEG_Usuarios" TypeName="Dotacion.USU_ExperienciaBusinessObject" UpdateMethod="SaveChanges">
    <SelectParameters>
        <asp:Parameter Name="idUsuario" Type="Int32" />
        <asp:Parameter Name="foreignLevel" Type="Int32" />
    </SelectParameters>
</asp:ObjectDataSource>
<asp:SqlDataSource ID="SqlDataPais" runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="SELECT * FROM SEGURIDAD.dbo.[STP_Pais]"></asp:SqlDataSource>
<asp:SqlDataSource ID="SqlDataSector" runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="SELECT * FROM [STP_Sector]"></asp:SqlDataSource>


