﻿<%@ Control Language="vb" AutoEventWireup="false" CodeBehind="ucUsuIdioma.ascx.vb" Inherits="Dotacion.ucUsuIdioma" %>
<dx:ASPxGridView ID="gridUsuIdioma" runat="server" ClientInstanceName="gridUsuIdioma" AutoGenerateColumns="False" DataSourceID="ObjectUsuIdioma" KeyFieldName="idUsuario;IDI_CODIGO" Width="100%" AccessibilityCompliant="True">
<SettingsAdaptivity AdaptivityMode="HideDataCellsWindowLimit">
<AdaptiveDetailLayoutProperties ColCount="1"></AdaptiveDetailLayoutProperties>
</SettingsAdaptivity>

    <SettingsPager Mode="ShowAllRecords" Visible="False">
    </SettingsPager>
    <Settings ShowFooter="True" ShowTitlePanel="True" />
    <SettingsBehavior AllowDragDrop="False" AllowSort="False" />
    <SettingsCommandButton>
        <NewButton ButtonType="Button" Text="Agregar&lt;br /&gt;Idioma">
            <Image Url="~/Content/Images/Add_16x16.png">
            </Image>
        </NewButton>
        <UpdateButton ButtonType="Button" Text="Guardar">
            <Image Url="~/Content/Images/Save_16x16.png">
            </Image>
        </UpdateButton>
        <CancelButton ButtonType="Link" RenderMode="Link">
        </CancelButton>
        <DeleteButton>
            <Image AlternateText="Eliminar" IconID="edit_delete_16x16" ToolTip="Quitar idioma">
            </Image>
        </DeleteButton>
    </SettingsCommandButton>
    <SettingsDataSecurity AllowEdit="False" />
    <SettingsText Title="Favor ingresar otros Idiomas que domina, además del Español:" EmptyDataRow="[Sin conocimientos de idiomas aún]" />
    <EditFormLayoutProperties ColCount="3" ColumnCount="3">
        <Items>
            <dx:GridViewColumnLayoutItem ColSpan="3" ColumnName="IDI_CODIGO" ColumnSpan="3" Width="100%">
            </dx:GridViewColumnLayoutItem>
            <dx:GridViewColumnLayoutItem ColumnName="IDI_Lee">
            </dx:GridViewColumnLayoutItem>
            <dx:GridViewColumnLayoutItem ColumnName="IDI_Habla">
            </dx:GridViewColumnLayoutItem>
            <dx:GridViewColumnLayoutItem ColumnName="IDI_Escribe">
            </dx:GridViewColumnLayoutItem>
            <dx:EditModeCommandLayoutItem ColSpan="3" HorizontalAlign="Center" ColumnSpan="3" Width="100%">
            </dx:EditModeCommandLayoutItem>
        </Items>
        <SettingsAdaptivity AdaptivityMode="SingleColumnWindowLimit" SwitchToSingleColumnAtWindowInnerWidth="800">
        </SettingsAdaptivity>
    </EditFormLayoutProperties>
    <Columns>
        <dx:GridViewCommandColumn ShowDeleteButton="True" VisibleIndex="0" Width="15%" ButtonRenderMode="Image" ButtonType="Image" Caption=" ">
        </dx:GridViewCommandColumn>
        <dx:GridViewDataTextColumn FieldName="idUsuario" Visible="False" VisibleIndex="1">
        </dx:GridViewDataTextColumn>
        <dx:GridViewDataTextColumn FieldName="IDI_NOMBRE" Visible="False" VisibleIndex="3">
        </dx:GridViewDataTextColumn>
        <dx:GridViewDataComboBoxColumn FieldName="IDI_CODIGO" VisibleIndex="2" Caption="Idioma" SortIndex="0" SortOrder="Ascending">
            <PropertiesComboBox DataSourceID="SqlIdioma" TextField="idi_nombre" ValueField="idi_codigo">
                <ValidationSettings CausesValidation="True" SetFocusOnError="True" ValidationGroup="idioma" Display="Dynamic">
                    <RequiredField ErrorText="Es necesario seleccionar un idioma" IsRequired="True" />
                </ValidationSettings>
            </PropertiesComboBox>
            <CellStyle Font-Bold="True">
            </CellStyle>
        </dx:GridViewDataComboBoxColumn>
        <dx:GridViewDataComboBoxColumn FieldName="IDI_Lee" VisibleIndex="4" Caption="Lee" Width="10%">
            <PropertiesComboBox DataSourceID="SqlIdiomaExperiencia" TextField="nombreExperiencia" ValueField="idExperiencia" ValueType="System.Int32">
                <ValidationSettings CausesValidation="True" SetFocusOnError="True" ValidationGroup="idioma" Display="Dynamic">
                    <RequiredField ErrorText="Es necesario seleccionar un idioma" IsRequired="True" />
                </ValidationSettings>
            </PropertiesComboBox>
        </dx:GridViewDataComboBoxColumn>
        <dx:GridViewDataComboBoxColumn FieldName="IDI_Escribe" VisibleIndex="7" Caption="Escribe" Width="10%">
            <PropertiesComboBox DataSourceID="SqlIdiomaExperiencia" TextField="nombreExperiencia" ValueField="idExperiencia" ValueType="System.Int32">
                <ValidationSettings CausesValidation="True" SetFocusOnError="True" ValidationGroup="idioma" Display="Dynamic">
                    <RequiredField ErrorText="Es necesario seleccionar un idioma" IsRequired="True" />
                </ValidationSettings>
            </PropertiesComboBox>
        </dx:GridViewDataComboBoxColumn>
        <dx:GridViewDataComboBoxColumn FieldName="IDI_Habla" VisibleIndex="6" Caption="Habla" Width="10%">
            <PropertiesComboBox DataSourceID="SqlIdiomaExperiencia" TextField="nombreExperiencia" ValueField="idExperiencia" ValueType="System.Int32">
                <ValidationSettings CausesValidation="True" SetFocusOnError="True" ValidationGroup="idioma" Display="Dynamic">
                    <RequiredField ErrorText="Es necesario seleccionar un idioma" IsRequired="True" />
                </ValidationSettings>
            </PropertiesComboBox>
        </dx:GridViewDataComboBoxColumn>
    </Columns>
    <Toolbars>
        <dx:GridViewToolbar>
            <Items>
                <dx:GridViewToolbarItem Command="New" Text="Agregar idioma" ToolTip="Agregar un idioma que maneja">
                    <Image IconID="actions_add_16x16">
                    </Image>
                </dx:GridViewToolbarItem>
            </Items>
        </dx:GridViewToolbar>
    </Toolbars>
    <TotalSummary>
        <dx:ASPxSummaryItem DisplayFormat="Total: {0}" FieldName="IDI_CODIGO" SummaryType="Count" ShowInColumn="Escribe" />
    </TotalSummary>
    <Styles>
        <Header Wrap="True">
        </Header>
        <TitlePanel HorizontalAlign="Left">
        </TitlePanel>
    </Styles>
        <StylesToolbar>
        <Style HorizontalAlign="Left">
            <Paddings Padding="1px" />
        </Style>
        <Item BackColor="#125685" ForeColor="White">
        </Item>
    </StylesToolbar>
</dx:ASPxGridView>

<asp:ObjectDataSource ID="ObjectUsuIdioma" runat="server" DataObjectTypeName="STP.EL.Dotacion.USU_Idioma" DeleteMethod="Delete" InsertMethod="SaveChanges" SelectMethod="GetListUSU_IdiomaBySEG_Usuarios" TypeName="Dotacion.USU_IdiomaBusinessObject" UpdateMethod="SaveChanges">
    <SelectParameters>
        <asp:Parameter Name="idUsuario" Type="Int32" />
        <asp:Parameter Name="foreignLevel" Type="Int32" />
    </SelectParameters>
</asp:ObjectDataSource>
<asp:SqlDataSource ID="SqlIdioma" runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="select idi_codigo, idi_nombre from GOES.dbo.RHM_ORG_IDIOMA
where idi_codigo not in ('000','001')"></asp:SqlDataSource>
<asp:SqlDataSource ID="SqlIdiomaExperiencia" runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="SELECT * FROM [USU_IdiomaExperiencia]"></asp:SqlDataSource>

