﻿<%@ Control Language="vb" AutoEventWireup="false" CodeBehind="ucUsuReferenciasPersonales.ascx.vb" Inherits="Dotacion.ucUsuReferenciasPersonales" %>
<dx:ASPxGridView ID="gridUsuReferencias2" runat="server" AutoGenerateColumns="False" DataSourceID="ObjectUsu_Referencias" KeyFieldName="idReferencia" Width="100%" AccessibilityCompliant="True">
    <SettingsAdaptivity AdaptivityMode="HideDataCells">
<AdaptiveDetailLayoutProperties ColCount="1"></AdaptiveDetailLayoutProperties>
</SettingsAdaptivity>
    <ClientSideEvents EndCallback="function(s, e) {
		if (s.cpInsert) {
	delete s.cpInsert;
	gcSemaforo.PerformCallback();
}

}" />
    <SettingsPager Mode="ShowAllRecords" Visible="False">
    </SettingsPager>
    <Settings ShowFooter="True" ShowTitlePanel="True" />
    <SettingsBehavior AllowDragDrop="False" AllowSort="False" />
    <SettingsCommandButton>
        <NewButton ButtonType="Button" Text="Agregar Referencia">
            <Image IconID="actions_add_16x16">
            </Image>
        </NewButton>
        <UpdateButton ButtonType="Button" Text="Guardar">
            <Image IconID="save_save_16x16">
            </Image>
        </UpdateButton>
        <CancelButton ButtonType="Link" RenderMode="Link">
        </CancelButton>
        <EditButton>
            <Image AlternateText="Editar" IconID="edit_edit_16x16" ToolTip="Modificar referencia">
            </Image>
        </EditButton>
        <DeleteButton>
            <Image AlternateText="Eliminar" IconID="edit_delete_16x16" ToolTip="Quitar referencia">
            </Image>
        </DeleteButton>
    </SettingsCommandButton>
    <SettingsText Title="Referencias Personales:  [ REQUERIDO ]" EmptyDataRow="[No ha ingresado referencias personales aún]" />
    <EditFormLayoutProperties ColCount="2">
        <Items>
            <dx:GridViewColumnLayoutItem ColumnName="nombreReferencia">
            </dx:GridViewColumnLayoutItem>
            <dx:GridViewColumnLayoutItem ColumnName="cargoReferencia">
            </dx:GridViewColumnLayoutItem>
            <dx:GridViewColumnLayoutItem ColumnName="direccionReferencia">
            </dx:GridViewColumnLayoutItem>
            <dx:GridViewColumnLayoutItem ColumnName="telefonoReferencia">
            </dx:GridViewColumnLayoutItem>
            <dx:EditModeCommandLayoutItem HorizontalAlign="Center" ColSpan="2" Width="100%">
            </dx:EditModeCommandLayoutItem>
        </Items>
                <SettingsAdaptivity AdaptivityMode="SingleColumnWindowLimit" SwitchToSingleColumnAtWindowInnerWidth="600">
        </SettingsAdaptivity>
    </EditFormLayoutProperties>
    <Columns>
        <dx:GridViewCommandColumn ShowDeleteButton="True" ShowEditButton="True" VisibleIndex="0" ButtonRenderMode="Image" ButtonType="Image" Caption=" ">
        </dx:GridViewCommandColumn>
        <dx:GridViewDataTextColumn FieldName="idReferencia" Visible="False" VisibleIndex="1">
        </dx:GridViewDataTextColumn>
        <dx:GridViewDataTextColumn FieldName="idUsuario" Visible="False" VisibleIndex="2">
        </dx:GridViewDataTextColumn>
        <dx:GridViewDataTextColumn Caption="Nombre" FieldName="nombreReferencia" VisibleIndex="3" Width="30%" SortIndex="0" SortOrder="Ascending">
            <PropertiesTextEdit MaxLength="150">
                <ValidationSettings CausesValidation="True" SetFocusOnError="True" ValidationGroup="referencia" Display="Dynamic">
                    <RequiredField ErrorText="El campo es necesario." IsRequired="True" />
                </ValidationSettings>
            </PropertiesTextEdit>
            <CellStyle Font-Bold="True">
            </CellStyle>
        </dx:GridViewDataTextColumn>
        <dx:GridViewDataTextColumn Caption="Cargo" FieldName="cargoReferencia" VisibleIndex="4" Width="20%">
            <PropertiesTextEdit MaxLength="100">
                <ValidationSettings CausesValidation="True" SetFocusOnError="True" ValidationGroup="referencia" Display="Dynamic">
                    <RequiredField ErrorText="Este campo es necesario." IsRequired="True" />
                </ValidationSettings>
            </PropertiesTextEdit>
        </dx:GridViewDataTextColumn>
        <dx:GridViewDataCheckColumn FieldName="tipoReferencia" Visible="False" VisibleIndex="11">
        </dx:GridViewDataCheckColumn>
        <dx:GridViewDataMemoColumn Caption="Dirección" FieldName="direccionReferencia" VisibleIndex="5" Width="35%">
            <PropertiesMemoEdit MaxLength="200" Rows="3" HelpText="Máx 200 carácteres">
                <ValidationSettings CausesValidation="True" SetFocusOnError="True" ValidationGroup="referencia" Display="Dynamic">
                    <RequiredField ErrorText="Este campo es necesario" IsRequired="True" />
                </ValidationSettings>
            </PropertiesMemoEdit>
        </dx:GridViewDataMemoColumn>
        <dx:GridViewDataTextColumn FieldName="telefonoReferencia" VisibleIndex="7" Caption="Teléfono" Width="15%">
            <PropertiesTextEdit MaxLength="20">
                <ValidationSettings CausesValidation="True" SetFocusOnError="True" ValidationGroup="referencia" Display="Dynamic">
                    <RequiredField IsRequired="True" />
                </ValidationSettings>
            </PropertiesTextEdit>
        </dx:GridViewDataTextColumn>
    </Columns>
    <Toolbars>
        <dx:GridViewToolbar>
            <Items>
                <dx:GridViewToolbarItem Command="New" Text="Agregar referencia" ToolTip="Agregar referencia personal">
                            <Image IconID="actions_add_16x16">
                    </Image>
                </dx:GridViewToolbarItem>
            </Items>
        </dx:GridViewToolbar>
    </Toolbars>
    <TotalSummary>
        <dx:ASPxSummaryItem DisplayFormat="Total: {0}" FieldName="nombreReferencia" SummaryType="Count" ShowInColumn="Teléfono" />
    </TotalSummary>
    <Styles>
        <EmptyDataRow ForeColor="Red">
        </EmptyDataRow>
        <TitlePanel HorizontalAlign="Left">
        </TitlePanel>
    </Styles>
                    <StylesToolbar>
        <Style HorizontalAlign="Left">
            <Paddings Padding="1px" />
        </Style>
        <Item BackColor="#125685" ForeColor="White">
        </Item>
    </StylesToolbar>
</dx:ASPxGridView>
<asp:ObjectDataSource ID="ObjectUsu_Referencias" runat="server" DataObjectTypeName="STP.EL.Dotacion.USU_Referencias" DeleteMethod="Delete" InsertMethod="SaveChanges" SelectMethod="GetListReferenciasPersonales" TypeName="Dotacion.USU_ReferenciasBusinessObject" UpdateMethod="SaveChanges">
    <SelectParameters>
        <asp:Parameter Name="idUsuario" Type="Int32" />
    </SelectParameters>
</asp:ObjectDataSource>

