﻿<%@ Control Language="vb" AutoEventWireup="false" CodeBehind="ucCambiarClave.ascx.vb" Inherits="Dotacion.ucCambiarClave" %>
<script type="text/javascript">
    // <![CDATA[
    function OnReTypeValidation(s, e) {
        var valid = pass1.GetText() == pass2.GetText();
        if (s === pass2 && pass1.GetIsValid())
            e.isValid = valid;
    }
    // ]]> 
    </script>
<dx:ASPxCallbackPanel ID="cbpClave" runat="server" ClientInstanceName="cbpClave" Width="100%">
    <PanelCollection>
<dx:PanelContent runat="server">
<dx:ASPxFormLayout ID="ASPxFormLayout1" runat="server" AlignItemCaptionsInAllGroups="True" CssClass="CenteredGrid" DataSourceID="ObjectUsuario" AccessibilityCompliant="True" Width="380px">
            <SettingsAdaptivity AdaptivityMode="SingleColumnWindowLimit" SwitchToSingleColumnAtWindowInnerWidth="420" />
        <Items>
            <dx:LayoutGroup Caption="Cambio de contraseña">
                <Items>
                    <dx:LayoutItem Caption="Contraseña Actual">
                        <LayoutItemNestedControlCollection>
                            <dx:LayoutItemNestedControlContainer runat="server">
                                <dx:ASPxTextBox ID="txtAntiguaClave" runat="server" Width="170px" MaxLength="25" Password="True" AccessibilityCompliant="True">
                                    <ValidationSettings CausesValidation="True" SetFocusOnError="True" ValidationGroup="guardarClave" ErrorDisplayMode="ImageWithTooltip">
                                        <RequiredField IsRequired="True" ErrorText="Debe escribir la contraseña actual para cambiar a su nueva contraseña" />
                                    </ValidationSettings>
                                </dx:ASPxTextBox>
                            </dx:LayoutItemNestedControlContainer>
                        </LayoutItemNestedControlCollection>
                    </dx:LayoutItem>
                    <dx:LayoutItem Caption="Nueva Contraseña">
                        <LayoutItemNestedControlCollection>
                            <dx:LayoutItemNestedControlContainer runat="server">
                                <dx:ASPxTextBox ID="txtNuevaClave" runat="server" Width="170px" MaxLength="25" ClientInstanceName="pass1" Password="True" AccessibilityCompliant="True">
                                    <ClientSideEvents Validation="OnReTypeValidation" />
                                    <ValidationSettings CausesValidation="True" Display="Dynamic" SetFocusOnError="True" ValidationGroup="guardarClave" ErrorDisplayMode="ImageWithTooltip">
                                        <RegularExpression ErrorText="La contraseña debe ser mayor de 5 carácteres." ValidationExpression=".{5}.*" />
                                        <RequiredField IsRequired="True" ErrorText="Escriba la nueva contraseña" />
                                    </ValidationSettings>
                                </dx:ASPxTextBox>
                            </dx:LayoutItemNestedControlContainer>
                        </LayoutItemNestedControlCollection>
                    </dx:LayoutItem>
                    <dx:LayoutItem Caption="Repita Nueva Contraseña">
                        <LayoutItemNestedControlCollection>
                            <dx:LayoutItemNestedControlContainer runat="server">
                                <dx:ASPxTextBox ID="txtNuevaClave2" runat="server" Width="170px" MaxLength="25" ClientInstanceName="pass2" Password="True" AccessibilityCompliant="True">
                                    <ClientSideEvents Validation="OnReTypeValidation" />
                                    <ValidationSettings CausesValidation="True" ValidationGroup="guardarClave" errortext="La nueva contraseña debe ser igual en las dos casillas" ErrorDisplayMode="ImageWithTooltip">
                                        <RequiredField IsRequired="True" ErrorText="Es necesario re-escribir la contraseña" />
                                    </ValidationSettings>
                                </dx:ASPxTextBox>
                            </dx:LayoutItemNestedControlContainer>
                        </LayoutItemNestedControlCollection>
                    </dx:LayoutItem>
                    <dx:LayoutItem HorizontalAlign="Left" ShowCaption="False">
                        <LayoutItemNestedControlCollection>
                            <dx:LayoutItemNestedControlContainer runat="server">
                                <dx:ASPxButton ID="btnGuardarClave" runat="server" Text="Cambiar Contraseña" ValidationGroup="guardarClave" AutoPostBack="False" Width="120px" AccessibilityCompliant="True" HorizontalAlign="Center">
                                    <ClientSideEvents Click="function(s, e) {
		if (ASPxClientEdit.ValidateEditorsInContainer(null, 'guardarClave')){
	cbpClave.PerformCallback();
}
}" />
                                </dx:ASPxButton>
                            </dx:LayoutItemNestedControlContainer>
                        </LayoutItemNestedControlCollection>
                    </dx:LayoutItem>
                </Items>
            </dx:LayoutGroup>
        </Items>
</dx:ASPxFormLayout>


    <asp:ObjectDataSource ID="ObjectUsuario" runat="server" SelectMethod="GetUsuarios" TypeName="STP.BL.UsuariosBusinessObject">
        <SelectParameters>
            <asp:SessionParameter Name="_login" SessionField="login" Type="String" />
        </SelectParameters>
    </asp:ObjectDataSource>


</dx:PanelContent>
</PanelCollection>
</dx:ASPxCallbackPanel>

