﻿<%@ Control Language="vb" AutoEventWireup="false" CodeBehind="ucControlMenu.ascx.vb" Inherits="Dotacion.ucControlMenu" %>
<%@ Register Assembly="DevExpress.Web.ASPxTreeList.v18.1, Version=18.1.6.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" Namespace="DevExpress.Web.ASPxTreeList" TagPrefix="dx" %>

      <script type="text/javascript">
          // <![CDATA[
          function CallForm(key) {
              popupFormMenu.Show();
              FormMenuCallPanel.PerformCallback(key);
          }
          // ]]> 
    </script> 
<dx:ASPxButton ID="btnNuevo" runat="server" Text="Nuevo Menu" AutoPostBack="False" >
    <ClientSideEvents Click="function(s, e) {
	CallForm('0');
}" />
    <Image Url="~/Content/Images/Add_16x16.png">
    </Image>
</dx:ASPxButton>
<br />
<br />
<dx:ASPxTreeList ID="treeMenu" ClientInstanceName="treeMenu" runat="server" AutoGenerateColumns="False" DataSourceID="SqlMenu" KeyFieldName="idMenu" ParentFieldName="idPadre" CssClass="CenteredGrid">
    <Columns>
        <dx:TreeListTextColumn FieldName="nombreMenu" VisibleIndex="2">
        </dx:TreeListTextColumn>
        <dx:TreeListTextColumn FieldName="descripcionMenu" VisibleIndex="3">
        </dx:TreeListTextColumn>
        <dx:TreeListTextColumn FieldName="URLimagen" VisibleIndex="4">
        </dx:TreeListTextColumn>
        <dx:TreeListTextColumn FieldName="URLOpcion" VisibleIndex="5">
        </dx:TreeListTextColumn>
        <dx:TreeListTextColumn FieldName="idPadre" VisibleIndex="6">
        </dx:TreeListTextColumn>
        <dx:TreeListTextColumn FieldName="orden" VisibleIndex="7">
        </dx:TreeListTextColumn>
        <dx:TreeListCommandColumn ButtonType="Image" VisibleIndex="0">
            <CustomButtons>
                <dx:TreeListCommandColumnCustomButton ID="btnEdit" Text="Modificar">
                    <Image Url="~/Content/Images/Edit_16x16.png">
                    </Image>
                </dx:TreeListCommandColumnCustomButton>
                <dx:TreeListCommandColumnCustomButton ID="btnEliminar" Text="Eliminar">
                    <Image Url="~/Content/Images/Remove_16x16.png">
                    </Image>
                </dx:TreeListCommandColumnCustomButton>
            </CustomButtons>
        </dx:TreeListCommandColumn>
        <dx:TreeListTextColumn FieldName="idMenu" VisibleIndex="1">
        </dx:TreeListTextColumn>
    </Columns>
    <SettingsBehavior AutoExpandAllNodes="True" />
    <SettingsDataSecurity AllowEdit="False" AllowInsert="False" />
    <Styles>
        <AlternatingNode Enabled="True">
        </AlternatingNode>
    </Styles>
    <ClientSideEvents CustomButtonClick="function(s, e) {
    switch (e.buttonID){
        case 'btnEliminar': if(confirm('Esta seguro de esto?')){ s.DeleteNode(e.nodeKey); }
            break;
        case 'btnEdit': CallForm(e.nodeKey);
            break;
    }
}" />
    <Templates>
        <Preview>
            <dx:ASPxGridView ID="gridRolMenu" runat="server" AutoGenerateColumns="False" DataSourceID="SqlMenuRol" KeyFieldName="idMenu">
                <Columns>
                    <dx:GridViewDataTextColumn FieldName="idMenu" ReadOnly="True" VisibleIndex="0">
                    </dx:GridViewDataTextColumn>
                    <dx:GridViewDataTextColumn FieldName="idRol" ReadOnly="True" VisibleIndex="1">
                    </dx:GridViewDataTextColumn>
                    <dx:GridViewDataCheckColumn FieldName="vigente" VisibleIndex="2">
                    </dx:GridViewDataCheckColumn>
                </Columns>
                <SettingsPager Mode="ShowAllRecords" Visible="False">
                </SettingsPager>
            </dx:ASPxGridView>
            <asp:SqlDataSource ID="SqlMenuRol" runat="server" ConnectionString="<%$ ConnectionStrings:cnnString %>" SelectCommand="SELECT * FROM [SEG_RolMenu] WHERE ([idMenu] = @idMenu)">
                <SelectParameters>
                    <asp:SessionParameter Name="idMenu" SessionField="idMeu" Type="Int32" />
                </SelectParameters>
            </asp:SqlDataSource>
        </Preview>
    </Templates>
</dx:ASPxTreeList>
<asp:SqlDataSource ID="SqlMenu" runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="SELECT [idMenu], [nombreMenu], [descripcionMenu], [URLimagen], [URLOpcion], [idPadre], [orden] FROM SEGURIDAD.dbo.[SEG_Menu] WHERE ([idSistema] = @idSistema)" DeleteCommand="delete from SEGURIDAD.dbo.seg_rolmenu where idmenu=@idMenu;
delete from SEGURIDAD.dbo.seg_menu where idMenu=@idMenu">
    <DeleteParameters>
        <asp:Parameter Name="idMenu" />
    </DeleteParameters>
    <SelectParameters>
        <asp:Parameter DefaultValue="1" Name="idSistema" Type="Int32" />
    </SelectParameters>
</asp:SqlDataSource>


<asp:SqlDataSource ID="SqlNombreMenu" runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="SELECT [idMenu], [nombreMenu] FROM SEGURIDAD.dbo.[SEG_Menu]">
</asp:SqlDataSource>


<dx:ASPxPopupControl ID="popupFormMenu" ClientInstanceName="popupFormMenu" runat="server" AllowDragging="True" HeaderText="Administración de Menu" CloseAction="None" ShowCloseButton="False" Modal="True" PopupHorizontalAlign="WindowCenter">
    <ContentCollection>
        <dx:PopupControlContentControl ID="PopupControlContentControl2" runat="server">
            <dx:ASPxCallbackPanel ID="FormMenuCallPanel" 
                ClientInstanceName="FormMenuCallPanel" runat="server">
                <PanelCollection>
                    <dx:PanelContent ID="PanelContent2" runat="server" >
                        <dx:ASPxPanel ID="ASPxPanel1" runat="server" DefaultButton="btnGuardar">
                            <PanelCollection>
                                <dx:PanelContent runat="server">
                                    <dx:ASPxFormLayout ID="ASPxFormLayout2" runat="server" AlignItemCaptionsInAllGroups="True">
                            <Items>
                                <dx:LayoutGroup Caption="">
                                    <CellStyle>
                                        <Paddings Padding="5px" />
                                    </CellStyle>
                                    <Items>
                                        <dx:LayoutItem Caption="ID">
                                            <LayoutItemNestedControlCollection>
                                                <dx:LayoutItemNestedControlContainer runat="server">
                                                    <dx:ASPxTextBox ID="txtID" runat="server" Width="80px" TabIndex="1" ReadOnly="True">
                                                        <ClientSideEvents GotFocus="function(s, e) {
	btnCancelar.Focus();
}" />
                                                        <MaskSettings ErrorText="Sólo números" Mask="&lt;0..500&gt;" />
                                                        <ValidationSettings CausesValidation="True" Display="Dynamic" ErrorTextPosition="Bottom" SetFocusOnError="True" ValidationGroup="menu">
                                                            <RequiredField ErrorText="Este campo es requerido" IsRequired="True" />
                                                        </ValidationSettings>
                                                        <Border BorderStyle="None" />
                                                    </dx:ASPxTextBox>
                                                </dx:LayoutItemNestedControlContainer>
                                            </LayoutItemNestedControlCollection>
                                        </dx:LayoutItem>
                                        <dx:LayoutItem Caption="Nombre">
                                            <LayoutItemNestedControlCollection>
                                                <dx:LayoutItemNestedControlContainer runat="server">
                                                    <dx:ASPxTextBox ID="txtNombre" runat="server" Width="170px" TabIndex="2" ClientInstanceName="txtNombre">
                                                        <ValidationSettings CausesValidation="True" Display="Dynamic" ErrorTextPosition="Bottom" SetFocusOnError="True" ValidationGroup="menu">
                                                            <RequiredField ErrorText="Este dato es requerido" IsRequired="True" />
                                                        </ValidationSettings>
                                                    </dx:ASPxTextBox>
                                                </dx:LayoutItemNestedControlContainer>
                                            </LayoutItemNestedControlCollection>
                                        </dx:LayoutItem>
                                        <dx:LayoutItem Caption="Descripción">
                                            <LayoutItemNestedControlCollection>
                                                <dx:LayoutItemNestedControlContainer runat="server">
                                                    <dx:ASPxTextBox ID="txtDescripcion" runat="server" Width="300px" TabIndex="3">
                                                        <ValidationSettings CausesValidation="True" Display="Dynamic" ErrorTextPosition="Bottom" SetFocusOnError="True" ValidationGroup="menu">
                                                            <RequiredField ErrorText="Este dato es requerido" />
                                                        </ValidationSettings>
                                                    </dx:ASPxTextBox>
                                                </dx:LayoutItemNestedControlContainer>
                                            </LayoutItemNestedControlCollection>
                                        </dx:LayoutItem>
                                        <dx:LayoutItem Caption="URL Imagen">
                                            <LayoutItemNestedControlCollection>
                                                <dx:LayoutItemNestedControlContainer runat="server">
                                                    <dx:ASPxTextBox ID="txtImagen" runat="server" Width="300px" TabIndex="4">
                                                        <ValidationSettings CausesValidation="True" Display="Dynamic" ErrorTextPosition="Bottom" SetFocusOnError="True" ValidationGroup="menu">
                                                            <RegularExpression ErrorText="*" />
                                                            <RequiredField ErrorText="Este dato es requerido" />
                                                        </ValidationSettings>
                                                    </dx:ASPxTextBox>
                                                </dx:LayoutItemNestedControlContainer>
                                            </LayoutItemNestedControlCollection>
                                        </dx:LayoutItem>
                                        <dx:LayoutItem Caption="URL Opción">
                                            <LayoutItemNestedControlCollection>
                                                <dx:LayoutItemNestedControlContainer runat="server">
                                                    <dx:ASPxTextBox ID="txtURL" runat="server" Width="300px" TabIndex="5">
                                                        <ValidationSettings CausesValidation="True" Display="Dynamic" ErrorText="Se encuentra mal escrito" ErrorTextPosition="Bottom" SetFocusOnError="True" ValidationGroup="menu">
                                                            <RegularExpression ErrorText="" />
                                                        </ValidationSettings>
                                                    </dx:ASPxTextBox>
                                                </dx:LayoutItemNestedControlContainer>
                                            </LayoutItemNestedControlCollection>
                                        </dx:LayoutItem>
                                        <dx:LayoutItem Caption="Padre">
                                            <LayoutItemNestedControlCollection>
                                                <dx:LayoutItemNestedControlContainer runat="server">
                                                    <dx:ASPxComboBox ID="cmbPadre" runat="server" DataSourceID="SqlNombreMenu" TabIndex="6" TextField="nombreMenu" ValueField="idMenu" ValueType="System.Int32">
                                                    </dx:ASPxComboBox>
                                                    
                                                </dx:LayoutItemNestedControlContainer>
                                            </LayoutItemNestedControlCollection>
                                        </dx:LayoutItem>
                                        <dx:LayoutItem Caption="Orden">
                                            <LayoutItemNestedControlCollection>
                                                <dx:LayoutItemNestedControlContainer runat="server">
                                                    <dx:ASPxSpinEdit ID="txtOrden" runat="server" Number="0" TabIndex="7">
                                                    </dx:ASPxSpinEdit>
                                                </dx:LayoutItemNestedControlContainer>
                                            </LayoutItemNestedControlCollection>
                                        </dx:LayoutItem>
                                    </Items>
                                </dx:LayoutGroup>
                            </Items>
                        </dx:ASPxFormLayout>
                        <div class="buttonsContainer">
                            <dx:ASPxButton ID="btnGuardar" runat="server" AutoPostBack="False" TabIndex="8" Text="Guardar" Width="70px" ValidationGroup="menu">
                            </dx:ASPxButton>
                            <dx:ASPxButton ID="btnCancelar" runat="server" AutoPostBack="False" ClientInstanceName="btnCancelar" TabIndex="9" Text="Cancelar" Width="70px">
                                <ClientSideEvents Click="function(s, e) {
	                                popupFormMenu.Hide();
                                }" />
                            </dx:ASPxButton>
                        </div>
                                    <dx:ASPxTextBox ID="ASPxTextBox1" runat="server" Width="1px" ReadOnly="True"  TabIndex="10" Border-BorderStyle="None">
                                        <ClientSideEvents GotFocus="function(s, e) {
	txtNombre.Focus();
}" />
<Border BorderStyle="None"></Border>
                                    </dx:ASPxTextBox>
                                </dx:PanelContent>
                            </PanelCollection>
                        </dx:ASPxPanel>
                        
                    </dx:PanelContent>
                </PanelCollection>
            </dx:ASPxCallbackPanel>
        </dx:PopupControlContentControl>
        </ContentCollection>
</dx:ASPxPopupControl>

  