﻿<%@ Control Language="vb" AutoEventWireup="false" CodeBehind="ucDatosPersonales.ascx.vb" Inherits="Dotacion.ucDatosPersonales" %>
    

<dx:ASPxCallbackPanel ID="cbpPersonal" runat="server" Width="100%" ClientInstanceName="cbpPersonal"><PanelCollection>
<dx:PanelContent runat="server">
    <dx:ASPxFormLayout ID="flPersonal" runat="server" AlignItemCaptionsInAllGroups="True" CssClass="CenteredGrid" DataSourceID="ObjectUsuario" AccessibilityCompliant="True">
        <Items>
            <dx:LayoutGroup Caption="Datos Personales" HorizontalAlign="Center">
                <Items>
                    <dx:LayoutItem FieldName="login" Caption="Login">
                        <LayoutItemNestedControlCollection>
                            <dx:LayoutItemNestedControlContainer runat="server">
                                <dx:ASPxLabel ID="ASPxFormLayout1_E1" runat="server" Text="ASPxLabel" Font-Bold="True">
                                </dx:ASPxLabel>
                            </dx:LayoutItemNestedControlContainer>
                        </LayoutItemNestedControlCollection>
                    </dx:LayoutItem>
                    <dx:LayoutItem Caption="Foto" FieldName="imagen">
                        <LayoutItemNestedControlCollection>
                            <dx:LayoutItemNestedControlContainer runat="server">
                                <dx:ASPxBinaryImage ID="imgFoto" runat="server" EnableServerResize="True" Height="80px" StoreContentBytesInViewState="True" Width="80px">
                                    <EditingSettings Enabled="True">
                                        <UploadSettings>
                                            <UploadValidationSettings MaxFileSize="4194304">
                                            </UploadValidationSettings>
                                        </UploadSettings>
                                    </EditingSettings>
                                </dx:ASPxBinaryImage>
                            </dx:LayoutItemNestedControlContainer>
                        </LayoutItemNestedControlCollection>
                    </dx:LayoutItem>
                    <dx:LayoutItem Caption="Nombres" FieldName="nombres">
                        <LayoutItemNestedControlCollection>
                            <dx:LayoutItemNestedControlContainer runat="server">
                                <dx:ASPxTextBox ID="txtNombres" runat="server" Width="300px" MaxLength="150" AccessibilityCompliant="True">
                                    <ValidationSettings CausesValidation="True" ErrorDisplayMode="ImageWithTooltip" SetFocusOnError="True" ValidationGroup="personal">
                                        <RequiredField ErrorText="Campo necesario" IsRequired="True" />
                                    </ValidationSettings>
                                </dx:ASPxTextBox>
                            </dx:LayoutItemNestedControlContainer>
                        </LayoutItemNestedControlCollection>
                    </dx:LayoutItem>
                    <dx:LayoutItem Caption="Apellidos" FieldName="apellidos">
                        <LayoutItemNestedControlCollection>
                            <dx:LayoutItemNestedControlContainer runat="server">
                                <dx:ASPxTextBox ID="txtApellidos" runat="server" Width="300px" MaxLength="150" AccessibilityCompliant="True">
                                    <ValidationSettings CausesValidation="True" ErrorDisplayMode="ImageWithTooltip" ValidationGroup="personal" SetFocusOnError="True">
                                        <RequiredField IsRequired="True" ErrorText="Campo necesario" />
                                    </ValidationSettings>
                                </dx:ASPxTextBox>
                            </dx:LayoutItemNestedControlContainer>
                        </LayoutItemNestedControlCollection>
                    </dx:LayoutItem>
                    <dx:LayoutItem FieldName="email" HelpText="correo@dominio.ext">
                        <LayoutItemNestedControlCollection>
                            <dx:LayoutItemNestedControlContainer runat="server">
                                <dx:ASPxTextBox ID="txtEmail" runat="server" Width="300px" MaxLength="150" AccessibilityCompliant="True">
                                    <ValidationSettings CausesValidation="True" ErrorDisplayMode="ImageWithTooltip" SetFocusOnError="True" ValidationGroup="personal">
                                        <RegularExpression ValidationExpression="\w+([-+.']\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*" />
                                        <RequiredField IsRequired="True" />
                                    </ValidationSettings>
                                </dx:ASPxTextBox>
                            </dx:LayoutItemNestedControlContainer>
                        </LayoutItemNestedControlCollection>
                    </dx:LayoutItem>
                    <dx:LayoutItem FieldName="telefonoContacto1" Caption="Teléfono 1" HelpText="22222222, (503) 22222222, +1 (818) 2222222">
                        <LayoutItemNestedControlCollection>
                            <dx:LayoutItemNestedControlContainer runat="server">
                                <dx:ASPxTextBox ID="txtTelefono1" runat="server" MaxLength="20" Width="120px" AccessibilityCompliant="True">
                                    <ValidationSettings CausesValidation="True" ErrorDisplayMode="ImageWithTooltip" ValidationGroup="personal" SetFocusOnError="True">
                                        <RegularExpression ValidationExpression="(\+\d{1,2} )?(\(\d\d\d\) )?\d{7,10}" ErrorText="Teléfono mal escrito. Escriba los paréntesis o el número sólo." />
                                        <RequiredField ErrorText="Campo necesario para contacto" IsRequired="True" />
                                    </ValidationSettings>
                                </dx:ASPxTextBox>
                            </dx:LayoutItemNestedControlContainer>
                        </LayoutItemNestedControlCollection>
                    </dx:LayoutItem>
                    <dx:LayoutItem Caption="Teléfono 2" FieldName="telefonoContacto2" HelpText="22222222, (503) 22222222, +1 (818) 2222222">
                        <LayoutItemNestedControlCollection>
                            <dx:LayoutItemNestedControlContainer runat="server">
                                <dx:ASPxTextBox ID="txtTelefono2" runat="server" Width="120px" MaxLength="20" AccessibilityCompliant="True">
                                    <ValidationSettings CausesValidation="True" ErrorDisplayMode="ImageWithTooltip" ValidationGroup="personal" SetFocusOnError="True">
                                        <RegularExpression ValidationExpression="(\+\d{1,2} )?(\(\d\d\d\) )?\d{7,10}" ErrorText="Teléfono mal escrito. Escriba los paréntesis o el número sólo." />
                                    </ValidationSettings>
                                </dx:ASPxTextBox>
                            </dx:LayoutItemNestedControlContainer>
                        </LayoutItemNestedControlCollection>
                    </dx:LayoutItem>
                    <dx:LayoutItem HorizontalAlign="Center" ShowCaption="False">
                        <LayoutItemNestedControlCollection>
                            <dx:LayoutItemNestedControlContainer runat="server">
                                <dx:ASPxButton ID="btnGuardarDatos" runat="server" AutoPostBack="False" Text="Guardar Datos" UseSubmitBehavior="False" ValidationGroup="personal" AccessibilityCompliant="True">
                                    <ClientSideEvents Click="function(s, e) {
			if (ASPxClientEdit.ValidateEditorsInContainer(null, 'personal')){
	cbpPersonal.PerformCallback();
}

}" />
                                </dx:ASPxButton>
                            </dx:LayoutItemNestedControlContainer>
                        </LayoutItemNestedControlCollection>
                    </dx:LayoutItem>
                </Items>
            </dx:LayoutGroup>
        </Items>
    </dx:ASPxFormLayout>
    </dx:PanelContent>
</PanelCollection>
</dx:ASPxCallbackPanel>
<asp:ObjectDataSource ID="ObjectUsuario" runat="server" SelectMethod="GetUsuarios" TypeName="STP.BL.UsuariosBusinessObject">
    <SelectParameters>
        <asp:SessionParameter Name="_login" SessionField="login" Type="String" />
    </SelectParameters>
</asp:ObjectDataSource>

