﻿<%@ Control Language="vb" AutoEventWireup="false" CodeBehind="ucReestablecerClave.ascx.vb" Inherits="Dotacion.ucReestablecerClave" %>
    <h3 class="Center">Reestrablecer contraseña</h3>
    
<script type="text/javascript">
    // <![CDATA[
    function OnReTypeValidation(s, e) {
        var valid = pass1.GetText() == pass2.GetText();
        if (s === pass2 && pass1.GetIsValid())
            e.isValid = valid;
    }
    // ]]> 
    </script>
<dx:ASPxFormLayout ID="ASPxFormLayout1" runat="server" CssClass="CenteredGrid" AccessibilityCompliant="True">
    <Items>
        <dx:LayoutGroup Caption="Configurar contraseña">
            <Items>
                <dx:LayoutItem Caption="Contraseña">
                        <LayoutItemNestedControlCollection>
                            <dx:LayoutItemNestedControlContainer runat="server">
                                <dx:ASPxTextBox ID="txtNuevaClave" runat="server" Width="170px" ClientInstanceName="pass1" Password="True" MaxLength="20">
<ClientSideEvents Validation="OnReTypeValidation"></ClientSideEvents>

                                    <ValidationSettings CausesValidation="True" Display="Dynamic" ErrorTextPosition="Bottom" SetFocusOnError="True" ValidationGroup="clave">
                                        <RegularExpression ErrorText="La contraseña debe ser mayor de 5 carácteres." ValidationExpression=".{5}.*" />
                                        <RequiredField ErrorText="Escriba la nueva contraseña" IsRequired="True" />
                                    </ValidationSettings>
                                </dx:ASPxTextBox>
                            </dx:LayoutItemNestedControlContainer>
                        </LayoutItemNestedControlCollection>
                    </dx:LayoutItem>
                    <dx:LayoutItem Caption="Repetir Contraseña">
                        <LayoutItemNestedControlCollection>
                            <dx:LayoutItemNestedControlContainer runat="server">
                                <dx:ASPxTextBox ID="txtNuevaClave2" runat="server" Width="170px" ClientInstanceName="pass2" Password="True" MaxLength="20">
                                    <ClientSideEvents Validation="OnReTypeValidation"></ClientSideEvents>
                                    <ValidationSettings CausesValidation="True" Display="Dynamic" ErrorTextPosition="Bottom" ValidationGroup="clave" ErrorText="La nueva contraseña debe ser igual en las dos casillas">
                                        <RequiredField ErrorText="Es necesario re-escribir la contraseña" IsRequired="True" />
                                    </ValidationSettings>
                                </dx:ASPxTextBox>
                            </dx:LayoutItemNestedControlContainer>
                        </LayoutItemNestedControlCollection>
                    </dx:LayoutItem>
                <dx:LayoutItem HorizontalAlign="Right" ShowCaption="False" Width="70px">
                    <LayoutItemNestedControlCollection>
                        <dx:LayoutItemNestedControlContainer runat="server">
                            <dx:ASPxButton ID="ASPxFormLayout1_E3" runat="server" Text="Guardar" ValidationGroup="clave" AccessibilityCompliant="True">
                            </dx:ASPxButton>
                        </dx:LayoutItemNestedControlContainer>
                    </LayoutItemNestedControlCollection>
                </dx:LayoutItem>
            </Items>
        </dx:LayoutGroup>
    </Items>
    </dx:ASPxFormLayout>
