﻿<%@ Control Language="vb" AutoEventWireup="false" CodeBehind="ucEtapa2.ascx.vb" Inherits="Dotacion.ucEtapa2" %>
  <script type="text/javascript">
    function ReturnToParentPage(id) {
        var parentWindow = window.parent;
        parentWindow.ShowDetailPopup(id);
    }
    </script>
<style>
      .dxgvPreviewRow_Glass td.dxgv {
        padding: 0px 0px 10px 0px !important;
    }
</style>

<h3>Revisión Curricular</h3>
<dx:ASPxGridView ID="gridPostulantes" runat="server" AutoGenerateColumns="False" DataSourceID="SqlPostulantes" Width="100%" KeyFieldName="idConcursoPostulante" Theme="Glass" EnableTheming="True">
    <SettingsAdaptivity AdaptivityMode="HideDataCellsWindowLimit" HideDataCellsAtWindowInnerWidth="440">
        <AdaptiveDetailLayoutProperties>
            <Items>
                <dx:GridViewColumnLayoutItem ColumnName="CodigoPostulante">
                </dx:GridViewColumnLayoutItem>
                <dx:GridViewColumnLayoutItem ColumnName="nombreEstado">
                </dx:GridViewColumnLayoutItem>
            </Items>
            <SettingsAdaptivity AdaptivityMode="SingleColumnWindowLimit" />
        </AdaptiveDetailLayoutProperties>
    </SettingsAdaptivity>
    <Templates>
        <PreviewRow>
             <table style="width:100%;">
                    <tr>
                        <td>
                            <dx:ASPxCheckBox ID="chkFormacion" runat="server" CheckState="Unchecked" ReadOnly="True" Text="Formación Académica" Value='<%# Eval("vbFormacion") %>' EnableTheming="False">
                            </dx:ASPxCheckBox>
                        </td>
                        <td>
                            <dx:ASPxCheckBox ID="chkConocimiento" runat="server" CheckState="Unchecked" ReadOnly="True" Text="Conocimientos" Value='<%# Eval("vbConocimientos") %>' EnableTheming="False"></dx:ASPxCheckBox>
                        </td>
                        <td>
                            <dx:ASPxCheckBox ID="chkExperiencia" runat="server" ReadOnly="True" Text="Experiencia" CheckState="Unchecked" Value='<%# Eval("vbExperiencia") %>' EnableTheming="False"></dx:ASPxCheckBox>
                        </td>
                    </tr>
                </table>
        </PreviewRow>
    </Templates>
    <Settings ShowPreview="True" ShowColumnHeaders="False" />
    <SettingsBehavior AllowDragDrop="False" AllowSort="False" />

<SettingsCommandButton>
<ShowAdaptiveDetailButton ButtonType="Image"></ShowAdaptiveDetailButton>

<HideAdaptiveDetailButton ButtonType="Image"></HideAdaptiveDetailButton>
</SettingsCommandButton>

    <SettingsDataSecurity AllowDelete="False" AllowEdit="False" AllowInsert="False" />
    <SettingsSearchPanel Visible="True" />
    <SettingsText EmptyDataRow="[No existen postulantes calificados]" />
    <Columns>
        <dx:GridViewDataTextColumn Caption="Postulante" FieldName="CodigoPostulante" ReadOnly="True" VisibleIndex="0">
                <DataItemTemplate>
                    <a id="clickElement" href="javascript:ReturnToParentPage(<%#Container.KeyValue%>);"><%#Eval("CodigoPostulante").ToString()%></a>
                </DataItemTemplate>
        </dx:GridViewDataTextColumn>
        <dx:GridViewDataTextColumn Caption="Estado" FieldName="nombreEstado" VisibleIndex="1">
        </dx:GridViewDataTextColumn>
        <dx:GridViewDataCheckColumn FieldName="vbFormacion" Visible="False" VisibleIndex="2">
        </dx:GridViewDataCheckColumn>
        <dx:GridViewDataCheckColumn FieldName="vbConocimientos" Visible="False" VisibleIndex="3">
        </dx:GridViewDataCheckColumn>
        <dx:GridViewDataCheckColumn FieldName="vbExperiencia" Visible="False" VisibleIndex="4">
        </dx:GridViewDataCheckColumn>
    </Columns>
    <Styles>
        <PreviewRow BackColor="#DDDDDD" Wrap="True">
        </PreviewRow>
    </Styles>
</dx:ASPxGridView>
<asp:SqlDataSource ID="SqlPostulantes" runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="SELECT ConcursoPostulante.CodigoPostulante, ConcursoPostulante.idConcursoPostulante, EstadoConcursoPostulante.nombreEstado, ConcursoPostulante.vbFormacion, ConcursoPostulante.vbConocimientos, ConcursoPostulante.vbExperiencia, ConcursoPostulante.idEstadoConcursoPostulante FROM ConcursoPostulante INNER JOIN EstadoConcursoPostulante ON ConcursoPostulante.idEstadoConcursoPostulante = EstadoConcursoPostulante.idEstadoConcursoPostulante WHERE (ConcursoPostulante.idPlaza = @idPlaza)">
<SelectParameters>
<asp:QueryStringParameter Name="idPlaza" QueryStringField="p" Type="Int32" />
</SelectParameters>
</asp:SqlDataSource>
