﻿<%@ Control Language="vb" AutoEventWireup="false" CodeBehind="ucCreacionPlaza.ascx.vb" Inherits="Dotacion.ucCreacionPlaza" %>
<%@ Register Src="~/Controls/Plazas/ucAreasEvaluacion.ascx" TagPrefix="uc1" TagName="ucAreasEvaluacion" %>
<%@ Register Src="~/Controls/Plazas/ucVistaPlaza.ascx" TagPrefix="uc1" TagName="ucVistaPlaza" %>

<h3 class="Center">Creación de Concurso</h3>

<script type="text/javascript">
    // <![CDATA[
    function CheckDifference() {
        var startDate = new Date();
        var endDate = new Date();
        var difference = -1;
        startDate = deInicio.GetDate();
        if (startDate != null) {
            endDate = deFinalizacion.GetDate();
            var startTime = startDate.getTime();
            var endTime = endDate.getTime();
            difference = (endTime - startTime) / 86400000;
        }
        return Math.floor(difference); 

    }
    function MenorFechaHoy() {
        
        var hoy = new Date();
        var inicio = new Date();
        inicio = deInicio.GetDate();
        var difference = -1;
        var inicioTime = inicio.getTime();
        var hoyTime = hoy.getTime();
        difference = (inicio - hoy) / 86400000;
        return Math.floor(difference);
    }

    function MayorDeCero(s, e) {
        e.isValid = e.value > 0;
    }


    // ]]> 
    </script>


                                                    
<dx:ASPxCallbackPanel ID="cbpPuesto" ClientInstanceName="cbpPuesto" runat="server" Width="100%">
    <Paddings Padding="0px" />
    <PanelCollection>
<dx:PanelContent runat="server">

    <dx:ASPxPageControl ID="pcPlaza" runat="server" ActiveTabIndex="0" Width="100%" TabAlign="Center" ClientInstanceName="pcPlaza">
    <TabPages>
        <dx:TabPage Text="Información Preliminar" Name="informacion">
            <TabImage Url="~/Content/Images/orderedList1.png">
            </TabImage>
            <ContentCollection>
                <dx:ContentControl runat="server">
    <dx:ASPxFormLayout ID="ASPxFormLayout1" runat="server" AlignItemCaptionsInAllGroups="True" CssClass="CenteredGrid" >
                            <Items>
                                <dx:LayoutGroup Caption="Información de Plaza" ColCount="2">
                                    <Items>
                                        <dx:LayoutItem Caption="Identificador">
                                            <LayoutItemNestedControlCollection>
                                                <dx:LayoutItemNestedControlContainer runat="server">
                                                    <dx:ASPxLabel ID="lblIdentificador" runat="server">
                                                    </dx:ASPxLabel>
                                                </dx:LayoutItemNestedControlContainer>
                                            </LayoutItemNestedControlCollection>
                                        </dx:LayoutItem>
                                        <dx:LayoutItem Caption="Institución" ColSpan="2">
                                            <LayoutItemNestedControlCollection>
                                                <dx:LayoutItemNestedControlContainer runat="server">
                                                    <dx:ASPxComboBox ID="cmbInstitucion" runat="server" AutoPostBack="True" DataSourceID="SqlInstitucion2" Enabled="False" TextField="nombreInstitucion" ValueField="idInstitucion" Width="400px">
                                                        <ValidationSettings CausesValidation="True" ValidationGroup="plaza">
                                                            <RequiredField IsRequired="True" />
                                                        </ValidationSettings>
                                                    </dx:ASPxComboBox>
                                                    <asp:SqlDataSource ID="SqlInstitucion2" runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="SELECT [nombreInstitucion], [idInstitucion] FROM SEGURIDAD.dbo.[Institucion]">
                                                    </asp:SqlDataSource>
                                                </dx:LayoutItemNestedControlContainer>
                                            </LayoutItemNestedControlCollection>
                                        </dx:LayoutItem>
                                        
                                        <dx:LayoutItem Caption="Convocatoria" ColSpan="2">
                                            <LayoutItemNestedControlCollection>
                                                <dx:LayoutItemNestedControlContainer runat="server">
                                                    <dx:ASPxComboBox ID="cmbConvocatoria" runat="server" DataSourceID="SqlConvocatoria" TextField="nombreConvocatoria" ValueField="idConvocatoria" NullText="Seleccione el Tipo" Width="200px">
                                                        <ValidationSettings ErrorDisplayMode="ImageWithTooltip" ValidationGroup="plaza" CausesValidation="True">
                                                            <RequiredField ErrorText="Debe seleccionar un tipo de convocatoria" IsRequired="True" />
                                                        </ValidationSettings>
                                                    </dx:ASPxComboBox>
                                                    <asp:SqlDataSource ID="SqlConvocatoria" runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="SELECT * FROM [Convocatoria]"></asp:SqlDataSource>
                                                </dx:LayoutItemNestedControlContainer>
                                            </LayoutItemNestedControlCollection>
                                        </dx:LayoutItem>
                                        <dx:LayoutItem Caption="Forma de contratación" ColSpan="2">
                                            <LayoutItemNestedControlCollection>
                                                <dx:LayoutItemNestedControlContainer runat="server">
                                                    <dx:ASPxComboBox ID="cmbContratacion" runat="server" DataSourceID="SqlContratacion" TextField="nombreContratacion" ValueField="idContratacion" ValueType="System.Int32" Width="200px" NullText="Contratación">
                                                        <ValidationSettings CausesValidation="True" ErrorDisplayMode="ImageWithTooltip" ValidationGroup="plaza">
                                                            <RequiredField ErrorText="Es necesario seleccionar la forma de contratación" IsRequired="True" />
                                                        </ValidationSettings>
                                                    </dx:ASPxComboBox>
                                                    <asp:SqlDataSource ID="SqlContratacion" runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="SELECT * FROM [Contratacion]"></asp:SqlDataSource>
                                                </dx:LayoutItemNestedControlContainer>
                                            </LayoutItemNestedControlCollection>
                                        </dx:LayoutItem>
<dx:LayoutItem Caption="Salario" ColSpan="2"><LayoutItemNestedControlCollection>
<dx:LayoutItemNestedControlContainer runat="server">
                                                    <dx:ASPxTextBox ID="txtSalario" runat="server" Width="170px" MaxLength="7" HorizontalAlign="Right">
                                                        <ClientSideEvents Validation="MayorDeCero" />
                                                        <MaskSettings IncludeLiterals="DecimalSymbol" Mask="$&lt;0..9999g&gt;.&lt;00..99&gt;" />
                                                        <ValidationSettings ErrorDisplayMode="ImageWithTooltip" SetFocusOnError="True" ValidationGroup="plaza" CausesValidation="True" ErrorText="El salario tiene que ser diferente de cero">
                                                            <RequiredField ErrorText="El salario es necesario para grabar/publicar el puesto" IsRequired="True" />
                                                        </ValidationSettings>
                                                    </dx:ASPxTextBox>

                                                </dx:LayoutItemNestedControlContainer>
</LayoutItemNestedControlCollection>
</dx:LayoutItem>
                                        <dx:LayoutItem Caption="Vacantes">
                                            <LayoutItemNestedControlCollection>
                                                <dx:LayoutItemNestedControlContainer runat="server">
                                                    <dx:ASPxSpinEdit ID="txtVacantes" runat="server" MaxValue="150" NullText="1" Number="0" MaxLength="2" MinValue="1">
                                                        <ValidationSettings CausesValidation="True" SetFocusOnError="True" ValidationGroup="plaza">
                                                            <RequiredField ErrorText="El número de vacantes en la plaza es necesario" IsRequired="True" />
                                                        </ValidationSettings>
                                                    </dx:ASPxSpinEdit>
                                                </dx:LayoutItemNestedControlContainer>
                                            </LayoutItemNestedControlCollection>
                                        </dx:LayoutItem>
                                        <dx:LayoutItem Caption="Ubicación" HelpText="Municipio, Departamento">
                                            <LayoutItemNestedControlCollection>
                                                <dx:LayoutItemNestedControlContainer runat="server">
                                                    <dx:ASPxComboBox ID="cmbUbicacion" runat="server" DataSourceID="SqlMunicipio" TextField="municipio" ValueField="idMunicipio" NullText="Seleccione municipio">
                                                        <ValidationSettings CausesValidation="True" ErrorDisplayMode="ImageWithTooltip" ValidationGroup="plaza">
                                                            <RequiredField ErrorText="Este campo es necesario." IsRequired="True" />
                                                        </ValidationSettings>
                                                    </dx:ASPxComboBox>
                                                    <asp:SqlDataSource ID="SqlMunicipio" runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="SELECT STP_Municipio.idMunicipio, STP_Municipio.nombreMunicipio + ', ' + STP_Departamento.nombreDepartamento AS 'municipio' FROM STP_Municipio INNER JOIN STP_Departamento ON STP_Municipio.idDepartamento = STP_Departamento.idDepartamento"></asp:SqlDataSource>
                                                </dx:LayoutItemNestedControlContainer>
                                            </LayoutItemNestedControlCollection>
                                        </dx:LayoutItem>
                                        <dx:LayoutItem Caption="Inicio" HelpText="Fecha de Inicio de Inscripciòn">
                                            <LayoutItemNestedControlCollection>
                                                <dx:LayoutItemNestedControlContainer runat="server">
                                                    <dx:ASPxDateEdit ID="deInicio" runat="server" ClientInstanceName="deInicio">
                                                        <ClientSideEvents Validation="function(s, e) {
e.isValid = (MenorFechaHoy()&gt;=-1)
}" />
                                                        <ValidationSettings ErrorDisplayMode="ImageWithTooltip" SetFocusOnError="True" ValidationGroup="plaza" CausesValidation="True" ErrorText="La fecha no puede ser menor a la de hoy">
                                                            <RequiredField IsRequired="True" ErrorText="La fecha de inicio de inscripción es necesaria" />
                                                        </ValidationSettings>
                                                    </dx:ASPxDateEdit>
                                                </dx:LayoutItemNestedControlContainer>
                                            </LayoutItemNestedControlCollection>
                                        </dx:LayoutItem>
                                        <dx:LayoutItem Caption="Finalización" HelpText="Fecha de Cierre de Inscripción">
                                            <LayoutItemNestedControlCollection>
                                                <dx:LayoutItemNestedControlContainer runat="server">
                                                    <dx:ASPxDateEdit ID="deFinalizacion" runat="server" ClientInstanceName="deFinalizacion">
                                                        <ClientSideEvents Validation="function(s,e){
e.isValid = (CheckDifference()&gt;0)
}" />
                                                        <ValidationSettings CausesValidation="True" ErrorDisplayMode="ImageWithTooltip" ErrorText="La fecha tiene que ser mayor que la fecha Inicio" SetFocusOnError="True" ValidationGroup="plaza">
                                                            <RequiredField IsRequired="True" />
                                                        </ValidationSettings>
                                                    </dx:ASPxDateEdit>
                                                </dx:LayoutItemNestedControlContainer>
                                            </LayoutItemNestedControlCollection>
                                        </dx:LayoutItem>
                                        <dx:LayoutItem Caption="Comentario a publicar" ColSpan="2" HelpText="Información adicional relevante">
                                            <LayoutItemNestedControlCollection>
                                                <dx:LayoutItemNestedControlContainer runat="server">
                                                    <dx:ASPxMemo ID="txtComentario" runat="server" Height="71px" MaxLength="700" Width="100%">
                                                    </dx:ASPxMemo>
                                                </dx:LayoutItemNestedControlContainer>
                                            </LayoutItemNestedControlCollection>
                                        </dx:LayoutItem>
                                    </Items>
                                </dx:LayoutGroup>
                            </Items>
                            <Styles>
                                <LayoutItem>
                                    <Paddings PaddingBottom="5px" PaddingTop="5px" />
                                </LayoutItem>
                            </Styles>
    </dx:ASPxFormLayout>
                    <div style="text-align:center;">
                    <dx:ASPxButton ID="btnGuardarPlaza" runat="server" HorizontalAlign="Center" Text="Guardar Información" ValidationGroup="plaza" AutoPostBack="False" UseSubmitBehavior="False">
                                                        <ClientSideEvents Click="function(s, e) {
if (ASPxClientEdit.ValidateEditorsInContainer(null, 'plaza')){
	cbpPuesto.PerformCallback('1');
}
}" />
                                                    </dx:ASPxButton>
    </div>
                </dx:ContentControl>
            </ContentCollection>
        </dx:TabPage>
        <dx:TabPage Text="Selección Puesto" Name="puesto" ClientEnabled="False">
            <TabImage Url="~/Content/Images/orderedList2.png">
            </TabImage>
            <ContentCollection>
                <dx:ContentControl runat="server">

    <dx:ASPxFormLayout ID="FormSAPT" runat="server" CssClass="CenteredGrid">
                        <Items>
                            <dx:LayoutGroup Caption="SAPT" ShowCaption="False">
                                <Items>
                                        <dx:LayoutItem HorizontalAlign="Right" ShowCaption="False">
                                            <LayoutItemNestedControlCollection>
                                                <dx:LayoutItemNestedControlContainer runat="server">
                                                    <dx:ASPxButton ID="btnSAPT" runat="server" AutoPostBack="False" Text="Ir al SAPT" UseSubmitBehavior="False" RenderMode="Link">
                                                        <ClientSideEvents Click="function(s, e) {
	window.open('http://www.funcionpublica.gob.sv/sapt', '_blank')
}" />
                                                    </dx:ASPxButton>
                                                </dx:LayoutItemNestedControlContainer>
                                            </LayoutItemNestedControlCollection>
                                        </dx:LayoutItem>
                                    <dx:LayoutItem Caption="Puesto Funcional">
                                        <LayoutItemNestedControlCollection>
                                            <dx:LayoutItemNestedControlContainer runat="server">
                                                <dx:ASPxGridLookup ID="gridPuesto" runat="server" AutoGenerateColumns="False" DataSourceID="SqlPuestos" KeyFieldName="COD_INSPTO" MultiTextSeparator="-" NullText="Escriba para filtrar o presione el botón para desplegar los puestos" TextFormatString="{0} - {1}" Width="600px">
                                                    <GridViewProperties>
                                                        <SettingsBehavior AllowDragDrop="False" AllowFocusedRow="True" AllowSelectSingleRowOnly="True" EnableRowHotTrack="True" />
                                                            <SettingsPager PageSize="6">
                                                            </SettingsPager>

<SettingsCommandButton>
<ShowAdaptiveDetailButton ButtonType="Image"></ShowAdaptiveDetailButton>

<HideAdaptiveDetailButton ButtonType="Image"></HideAdaptiveDetailButton>
</SettingsCommandButton>

<EditFormLayoutProperties ColCount="1"></EditFormLayoutProperties>
                                                    </GridViewProperties>
                                                    <Columns>
                                                        <dx:GridViewDataTextColumn Caption="Codigo" FieldName="COD_INSPTO" ReadOnly="True" ShowInCustomizationForm="True" VisibleIndex="0" Width="120px">
                                                            <Settings AutoFilterCondition="Contains" />
                                                        </dx:GridViewDataTextColumn>
                                                        <dx:GridViewDataTextColumn Caption="Nombre" FieldName="PTO_NOMBRE" ShowInCustomizationForm="True" VisibleIndex="1" Width="240px">
                                                            <Settings AutoFilterCondition="Contains" />
                                                        </dx:GridViewDataTextColumn>
                                                        <dx:GridViewDataTextColumn Caption="Organizacion" FieldName="ORG_NOMBRE" ShowInCustomizationForm="True" VisibleIndex="2" Width="240px">
                                                            <Settings AutoFilterCondition="Contains" />
                                                        </dx:GridViewDataTextColumn>
                                                    </Columns>
                                                    <ClearButton Visibility="True">
                                                    </ClearButton>
                                                    <ValidationSettings ErrorDisplayMode="ImageWithTooltip" SetFocusOnError="True" ValidationGroup="puesto1">
                                                        <RequiredField ErrorText="Se debe seleccionar un puesto funcional" IsRequired="True" />
                                                    </ValidationSettings>
                                                </dx:ASPxGridLookup>
                                                <asp:SqlDataSource ID="SqlPuestos" runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="SELECT COD_INSPTO, PTO_NOMBRE, ORG_NOMBRE FROM ViewPuestos WHERE (idInstitucion = @idInstitucion)">
                                                    <SelectParameters>
                                                        <asp:SessionParameter Name="idInstitucion" SessionField="idIns" />
                                                    </SelectParameters>
                                                </asp:SqlDataSource>
                                                <asp:SqlDataSource ID="SqlPuestosMINSAL" runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="SELECT COD_INSPTO, PTO_NOMBRE, ORG_NOMBRE FROM ViewPuestos WHERE (idInstitucion = @idInstitucion) and cod_inspto not like '%.%'">
                                                    <SelectParameters>
                                                        <asp:SessionParameter Name="idInstitucion" SessionField="idIns" />
                                                    </SelectParameters>
                                                </asp:SqlDataSource>
                                            </dx:LayoutItemNestedControlContainer>
                                        </LayoutItemNestedControlCollection>
                                    </dx:LayoutItem>
                                        <dx:LayoutItem Caption="">
                                            <LayoutItemNestedControlCollection>
                                                <dx:LayoutItemNestedControlContainer runat="server">
                                                    <div style="float:left">
                                                    <dx:ASPxButton ID="btnGuardarPuesto" runat="server" AutoPostBack="False" Text="Asociar Puesto SAPT" ValidationGroup="puesto1" UseSubmitBehavior="False">
                                                        <ClientSideEvents Click="function(s, e) {
if (ASPxClientEdit.ValidateEditorsInContainer(null, 'puesto1')){
	cbpPuesto.PerformCallback('2');
}
}" />
                                                    </dx:ASPxButton></div>
                                                    <div style="float:right">
                                                    <dx:ASPxButton ID="btnBorrarSAPT" runat="server" Text="Borrar Puesto Asociado" AutoPostBack="False" UseSubmitBehavior="False" RenderMode="Link">
                                                        <ClientSideEvents Click="function(s, e) {
	cbpPuesto.PerformCallback('5');
}" />
                                                    </dx:ASPxButton>
                                                        </div>
                                                </dx:LayoutItemNestedControlContainer>
                                            </LayoutItemNestedControlCollection>
                                        </dx:LayoutItem>
                                </Items>
                            </dx:LayoutGroup>
                        </Items>
                        <SettingsItemCaptions Location="Top" />
                    </dx:ASPxFormLayout>
                   

                    <dx:ASPxFormLayout ID="FormDotacion" runat="server" CssClass="CenteredGrid">
                        <Items>
                            <dx:LayoutGroup Caption="Sistema de Dotación y Selección" ShowCaption="False">
                                 <Items>
                                        <dx:LayoutItem HorizontalAlign="Right" ShowCaption="False">
                                            <LayoutItemNestedControlCollection>
                                                <dx:LayoutItemNestedControlContainer runat="server">
                                                    <dx:ASPxButton ID="ASPxButton1" runat="server" AutoPostBack="False" Text="Crear Nuevo Puesto" UseSubmitBehavior="False">
                                                        <ClientSideEvents Click="function(s, e) {
	window.open('wfCrearPuesto.aspx', '_blank');
}" />
                                                    </dx:ASPxButton>
                                                </dx:LayoutItemNestedControlContainer>
                                            </LayoutItemNestedControlCollection>
                                        </dx:LayoutItem>
                                    <dx:LayoutItem Caption="Puesto Funcional">
                                        <LayoutItemNestedControlCollection>
                                            <dx:LayoutItemNestedControlContainer runat="server">
                                                <dx:ASPxGridLookup ID="gridPuestoDotacion" runat="server" AutoGenerateColumns="False" DataSourceID="SqlPuestosDotacion" KeyFieldName="COD_INSPTO" MultiTextSeparator="-" NullText="Escriba para filtrar o presione el botón para desplegar los puestos" TextFormatString="{0} - {1}" Width="600px">
                                                    <GridViewProperties>
                                                        <SettingsBehavior AllowDragDrop="False" AllowFocusedRow="True" AllowSelectSingleRowOnly="True" EnableRowHotTrack="True" />
                                                            <SettingsPager PageSize="6">
                                                            </SettingsPager>

<SettingsCommandButton>
<ShowAdaptiveDetailButton ButtonType="Image"></ShowAdaptiveDetailButton>

<HideAdaptiveDetailButton ButtonType="Image"></HideAdaptiveDetailButton>
</SettingsCommandButton>

<EditFormLayoutProperties ColCount="1"></EditFormLayoutProperties>
                                                    </GridViewProperties>
                                                    <Columns>
                                                        <dx:GridViewDataTextColumn Caption="Codigo" FieldName="COD_INSPTO" ReadOnly="True" ShowInCustomizationForm="True" VisibleIndex="0" Width="120px">
                                                            <Settings AutoFilterCondition="Contains" />
                                                        </dx:GridViewDataTextColumn>
                                                        <dx:GridViewDataTextColumn Caption="Nombre" FieldName="nombrePuesto" ShowInCustomizationForm="True" VisibleIndex="1" Width="240px">
                                                            <Settings AutoFilterCondition="Contains" />
                                                        </dx:GridViewDataTextColumn>
                                                        <dx:GridViewDataTextColumn Caption="Organizacion" FieldName="ORG_NOMBRE" ShowInCustomizationForm="True" VisibleIndex="2" Width="240px">
                                                            <Settings AutoFilterCondition="Contains" />
                                                        </dx:GridViewDataTextColumn>
                                                    </Columns>
                                                    <ClearButton Visibility="True">
                                                    </ClearButton>
                                                    <ValidationSettings ErrorDisplayMode="ImageWithTooltip" SetFocusOnError="True" ValidationGroup="puesto2">
                                                        <RequiredField ErrorText="Se debe seleccionar un puesto funcional" IsRequired="True" />
                                                    </ValidationSettings>
                                                </dx:ASPxGridLookup>
                                                <asp:SqlDataSource ID="SqlPuestosDotacion" runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="SELECT [COD_INSPTO], [nombrePuesto], [ORG_NOMBRE] FROM [dSAPT_Puesto] WHERE ([idInstitucion] = @idInstitucion)">
                                                    <SelectParameters>
                                                        <asp:SessionParameter Name="idInstitucion" SessionField="idIns" Type="String" />
                                                    </SelectParameters>
                                                </asp:SqlDataSource>
                                            </dx:LayoutItemNestedControlContainer>
                                        </LayoutItemNestedControlCollection>
                                    </dx:LayoutItem>
                                        <dx:LayoutItem Caption="">
                                            <LayoutItemNestedControlCollection>
                                                <dx:LayoutItemNestedControlContainer runat="server">
                                                    <div style="float:left">
                                                    <dx:ASPxButton ID="ASPxButton2" runat="server" AutoPostBack="False" Text="Asociar Puesto Dotación" ValidationGroup="puesto2" UseSubmitBehavior="False">
                                                        <ClientSideEvents Click="function(s, e) {
if (ASPxClientEdit.ValidateEditorsInContainer(null)){
	cbpPuesto.PerformCallback('4');
}
}" />
                                                    </dx:ASPxButton></div>
                                                    <div style="float:right">
                                                    <dx:ASPxButton ID="btnBorrarAutonoma" runat="server" Text="Borrar Puesto Asociado" AutoPostBack="False" UseSubmitBehavior="False" RenderMode="Link">
                                                        <ClientSideEvents Click="function(s, e) {
	cbpPuesto.PerformCallback('5');
}" />
                                                    </dx:ASPxButton></div>
                                                </dx:LayoutItemNestedControlContainer>
                                            </LayoutItemNestedControlCollection>
                                        </dx:LayoutItem>
                                </Items>
                            </dx:LayoutGroup>
                        </Items>

                        <SettingsItemCaptions Location="Top" />

                    </dx:ASPxFormLayout>
                </dx:ContentControl>
            </ContentCollection>
        </dx:TabPage>
        <dx:TabPage Name="metodologia" Text="Evaluación" ClientEnabled="False">
            <TabImage Url="~/Content/Images/orderedList3.png">
            </TabImage>
            <ContentCollection>
                <dx:ContentControl runat="server">
                    <uc1:ucAreasEvaluacion ID="ucAreasEvaluacion" runat="server" />
                </dx:ContentControl>
            </ContentCollection>
        </dx:TabPage>
        <dx:TabPage Name="vistaprevia" Text="Vista Previa y Publicar" ClientEnabled="False">
            <TabImage Url="~/Content/Images/orderedList4.png">
            </TabImage>
            <ContentCollection>
                <dx:ContentControl runat="server">
                    <div style="text-align: center;">
                        <uc1:ucVistaPlaza runat="server" id="ucVistaPlaza" />
                        <dx:ASPxButton ID="btnPublicar" runat="server" HorizontalAlign="Center" Text="Publicar" AutoPostBack="False" Height="32px" VerticalAlign="Middle" Width="140px" UseSubmitBehavior="False">
                        <ClientSideEvents Click="function(s, e) {
e.processOnServer = confirm('Si publica, ya no sera capaz de modificar el concurso. ¿Esta usted seguro?'); 	
}" />
                        </dx:ASPxButton>
                    </div>
                </dx:ContentControl>
            </ContentCollection>
        </dx:TabPage>
    </TabPages>
        <ClientSideEvents  ActiveTabChanged="function(s, e) {
		//if (s.GetActiveTabIndex() == 1){
 		//cbpPuesto.PerformCallback('3');
//}
            if (s.GetActiveTabIndex() == 3){
 	cbpPuesto.PerformCallback('3');
}
}" />
</dx:ASPxPageControl>


</dx:PanelContent>
</PanelCollection>
</dx:ASPxCallbackPanel>

                                                    
