﻿<%@ Control Language="vb" AutoEventWireup="false" CodeBehind="ucCrearPuesto.ascx.vb" Inherits="Dotacion.ucCrearPuesto" %>

<%@ Register src="ucGrado.ascx" tagname="ucGrado" tagprefix="uc1" %>

<h3 class="Center">Creación de Puesto Funcional (No incorporados en SAPT)</h3>


<dx:ASPxCallbackPanel ID="cbpPuesto" ClientInstanceName="cbpPuesto" runat="server" Width="100%">
<PanelCollection>
<dx:PanelContent runat="server">
    <dx:ASPxPageControl ID="pcPuesto" runat="server" ActiveTabIndex="0" Width="100%" TabAlign="Center" ClientInstanceName="pcPuesto" EnableTheming="True">
        <TabPages>
            <dx:TabPage Text="Información Básica" Name="informacion">
                <TabImage Url="~/Content/Images/orderedList1.png">
                </TabImage>
                <ContentCollection>
                    <dx:ContentControl runat="server">
                            <dx:ASPxFormLayout ID="ASPxFormLayout1" runat="server" AlignItemCaptionsInAllGroups="True" CssClass="CenteredGrid">
    <Items>
        <dx:LayoutGroup ShowCaption="False" Caption="Información del Puesto">
            <Items>
                <dx:LayoutItem Caption="Código SAPT">
                    <LayoutItemNestedControlCollection>
                        <dx:LayoutItemNestedControlContainer runat="server">
                            <dx:ASPxTextBox ID="txtCOD_INSPTO" runat="server" Width="125px" ReadOnly="True">
                                <ValidationSettings CausesValidation="True" ErrorDisplayMode="ImageWithTooltip" SetFocusOnError="True" ValidationGroup="puesto">
                                    <RequiredField ErrorText="Este campo es necesario" IsRequired="True" />
                                </ValidationSettings>
                            </dx:ASPxTextBox>
                            <asp:HiddenField ID="txtPTO_CODIGO" runat="server" />
                        </dx:LayoutItemNestedControlContainer>
                    </LayoutItemNestedControlCollection>
                </dx:LayoutItem>
                <dx:LayoutItem Caption="Nombre del Puesto">
                    <LayoutItemNestedControlCollection>
                        <dx:LayoutItemNestedControlContainer runat="server">
                            <dx:ASPxTextBox ID="txtNombrePuesto" runat="server" Width="350px" MaxLength="250">
                                <ValidationSettings CausesValidation="True" ErrorDisplayMode="ImageWithTooltip" SetFocusOnError="True" ValidationGroup="puesto">
                                    <RequiredField ErrorText="Este campo es necesario" IsRequired="True" />
                                </ValidationSettings>
                            </dx:ASPxTextBox>
                        </dx:LayoutItemNestedControlContainer>
                    </LayoutItemNestedControlCollection>
                </dx:LayoutItem>
                <dx:LayoutItem Caption="Unidad Organizacional">
                    <LayoutItemNestedControlCollection>
                        <dx:LayoutItemNestedControlContainer runat="server">
                            <dx:ASPxTextBox ID="txtUnidad" runat="server" Width="350px" MaxLength="255">
                                <ValidationSettings CausesValidation="True" ErrorDisplayMode="ImageWithTooltip" SetFocusOnError="True" ValidationGroup="puesto">
                                    <RequiredField ErrorText="Este campo es requerido" IsRequired="True" />
                                </ValidationSettings>
                            </dx:ASPxTextBox>
                        </dx:LayoutItemNestedControlContainer>
                    </LayoutItemNestedControlCollection>
                </dx:LayoutItem>
                <dx:LayoutItem Caption="Misión del Puesto">
                    <LayoutItemNestedControlCollection>
                        <dx:LayoutItemNestedControlContainer runat="server">
                            <dx:ASPxMemo ID="txtMisionPuesto" runat="server" Height="100px" Width="100%" MaxLength="1000">
                                <ValidationSettings CausesValidation="True" ErrorDisplayMode="ImageWithTooltip" SetFocusOnError="True" ValidationGroup="puesto">
                                    <RequiredField ErrorText="Este campo es necesario" IsRequired="True" />
                                </ValidationSettings>
                            </dx:ASPxMemo>
                        </dx:LayoutItemNestedControlContainer>
                    </LayoutItemNestedControlCollection>
                </dx:LayoutItem>
                <dx:LayoutItem Caption="Funciones">
                    <LayoutItemNestedControlCollection>
                        <dx:LayoutItemNestedControlContainer runat="server">
                            <dx:ASPxMemo ID="txtFuncionPuesto" runat="server" Height="200px" Width="100%" MaxLength="4000">
                                <ValidationSettings CausesValidation="True" ErrorDisplayMode="ImageWithTooltip" SetFocusOnError="True" ValidationGroup="puesto">
                                    <RequiredField ErrorText="Este campo es necesario" IsRequired="True" />
                                </ValidationSettings>
                            </dx:ASPxMemo>
                        </dx:LayoutItemNestedControlContainer>
                    </LayoutItemNestedControlCollection>
                </dx:LayoutItem>
                <dx:LayoutItem Caption="Resultados">
                    <LayoutItemNestedControlCollection>
                        <dx:LayoutItemNestedControlContainer runat="server">
                            <dx:ASPxMemo ID="txtResultadoPuesto" runat="server" Height="150px" Width="100%" MaxLength="2000">
                                <ValidationSettings CausesValidation="True" ErrorDisplayMode="ImageWithTooltip" SetFocusOnError="True" ValidationGroup="puesto">
                                    <RequiredField ErrorText="Este campo es necesario" IsRequired="True" />
                                </ValidationSettings>
                            </dx:ASPxMemo>
                        </dx:LayoutItemNestedControlContainer>
                    </LayoutItemNestedControlCollection>
                </dx:LayoutItem>
                <dx:LayoutItem Caption="Marco Normativo">
                    <LayoutItemNestedControlCollection>
                        <dx:LayoutItemNestedControlContainer runat="server">
                            <dx:ASPxMemo ID="txtMarcoPuesto" runat="server" Height="150px" Width="100%" MaxLength="2000">
                                <ValidationSettings CausesValidation="True" ErrorDisplayMode="ImageWithTooltip" SetFocusOnError="True" ValidationGroup="puesto">
                                    <RequiredField ErrorText="Este campo es necesario" IsRequired="True" />
                                </ValidationSettings>
                            </dx:ASPxMemo>
                        </dx:LayoutItemNestedControlContainer>
                    </LayoutItemNestedControlCollection>
                </dx:LayoutItem>
                <dx:LayoutItem Caption="Otros Aspectos">
                    <LayoutItemNestedControlCollection>
                        <dx:LayoutItemNestedControlContainer runat="server">
                            <dx:ASPxMemo ID="txtDescripcionPuesto" runat="server" Height="71px" Width="100%" MaxLength="500">
                            </dx:ASPxMemo>
                        </dx:LayoutItemNestedControlContainer>
                    </LayoutItemNestedControlCollection>
                </dx:LayoutItem>
            </Items>
        </dx:LayoutGroup>
    </Items>
</dx:ASPxFormLayout>
                        <div style="text-align:center">
                                <dx:ASPxButton ID="btnGuardar" runat="server" AutoPostBack="False" TabIndex="8" Text="Guardar" Width="70px" ValidationGroup="puesto" UseSubmitBehavior="False">
    <ClientSideEvents Click="function(s, e) {
        if (ASPxClientEdit.ValidateEditorsInContainer(null, 'puesto')){
	        cbpPuesto.PerformCallback('Guardar');
        }
}" />
       </dx:ASPxButton>
                        </div>

                    </dx:ContentControl>
                </ContentCollection>
            </dx:TabPage>
            <dx:TabPage Text="Información Académica" Name="academica" ClientEnabled="False">
                <TabImage Url="~/Content/Images/orderedList2.png">
                </TabImage>
                <ContentCollection>
                    <dx:ContentControl runat="server">
                        <uc1:ucGrado ID="ucGrado1" runat="server" />
                    </dx:ContentControl>
                </ContentCollection>
            </dx:TabPage>
        </TabPages>
    </dx:ASPxPageControl>

</dx:PanelContent>
</PanelCollection>
</dx:ASPxCallbackPanel>




