﻿<%@ Control Language="vb" AutoEventWireup="false" CodeBehind="ucEmpleosPaginaInicio.ascx.vb" Inherits="Dotacion.ucEmpleosPaginaInicio" %>
<script type="text/javascript">
     // <![CDATA[
        function OnMoreInfoClick(key) {
            
            window.location.href = 'wfPlaza.aspx?p=' + key;
        }
        function Proceso(key) {

            window.location.href = 'wfProceso.aspx?p=' + key;
        }

     function CallForm(key) {
         popupPlaza.Show();
         cbpPlaza.PerformCallback(key);
     }
     // ]]> 
</script>
<style>

/* Create two unequal columns that floats next to each other */
.column {
    float: left;
    padding: 10px;
}

.left {
  width: 20%;
}

.right {
  width: 75%;
}

/* Clear floats after the columns */
.row:after {
    content: "";
    display: table;
    clear: both;
}
</style>
<div class="row">
    <div class="column left">
         <p style="margin-bottom:15px;color:black;font-weight:bold;">Instituciones</p>
            <dx:ASPxPanel ID="panelIns" runat="server" Width="100%"><PanelCollection>
                <dx:PanelContent runat="server"></dx:PanelContent>
                </PanelCollection>
            </dx:ASPxPanel>
    </div>
    <div class="column right">
                    <dx:ASPxGridView ID="gridPuestosPublicados" runat="server" AutoGenerateColumns="False" DataSourceID="SqlPlazasPublicadas" KeyFieldName="idPlaza" ClientInstanceName="gridPuestosPublicados" width="100%" AccessibilityCompliant="True" Caption="Últimos concursos publicados:">
                      <SettingsAdaptivity AdaptivityMode="HideDataCellsWindowLimit" HideDataCellsAtWindowInnerWidth="760">
                          <AdaptiveDetailLayoutProperties ColCount="2">
                              <Items>
                                  <dx:GridViewColumnLayoutItem ColSpan="2" ColumnName="nombrePuesto">
                                  </dx:GridViewColumnLayoutItem>
                                  <dx:GridViewColumnLayoutItem ColumnName="siglasInstitucion">
                                  </dx:GridViewColumnLayoutItem>
                                  <dx:GridViewColumnLayoutItem ColumnName="salario">
                                  </dx:GridViewColumnLayoutItem>
                                  <dx:GridViewColumnLayoutItem ColumnName="vacantes">
                                  </dx:GridViewColumnLayoutItem>
                                  <dx:GridViewColumnLayoutItem ColumnName="municipio">
                                  </dx:GridViewColumnLayoutItem>
                                  <dx:GridViewColumnLayoutItem ColSpan="2" ColumnName="Acción" ShowCaption="False">
                                  </dx:GridViewColumnLayoutItem>
                              </Items>
                              <SettingsItemCaptions Location="Top" VerticalAlign="Top" />
                          <Styles LayoutGroup-Cell-Paddings-Padding="0px">
<LayoutGroup>
<Cell>
<Paddings Padding="0px"></Paddings>
</Cell>
</LayoutGroup>
                              </Styles>
                          </AdaptiveDetailLayoutProperties>
                      </SettingsAdaptivity>
            <SettingsPager Mode="ShowAllRecords" Visible="False">
            </SettingsPager>
                      <Settings ShowHeaderFilterBlankItems="False" />
                      <SettingsBehavior AllowDragDrop="False" EnableRowHotTrack="True" AllowSort="False" />
        <SettingsDataSecurity AllowDelete="False" AllowEdit="False" AllowInsert="False" />
        <SettingsText EmptyDataRow="No existen Concursos disponibles por el momento." Title="Nuevo" />

<EditFormLayoutProperties ColCount="1"></EditFormLayoutProperties>
        <Columns>
            <dx:GridViewDataTextColumn FieldName="nombrePuesto" VisibleIndex="1" Caption="Título del Puesto" ToolTip="Nombre del puesto funcional" Width="33%">
                <DataItemTemplate>
                    <a href="javascript:OnMoreInfoClick('<%# Container.KeyValue %>')" class="mayusculas">
                        <%# Eval("nombrePuesto")%>
                    </a>
                </DataItemTemplate>
            </dx:GridViewDataTextColumn>
            <dx:GridViewDataTextColumn FieldName="siglasInstitucion" VisibleIndex="3" Caption="Institución" Width="10%" AdaptivePriority="1" ToolTip="Institución que publica el concurso">
            </dx:GridViewDataTextColumn>
            <dx:GridViewDataTextColumn Caption="Vacantes" FieldName="vacantes" VisibleIndex="5" Width="7%" AdaptivePriority="1" ToolTip="Vacantes disponibles">
                <Settings HeaderFilterMode="CheckedList" />
            </dx:GridViewDataTextColumn>
            <dx:GridViewDataTextColumn Caption="Salario" FieldName="salario" VisibleIndex="4" Width="5%" AdaptivePriority="1" ToolTip="Salario">
                <PropertiesTextEdit DisplayFormatString="c">
                </PropertiesTextEdit>
                <HeaderStyle HorizontalAlign="Center" />
            </dx:GridViewDataTextColumn>
            <dx:GridViewDataTextColumn Caption="Ubicación" FieldName="municipio" ReadOnly="True" VisibleIndex="6" Width="15%" ToolTip="Ubicación en Municipio">
                <Settings HeaderFilterMode="CheckedList" />
                <HeaderStyle HorizontalAlign="Center" />
                <CellStyle HorizontalAlign="Center">
                </CellStyle>
            </dx:GridViewDataTextColumn>
            <dx:GridViewDataTextColumn VisibleIndex="10" Caption="Acción" Width="30%" ToolTip="Botones">
                <DataItemTemplate>
                                <dx:ASPxButton ID="btnAplicar" runat="server" Text="Aplicar" AutoPostBack="False" Width="110px" UseSubmitBehavior="false" AccessibilityCompliant="True">
                                </dx:ASPxButton>
                                <dx:ASPxButton ID="btnProceso" runat="server" Text="Ver proceso" AutoPostBack="False" Width="110px" Theme="Office2003Silver" UseSubmitBehavior="false" AccessibilityCompliant="True">
                                </dx:ASPxButton>
                </DataItemTemplate>
                <HeaderStyle HorizontalAlign="Center" />
                <CellStyle HorizontalAlign="Center">
                </CellStyle>
            </dx:GridViewDataTextColumn>
            <dx:GridViewDataTextColumn FieldName="nombreInstitucion" Visible="False" VisibleIndex="8">
            </dx:GridViewDataTextColumn>
        </Columns>
          <Styles>
              <Header Wrap="True" CssClass="hide-header">
              </Header>
              <AlternatingRow Enabled="True">
              </AlternatingRow>
          </Styles>
    </dx:ASPxGridView>
    <asp:SqlDataSource ID="SqlPlazasPublicadas" runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="SELECT TOP (5) Plaza.idPlaza, Plaza.Identificador, Plaza.idEstadoPlaza, Plaza.vacantes, Plaza.salario, Plaza.fechaCierreInscripcion, Plaza.COD_INSPTO, Plaza.nombrePuesto, SEGURIDAD.dbo.Institucion.nombreInstitucion, EstadoPlaza.nombreEstadoPlaza, SEGURIDAD.dbo.Institucion.siglasInstitucion, STP_Municipio.nombreMunicipio AS municipio, Plaza.resaltar FROM Plaza INNER JOIN SEGURIDAD.dbo.Institucion ON Plaza.idInstitucion = SEGURIDAD.dbo.Institucion.idInstitucion INNER JOIN EstadoPlaza ON Plaza.idEstadoPlaza = EstadoPlaza.idEstadoPlaza LEFT OUTER JOIN STP_Municipio ON Plaza.idMunicipio = STP_Municipio.idMunicipio WHERE (EstadoPlaza.idEstadoPlaza = 2) AND (Plaza.fechaInicioInscripcion &lt;= GETDATE()) AND (Plaza.idConvocatoria &lt;&gt; 'C1') AND (Plaza.idInstitucion &lt;&gt; 'AA') ORDER BY Plaza.fechaModificacion DESC">
    </asp:SqlDataSource>
        <br />
        <a href="Concursos.aspx">Ver listado completo</a>
    </div>
</div>
<br />