﻿<%@ Control Language="vb" AutoEventWireup="false" CodeBehind="ucEvaluarCompetencias.ascx.vb" Inherits="Dotacion.ucEvaluarCompetencias" %>

<dx:ASPxPageControl ID="ASPxPageControl1" runat="server" ActiveTabIndex="0" EnableCallBacks="True" Width="100%">
    <TabPages>
        <dx:TabPage Name="calificacion" Text="Selección y Calificación">
            <TabImage Url="~/Content/Images/orderedList1.png">
            </TabImage>
            <ContentCollection>
                <dx:ContentControl runat="server">
                    
                  <%--  <dx:ASPxCallbackPanel ID="cbpCalificar" runat="server" Width="100%" ClientInstanceName="cbpCalificar"><PanelCollection>
<dx:PanelContent runat="server">--%>


 <dx:ASPxComboBox ID="cmbConcursoEvaluar" runat="server" AutoResizeWithContainer="True" Caption="Seleccione el concurso a calificar:" DataSourceID="SqlConcursoAEvaluar" NullText="[Concurso]" TextField="nombrePuesto" TextFormatString="{0}; {1}; {2}; {3}" ValueField="idPlaza" ValueType="System.Int32" Width="500px" AutoPostBack="True" CallbackPageSize="5" DropDownRows="5" EnableCallbackMode="True">

                        <Columns>
                            <dx:ListBoxColumn FieldName="Identificador" Caption="Concurso" />
                            <dx:ListBoxColumn FieldName="nombrePuesto" Caption="Puesto" />
                            <dx:ListBoxColumn FieldName="vacantes" Caption="Vacantes" />
                            <dx:ListBoxColumn FieldName="nombreMunicipio" Caption="Municipio" />
                        </Columns>
                        <ItemStyle Wrap="True" />
                        <ValidationSettings ValidationGroup="groupTabSeleccion" ErrorDisplayMode="ImageWithTooltip" SetFocusOnError="True">
                            <RequiredField ErrorText="Es necesario seleccionar el concurso" IsRequired="True" />
                        </ValidationSettings>
                    </dx:ASPxComboBox>
                    <asp:SqlDataSource ID="SqlConcursoAEvaluar" runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="EvaluarCompetenciasSegunInstitucion" SelectCommandType="StoredProcedure">
                        <SelectParameters>
                            <asp:SessionParameter DefaultValue="" Name="idIns" SessionField="idIns" />
                            <asp:Parameter Name="idUser" />
                        </SelectParameters>
                    </asp:SqlDataSource>
                    <div style="float:right">
                    <dx:ASPxButton ID="btnConfigurar" runat="server" Text="Borrar y volver a configurar" AutoPostBack="False" ClientInstanceName="btnConfigurar">
                        <ClientSideEvents Click="function(s, e) {
e.processOnServer = confirm('Se borrarán los registros de la plaza seleccionada y podra volver a configurar los porcentajes y pesos. Pero tendra que ingresar las calificaciones, esta usted seguro de esto?');

}" />
                        </dx:ASPxButton>
                        </div>
    <br />
<dx:ASPxGridView ID="gridPostulantes" runat="server" AutoGenerateColumns="False" ClientInstanceName="gridPostulantes" DataSourceID="SqlPostulante" KeyFieldName="idConcursoPostulante" Width="100%" EnableTheming="True" Theme="MetropolisBlue">
    <SettingsDetail ShowDetailRow="True" ShowDetailButtons="False" />
    <Templates>
        <DetailRow>
            <table style="width:100%">
                <tr>
                    <td style="width:20%">

                    </td>
                    <td style="width:80%">
            <dx:ASPxGridView ID="gridCalificaciones" runat="server" AutoGenerateColumns="False" ClientInstanceName="gridCalificaciones" DataSourceID="ObjectPostulanteCalificaciones" KeyFieldName="idPostulanteCompetencias" OnBeforePerformDataSelect="gridCalificaciones_BeforePerformDataSelect" Width="100%" Theme="Default">
                <SettingsPager Visible="False" Mode="ShowAllRecords">
                </SettingsPager>
                <SettingsEditing Mode="Batch">
                </SettingsEditing>
                <SettingsBehavior AllowDragDrop="False" AllowGroup="False" AllowSort="False" AutoExpandAllGroups="True" />
                <SettingsCommandButton>
                    <UpdateButton ButtonType="Button" Text="Guardar Notas">
                        <Image Url="~/Content/Images/Save_16x16.png">
                        </Image>
                    </UpdateButton>
                </SettingsCommandButton>
                <SettingsDataSecurity AllowDelete="False" AllowInsert="False" />
                <Columns>
                    <dx:GridViewDataTextColumn FieldName="idPostulanteCompetencias" Visible="False" VisibleIndex="0">
                    </dx:GridViewDataTextColumn>
                    <dx:GridViewDataTextColumn FieldName="idConcursoPostulante" Visible="False" VisibleIndex="1">
                    </dx:GridViewDataTextColumn>
                    <dx:GridViewDataTextColumn FieldName="idConfiguracionCalificacion" Visible="False" VisibleIndex="2">
                    </dx:GridViewDataTextColumn>
                    <dx:GridViewDataTextColumn Caption="Evaluación" FieldName="nombreEvaluacion" VisibleIndex="4" ReadOnly="True" Width="40%">
                        <EditFormSettings Visible="False" />
                    </dx:GridViewDataTextColumn>
                    <dx:GridViewDataTextColumn Caption="Peso" FieldName="peso" VisibleIndex="10" ReadOnly="True" Width="10%">
                        <EditFormSettings Visible="False" />
                        <CellStyle BackColor="#DADADA">
                        </CellStyle>
                    </dx:GridViewDataTextColumn>
                    <dx:GridViewDataTextColumn Caption="Puntaje Asignado" FieldName="puntajeAsignado" VisibleIndex="11" ReadOnly="True" Width="10%">
                        <EditFormSettings Visible="False" />
                        <CellStyle BackColor="#DADADA">
                        </CellStyle>
                    </dx:GridViewDataTextColumn>
                    <dx:GridViewDataTextColumn Caption="Puntaje Obtenido" FieldName="puntajeObtenido" VisibleIndex="13" ReadOnly="True" Width="10%">
                        <PropertiesTextEdit NullDisplayText="[Sin calificar]">
                        </PropertiesTextEdit>
                        <EditFormSettings Visible="False" />
                        <CellStyle BackColor="#DADADA" Font-Bold="True">
                        </CellStyle>
                    </dx:GridViewDataTextColumn>
                    <dx:GridViewDataComboBoxColumn FieldName="idFactor" ReadOnly="True" VisibleIndex="3" GroupIndex="0" SortIndex="0" SortOrder="Ascending" Caption="Factor">
                        <PropertiesComboBox DataSourceID="SqlFactor" TextField="nombreFactor" ValueField="idFactor" ValueType="System.Int32">
                        </PropertiesComboBox>
                        <EditFormSettings Visible="False" />
                    </dx:GridViewDataComboBoxColumn>
                    <dx:GridViewDataSpinEditColumn Caption="Calificación Base 100 pts." FieldName="calificacion" VisibleIndex="9" Width="10%">
                        <PropertiesSpinEdit DisplayFormatString="N2" MaxLength="5" MaxValue="100" MinValue="0" NullDisplayText="0.00" NumberFormat="Custom" DisplayFormatInEditMode="True">
                        </PropertiesSpinEdit>
                        <CellStyle BackColor="#66FF66" Font-Bold="True">
                        </CellStyle>
                    </dx:GridViewDataSpinEditColumn>
                    <dx:GridViewDataMemoColumn Caption="Comentario (opcional)" FieldName="comentario" VisibleIndex="14" Width="20%">
                        <PropertiesMemoEdit Rows="2" MaxLength="125">
                        </PropertiesMemoEdit>
                    </dx:GridViewDataMemoColumn>
                </Columns>
            </dx:ASPxGridView>
                    </td>
                </tr>
            </table>

 
        </DetailRow>
    </Templates>
    <SettingsPager PageSize="20">
    </SettingsPager>
    <Settings ShowFooter="True" />

<SettingsCommandButton>
<ShowAdaptiveDetailButton ButtonType="Image"></ShowAdaptiveDetailButton>

<HideAdaptiveDetailButton ButtonType="Image"></HideAdaptiveDetailButton>
</SettingsCommandButton>

    <SettingsDataSecurity AllowDelete="False" AllowEdit="False" AllowInsert="False" />
    <SettingsSearchPanel Visible="True" />
    <SettingsText SearchPanelEditorNullText="[Ingrese su criterio de búsqueda]" />
    <Columns>
        <dx:GridViewCommandColumn VisibleIndex="0">
        </dx:GridViewCommandColumn>
        <dx:GridViewDataTextColumn FieldName="idUsuario" Visible="False" VisibleIndex="2">
        </dx:GridViewDataTextColumn>
        <dx:GridViewDataTextColumn FieldName="CodigoPostulante" ReadOnly="True" VisibleIndex="3">
        </dx:GridViewDataTextColumn>
        <dx:GridViewDataTextColumn Caption="Nombres" FieldName="nombres" VisibleIndex="4">
        </dx:GridViewDataTextColumn>
        <dx:GridViewDataTextColumn Caption="Apellidos" FieldName="apellidos" VisibleIndex="5">
        </dx:GridViewDataTextColumn>
        <dx:GridViewDataTextColumn Caption="Correo electrónico" FieldName="email" VisibleIndex="6">
        </dx:GridViewDataTextColumn>
        <dx:GridViewDataTextColumn Caption="Teléfono 1" FieldName="telefonoContacto1" VisibleIndex="7">
        </dx:GridViewDataTextColumn>
        <dx:GridViewDataTextColumn Caption="Teléfono 2" FieldName="telefonoContacto2" VisibleIndex="8">
        </dx:GridViewDataTextColumn>
        <dx:GridViewDataTextColumn Caption="Sexo" FieldName="sexo" VisibleIndex="9">
        </dx:GridViewDataTextColumn>
        <dx:GridViewDataTextColumn Caption="País" FieldName="nombre" VisibleIndex="10">
        </dx:GridViewDataTextColumn>
        <dx:GridViewDataDateColumn Caption="Fecha Nac." FieldName="fechanacimiento" VisibleIndex="11">
        </dx:GridViewDataDateColumn>
        <dx:GridViewDataTextColumn FieldName="NIT" VisibleIndex="12">
        </dx:GridViewDataTextColumn>
        <dx:GridViewDataTextColumn Caption="DUI/Extranjero" FieldName="identificacion" ReadOnly="True" VisibleIndex="13">
        </dx:GridViewDataTextColumn>
        <dx:GridViewDataTextColumn FieldName="idConcursoPostulante" ReadOnly="True" Visible="False" VisibleIndex="1">
            <EditFormSettings Visible="False" />
        </dx:GridViewDataTextColumn>
    </Columns>
    <TotalSummary>
        <dx:ASPxSummaryItem DisplayFormat="Postulantes: {0}" FieldName="CodigoPostulante" SummaryType="Count" />
    </TotalSummary>
    <Styles>
        <Cell BackColor="#99CCFF" Font-Bold="True">
        </Cell>
    </Styles>
</dx:ASPxGridView>
<asp:SqlDataSource ID="SqlPostulante" runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="SELECT ConcursoPostulante.idUsuario, ConcursoPostulante.CodigoPostulante, SEGURIDAD.dbo.SEG_Usuarios.nombres, SEGURIDAD.dbo.SEG_Usuarios.apellidos, SEGURIDAD.dbo.SEG_Usuarios.email, SEGURIDAD.dbo.SEG_Usuarios.telefonoContacto1, SEGURIDAD.dbo.SEG_Usuarios.telefonoContacto2, SEGURIDAD.dbo.SEG_Usuarios.sexo, SEGURIDAD.dbo.STP_Pais.nombre, SEGURIDAD.dbo.SEG_Usuarios.fechanacimiento, SEGURIDAD.dbo.SEG_Usuarios.NIT, CASE WHEN documento = 0 OR documento IS NULL THEN SEGURIDAD.dbo.SEG_Usuarios.DUI ELSE SEGURIDAD.dbo.SEG_Usuarios.carneExtranjero END AS identificacion, ConcursoPostulante.idConcursoPostulante FROM ConcursoPostulante INNER JOIN SEGURIDAD.dbo.SEG_Usuarios ON ConcursoPostulante.idUsuario = SEGURIDAD.dbo.SEG_Usuarios.idUsuario LEFT OUTER JOIN SEGURIDAD.dbo.STP_Pais ON SEGURIDAD.dbo.SEG_Usuarios.nacionalidad = SEGURIDAD.dbo.STP_Pais.codigo WHERE (ConcursoPostulante.idPlaza = @plaza) AND (ConcursoPostulante.idEstadoConcursoPostulante = 5)">
    <SelectParameters>
        <asp:SessionParameter Name="plaza" SessionField="plaza" />
    </SelectParameters>
</asp:SqlDataSource>
<asp:ObjectDataSource ID="ObjectPostulanteCalificaciones" runat="server" DataObjectTypeName="STP.EL.Dotacion.PostulanteEvaluaciones" SelectMethod="GetListPostulanteEvaluacionesByConcursoPostulante_Competencias" TypeName="Dotacion.PostulanteEvaluacionesBusinessObject" UpdateMethod="SaveChanges">
    <SelectParameters>
        <asp:SessionParameter Name="idConcursoPostulante" SessionField="idConcursoPostulante" Type="Int32" />
    </SelectParameters>
</asp:ObjectDataSource>

<asp:SqlDataSource ID="SqlFactor" runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="SELECT [idFactor], [nombreFactor] FROM [Factor]"></asp:SqlDataSource>



<%--</dx:PanelContent>
</PanelCollection>
                    </dx:ASPxCallbackPanel>--%>
                   



                </dx:ContentControl>
            </ContentCollection>
        </dx:TabPage>
        <dx:TabPage Name="puntaje" Text="Resultados de Puntaje">
            <TabImage Url="~/Content/Images/orderedList2.png">
            </TabImage>
            <ContentCollection>
                <dx:ContentControl runat="server">
                    <div style="float:right;">
    <dx:ASPxButton ID="btnReporteCompetencias" runat="server" Text="Imprimir reporte" AutoPostBack="False" ClientInstanceName="btnReporteCompetencias">
        <Image IconID="print_printviapdf_16x16">
        </Image>
    </dx:ASPxButton>
</div>
                     <dx:ASPxGridView ID="gridResultados" runat="server" AutoGenerateColumns="False" DataSourceID="SqlPostulanteCalificacion" KeyFieldName="idConcursoPostulante" Width="100%" ClientInstanceName="gridResultados" EnableTheming="True" Theme="MetropolisBlue">
    <ClientSideEvents DetailRowExpanding="function(s, e) {
	 gridResultados.SetFocusedRowIndex(e.visibleIndex);
}" />
    <SettingsDetail ExportMode="All" ShowDetailRow="True" />
    <Templates>
        <DetailRow>
            <table style="width:100%;">
               
                <tr>
                    <td colspan="2" style="vertical-align:top;padding:10px;">
                        <dx:ASPxRoundPanel ID="rpFormacionP" runat="server" Width="100%" HeaderText="Formación Académica" Theme="MetropolisBlue">
                            <PanelCollection>
                                <dx:PanelContent runat="server">
                                    <dx:ASPxGridView ID="gridPostulanteEspecialidades" runat="server" AutoGenerateColumns="False" DataSourceID="ObjectEspecialidades" Width="100%" KeyFieldName="idPostulanteEspecialidad" OnBeforePerformDataSelect="gridPostulanteEspecialidades_BeforePerformDataSelect1" OnDataBound="gridPostulanteEspecialidades_DataBound" Theme="Office2010Blue">
        <SettingsPager Visible="False" Mode="ShowAllRecords">
        </SettingsPager>
        <SettingsBehavior AllowDragDrop="False" AllowGroup="False" AllowSort="False" />
        <SettingsDataSecurity AllowDelete="False" AllowInsert="False" AllowEdit="False" />
        <SettingsText Title="Formación:" />
        <Columns>
            <dx:GridViewDataTextColumn FieldName="ESP_NOMBRE" ShowInCustomizationForm="True" VisibleIndex="1" Caption="Especialidad" ReadOnly="True">
                <EditFormSettings Visible="False" />
            </dx:GridViewDataTextColumn>
            <dx:GridViewDataTextColumn FieldName="insNombre" ShowInCustomizationForm="True" VisibleIndex="3" Caption="Institución" ReadOnly="True">
                <EditFormSettings Visible="False" />
            </dx:GridViewDataTextColumn>
            <dx:GridViewDataTextColumn FieldName="inicioAnio" ShowInCustomizationForm="True" VisibleIndex="10" Caption="Inicio" ReadOnly="True">
                <EditFormSettings Visible="False" />
                <DataItemTemplate>
                    <dx:ASPxLabel ID="ASPxLabel1" runat="server" Text='<%# String.Format("{0}/{1}", Eval("inicioMes"), Eval("inicioAnio"))%>'>
                    </dx:ASPxLabel>
                </DataItemTemplate>
            </dx:GridViewDataTextColumn>
            <dx:GridViewDataTextColumn FieldName="finAnio" ShowInCustomizationForm="True" VisibleIndex="14" Caption="Fin" ReadOnly="True" SortIndex="0" SortOrder="Descending">
                <EditFormSettings Visible="False" />
                <DataItemTemplate>
                    <dx:ASPxLabel ID="ASPxLabel2" runat="server" Text='<%# String.Format("{0}/{1}", Eval("finMes"), Eval("finAnio"))%>'>
                    </dx:ASPxLabel>
                </DataItemTemplate>
            </dx:GridViewDataTextColumn>
            <dx:GridViewDataTextColumn FieldName="certificado" ShowInCustomizationForm="True" VisibleIndex="16" ReadOnly="True">
                <EditFormSettings Visible="False" />
                <DataItemTemplate>
                    <dx:ASPxHyperLink ID="ASPxHyperLink1" runat="server" ImageUrl="~/Content/Images/ExportToPDF_16x16.png" ToolTip='<%# Eval("certificado")%>' NavigateUrl='<%# "~/Archivos/Especialidad/" & Eval("certificado")%>' Target="_blank" />
                </DataItemTemplate>
            </dx:GridViewDataTextColumn>
            <dx:GridViewDataComboBoxColumn Caption="Grado" FieldName="GRA_CODIGO" ShowInCustomizationForm="True" VisibleIndex="2" ReadOnly="True">
                <PropertiesComboBox DataSourceID="SqlPostulanteGrado" TextField="GRA_NOMBRE" ValueField="GRA_CODIGO">
                </PropertiesComboBox>
                <EditFormSettings Visible="False" />
            </dx:GridViewDataComboBoxColumn>
            <dx:GridViewDataComboBoxColumn Caption="País" FieldName="idPais" ShowInCustomizationForm="True" VisibleIndex="9" ReadOnly="True">
                <PropertiesComboBox DataSourceID="SqlPais" TextField="nombre" ValueField="codigo" ValueType="System.Int32">
                </PropertiesComboBox>
                <EditFormSettings Visible="False" />
            </dx:GridViewDataComboBoxColumn>
            <dx:GridViewDataTextColumn FieldName="idPostulanteEspecialidad" ShowInCustomizationForm="True" Visible="False" VisibleIndex="18">
            </dx:GridViewDataTextColumn>
            <dx:GridViewDataTextColumn FieldName="idConcursoPostulante" ShowInCustomizationForm="True" Visible="False" VisibleIndex="19">
            </dx:GridViewDataTextColumn>
        </Columns>
        <Styles>
            <Header Wrap="True">
            </Header>
            <TitlePanel HorizontalAlign="Left" BackColor="#999999" Font-Bold="True">
            </TitlePanel>
        </Styles>
    </dx:ASPxGridView>
                                    <br />
                                    <br />
                    <dx:ASPxGridView ID="gridPostulanteIdioma" runat="server" AutoGenerateColumns="False" DataSourceID="ObjectPostulanteIdioma" KeyFieldName="idPostulanteIdioma" OnDataBound="gridPostulanteIdioma_DataBound" Theme="Office2010Blue" OnCustomUnboundColumnData="gridPostulanteIdioma_CustomUnboundColumnData">
                            <SettingsPager Mode="ShowAllRecords" Visible="False">
                            </SettingsPager>
                            <SettingsBehavior AllowDragDrop="False" AllowGroup="False" AllowSort="False" />
                            <SettingsDataSecurity AllowDelete="False" AllowEdit="False" AllowInsert="False" />
                            <SettingsText Title="Idiomas:" />
                            <Columns>
                                <dx:GridViewDataTextColumn Caption="Idioma" FieldName="IDI_NOMBRE" ShowInCustomizationForm="True" VisibleIndex="1" Width="35%">
                                </dx:GridViewDataTextColumn>
                                <dx:GridViewDataComboBoxColumn Caption="Lee" FieldName="IDI_Lee" ShowInCustomizationForm="True" VisibleIndex="5" Width="15%">
                                    <PropertiesComboBox DataSourceID="SqlCatalogoIdioma" TextField="nombreExperiencia" ValueField="idExperiencia" ValueType="System.Int32">
                                    </PropertiesComboBox>
                                </dx:GridViewDataComboBoxColumn>
                                <dx:GridViewDataComboBoxColumn Caption="Escribe" FieldName="IDI_Escribe" ShowInCustomizationForm="True" VisibleIndex="9" Width="15%">
                                    <PropertiesComboBox DataSourceID="SqlCatalogoIdioma" TextField="nombreExperiencia" ValueField="idExperiencia" ValueType="System.Int32">
                                    </PropertiesComboBox>
                                </dx:GridViewDataComboBoxColumn>
                                <dx:GridViewDataComboBoxColumn Caption="Habla" FieldName="IDI_Habla" ShowInCustomizationForm="True" VisibleIndex="7" Width="15%">
                                    <PropertiesComboBox DataSourceID="SqlCatalogoIdioma" TextField="nombreExperiencia" ValueField="idExperiencia" ValueType="System.Int32">
                                    </PropertiesComboBox>
                                </dx:GridViewDataComboBoxColumn>
                                <dx:GridViewDataTextColumn Caption="Calidad" FieldName="calidad" ShowInCustomizationForm="True" UnboundType="Integer" VisibleIndex="10" Width="20%">
                                    <DataItemTemplate>
                                        <dx:ASPxRatingControl ID="ASPxRatingControl1" runat="server" ItemCount="6" ItemHeight="6" ItemWidth="6" ReadOnly="True" Value='<%# Eval("calidad") %>'>
                                        </dx:ASPxRatingControl>
                                    </DataItemTemplate>
                                    <HeaderStyle BackColor="#0066FF" ForeColor="White" />
                                </dx:GridViewDataTextColumn>
                            </Columns>
                            <Styles>
                                <Header Wrap="True">
                                </Header>
                                <TitlePanel HorizontalAlign="Left">
                                </TitlePanel>
                            </Styles>
                        </dx:ASPxGridView>
                                </dx:PanelContent>
                            </PanelCollection>
                        </dx:ASPxRoundPanel>
                
                                                
                        
             </td>
            </tr>
            <tr>
                    <td colspan="2" style="vertical-align:top;padding:10px;">
                        <dx:ASPxRoundPanel ID="rpConocimientoP" runat="server" Width="100%" HeaderText="Conocimientos" Theme="MetropolisBlue" style="margin-bottom: 0px">
                            <PanelCollection>
                                <dx:PanelContent runat="server">
                                    <dx:ASPxGridView ID="gridPostulanteCapacitaciones" runat="server" AutoGenerateColumns="False" DataSourceID="ObjectPostulanteCapacitacion" KeyFieldName="idPostulanteCapacitacion" Width="100%" OnDataBound="gridPostulanteCapacitaciones_DataBound" Theme="Office2010Blue">
                            <SettingsPager Mode="ShowAllRecords" Visible="False">
                            </SettingsPager>
                            <SettingsBehavior AllowDragDrop="False" AllowGroup="False" AllowSort="False" />
                            <SettingsDataSecurity AllowDelete="False" AllowEdit="False" AllowInsert="False" />
                            <SettingsText Title="Conocimientos:" />
                            <Columns>
                                <dx:GridViewDataTextColumn Caption="Título" FieldName="tituloCapacitacion" ShowInCustomizationForm="True" VisibleIndex="3">
                                </dx:GridViewDataTextColumn>
                                <dx:GridViewDataTextColumn Caption="Conocimientos aprendidos" FieldName="conocimientosCapacitacion" ShowInCustomizationForm="True" VisibleIndex="5">
                                </dx:GridViewDataTextColumn>
                                <dx:GridViewDataTextColumn Caption="Duración" FieldName="duracionCapacitacion" ShowInCustomizationForm="True" VisibleIndex="7">
                                </dx:GridViewDataTextColumn>
                                <dx:GridViewDataTextColumn Caption="Lugar" FieldName="lugarCapacitacion" ShowInCustomizationForm="True" VisibleIndex="9">
                                </dx:GridViewDataTextColumn>
                                <dx:GridViewDataTextColumn Caption="Instituto" FieldName="institucionCapacitacion" ShowInCustomizationForm="True" VisibleIndex="11">
                                </dx:GridViewDataTextColumn>
                                <dx:GridViewDataTextColumn Caption="Año" FieldName="anio" ShowInCustomizationForm="True" SortIndex="0" SortOrder="Descending" VisibleIndex="13">
                                </dx:GridViewDataTextColumn>
                            </Columns>
                            <Styles>
                                <Header Wrap="True">
                                </Header>
                                <TitlePanel HorizontalAlign="Left" BackColor="#999999" Font-Bold="True">
                                </TitlePanel>
                            </Styles>
                        </dx:ASPxGridView>
                                      <br />
                                    <dx:ASPxGridView ID="gridPostulanteConocimientos" runat="server" AutoGenerateColumns="False" DataSourceID="SqlPostulanteConocimiento" KeyFieldName="idPostulanteConocimiento" Width="100%"  Theme="Office2010Blue" OnDataBound="gridPostulanteConocimientos_DataBound">
                            <SettingsPager Mode="ShowAllRecords" Visible="False">
                            </SettingsPager>
                            <SettingsBehavior AllowDragDrop="False" AllowGroup="False" AllowSort="False" />
                            <SettingsDataSecurity AllowDelete="False" AllowEdit="False" AllowInsert="False" />
                            <SettingsText Title="Conocimientos adicionales:" />
                            <Columns>
                                <dx:GridViewDataTextColumn Caption="Conocimiento específico" FieldName="nombreConocimiento" ShowInCustomizationForm="True" VisibleIndex="2">
                                </dx:GridViewDataTextColumn>
                            </Columns>
                            <Styles>
                                <Header Wrap="True">
                                </Header>
                                <TitlePanel HorizontalAlign="Left" BackColor="#999999" Font-Bold="True">
                                </TitlePanel>
                            </Styles>
                        </dx:ASPxGridView>
                                </dx:PanelContent>
                            </PanelCollection>
                        </dx:ASPxRoundPanel>
                        
                       
                 
                    </td>
                </tr>
                  <tr>
                    <td colspan="2" style="vertical-align:top;padding:10px;">
                        <dx:ASPxRoundPanel ID="rpExperienciaP" runat="server" Width="100%" HeaderText="Experiencia Laboral" Theme="MetropolisBlue">
                            <PanelCollection>
                                <dx:PanelContent runat="server">
                                    <dx:ASPxGridView ID="gridPostulanteExperiencia" runat="server" AutoGenerateColumns="False" DataSourceID="ObjectPostulanteExperiencia" KeyFieldName="idPostulanteExperiencia" OnCustomUnboundColumnData="gridPostulanteExperiencia_CustomUnboundColumnData" OnDataBound="gridPostulanteExperiencia_DataBound" Width="100%" Theme="Office2010Blue">
                                        <SettingsPager Mode="ShowAllRecords" Visible="False">
                                        </SettingsPager>
                                        <SettingsBehavior AllowDragDrop="False" AllowGroup="False" AllowSort="False" />
                                        <SettingsDataSecurity AllowDelete="False" AllowEdit="False" AllowInsert="False" />
                                        <SettingsText Title="Experiencia:" />
                                        <Columns>
                                            <dx:GridViewDataTextColumn Caption="Institución" FieldName="nombreInstitucion" ShowInCustomizationForm="True" VisibleIndex="1">
                                            </dx:GridViewDataTextColumn>
                                            <dx:GridViewDataTextColumn Caption="Cargo" FieldName="nombrePuesto" ShowInCustomizationForm="True" VisibleIndex="0">
                                            </dx:GridViewDataTextColumn>
                                            <dx:GridViewDataTextColumn Caption="Descripción" FieldName="descripcionPuesto" ShowInCustomizationForm="True" VisibleIndex="9">
                                            </dx:GridViewDataTextColumn>
                                            <dx:GridViewDataTextColumn Caption="Inicio" FieldName="inicioAnio" ShowInCustomizationForm="True" VisibleIndex="13">
                                                <DataItemTemplate>
                                                    <dx:ASPxLabel ID="ASPxLabel3" runat="server" Text='<%# String.Format("{0}/{1}", Eval("inicioMes"), Eval("inicioAnio"))%>'>
                                                    </dx:ASPxLabel>
                                                </DataItemTemplate>
                                            </dx:GridViewDataTextColumn>
                                            <dx:GridViewDataTextColumn Caption="Fin" FieldName="finAnio" ShowInCustomizationForm="True" VisibleIndex="17">
                                                <DataItemTemplate>
                                                    <dx:ASPxLabel ID="ASPxLabel4" runat="server" Text='<%# String.Format("{0}/{1}", Eval("finMes"), Eval("finAnio"))%>'>
                                                    </dx:ASPxLabel>
                                                </DataItemTemplate>
                                            </dx:GridViewDataTextColumn>
                                            <dx:GridViewDataCheckColumn Caption="Actual" FieldName="activo" ShowInCustomizationForm="True" VisibleIndex="19">
                                            </dx:GridViewDataCheckColumn>
                                            <dx:GridViewDataComboBoxColumn Caption="País" FieldName="idPais" ShowInCustomizationForm="True" VisibleIndex="4">
                                                <PropertiesComboBox DataSourceID="SqlPais" TextField="nombre" ValueField="codigo" ValueType="System.Int32">
                                                </PropertiesComboBox>
                                            </dx:GridViewDataComboBoxColumn>
                                            <dx:GridViewDataComboBoxColumn Caption="Sector" FieldName="idSector" ShowInCustomizationForm="True" VisibleIndex="8">
                                                <PropertiesComboBox DataSourceID="SqlSector" TextField="nombreSector" ValueField="idSector" ValueType="System.Int32">
                                                </PropertiesComboBox>
                                            </dx:GridViewDataComboBoxColumn>
                                            <dx:GridViewDataTextColumn Caption="Tiempo" FieldName="tiempo" ShowInCustomizationForm="True" UnboundType="String" VisibleIndex="20">
                                                <HeaderStyle BackColor="#0066FF" ForeColor="White" />
                                                <CellStyle ForeColor="#0066FF">
                                                </CellStyle>
                                            </dx:GridViewDataTextColumn>
                                        </Columns>
                                        <Styles>
                                            <Header Wrap="True">
                                            </Header>
                                            <TitlePanel HorizontalAlign="Left">
                                            </TitlePanel>
                                        </Styles>
                                    </dx:ASPxGridView>
                                </dx:PanelContent>
                            </PanelCollection>
                        </dx:ASPxRoundPanel>
                  
                        
                        </td>
                  </tr>
                 <tr>
                    <td style="width:50%;vertical-align:top;padding:10px;">
                        <dx:ASPxRoundPanel ID="rpLaboralP" runat="server" Width="100%" HeaderText="Referencias Laborales" Theme="MetropolisBlue">
                            <PanelCollection>
                                <dx:PanelContent runat="server">
                                      <dx:ASPxGridView ID="gridRefLaborales" runat="server" AutoGenerateColumns="False" DataSourceID="SqlRefLaborales" KeyFieldName="idReferencia" OnBeforePerformDataSelect="gridReferencias_BeforePerformDataSelect" Width="100%" OnDataBound="gridRefLaborales_DataBound" Theme="Office2010Blue">
                            <SettingsPager Mode="ShowAllRecords" Visible="False">
                            </SettingsPager>
                            <SettingsDataSecurity AllowDelete="False" AllowEdit="False" AllowInsert="False" />
                            <SettingsText Title="Referencias Laborales:" />
                            <Columns>
                                <dx:GridViewDataTextColumn Caption="Nombre" FieldName="nombreReferencia" VisibleIndex="0">
                                </dx:GridViewDataTextColumn>
                                <dx:GridViewDataTextColumn Caption="Cargo" FieldName="cargoReferencia" VisibleIndex="1">
                                </dx:GridViewDataTextColumn>
                                <dx:GridViewDataTextColumn Caption="Dirección" FieldName="direccionReferencia" VisibleIndex="2">
                                </dx:GridViewDataTextColumn>
                                <dx:GridViewDataTextColumn Caption="Teléfono" FieldName="telefonoReferencia" VisibleIndex="3">
                                </dx:GridViewDataTextColumn>
                            </Columns>
                            <Styles>
                                <Header Font-Bold="False" Wrap="True">
                                </Header>
                                <TitlePanel HorizontalAlign="Left" BackColor="#999999" Font-Bold="True">
                                </TitlePanel>
                            </Styles>
                        </dx:ASPxGridView>

                                </dx:PanelContent>
                            </PanelCollection>
                        </dx:ASPxRoundPanel>
                      

                    </td>
                    <td style="width:50%;vertical-align:top;padding:10px;">
                        <dx:ASPxRoundPanel ID="rpPersonalP" runat="server" Width="100%" HeaderText="Referencias Personales" Theme="MetropolisBlue">
                            <PanelCollection>
                                <dx:PanelContent runat="server">
                                    
<dx:ASPxGridView ID="gridReferencias" runat="server" AutoGenerateColumns="False" DataSourceID="SqlReferencias" KeyFieldName="idReferencia" OnBeforePerformDataSelect="gridReferencias_BeforePerformDataSelect" Width="100%" OnDataBound="gridReferencias_DataBound" Theme="Office2010Blue">
                <SettingsPager Mode="ShowAllRecords" Visible="False">
                </SettingsPager>
                <SettingsDataSecurity AllowDelete="False" AllowEdit="False" AllowInsert="False" />
                <SettingsText Title="Referencias Personales:" />
                <Columns>
                    <dx:GridViewDataTextColumn FieldName="nombreReferencia" VisibleIndex="0" Caption="Nombre">
                    </dx:GridViewDataTextColumn>
                    <dx:GridViewDataTextColumn FieldName="cargoReferencia" VisibleIndex="1" Caption="Cargo">
                    </dx:GridViewDataTextColumn>
                    <dx:GridViewDataTextColumn FieldName="direccionReferencia" VisibleIndex="2" Caption="Dirección">
                    </dx:GridViewDataTextColumn>
                    <dx:GridViewDataTextColumn FieldName="telefonoReferencia" VisibleIndex="3" Caption="Teléfono">
                    </dx:GridViewDataTextColumn>
                </Columns>
                <Styles>
                    <Header Font-Bold="False" Wrap="True">
                    </Header>
                    <TitlePanel HorizontalAlign="Left" BackColor="#999999" Font-Bold="True">
                    </TitlePanel>
                </Styles>
            </dx:ASPxGridView>

                                </dx:PanelContent>
                            </PanelCollection>
                        </dx:ASPxRoundPanel>

 
                    </td>
                </tr>
                <tr>

                     <td colspan="2" style="vertical-align:top;padding:10px;">
                         <dx:ASPxRoundPanel ID="rpDiscapacidadP" runat="server" Width="100%" HeaderText="Discapacidad" Theme="MetropolisBlue">
                             <PanelCollection>
                                 <dx:PanelContent runat="server">
                                     <dx:ASPxGridView ID="gridDiscapacidad" runat="server" AutoGenerateColumns="False" DataSourceID="SqlDiscapacidadUsuario" EnableTheming="True" OnDataBound="gridDiscapacidad_DataBound" Theme="Office2010Blue">
                                         <SettingsPager Mode="ShowAllRecords">
                                         </SettingsPager>
                                         <SettingsBehavior AllowDragDrop="False" AllowGroup="False" AllowSort="False" />
                                         <SettingsDataSecurity AllowDelete="False" AllowEdit="False" AllowInsert="False" />
                                         <Columns>
                                             <dx:GridViewDataTextColumn Caption="Discapacidad" FieldName="nombreDiscapacidad" ShowInCustomizationForm="True" VisibleIndex="0">
                                             </dx:GridViewDataTextColumn>
                                             <dx:GridViewDataTextColumn Caption="Certificación" FieldName="nombreCertificacion" ShowInCustomizationForm="True" VisibleIndex="1">
                                             </dx:GridViewDataTextColumn>
                                         </Columns>
                                     </dx:ASPxGridView>
                                     <asp:SqlDataSource ID="SqlDiscapacidadUsuario" runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="SELECT STP_Discapacidad.nombreDiscapacidad, STP_CertificacionDiscapacidad.nombreCertificacion FROM USU_Discapacidad INNER JOIN STP_CertificacionDiscapacidad ON USU_Discapacidad.idCertificado = STP_CertificacionDiscapacidad.idCertificacion INNER JOIN STP_Discapacidad ON USU_Discapacidad.idTipoDiscapacidad = STP_Discapacidad.idDiscapacidad WHERE (USU_Discapacidad.idUsuario = @idUsuario)">
                                         <SelectParameters>
                                             <asp:SessionParameter Name="idUsuario" SessionField="idUsuario" />
                                         </SelectParameters>
                                     </asp:SqlDataSource>
                                 </dx:PanelContent>
                             </PanelCollection>
                         </dx:ASPxRoundPanel>
                    </td>
                </tr>
            </table>
            
           
            
            
        </DetailRow>
    </Templates>
    <SettingsPager PageSize="50">
    </SettingsPager>
    <Settings ShowFooter="True" />
    <SettingsBehavior AllowDragDrop="False" AllowFocusedRow="True" AllowGroup="False" AllowSort="False" />

<SettingsCommandButton>
<ShowAdaptiveDetailButton ButtonType="Image"></ShowAdaptiveDetailButton>

<HideAdaptiveDetailButton ButtonType="Image"></HideAdaptiveDetailButton>
</SettingsCommandButton>

    <SettingsDataSecurity AllowDelete="False" AllowEdit="False" AllowInsert="False" />
    <SettingsSearchPanel Visible="True" />
    <SettingsText EmptyDataRow="[Sin Postulantes]" SearchPanelEditorNullText="Escriba el criterio de búsqueda" />
    <Columns>
        <dx:GridViewCommandColumn VisibleIndex="0">
        </dx:GridViewCommandColumn>
        <dx:GridViewDataTextColumn FieldName="idUsuario" ReadOnly="True" Visible="False" VisibleIndex="2">
        </dx:GridViewDataTextColumn>
        <dx:GridViewDataTextColumn FieldName="CodigoPostulante" ReadOnly="True" VisibleIndex="3" Caption="Código de Postulación">
            <CellStyle Font-Bold="True">
            </CellStyle>
        </dx:GridViewDataTextColumn>
        <dx:GridViewDataTextColumn FieldName="nombres" VisibleIndex="4" Caption="Nombres">
        </dx:GridViewDataTextColumn>
        <dx:GridViewDataTextColumn FieldName="apellidos" VisibleIndex="5" Caption="Apellidos" SortIndex="1">
        </dx:GridViewDataTextColumn>
        <dx:GridViewDataTextColumn FieldName="email" VisibleIndex="6" Caption="Correo electrónico">
        </dx:GridViewDataTextColumn>
        <dx:GridViewDataTextColumn FieldName="telefonoContacto1" VisibleIndex="7" Caption="Teléfono 1">
        </dx:GridViewDataTextColumn>
        <dx:GridViewDataTextColumn FieldName="telefonoContacto2" VisibleIndex="8" Caption="Teléfono 2">
        </dx:GridViewDataTextColumn>
        <dx:GridViewDataTextColumn FieldName="sexo" VisibleIndex="9" Caption="Sexo">
        </dx:GridViewDataTextColumn>
        <dx:GridViewDataTextColumn FieldName="nombre" VisibleIndex="10" Caption="País">
        </dx:GridViewDataTextColumn>
        <dx:GridViewDataDateColumn FieldName="fechanacimiento" VisibleIndex="11" Caption="Fecha Nac.">
        </dx:GridViewDataDateColumn>
        <dx:GridViewDataTextColumn FieldName="NIT" VisibleIndex="12" Caption="NIT">
        </dx:GridViewDataTextColumn>
        <dx:GridViewDataTextColumn FieldName="identificacion" VisibleIndex="13" Caption="DUI/Carnet Extranjero">
        </dx:GridViewDataTextColumn>
        <dx:GridViewDataTextColumn FieldName="idConcursoPostulante" ReadOnly="True" Visible="False" VisibleIndex="1">
        </dx:GridViewDataTextColumn>
        <dx:GridViewDataTextColumn Caption="Puntaje" FieldName="Puntaje" ReadOnly="True" ShowInCustomizationForm="True" VisibleIndex="14" SortIndex="0" SortOrder="Descending">
            <PropertiesTextEdit DisplayFormatString="n2">
            </PropertiesTextEdit>
            <Settings AllowSort="True" />
        </dx:GridViewDataTextColumn>
    </Columns>
    <TotalSummary>
        <dx:ASPxSummaryItem DisplayFormat="Total: {0}" FieldName="CodigoPostulante" SummaryType="Count" />
        <dx:ASPxSummaryItem FieldName="Puntaje" SummaryType="Average" DisplayFormat="Promedio: {0:n2}" />
    </TotalSummary>
    <Styles>
        <Header Wrap="True">
        </Header>
    </Styles>
</dx:ASPxGridView>

                    <asp:SqlDataSource ID="SqlPostulanteCalificacion" runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="SELECT cp.CodigoPostulante, SEGURIDAD.dbo.SEG_Usuarios.nombres, SEGURIDAD.dbo.SEG_Usuarios.apellidos, SEGURIDAD.dbo.SEG_Usuarios.email, SEGURIDAD.dbo.SEG_Usuarios.telefonoContacto1, SEGURIDAD.dbo.SEG_Usuarios.telefonoContacto2, SEGURIDAD.dbo.SEG_Usuarios.sexo, SEGURIDAD.dbo.STP_Pais.nombre, SEGURIDAD.dbo.SEG_Usuarios.fechanacimiento, SEGURIDAD.dbo.SEG_Usuarios.NIT, CASE WHEN documento = 0 OR documento IS NULL THEN SEGURIDAD.dbo.SEG_Usuarios.DUI ELSE SEGURIDAD.dbo.SEG_Usuarios.carneExtranjero END AS identificacion, cp.idConcursoPostulante, (SELECT SUM(puntajeObtenido) AS Expr1 FROM PostulanteEvaluaciones WHERE (idConcursoPostulante = cp.idConcursoPostulante)) AS Puntaje, cp.idUsuario FROM ConcursoPostulante AS cp INNER JOIN SEGURIDAD.dbo.SEG_Usuarios ON cp.idUsuario = SEGURIDAD.dbo.SEG_Usuarios.idUsuario LEFT OUTER JOIN SEGURIDAD.dbo.STP_Pais ON SEGURIDAD.dbo.SEG_Usuarios.nacionalidad = SEGURIDAD.dbo.STP_Pais.codigo WHERE (cp.idPlaza = @idPlaza) AND (cp.idEstadoConcursoPostulante = 5) ORDER BY puntaje DESC">
                        <SelectParameters>
                            <asp:SessionParameter Name="idPlaza" SessionField="plaza" />
                        </SelectParameters>
                    </asp:SqlDataSource>
                     <asp:ObjectDataSource ID="ObjectEspecialidades" runat="server" SelectMethod="GetListPostulanteEspecialidadByConcursoPostulante" TypeName="Dotacion.PostulanteEspecialidadBusinessObject">
                         <SelectParameters>
                             <asp:SessionParameter Name="idConcursoPostulante" SessionField="idConcursoPostulante" Type="Int32" />
                             <asp:Parameter Name="foreignLevel" Type="Int32" />
                         </SelectParameters>
                     </asp:ObjectDataSource>
                     <asp:SqlDataSource ID="SqlPostulanteGrado" runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="SELECT [GRA_CODIGO], [GRA_NOMBRE] FROM [ViewGrado]"></asp:SqlDataSource>
                     <asp:SqlDataSource ID="SqlPais" runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="SELECT * FROM SEGURIDAD.dbo.[STP_Pais]"></asp:SqlDataSource>
                     <asp:ObjectDataSource ID="ObjectPostulanteIdioma" runat="server" SelectMethod="GetListPostulanteIdiomaByConcursoPostulante" TypeName="Dotacion.PostulanteIdiomaBusinessObject">
                         <SelectParameters>
                             <asp:SessionParameter Name="idConcursoPostulante" SessionField="idConcursoPostulante" Type="Int32" />
                             <asp:Parameter Name="foreignLevel" Type="Int32" />
                         </SelectParameters>
                     </asp:ObjectDataSource>
                     <asp:SqlDataSource ID="SqlCatalogoIdioma" runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="SELECT * FROM [USU_IdiomaExperiencia]"></asp:SqlDataSource>
                     <asp:ObjectDataSource ID="ObjectPostulanteCapacitacion" runat="server" SelectMethod="GetListPostulanteCapacitacionByConcursoPostulante" TypeName="Dotacion.PostulanteCapacitacionBusinessObject">
                         <SelectParameters>
                             <asp:SessionParameter Name="idConcursoPostulante" SessionField="idConcursoPostulante" Type="Int32" />
                             <asp:Parameter Name="foreignLevel" Type="Int32" />
                         </SelectParameters>
                     </asp:ObjectDataSource>
                     <asp:ObjectDataSource ID="ObjectPostulanteExperiencia" runat="server" SelectMethod="GetListPostulanteExperienciaByConcursoPostulante" TypeName="Dotacion.PostulanteExperienciaBusinessObject">
                         <SelectParameters>
                             <asp:SessionParameter Name="idConcursoPostulante" SessionField="idConcursoPostulante" Type="Int32" />
                             <asp:Parameter Name="foreignLevel" Type="Int32" />
                         </SelectParameters>
                     </asp:ObjectDataSource>
                     <asp:SqlDataSource ID="SqlSector" runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="SELECT * FROM [STP_Sector]"></asp:SqlDataSource>
                     <asp:SqlDataSource ID="SqlRefLaborales" runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="SELECT nombreReferencia, cargoReferencia, direccionReferencia, telefonoReferencia, idReferencia FROM USU_Referencias WHERE (idUsuario = @idUsuario) AND (tipoReferencia = @tipoReferencia)">
                         <SelectParameters>
                             <asp:SessionParameter Name="idUsuario" SessionField="idUsuario" Type="Int32" />
                             <asp:Parameter DefaultValue="true" Name="tipoReferencia" Type="Boolean" />
                         </SelectParameters>
                     </asp:SqlDataSource>
                     <asp:SqlDataSource ID="SqlReferencias" runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="SELECT nombreReferencia, cargoReferencia, direccionReferencia, telefonoReferencia, idReferencia FROM USU_Referencias WHERE (idUsuario = @idUsuario) AND (tipoReferencia = @tipoReferencia)">
                         <SelectParameters>
                             <asp:SessionParameter Name="idUsuario" SessionField="idUsuario" Type="Int32" />
                             <asp:Parameter DefaultValue="false" Name="tipoReferencia" Type="Boolean" />
                         </SelectParameters>
                     </asp:SqlDataSource>
                     <asp:SqlDataSource ID="SqlPostulanteConocimiento" runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="SELECT * FROM [PostulanteConocimiento] WHERE ([idConcursoPostulante] = @idConcursoPostulante)">
                         <SelectParameters>
                             <asp:SessionParameter Name="idConcursoPostulante" SessionField="idConcursoPostulante" Type="Int32" />
                         </SelectParameters>
                     </asp:SqlDataSource>
                </dx:ContentControl>
            </ContentCollection>
        </dx:TabPage>
    </TabPages>
    <ClientSideEvents ActiveTabChanged="function(s, e) {
	 if (s.GetActiveTabIndex() == 1){
	gridResultados.Refresh();
}
}" />
</dx:ASPxPageControl>



