﻿<%@ Control Language="vb" AutoEventWireup="false" CodeBehind="ucFormularioEvaluacion.ascx.vb" Inherits="Dotacion.ucFormularioEvaluacion" %>

     <h2 class="mayusculas">
            <asp:Literal ID="ltlTitulo" runat="server"></asp:Literal>
        </h2>
<table id="mitabla" style="width:100%;padding:0px;">
    <tr>
        <td style="width:18%;vertical-align:top;padding:3px;background-color: lightgray;">
<%--            <dx:ASPxButton ID="btnPostulantes" runat="server" Text="Reporte de postulantes ingresados" AutoPostBack="False" ClientInstanceName="btnPostulantes" RenderMode="Link">
        <Image Url="~/Content/Images/ExportToPDF_16x16.png">
        </Image>
    </dx:ASPxButton>--%>
            <dx:ASPxMenu ID="menuImprimir" runat="server" EnableTheming="True" ShowAsToolbar="True" ShowPopOutImages="True" Theme="PlasticBlue" Width="100%">
                <Items>
                    <dx:MenuItem BeginGroup="True" Text="Imprimir reportes">
                        <Items>
                            <dx:MenuItem Name="codigo" Text="Imprimir solo códigos">
                                <Image IconID="spreadsheet_printtitles_16x16">
                                </Image>
                            </dx:MenuItem>
                            <dx:MenuItem Name="completo" Text="Imprimir con perfil">
                                <Image IconID="print_defaultprinter_16x16">
                                </Image>
                            </dx:MenuItem>
                        </Items>
                        <Image IconID="print_printviapdf_16x16">
                        </Image>
                    </dx:MenuItem>
                </Items>
            </dx:ASPxMenu>
<dx:ASPxGridView ID="gridPostulantes" runat="server" ClientInstanceName="gridPostulantes" AutoGenerateColumns="False" DataSourceID="SqlPostulantes" Width="100%" EnableTheming="True" KeyFieldName="idConcursoPostulante" Theme="Aqua">
          <ClientSideEvents FocusedRowChanged="function(s, e) {
	cbpDetallePostulante.PerformCallback(s.GetRowKey(s.GetFocusedRowIndex()));
}" Init="function(s, e) {
 //var targetHeight = document.getElementById(&quot;mitabla&quot;).clientHeight;
    //s.SetHeight(targetHeight);
cbpDetallePostulante.PerformCallback(s.GetRowKey(s.GetFocusedRowIndex()));
}" />
          <SettingsAdaptivity HideDataCellsAtWindowInnerWidth="400">
              <AdaptiveDetailLayoutProperties ColCount="3">
                  <Items>
                      <dx:GridViewColumnLayoutItem ColumnName="CodigoPostulante">
                      </dx:GridViewColumnLayoutItem>
                      <dx:GridViewColumnLayoutItem ColumnName="Calificado">
                      </dx:GridViewColumnLayoutItem>
                      <dx:GridViewColumnLayoutItem ColumnName="idEstadoConcursoPostulante">
                      </dx:GridViewColumnLayoutItem>
                  </Items>
                  <SettingsItemCaptions HorizontalAlign="Left" Location="Top" />
              </AdaptiveDetailLayoutProperties>
          </SettingsAdaptivity>
          <SettingsPager PageSize="50" NumericButtonCount="3">
              <Summary Text="Página {0} de {1} ({2} total)" />
          </SettingsPager>
          <Settings ShowFooter="True" VerticalScrollBarMode="Visible" ShowFilterRow="True" VerticalScrollableHeight="500" />
          <SettingsBehavior AllowDragDrop="False" AllowFocusedRow="True" AllowGroup="False" AllowSort="False" />

<SettingsCommandButton>
<ShowAdaptiveDetailButton ButtonType="Image"></ShowAdaptiveDetailButton>

<HideAdaptiveDetailButton ButtonType="Image"></HideAdaptiveDetailButton>
</SettingsCommandButton>

          <SettingsDataSecurity AllowDelete="False" AllowEdit="False" AllowInsert="False" />
          <SettingsText EmptyDataRow="[No existen postulantes aún]" SearchPanelEditorNullText="[código postulante]" />
          <Columns>
              <dx:GridViewDataTextColumn Caption="Postulante" FieldName="CodigoPostulante" ReadOnly="True" VisibleIndex="1" Width="100px">
                  <Settings AutoFilterCondition="Contains" />
              </dx:GridViewDataTextColumn>
              <dx:GridViewDataTextColumn FieldName="idUsuario" Visible="False" VisibleIndex="2">
              </dx:GridViewDataTextColumn>
              <dx:GridViewDataCheckColumn Caption="C." FieldName="Calificado" VisibleIndex="3" Width="23px" ToolTip="Calificado">
                  <Settings AllowAutoFilter="False" />
              </dx:GridViewDataCheckColumn>
              <dx:GridViewDataComboBoxColumn Caption="Estado" FieldName="idEstadoConcursoPostulante" ToolTip="Estado" VisibleIndex="5" Width="50px">
                  <PropertiesComboBox DataSourceID="SqlEstadoConcursoPostulante0" TextField="nombreEstado" ValueField="idEstadoConcursoPostulante" ValueType="System.Int32">
                  </PropertiesComboBox>
                  <DataItemTemplate>
                      <dx:ASPxImage ID="ASPxImage2" runat="server" ShowLoadingImage="false" imageurl="<%# GetImageUrl(Container) %>" ToolTip="<%# SetToolTip(Container)%>" Height="16px" Width="16px">
                          <Border BorderStyle="None" />
                      </dx:ASPxImage>
                      
                  </DataItemTemplate>
                  <CellStyle HorizontalAlign="Center">
                  </CellStyle>
              </dx:GridViewDataComboBoxColumn>
          </Columns>
          <TotalSummary>
              <dx:ASPxSummaryItem FieldName="CodigoPostulante" SummaryType="Count" DisplayFormat="Total: {0}" />
              <dx:ASPxSummaryItem FieldName="Calificado" SummaryType="Custom" DisplayFormat="Faltan: {0}" />
          </TotalSummary>
          <Styles>
              <Header Wrap="True">
              </Header>
          </Styles>
      </dx:ASPxGridView>
      <asp:SqlDataSource ID="SqlPostulantes" runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="SELECT idConcursoPostulante, CodigoPostulante, idUsuario, Calificado, idEstadoConcursoPostulante FROM ConcursoPostulante AS p WHERE (idPlaza = @idPlaza) ORDER BY fechaCreacion">
          <SelectParameters>
              <asp:SessionParameter Name="idPlaza" SessionField="plaza" />
          </SelectParameters>
      </asp:SqlDataSource>
           
    <asp:SqlDataSource runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="SELECT * FROM [EstadoConcursoPostulante]" ID="SqlEstadoConcursoPostulante0"></asp:SqlDataSource>

        </td>
        <td style="width:64%;vertical-align:top;padding:3px;">
            <dx:ASPxCallbackPanel ID="cbpBotones" runat="server" ClientInstanceName="cbpBotones" Width="100%">
                <ClientSideEvents EndCallback="function(s, e) {
		if (s.cpUpdate) {
	delete s.cpUpdate;
	gridPostulantes.Refresh();
gridConcursoPostulante.Refresh();
gridComentarios.Refresh();
}

}" />
                <PanelCollection>
<dx:PanelContent runat="server">
    <div style="float:right">

<dx:ASPxButton ID="btnGuardar" runat="server" AutoPostBack="False" ClientInstanceName="btnGuardar" Text="Guardar Calificación" UseSubmitBehavior="False" Font-Bold="True" ValidationGroup="calificar">
        <ClientSideEvents Click="function(s, e) {
			if (ASPxClientEdit.ValidateEditorsInContainer(null, 'calificar')){
	cbpBotones.PerformCallback('1');
}
}" />
        <Image Url="~/Content/Images/calificar.png">
        </Image>
    </dx:ASPxButton>
    </div>
    
                    </dx:PanelContent>
</PanelCollection>
            </dx:ASPxCallbackPanel>
        <dx:ASPxCallbackPanel ID="cbpDetallePostulante" ClientInstanceName="cbpDetallePostulante" runat="server" Width="100%">
            <PanelCollection>
<dx:PanelContent runat="server">
    
        <dx:ASPxGridView ID="gridConcursoPostulante" runat="server" AutoGenerateColumns="False" ClientInstanceName="gridConcursoPostulante" DataSourceID="ObjectConcursoPostulante" Width="100%">
            <SettingsPager Visible="False">
            </SettingsPager>
            <SettingsBehavior AllowDragDrop="False" AllowGroup="False" AllowSort="False" />

<SettingsCommandButton>
<ShowAdaptiveDetailButton ButtonType="Image"></ShowAdaptiveDetailButton>

<HideAdaptiveDetailButton ButtonType="Image"></HideAdaptiveDetailButton>
</SettingsCommandButton>

            <SettingsDataSecurity AllowDelete="False" AllowEdit="False" AllowInsert="False" />
            <Columns>
                <dx:GridViewDataDateColumn FieldName="fechaCreacion" ShowInCustomizationForm="True" VisibleIndex="32" Caption="Ingreso" Width="15%">
                    <PropertiesDateEdit DisplayFormatString="g">
                    </PropertiesDateEdit>
                </dx:GridViewDataDateColumn>
                <dx:GridViewDataDateColumn FieldName="fechaModificacion" ShowInCustomizationForm="True" VisibleIndex="37" Caption="Modificado el:" Width="15%">
                    <PropertiesDateEdit DisplayFormatString="g">
                    </PropertiesDateEdit>
                </dx:GridViewDataDateColumn>
                <dx:GridViewDataComboBoxColumn FieldName="idEstadoConcursoPostulante" ShowInCustomizationForm="True" VisibleIndex="5" Caption="Estado" Width="30%">
                    <PropertiesComboBox DataSourceID="SqlEstadoConcursoPostulante" TextField="nombreEstado" ValueField="idEstadoConcursoPostulante">
                    </PropertiesComboBox>
                </dx:GridViewDataComboBoxColumn>
                <dx:GridViewDataComboBoxColumn Caption="Calificado por:" FieldName="usuarioModificacion" ShowInCustomizationForm="True" VisibleIndex="36" Width="10%">
                    <PropertiesComboBox DataSourceID="SqlPersona" TextField="persona" ValueField="idUsuario">
                    </PropertiesComboBox>
                </dx:GridViewDataComboBoxColumn>
                <dx:GridViewDataCheckColumn Caption="Formación" FieldName="vbFormacion" ShowInCustomizationForm="True" VisibleIndex="6" Width="10%">
                    <PropertiesCheckEdit>
                        <DisplayImageChecked Height="16px" Url="~/Content/Images/Apply_16x16.png" Width="16px">
                        </DisplayImageChecked>
                        <DisplayImageUnchecked Height="16px" Url="~/Content/Images/Cancel_16x16.png" Width="16px">
                        </DisplayImageUnchecked>
                        <DisplayImageUndefined Height="16px" Url="~/Content/Images/Question_16x16.png" Width="16px">
                        </DisplayImageUndefined>
                        <DisplayImageGrayed Height="16px" Url="~/Content/Images/Question_16x16.png" Width="16px">
                        </DisplayImageGrayed>
                    </PropertiesCheckEdit>
                </dx:GridViewDataCheckColumn>
                <dx:GridViewDataCheckColumn Caption="Conocimientos" FieldName="vbConocimientos" ShowInCustomizationForm="True" VisibleIndex="10" Width="10%">
                    <PropertiesCheckEdit>
                        <DisplayImageChecked Height="16px" Url="~/Content/Images/Apply_16x16.png" Width="16px">
                        </DisplayImageChecked>
                        <DisplayImageUnchecked Height="16px" Url="~/Content/Images/Cancel_16x16.png" Width="16px">
                        </DisplayImageUnchecked>
                        <DisplayImageUndefined Height="16px" Url="~/Content/Images/Question_16x16.png" Width="16px">
                        </DisplayImageUndefined>
                        <DisplayImageGrayed Height="16px" Url="~/Content/Images/Question_16x16.png" Width="16px">
                        </DisplayImageGrayed>
                    </PropertiesCheckEdit>
                </dx:GridViewDataCheckColumn>
                <dx:GridViewDataCheckColumn Caption="Experiencia" FieldName="vbExperiencia" ShowInCustomizationForm="True" VisibleIndex="11" Width="10%">
                    <PropertiesCheckEdit>
                        <DisplayImageChecked Height="16px" Url="~/Content/Images/Apply_16x16.png" Width="16px">
                        </DisplayImageChecked>
                        <DisplayImageUnchecked Height="16px" Url="~/Content/Images/Cancel_16x16.png" Width="16px">
                        </DisplayImageUnchecked>
                        <DisplayImageUndefined Height="16px" Url="~/Content/Images/Question_16x16.png" Width="16px">
                        </DisplayImageUndefined>
                        <DisplayImageGrayed Height="16px" Url="~/Content/Images/Question_16x16.png" Width="16px">
                        </DisplayImageGrayed>
                    </PropertiesCheckEdit>
                </dx:GridViewDataCheckColumn>
            </Columns>
        </dx:ASPxGridView>

        <asp:ObjectDataSource ID="ObjectConcursoPostulante" runat="server" SelectMethod="GetConcursoPostulante" TypeName="Dotacion.ConcursoPostulanteBusinessObject">
            <SelectParameters>
                <asp:SessionParameter Name="idConcursoPostulante" SessionField="idConcursoPostulante" Type="Int32" />
            </SelectParameters>
        </asp:ObjectDataSource>
        <asp:SqlDataSource ID="SqlEstadoConcursoPostulante" runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="SELECT * FROM [EstadoConcursoPostulante]"></asp:SqlDataSource>
  
        <asp:SqlDataSource ID="SqlPersona" runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="SELECT idUsuario, nombres + ' ' + apellidos AS persona FROM SEGURIDAD.dbo.SEG_Usuarios WHERE (idInstitucion IS NOT NULL) ORDER BY idUsuario"></asp:SqlDataSource>
    <br />
    <div style="float:right;background-color:yellow;">
        <dx:ASPxMemo ID="txtComentario" runat="server" Caption="Comentario del Técnico" ClientInstanceName="txtComentario" ClientVisible="False" Height="30px" MaxLength="150" Width="400px">
            <ValidationSettings CausesValidation="True" ErrorDisplayMode="ImageWithTooltip" SetFocusOnError="True" ValidationGroup="calificar">
                <RequiredField IsRequired="True" />
            </ValidationSettings>
        </dx:ASPxMemo>
        </div>
  <br />
        <dx:ASPxGridView ID="gridComentarios" runat="server" AutoGenerateColumns="False" ClientInstanceName="gridComentarios" DataSourceID="ObjectComentarioTecnico" KeyFieldName="idTecnicoComentario" Width="100%">
            <SettingsEditing Mode="EditForm">
            </SettingsEditing>
            <SettingsBehavior AllowDragDrop="False" AllowGroup="False" AllowSort="False" />

<SettingsCommandButton>
<ShowAdaptiveDetailButton ButtonType="Image"></ShowAdaptiveDetailButton>

<HideAdaptiveDetailButton ButtonType="Image"></HideAdaptiveDetailButton>
</SettingsCommandButton>

            <SettingsDataSecurity AllowDelete="False" AllowInsert="False" />
            <EditFormLayoutProperties ColCount="2">
                <Items>
                    <dx:GridViewColumnLayoutItem ColSpan="2" ColumnName="comentario">
                    </dx:GridViewColumnLayoutItem>
                    <dx:EditModeCommandLayoutItem ColSpan="2" HorizontalAlign="Right">
                    </dx:EditModeCommandLayoutItem>
                </Items>
            </EditFormLayoutProperties>
            <Columns>
                <dx:GridViewCommandColumn ShowEditButton="True" ShowInCustomizationForm="True" VisibleIndex="4">
                </dx:GridViewCommandColumn>
                <dx:GridViewDataTextColumn Caption="Comentario" FieldName="comentario" ShowInCustomizationForm="True" VisibleIndex="0">
                    <PropertiesTextEdit MaxLength="100">
                        <ValidationSettings CausesValidation="True" SetFocusOnError="True" ValidationGroup="comentario">
                            <RequiredField IsRequired="True" />
                        </ValidationSettings>
                    </PropertiesTextEdit>
                    <HeaderStyle BackColor="#0066FF" ForeColor="White" />
                </dx:GridViewDataTextColumn>
                <dx:GridViewDataDateColumn Caption="Fecha" FieldName="fecha" ShowInCustomizationForm="True" VisibleIndex="1" ReadOnly="True">
                    <PropertiesDateEdit DisplayFormatString="g">
                    </PropertiesDateEdit>
                    <EditFormSettings Visible="False" />
                </dx:GridViewDataDateColumn>
                <dx:GridViewDataComboBoxColumn Caption="Creado por" FieldName="usuario" ShowInCustomizationForm="True" VisibleIndex="2" ReadOnly="True">
                    <PropertiesComboBox DataSourceID="SqlPersona" TextField="persona" ValueField="idUsuario" ValueType="System.Int32">
                    </PropertiesComboBox>
                    <EditFormSettings Visible="False" />
                </dx:GridViewDataComboBoxColumn>
                <dx:GridViewDataTextColumn FieldName="idTecnicoComentario" ShowInCustomizationForm="True" Visible="False" VisibleIndex="3">
                </dx:GridViewDataTextColumn>
            </Columns>
        </dx:ASPxGridView>
  
        <asp:ObjectDataSource ID="ObjectComentarioTecnico" runat="server" DataObjectTypeName="STP.EL.Dotacion.TecnicoComentario" SelectMethod="GetListTecnicoComentarioByConcursoPostulante" TypeName="Dotacion.TecnicoComentarioBusinessObject" UpdateMethod="SaveChanges">
            <SelectParameters>
                <asp:SessionParameter Name="idConcursoPostulante" SessionField="idConcursoPostulante" Type="Int32" />
                <asp:Parameter Name="foreignLevel" Type="Int32" />
            </SelectParameters>
        </asp:ObjectDataSource>
  
    <br />
    <table style="width:100%;border: 1px solid #DCDCDC;">
        <tr>
            <td style="padding:3px;width:25%;">Apellidos:</td>
            <td style="padding:3px;width:25%;">
                <dx:ASPxLabel ID="lblApellidos" runat="server">
                </dx:ASPxLabel></td>
            <td style="padding:3px;width:25%;"></td>
            <td style="padding:3px;width:25%;"></td>
        </tr>
        <tr>
            <td style="padding:3px;width:25%;">Correo electrónico:</td>
            <td style="padding:3px;width:25%;">
                <dx:ASPxLabel ID="lblEmail" runat="server" EncodeHtml="False">
                </dx:ASPxLabel>
            </td>
            <td style="padding:3px;width:25%;">Teléfonos:</td>
            <td style="padding:3px;width:25%;">
                <dx:ASPxLabel ID="lblTelefono1" runat="server">
                </dx:ASPxLabel><br />
                <dx:ASPxLabel ID="lblTelefono2" runat="server">
                </dx:ASPxLabel>
            </td>
        </tr>
<%--        <tr>
            <td style="padding:3px;width:25%;">&nbsp;</td>
            <td style="padding:3px;width:25%;">&nbsp;</td>
            <td style="padding:3px;width:25%;">&nbsp;</td>
            <td style="padding:3px;width:25%;">&nbsp;</td>
        </tr>--%>
    </table>
    <br />
    <div style="background-color:azure;"><h2>Formación del Postulante</h2>
    <dx:ASPxGridView ID="gridPostulanteEspecialidades" ClientInstanceName="gridPostulanteEspecialidades" runat="server" AutoGenerateColumns="False" DataSourceID="ObjectEspecialidades" Width="100%" KeyFieldName="idPostulanteEspecialidad">
        <ClientSideEvents EndCallback="function(s, e) {
if (s.cpUpdate) {
	delete s.cpUpdate;
gridConcursoPostulante.Refresh();
	gridPostulantes.Refresh();
}
}" />
        <SettingsPager Visible="False" Mode="ShowAllRecords">
        </SettingsPager>
        <SettingsEditing Mode="Batch">
        </SettingsEditing>
        <SettingsBehavior AllowDragDrop="False" AllowGroup="False" AllowSort="False" />
        <SettingsCommandButton>
<ShowAdaptiveDetailButton ButtonType="Image"></ShowAdaptiveDetailButton>

<HideAdaptiveDetailButton ButtonType="Image"></HideAdaptiveDetailButton>

            <UpdateButton ButtonType="Link" Text="Guardar observación de documento">
                <Image Url="~/Content/Images/Save_16x16.png">
                </Image>
            </UpdateButton>
            <CancelButton Text="Cancelar">
            </CancelButton>
        </SettingsCommandButton>
        <SettingsDataSecurity AllowDelete="False" AllowInsert="False" />
        <SettingsText Title="Formación:" />
        <Columns>
            <dx:GridViewDataTextColumn FieldName="ESP_NOMBRE" ShowInCustomizationForm="True" VisibleIndex="1" Caption="Especialidad" ReadOnly="True">
                <EditFormSettings Visible="False" />
            </dx:GridViewDataTextColumn>
            <dx:GridViewDataTextColumn FieldName="insNombre" ShowInCustomizationForm="True" VisibleIndex="3" Caption="Institución" ReadOnly="True">
                <EditFormSettings Visible="False" />
            </dx:GridViewDataTextColumn>
            <dx:GridViewDataTextColumn FieldName="inicioAnio" ShowInCustomizationForm="True" VisibleIndex="10" Caption="Inicio" ReadOnly="True">
                <EditFormSettings Visible="False" />
                <DataItemTemplate>
                    <dx:ASPxLabel ID="ASPxLabel1" runat="server" Text='<%# String.Format("{0}/{1}", Eval("inicioMes"), Eval("inicioAnio"))%>'>
                    </dx:ASPxLabel>
                </DataItemTemplate>
            </dx:GridViewDataTextColumn>
            <dx:GridViewDataTextColumn FieldName="finAnio" ShowInCustomizationForm="True" VisibleIndex="14" Caption="Fin" ReadOnly="True" SortIndex="0" SortOrder="Descending">
                <EditFormSettings Visible="False" />
                <DataItemTemplate>
                    <dx:ASPxLabel ID="ASPxLabel2" runat="server" Text='<%# String.Format("{0}/{1}", Eval("finMes"), Eval("finAnio"))%>'>
                    </dx:ASPxLabel>
                </DataItemTemplate>
            </dx:GridViewDataTextColumn>
            <dx:GridViewDataTextColumn FieldName="certificado" ShowInCustomizationForm="True" VisibleIndex="16" ReadOnly="True">
                <EditFormSettings Visible="False" />
                <DataItemTemplate>
                    <dx:ASPxHyperLink ID="ASPxHyperLink1" runat="server" ImageUrl="~/Content/Images/ExportToPDF_16x16.png" ToolTip='<%# Eval("certificado")%>' NavigateUrl='<%# "~/Archivos/Especialidad/" & Eval("certificado")%>' Target="_blank" />
                </DataItemTemplate>
            </dx:GridViewDataTextColumn>
            <dx:GridViewDataComboBoxColumn Caption="Grado" FieldName="GRA_CODIGO" ShowInCustomizationForm="True" VisibleIndex="2" ReadOnly="True">
                <PropertiesComboBox DataSourceID="SqlPostulanteGrado" TextField="GRA_NOMBRE" ValueField="GRA_CODIGO">
                </PropertiesComboBox>
                <EditFormSettings Visible="False" />
            </dx:GridViewDataComboBoxColumn>
            <dx:GridViewDataComboBoxColumn Caption="País" FieldName="idPais" ShowInCustomizationForm="True" VisibleIndex="9" ReadOnly="True">
                <PropertiesComboBox DataSourceID="SqlPais" TextField="nombre" ValueField="codigo" ValueType="System.Int32">
                </PropertiesComboBox>
                <EditFormSettings Visible="False" />
            </dx:GridViewDataComboBoxColumn>
            <dx:GridViewDataCheckColumn Caption="Falso?" FieldName="falso" ShowInCustomizationForm="True" VisibleIndex="17">
                <PropertiesCheckEdit>
                    <DisplayImageChecked Height="16px" Url="~/Content/Images/Cancel_16x16.png" Width="16px">
                    </DisplayImageChecked>
                </PropertiesCheckEdit>
                <HeaderStyle BackColor="#0066FF" ForeColor="White" />
            </dx:GridViewDataCheckColumn>
            <dx:GridViewDataTextColumn FieldName="idPostulanteEspecialidad" ShowInCustomizationForm="True" Visible="False" VisibleIndex="18">
            </dx:GridViewDataTextColumn>
            <dx:GridViewDataTextColumn FieldName="idConcursoPostulante" ShowInCustomizationForm="True" Visible="False" VisibleIndex="19">
            </dx:GridViewDataTextColumn>
        </Columns>
        <Styles>
            <Table BackColor="Azure">
            </Table>
            <Header Wrap="True">
            </Header>
            <CommandColumn BackColor="Azure">
            </CommandColumn>
        </Styles>
    </dx:ASPxGridView>
    <asp:ObjectDataSource ID="ObjectEspecialidades" runat="server" SelectMethod="GetListPostulanteEspecialidadByConcursoPostulante" TypeName="Dotacion.PostulanteEspecialidadBusinessObject" DataObjectTypeName="STP.EL.Dotacion.PostulanteEspecialidad" UpdateMethod="SaveChanges">
        <SelectParameters>
            <asp:SessionParameter Name="idConcursoPostulante" SessionField="idConcursoPostulante" Type="Int32" />
            <asp:Parameter Name="foreignLevel" Type="Int32" />
        </SelectParameters>
    </asp:ObjectDataSource>
            <asp:SqlDataSource ID="SqlPostulanteGrado" runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="SELECT [GRA_CODIGO], [GRA_NOMBRE] FROM [ViewGrado]"></asp:SqlDataSource>
    <asp:SqlDataSource ID="SqlPais" runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="SELECT * FROM SEGURIDAD.dbo.[STP_Pais]"></asp:SqlDataSource>
    <br />    
    <dx:ASPxGridView ID="gridPostulanteIdioma" runat="server" AutoGenerateColumns="False" DataSourceID="ObjectPostulanteIdioma" KeyFieldName="idPostulanteIdioma" Width="100%">
        <SettingsPager Mode="ShowAllRecords" Visible="False">
        </SettingsPager>
        <SettingsBehavior AllowDragDrop="False" AllowGroup="False" AllowSort="False" />

<SettingsCommandButton>
<ShowAdaptiveDetailButton ButtonType="Image"></ShowAdaptiveDetailButton>

<HideAdaptiveDetailButton ButtonType="Image"></HideAdaptiveDetailButton>
</SettingsCommandButton>

        <SettingsDataSecurity AllowDelete="False" AllowEdit="False" AllowInsert="False" />
        <SettingsText Title="Idiomas:" />
        <Columns>
            <dx:GridViewDataTextColumn Caption="Idioma" FieldName="IDI_NOMBRE" ShowInCustomizationForm="True" VisibleIndex="1" Width="35%">
            </dx:GridViewDataTextColumn>
            <dx:GridViewDataComboBoxColumn Caption="Lee" FieldName="IDI_Lee" ShowInCustomizationForm="True" VisibleIndex="5" Width="15%">
                <PropertiesComboBox DataSourceID="SqlCatalogoIdioma" TextField="nombreExperiencia" ValueField="idExperiencia" ValueType="System.Int32">
                </PropertiesComboBox>
            </dx:GridViewDataComboBoxColumn>
            <dx:GridViewDataComboBoxColumn Caption="Escribe" FieldName="IDI_Escribe" ShowInCustomizationForm="True" VisibleIndex="9" Width="15%">
                                <PropertiesComboBox DataSourceID="SqlCatalogoIdioma" TextField="nombreExperiencia" ValueField="idExperiencia" ValueType="System.Int32">
                </PropertiesComboBox>
            </dx:GridViewDataComboBoxColumn>
            <dx:GridViewDataComboBoxColumn Caption="Habla" FieldName="IDI_Habla" ShowInCustomizationForm="True" VisibleIndex="7" Width="15%">
                                <PropertiesComboBox DataSourceID="SqlCatalogoIdioma" TextField="nombreExperiencia" ValueField="idExperiencia" ValueType="System.Int32">
                </PropertiesComboBox>
            </dx:GridViewDataComboBoxColumn>
            <dx:GridViewDataTextColumn Caption="Calidad" FieldName="calidad" ShowInCustomizationForm="True" UnboundType="Integer" VisibleIndex="10" Width="20%">
                <DataItemTemplate>
                    <dx:ASPxRatingControl ID="ASPxRatingControl1" runat="server" ItemCount="6" ItemHeight="6" ItemWidth="6" ReadOnly="True" Value='<%# Eval("calidad") %>'>
                    </dx:ASPxRatingControl>
                </DataItemTemplate>
                <HeaderStyle BackColor="#0066FF" ForeColor="White" />
            </dx:GridViewDataTextColumn>
        </Columns>
        <Styles>
            <Table BackColor="Azure">
            </Table>
            <TitlePanel HorizontalAlign="Left">
            </TitlePanel>
        </Styles>
    </dx:ASPxGridView>
    <asp:ObjectDataSource ID="ObjectPostulanteIdioma" runat="server" SelectMethod="GetListPostulanteIdiomaByConcursoPostulante" TypeName="Dotacion.PostulanteIdiomaBusinessObject">
        <SelectParameters>
            <asp:SessionParameter Name="idConcursoPostulante" SessionField="idConcursoPostulante" Type="Int32" />
            <asp:Parameter Name="foreignLevel" Type="Int32" />
        </SelectParameters>
    </asp:ObjectDataSource>
    <asp:SqlDataSource ID="SqlCatalogoIdioma" runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="SELECT * FROM [USU_IdiomaExperiencia]"></asp:SqlDataSource>
         <dx:ASPxRadioButtonList ID="rbFormacion" runat="server" ValueType="System.Boolean" RepeatDirection="Horizontal" Caption="¿Esta de acuerdo con el nivel de formación para esta plaza?" ClientInstanceName="rbFormacion">
             <ClientSideEvents SelectedIndexChanged="function(s, e) {
if(rbExperiencia.GetValue() == false || rbConocimiento.GetValue() == false || rbFormacion.GetValue() == false ){
txtComentario.SetVisible(true);
}
else{
txtComentario.SetVisible(false);
            }
}" />
        <Items>
            <dx:ListEditItem Text="No" Value="False" />
            <dx:ListEditItem Text="Sí" Value="True" />
        </Items>
        <ValidationSettings CausesValidation="True" ErrorDisplayMode="ImageWithTooltip" SetFocusOnError="True" ValidationGroup="calificar">
            <RequiredField IsRequired="True" />
        </ValidationSettings>
    </dx:ASPxRadioButtonList>
        </div>
    <hr />
     <br />
      <h2>Conocimiento del Postulante</h2>

    <dx:ASPxGridView ID="gridPostulanteCapacitaciones" runat="server" AutoGenerateColumns="False" DataSourceID="ObjectPostulanteCapacitacion" KeyFieldName="idPostulanteCapacitacion" Width="100%">
        <SettingsPager Mode="ShowAllRecords" Visible="False">
        </SettingsPager>
        <Settings ShowTitlePanel="True" />
        <SettingsBehavior AllowDragDrop="False" AllowGroup="False" AllowSort="False" />

<SettingsCommandButton>
<ShowAdaptiveDetailButton ButtonType="Image"></ShowAdaptiveDetailButton>

<HideAdaptiveDetailButton ButtonType="Image"></HideAdaptiveDetailButton>
</SettingsCommandButton>

        <SettingsDataSecurity AllowDelete="False" AllowEdit="False" AllowInsert="False" />
        <SettingsText Title="Conocimientos:" />
        <Columns>
            <dx:GridViewDataTextColumn Caption="Título" FieldName="tituloCapacitacion" ShowInCustomizationForm="True" VisibleIndex="3">
            </dx:GridViewDataTextColumn>
            <dx:GridViewDataTextColumn Caption="Conocimientos aprendidos" FieldName="conocimientosCapacitacion" ShowInCustomizationForm="True" VisibleIndex="5">
            </dx:GridViewDataTextColumn>
            <dx:GridViewDataTextColumn Caption="Duración" FieldName="duracionCapacitacion" ShowInCustomizationForm="True" VisibleIndex="7">
            </dx:GridViewDataTextColumn>
            <dx:GridViewDataTextColumn Caption="Lugar" FieldName="lugarCapacitacion" ShowInCustomizationForm="True" VisibleIndex="9">
            </dx:GridViewDataTextColumn>
            <dx:GridViewDataTextColumn Caption="Instituto" FieldName="institucionCapacitacion" ShowInCustomizationForm="True" VisibleIndex="11">
            </dx:GridViewDataTextColumn>
            <dx:GridViewDataTextColumn Caption="Año" FieldName="anio" ShowInCustomizationForm="True" VisibleIndex="13" SortIndex="0" SortOrder="Descending">
            </dx:GridViewDataTextColumn>
        </Columns>
        <Styles>
            <Header Wrap="True">
            </Header>
            <TitlePanel HorizontalAlign="Left">
            </TitlePanel>
        </Styles>
    </dx:ASPxGridView>
    <asp:ObjectDataSource ID="ObjectPostulanteCapacitacion" runat="server" SelectMethod="GetListPostulanteCapacitacionByConcursoPostulante" TypeName="Dotacion.PostulanteCapacitacionBusinessObject">
        <SelectParameters>
            <asp:SessionParameter Name="idConcursoPostulante" SessionField="idConcursoPostulante" Type="Int32" />
            <asp:Parameter Name="foreignLevel" Type="Int32" />
        </SelectParameters>
    </asp:ObjectDataSource>
    <br />
    <dx:ASPxGridView ID="gridPostulanteConocimiento" runat="server" AutoGenerateColumns="False" DataSourceID="SqlPostulanteConocimiento" KeyFieldName="idPostulanteConocimiento" Width="100%">
        <SettingsPager Mode="ShowAllRecords" Visible="False">
        </SettingsPager>
        <Settings ShowTitlePanel="True" ShowColumnHeaders="False" />
        <SettingsBehavior AllowDragDrop="False" AllowGroup="False" AllowSort="False" />

<SettingsCommandButton>
<ShowAdaptiveDetailButton ButtonType="Image"></ShowAdaptiveDetailButton>

<HideAdaptiveDetailButton ButtonType="Image"></HideAdaptiveDetailButton>
</SettingsCommandButton>

        <SettingsDataSecurity AllowDelete="False" AllowEdit="False" AllowInsert="False" />
        <SettingsText Title="Conocimientos adicionales:" />
        <Columns>
            <dx:GridViewDataTextColumn FieldName="idPostulanteConocimiento" ShowInCustomizationForm="True" VisibleIndex="0" ReadOnly="True" Visible="False">
                <EditFormSettings Visible="False" />
            </dx:GridViewDataTextColumn>
            <dx:GridViewDataTextColumn Caption="Conocimientos específicos" FieldName="nombreConocimiento" ShowInCustomizationForm="True" VisibleIndex="2">
            </dx:GridViewDataTextColumn>
        </Columns>
        <Styles>
            <Header Wrap="True">
            </Header>
            <TitlePanel HorizontalAlign="Left">
            </TitlePanel>
        </Styles>
    </dx:ASPxGridView>
        <asp:SqlDataSource ID="SqlPostulanteConocimiento" runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="SELECT * FROM [PostulanteConocimiento] WHERE ([idConcursoPostulante] = @idConcursoPostulante)">
            <SelectParameters>
                <asp:SessionParameter Name="idConcursoPostulante" SessionField="idConcursoPostulante" Type="Int32" />
            </SelectParameters>
        </asp:SqlDataSource>
     <dx:ASPxRadioButtonList ID="rbConocimiento" runat="server" ValueType="System.Boolean" RepeatDirection="Horizontal" Caption="¿Esta de acuerdo con el nivel de conocimiento para esta plaza?" ClientInstanceName="rbConocimiento">
         <ClientSideEvents SelectedIndexChanged="function(s, e) {
if(rbExperiencia.GetValue() == false || rbConocimiento.GetValue() == false || rbFormacion.GetValue() == false ){
txtComentario.SetVisible(true);
}
else{
txtComentario.SetVisible(false);
            }

}" />
        <Items>
            <dx:ListEditItem Text="No" Value="False" />
            <dx:ListEditItem Text="Sí" Value="True" />
        </Items>
        <ValidationSettings CausesValidation="True" ErrorDisplayMode="ImageWithTooltip" SetFocusOnError="True" ValidationGroup="calificar">
            <RequiredField IsRequired="True" />
        </ValidationSettings>
    </dx:ASPxRadioButtonList>
    <br />
    <hr />
        <div style="background-color:azure;">
            <br />
    <h2>Experiencia del Postulante</h2>
       
    <dx:ASPxGridView ID="gridPostulanteExperiencia" runat="server" AutoGenerateColumns="false" ClientInstanceName="gridPostulanteExperiencia" DataSourceID="SqlPostulanteExperiencia" Width="100%">
        <SettingsPager Mode="ShowAllRecords" Visible="False">
        </SettingsPager>
        <SettingsBehavior AllowDragDrop="False" AllowGroup="False" AllowSort="False" />

<SettingsCommandButton>
<ShowAdaptiveDetailButton ButtonType="Image"></ShowAdaptiveDetailButton>

<HideAdaptiveDetailButton ButtonType="Image"></HideAdaptiveDetailButton>
</SettingsCommandButton>

        <SettingsDataSecurity AllowDelete="False" AllowEdit="False" AllowInsert="False" />
        <SettingsText Title="Experiencia:" />
                <Columns>
                                            <dx:GridViewDataTextColumn FieldName="nombreInstitucion" ShowInCustomizationForm="True" VisibleIndex="1" Caption="Institución">
                                            </dx:GridViewDataTextColumn>
                                            <dx:GridViewDataTextColumn FieldName="descripcionPuesto" ShowInCustomizationForm="True" VisibleIndex="4" Caption="Descripción">
                                            </dx:GridViewDataTextColumn>
                                            <dx:GridViewDataTextColumn FieldName="nombrePuesto" ShowInCustomizationForm="True" VisibleIndex="0" Caption="Cargo">
                                            </dx:GridViewDataTextColumn>
                                        <dx:GridViewDataTextColumn FieldName="inicioAnio" ShowInCustomizationForm="True" VisibleIndex="5" Visible="true" Caption="Inicio">
                                            <DataItemTemplate>
                                                <dx:ASPxLabel ID="ASPxLabel1" runat="server" Text='<%# String.Format("{0}/{1}", Eval("inicioMes"), Eval("inicioAnio"))%>'>
                                                </dx:ASPxLabel>
                                            </DataItemTemplate>
                                            </dx:GridViewDataTextColumn>
                                            <dx:GridViewDataTextColumn FieldName="finAnio" ShowInCustomizationForm="True" VisibleIndex="6" Caption="Fin">
                                                <DataItemTemplate>
                                                    <dx:ASPxLabel ID="lblfechafin" runat="server" Text='<%# String.Format("{0}/{1}", Eval("finMes"), Eval("finAnio"))%>'>
                                                    </dx:ASPxLabel>
                                                    <dx:ASPxLabel ID="lblactual" runat="server" Text="Actual" Visible="false">
                                                    </dx:ASPxLabel>
                                                </DataItemTemplate>
                                            </dx:GridViewDataTextColumn>
                                            <dx:GridViewDataTextColumn Caption="Tiempo" FieldName="tiempo" ShowInCustomizationForm="True" UnboundType="String" VisibleIndex="7">
                                                <HeaderStyle BackColor="#0066FF" ForeColor="White" />
                                        </dx:GridViewDataTextColumn>
                                        <dx:GridViewDataComboBoxColumn Caption="País" FieldName="idPais" ShowInCustomizationForm="True" VisibleIndex="3">
                                                            <PropertiesComboBox DataSourceID="SqlPais" TextField="nombre" ValueField="codigo" ValueType="System.Int32">
                </PropertiesComboBox>
                                        </dx:GridViewDataComboBoxColumn>
                                        <dx:GridViewDataComboBoxColumn Caption="Sector" FieldName="idSector" ShowInCustomizationForm="True" VisibleIndex="2">
                                                            <PropertiesComboBox DataSourceID="SqlSector" TextField="nombreSector" ValueField="idSector" ValueType="System.Int32">
                </PropertiesComboBox>
                                        </dx:GridViewDataComboBoxColumn>
        </Columns>
        <Styles>
            <Table BackColor="Azure">
            </Table>
            <Header Wrap="True">
            </Header>
            <TitlePanel HorizontalAlign="Left">
            </TitlePanel>
        </Styles>
    </dx:ASPxGridView>
    <dx:ASPxRadioButtonList ID="rbExperiencia" runat="server" ValueType="System.Boolean" RepeatDirection="Horizontal" Caption="¿Esta de acuerdo con el nivel de experiencia para esta plaza?" ClientInstanceName="rbExperiencia">
        <ClientSideEvents SelectedIndexChanged="function(s, e) {
if(rbExperiencia.GetValue() == false || rbConocimiento.GetValue() == false || rbFormacion.GetValue() == false ){
txtComentario.SetVisible(true);
}
else{
txtComentario.SetVisible(false);
            }
}" />
        <Items>
            <dx:ListEditItem Text="No" Value="False" />
            <dx:ListEditItem Text="Sí" Value="True" />
        </Items>
        <ValidationSettings CausesValidation="True" ErrorDisplayMode="ImageWithTooltip" SetFocusOnError="True" ValidationGroup="calificar">
            <RequiredField IsRequired="True" />
        </ValidationSettings>
    </dx:ASPxRadioButtonList>
  
  </div>
   <%-- <asp:ObjectDataSource ID="ObjectPostulanteExperiencia" runat="server" SelectMethod="GetListPostulanteExperienciaByConcursoPostulante" TypeName="Dotacion.PostulanteExperienciaBusinessObject">
        <SelectParameters>
            <asp:SessionParameter Name="idConcursoPostulante" SessionField="idConcursoPostulante" Type="Int32" />
            <asp:Parameter Name="foreignLevel" Type="Int32" />
        </SelectParameters>
    </asp:ObjectDataSource>--%>
    <asp:SqlDataSource runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="SELECT idPais, nombreInstitucion, descripcionPuesto, idSector, nombrePuesto, inicioMes, inicioAnio, finMes, finAnio, activo FROM PostulanteExperiencia WHERE (idConcursoPostulante = @idConcursoPostulante) ORDER BY finAnio DESC, finMes DESC" ID="SqlPostulanteExperiencia">
        <SelectParameters>
            <asp:SessionParameter Name="idConcursoPostulante" SessionField="idConcursoPostulante" Type="Int32" />
        </SelectParameters>
</asp:SqlDataSource>
    <asp:SqlDataSource ID="SqlSector" runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="SELECT * FROM [STP_Sector]"></asp:SqlDataSource>

            </dx:PanelContent>
                </PanelCollection>
    </dx:ASPxCallbackPanel>
        </td>
        <td style="width:18%;vertical-align:top;padding:3px;background-color: lightgray;">


            <dx:ASPxGridView ID="gridGrado" runat="server" AutoGenerateColumns="False" ClientInstanceName="gridGrado" DataSourceID="SqlGrado" Width="100%" Theme="Aqua">
             <SettingsPager Visible="False">
             </SettingsPager>
                                                        <Settings GridLines="Horizontal" ShowColumnHeaders="False" />
                                                        <SettingsBehavior AllowDragDrop="False" AllowSort="False" />
                                                        <SettingsDataSecurity AllowDelete="False" AllowEdit="False" AllowInsert="False" />
                                                        <SettingsText EmptyDataRow="No existen grados academicos asociados." />
                                                        <Columns>
                                                            <dx:GridViewDataTextColumn FieldName="GRA_NOMBRE" ShowInCustomizationForm="True" VisibleIndex="0" Width="70%">
                                                            </dx:GridViewDataTextColumn>
                                                            <dx:GridViewDataTextColumn FieldName="REQ_NOMBRE" ShowInCustomizationForm="True" VisibleIndex="1" Width="30%">
                                                                <CellStyle HorizontalAlign="Right">
                                                                </CellStyle>
                                                            </dx:GridViewDataTextColumn>
                                                        </Columns>
                                                        <Styles>
                                                            <EmptyDataRow BackColor="White" HorizontalAlign="Left">
                                                            </EmptyDataRow>
                                                        </Styles>
                                                    </dx:ASPxGridView>
                                                    <asp:SqlDataSource ID="SqlGrado" runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="SELECT GRA_NOMBRE, REQ_NOMBRE FROM GOES_Grado WHERE (idPlaza = @idPlaza)">
                                                        <SelectParameters>
                                                            <asp:SessionParameter Name="idPlaza" SessionField="plaza" Type="Int32" />
                                                        </SelectParameters>
                                                    </asp:SqlDataSource>

    <dx:ASPxGridView ID="gridEspecialidad" runat="server" AutoGenerateColumns="False" ClientInstanceName="gridEspecialidad" DataSourceID="SqlEspecialidades" Width="100%" Theme="Aqua">
    <SettingsPager Visible="False">
    </SettingsPager>
                                                        <Settings GridLines="Horizontal" ShowColumnHeaders="False" />
                                                        <SettingsBehavior AllowDragDrop="False" AllowSort="False" />
                                                        <SettingsDataSecurity AllowDelete="False" AllowEdit="False" AllowInsert="False" />
                                                        <SettingsText EmptyDataRow="No existen especialidades asociadas" />
                                                        <Columns>
                                                            <dx:GridViewDataTextColumn FieldName="ESP_NOMBRE" ShowInCustomizationForm="True" VisibleIndex="0" Width="70%">
                                                            </dx:GridViewDataTextColumn>
                                                            <dx:GridViewDataTextColumn FieldName="REQ_NOMBRE" ShowInCustomizationForm="True" VisibleIndex="1" Width="30%">
                                                                <CellStyle HorizontalAlign="Right">
                                                                </CellStyle>
                                                            </dx:GridViewDataTextColumn>
                                                        </Columns>
                                                        <Styles>
                                                            <EmptyDataRow BackColor="White" HorizontalAlign="Left">
                                                            </EmptyDataRow>
                                                        </Styles>
                                                    </dx:ASPxGridView>
                                                    <asp:SqlDataSource ID="SqlEspecialidades" runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="SELECT  ESP_NOMBRE, REQ_NOMBRE FROM GOES_Especialidad WHERE (idPlaza = @idPlaza) ORDER BY idCorrelativo">
                                                        <SelectParameters>
                                                            <asp:SessionParameter Name="idPlaza" SessionField="plaza" Type="Int32" />
                                                        </SelectParameters>
                                                    </asp:SqlDataSource>

        <dx:ASPxGridView ID="gridCompTecnicas" runat="server" AutoGenerateColumns="False" ClientInstanceName="gridCompTecnicas" DataSourceID="SqlCompTecnicas" Width="100%" style="margin-right: 0px" Theme="Aqua">
                                                        <SettingsPager Visible="False">
                                                        </SettingsPager>
                                                        <Settings GridLines="Horizontal" ShowColumnHeaders="False" />
                                                        <SettingsBehavior AllowDragDrop="False" AllowSort="False" />
                                                        <SettingsDataSecurity AllowDelete="False" AllowEdit="False" AllowInsert="False" />
                                                        <SettingsText EmptyDataRow="No existen competencias técnicas asociadas." />
                                                        <Columns>
                                                            <dx:GridViewDataTextColumn FieldName="TEC_NOMBRE" ShowInCustomizationForm="True" VisibleIndex="0" Width="70%">
                                                            </dx:GridViewDataTextColumn>
                                                            <dx:GridViewDataTextColumn FieldName="REQ_NOMBRE" ShowInCustomizationForm="True" VisibleIndex="1" Width="30%">
                                                                <CellStyle HorizontalAlign="Right">
                                                                </CellStyle>
                                                            </dx:GridViewDataTextColumn>
                                                        </Columns>
                                                        <Styles>
                                                            <EmptyDataRow BackColor="White" HorizontalAlign="Left">
                                                            </EmptyDataRow>
                                                        </Styles>
                                                    </dx:ASPxGridView>
                                                    <asp:SqlDataSource ID="SqlCompTecnicas" runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="SELECT [TEC_NOMBRE], [REQ_NOMBRE] FROM [GOES_CompTecnica] WHERE ([idPlaza] = @idPlaza)">
                                                        <SelectParameters>
                                                            <asp:SessionParameter Name="idPlaza" SessionField="plaza" Type="Int32" />
                                                        </SelectParameters>
                                                    </asp:SqlDataSource>

            <dx:ASPxGridView ID="gridIdioma" runat="server" AutoGenerateColumns="False" ClientInstanceName="gridIdioma" DataSourceID="SqlIdioma" Width="100%" Theme="Aqua">
                                                        <SettingsPager Visible="False">
                                                        </SettingsPager>
                                                        <Settings GridLines="Horizontal" ShowColumnHeaders="False" />
                                                        <SettingsBehavior AllowDragDrop="False" AllowSort="False" />
                                                        <SettingsDataSecurity AllowDelete="False" AllowEdit="False" AllowInsert="False" />
                                                        <SettingsText EmptyDataRow="No existen idiomas asociados." />
                                                        <Columns>
                                                            <dx:GridViewDataTextColumn FieldName="IDI_NOMBRE" ShowInCustomizationForm="True" VisibleIndex="0" Width="70%">
                                                            </dx:GridViewDataTextColumn>
                                                            <dx:GridViewDataTextColumn FieldName="REQ_NOMBRE" ShowInCustomizationForm="True" VisibleIndex="1" Width="30%">
                                                                <CellStyle HorizontalAlign="Right">
                                                                </CellStyle>
                                                            </dx:GridViewDataTextColumn>
                                                        </Columns>
                                                        <Styles>
                                                            <EmptyDataRow BackColor="White" HorizontalAlign="Left">
                                                            </EmptyDataRow>
                                                        </Styles>
                                                    </dx:ASPxGridView>
                                                    <asp:SqlDataSource ID="SqlIdioma" runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="SELECT IDI_NOMBRE, REQ_NOMBRE FROM GOES_Idioma WHERE (idPlaza = @idPlaza)">
                                                        <SelectParameters>
                                                            <asp:SessionParameter Name="idPlaza" SessionField="plaza" Type="Int32" />
                                                        </SelectParameters>
                                                    </asp:SqlDataSource>

             <dx:ASPxGridView ID="gridExperiencia" runat="server" AutoGenerateColumns="False" ClientInstanceName="gridExperiencia" DataSourceID="SqlExperiencia" Width="100%" Theme="Aqua">
                                                        <SettingsPager Visible="False">
                                                        </SettingsPager>
                                                        <Settings GridLines="Horizontal" ShowColumnHeaders="False" />
                                                        <SettingsBehavior AllowDragDrop="False" AllowSort="False" />
                                                        <SettingsDataSecurity AllowDelete="False" AllowEdit="False" AllowInsert="False" />
                                                        <SettingsText EmptyDataRow="No experiencia previa asociada." />
                                                        <Columns>
                                                            <dx:GridViewDataTextColumn FieldName="EXP_DESCRIPCION" ShowInCustomizationForm="True" VisibleIndex="0" Width="70%">
                                                            </dx:GridViewDataTextColumn>
                                                            <dx:GridViewDataTextColumn FieldName="EXP_NOMBRE" ShowInCustomizationForm="True" VisibleIndex="1" Width="30%">
                                                                <CellStyle HorizontalAlign="Right">
                                                                </CellStyle>
                                                            </dx:GridViewDataTextColumn>
                                                        </Columns>
                                                        <Styles>
                                                            <EmptyDataRow BackColor="White" HorizontalAlign="Left">
                                                            </EmptyDataRow>
                                                        </Styles>
                                                    </dx:ASPxGridView>
                                                    <asp:SqlDataSource ID="SqlExperiencia" runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="SELECT  EXP_DESCRIPCION, EXP_NOMBRE FROM GOES_Experiencia WHERE (idPlaza = @idPlaza)">
                                                        <SelectParameters>
                                                            <asp:SessionParameter Name="idPlaza" SessionField="plaza" Type="Int32" />
                                                        </SelectParameters>
                                                    </asp:SqlDataSource>
        </td>
    </tr>
</table>

