﻿<%@ Control Language="vb" AutoEventWireup="false" CodeBehind="ucHistorialConfiguracionEvaluacion.ascx.vb" Inherits="Dotacion.ucHistorialConfiguracionEvaluacion" %>
<dx:ASPxCallbackPanel ID="cbpConfiguracion" runat="server" Width="100%" ClientInstanceName="cbpConfiguracion"><PanelCollection>
<dx:PanelContent runat="server">

<dx:ASPxComboBox ID="cmbConcursoEvaluar" runat="server" AutoResizeWithContainer="True" Caption="Seleccione el concurso a evaluar" DataSourceID="SqlConcursoAEvaluar" NullText="[Concurso]" TextField="nombrePuesto" TextFormatString="{0}; {1}; {2}; {3}" ValueField="idPlaza" ValueType="System.Int32" Width="500px" EnableCallbackMode="True" CallbackPageSize="5" DropDownRows="5">
                        <ClientSideEvents SelectedIndexChanged="function(s, e) {
	cbpConfiguracion.PerformCallback(s.GetValue());
}" />
                        <Columns>
                            <dx:ListBoxColumn FieldName="Identificador" Caption="Concurso" />
                            <dx:ListBoxColumn FieldName="nombrePuesto" Caption="Puesto" />
                            <dx:ListBoxColumn FieldName="vacantes" Caption="Vacantes" />
                            <dx:ListBoxColumn FieldName="nombreMunicipio" Caption="Municipio" />
                        </Columns>
                        <ItemStyle Wrap="True" />
                        <ValidationSettings ValidationGroup="groupTabSeleccion" ErrorDisplayMode="ImageWithTooltip" SetFocusOnError="True">
                            <RequiredField ErrorText="Es necesario seleccionar el concurso" IsRequired="True" />
                        </ValidationSettings>
                    </dx:ASPxComboBox>
                    <asp:SqlDataSource ID="SqlConcursoAEvaluar" runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="SELECT Plaza.idPlaza, Plaza.nombrePuesto, STP_Municipio.nombreMunicipio, Plaza.Identificador, Plaza.vacantes FROM Plaza LEFT OUTER JOIN STP_Municipio ON Plaza.idMunicipio = STP_Municipio.idMunicipio WHERE (Plaza.idEstadoPlaza = 4 OR Plaza.idEstadoPlaza = 6) AND (Plaza.idInstitucion = @idIns) ORDER BY Plaza.fechaModificacion DESC">
                        <SelectParameters>
                            <asp:SessionParameter DefaultValue="" Name="idIns" SessionField="idIns" />
                        </SelectParameters>
                    </asp:SqlDataSource>
    <br />
     <script type="text/javascript">
         var command = "";
         function OnBeginCallback(s, e) {
             s.isError = false;
             command = e.command;
         }

         function OnEndCallback(s, e) {
             if ((command == "ADDNEWROW" || command == "UPDATEEDIT" || command == "DELETEROW") && !s.isError) {
                 gridEvaluacion.Refresh();
             }
         }
         function OnCallbackError(s, e) {
             s.isError = true;
         }
    </script>
    <p>
        Según la publicación del Concurso, el sistema ha configurado de esta manera, pero usted puede cambiar el puntaje según le parezca: 
    </p>
    <dx:ASPxGridView ID="gridEvaluacion" runat="server" DataSourceID="ObjectEvaluacion" AutoGenerateColumns="False" ClientInstanceName="gridEvaluacion" EnableTheming="True" KeyFieldName="idConfiguracionEvaluacion" Theme="Aqua">
        <SettingsDetail ShowDetailRow="True" ShowDetailButtons="False" />
        <Templates>
            <DetailRow>
                <dx:ASPxGridView ID="gridCalificaciones" runat="server" AutoGenerateColumns="False" ClientInstanceName="gridCalificaciones" DataSourceID="ObjectCalificaciones" EnableTheming="True" KeyFieldName="idConfiguracionCalificacion" OnBeforePerformDataSelect="gridCalificaciones_BeforePerformDataSelect" OnDataBound="gridCalificaciones_DataBound" OnHtmlFooterCellPrepared="gridCalificaciones_HtmlFooterCellPrepared" Theme="Office2003Blue" >
                    <ClientSideEvents BeginCallback="OnBeginCallback" CallbackError="OnCallbackError" EndCallback="OnEndCallback" />
                    <SettingsPager Mode="ShowAllRecords" Visible="False">
                    </SettingsPager>
                    <Settings ShowFooter="True" />
                    <SettingsBehavior AllowDragDrop="False" AllowGroup="False" AllowSort="False" />
                    <SettingsDataSecurity AllowDelete="False" AllowEdit="False" AllowInsert="False" />
                    <Columns>
                        <dx:GridViewCommandColumn VisibleIndex="5">
                        </dx:GridViewCommandColumn>
                        <dx:GridViewDataTextColumn FieldName="idConfiguracionCalificacion" Visible="False" VisibleIndex="0">
                        </dx:GridViewDataTextColumn>
                        <dx:GridViewDataTextColumn FieldName="idConfiguracionEvaluacion" Visible="False" VisibleIndex="1">
                        </dx:GridViewDataTextColumn>
                        <dx:GridViewDataTextColumn Caption="Nombre de la evaluación" FieldName="nombreEvaluacion" VisibleIndex="2">
                            <PropertiesTextEdit MaxLength="100"><ValidationSettings CausesValidation="True" SetFocusOnError="True" ValidationGroup="calificacion"><RequiredField IsRequired="True" /></ValidationSettings></PropertiesTextEdit>
                        </dx:GridViewDataTextColumn>
                        <dx:GridViewDataSpinEditColumn Caption="Peso" FieldName="peso" VisibleIndex="4">
                            <PropertiesSpinEdit DisplayFormatString="{0}%" MaxValue="100" MaxLength="3" MinValue="1" NumberFormat="Percent"><ValidationSettings CausesValidation="True" ValidationGroup="calificacion"><RequiredField IsRequired="True" /></ValidationSettings></PropertiesSpinEdit>
                        </dx:GridViewDataSpinEditColumn>
                    </Columns>
                    <TotalSummary>
                        <dx:ASPxSummaryItem DisplayFormat="Total: {0}%" FieldName="peso" SummaryType="Sum" />
                    </TotalSummary>
                </dx:ASPxGridView>
            </DetailRow>
        </Templates>
        <SettingsPager Mode="ShowAllRecords">
        </SettingsPager>
        <SettingsEditing Mode="Inline">
        </SettingsEditing>
        <Settings ShowFooter="True" />
        <SettingsBehavior AllowDragDrop="False" AllowGroup="False" AllowSort="False" />
        <SettingsDataSecurity AllowInsert="False" AllowDelete="False" AllowEdit="False" />
        <EditFormLayoutProperties ColCount="2">
        </EditFormLayoutProperties>
        <Columns>
            <dx:GridViewCommandColumn ShowInCustomizationForm="True" VisibleIndex="7">
            </dx:GridViewCommandColumn>
            <dx:GridViewDataTextColumn FieldName="idConfiguracionEvaluacion" ShowInCustomizationForm="True" Visible="False" VisibleIndex="0">
            </dx:GridViewDataTextColumn>
            <dx:GridViewDataComboBoxColumn Caption="Factor" FieldName="idFactor" ReadOnly="True" ShowInCustomizationForm="True" VisibleIndex="1">
                <PropertiesComboBox DataSourceID="SqlFactor" TextField="nombreFactor" ValueField="idFactor" ValueType="System.Int32" AllowMouseWheel="False">
                    <DropDownButton Visible="False">
                    </DropDownButton>
                </PropertiesComboBox>
                <EditFormSettings Visible="False" />
            </dx:GridViewDataComboBoxColumn>
            <dx:GridViewDataSpinEditColumn Caption="Número de calificaciones" FieldName="numeroCalificaciones" ShowInCustomizationForm="True" VisibleIndex="5" ReadOnly="True">
                <PropertiesSpinEdit DisplayFormatString="g" MaxValue="5" MinValue="1">
                </PropertiesSpinEdit>
                <EditFormSettings Visible="False" />
            </dx:GridViewDataSpinEditColumn>
            <dx:GridViewDataSpinEditColumn Caption="Puntaje Base 100 pts" FieldName="puntaje" ShowInCustomizationForm="True" VisibleIndex="4">
                <PropertiesSpinEdit DisplayFormatString="g" MaxValue="100" MinValue="1">
                </PropertiesSpinEdit>
                <CellStyle Font-Bold="True" ForeColor="#0066FF">
                </CellStyle>
            </dx:GridViewDataSpinEditColumn>
            <dx:GridViewDataTextColumn FieldName="porcentaje" ShowInCustomizationForm="True" VisibleIndex="6" ReadOnly="True" Visible="False">
                <EditFormSettings Visible="False" />
            </dx:GridViewDataTextColumn>
        </Columns>
        <TotalSummary>
            <dx:ASPxSummaryItem DisplayFormat="Total: {0}" FieldName="puntaje" SummaryType="Sum" />
            <dx:ASPxSummaryItem FieldName="porcentaje" SummaryType="Min" Visible="False" />
            <dx:ASPxSummaryItem FieldName="porcentaje" SummaryType="Max" Visible="False" />
        </TotalSummary>
        <Styles>
            <Footer Font-Bold="True">
            </Footer>
        </Styles>
    </dx:ASPxGridView>
    <asp:ObjectDataSource ID="ObjectEvaluacion" runat="server" TypeName="Dotacion.ConfiguracionEvaluacionBusinessObject" DataObjectTypeName="STP.EL.Dotacion.ConfiguracionEvaluacion" InsertMethod="SaveChanges" SelectMethod="GetListConfiguracionEvaluacionByPlaza" UpdateMethod="SaveChanges">
        <SelectParameters>
            <asp:ControlParameter ControlID="cmbConcursoEvaluar" Name="idPlaza" PropertyName="Value" Type="Int32" />
            <asp:Parameter Name="foreignLevel" Type="Int32" />
        </SelectParameters>
    </asp:ObjectDataSource>
    <asp:SqlDataSource ID="SqlFactor" runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="SELECT [idFactor], [nombreFactor] FROM [Factor]"></asp:SqlDataSource>
    <asp:ObjectDataSource ID="ObjectCalificaciones" runat="server" DataObjectTypeName="STP.EL.Dotacion.ConfiguracionCalificacion" DeleteMethod="Delete" InsertMethod="SaveChanges" SelectMethod="GetListConfiguracionCalificacionByConfiguracionEvaluacion" TypeName="Dotacion.ConfiguracionCalificacionBusinessObject" UpdateMethod="SaveChanges">
        <SelectParameters>
            <asp:SessionParameter Name="idConfiguracionEvaluacion" SessionField="idConfiguracionEvaluacion" Type="Int32" />
            <asp:Parameter Name="foreignLevel" Type="Int32" />
        </SelectParameters>
    </asp:ObjectDataSource>
    <br />
</dx:PanelContent>
</PanelCollection>
</dx:ASPxCallbackPanel>


