﻿<%@ Control Language="vb" AutoEventWireup="false" CodeBehind="ucListadoPuesto.ascx.vb" Inherits="Dotacion.ucListadoPuesto" %>
<h3 class="Center">Historial de Puestos Funcionales (No incorporados en SAPT)</h3>

<dx:ASPxButton ID="btnNuevo" runat="server" Text="Nuevo Puesto Funcional" AutoPostBack="False"  >
    <ClientSideEvents Click="function(s, e) {
		window.location = 'wfCrearPuesto.aspx?p=0';
}" />
    <Image Url="~/Content/Images/Add_16x16.png">
    </Image>
</dx:ASPxButton>

<div style="text-align:center;"><dx:ASPxLabel ID="lblInstitucion" runat="server" Text="" EncodeHtml="false"></dx:ASPxLabel></div>
<dx:ASPxGridView ID="gridPuestos" ClientInstanceName="gridPuestos" runat="server" AutoGenerateColumns="False" DataSourceID="SqlPuesto" KeyFieldName="COD_INSPTO" Width="100%" EnableTheming="True" Theme="DevEx">
  <ClientSideEvents CustomButtonClick="function(s, e) {
    var keyValue = s.GetRowKey(e.visibleIndex); 
    switch (e.buttonID){
 case 'btnEliminar': 
if(confirm('Esta seguro que desea borrar este puesto?'))  
    gridPuestos.DeleteRowByKey(keyValue);
break;
case 'btnEdit': 
    window.location = 'wfCrearPuesto.aspx?p=' + keyValue;
break;
case 'btnExport':
    window.open('wfReporteEmpleos.aspx?r=puesto&amp;p=' + keyValue,'_blank');

   }

}" />
    <Settings ShowFilterRow="True" ShowFilterRowMenu="True" />
    <SettingsDataSecurity AllowEdit="False" AllowInsert="False" />
    <SettingsText ConfirmDelete="Esta seguro que desea eliminar esta Puesto?" />
    <Columns>
        <dx:GridViewCommandColumn VisibleIndex="5" ButtonType="Image" ShowClearFilterButton="True" Caption="Acciones" Width="10%">
            <CustomButtons>
                <dx:GridViewCommandColumnCustomButton ID="btnEdit" Text="Modificar">
                    <Image Url="~/Content/Images/Edit_16x16.png">
                    </Image>
                </dx:GridViewCommandColumnCustomButton>
                <dx:GridViewCommandColumnCustomButton ID="btnEliminar" Text="Eliminar">
                    <Image Url="~/Content/Images/Remove_16x16.png">
                    </Image>
                </dx:GridViewCommandColumnCustomButton>
            </CustomButtons>
        </dx:GridViewCommandColumn>
        <dx:GridViewDataTextColumn FieldName="COD_INSPTO" ReadOnly="True" VisibleIndex="0" Caption="Identificador" Width="15%">
        </dx:GridViewDataTextColumn>
        <dx:GridViewDataTextColumn FieldName="ORG_NOMBRE" VisibleIndex="2" Caption="Unidad Organizativa" Width="25%">
        </dx:GridViewDataTextColumn>
        <dx:GridViewDataTextColumn FieldName="nombrePuesto" VisibleIndex="1" Caption="Puesto Funcional" Width="25%">
        </dx:GridViewDataTextColumn>
        <dx:GridViewDataDateColumn Caption="Creación" FieldName="fechaCreacion" VisibleIndex="4" SortIndex="0" SortOrder="Descending" Width="10%">
            <PropertiesDateEdit DisplayFormatString="dd/MM/yyyy hh:mm:ss">
            </PropertiesDateEdit>
            <SettingsHeaderFilter Mode="DateRangePicker">
                <DateRangeCalendarSettings FirstDayOfWeek="Monday" />
            </SettingsHeaderFilter>
        </dx:GridViewDataDateColumn>
        <dx:GridViewDataTextColumn Caption="Institución" FieldName="idInstitucion" VisibleIndex="3" Width="15%">
            <Settings AllowAutoFilter="False" AllowHeaderFilter="False" ShowFilterRowMenu="False" />
        </dx:GridViewDataTextColumn>
    </Columns>
    <Styles>
        <Header Wrap="True">
        </Header>
    </Styles>
</dx:ASPxGridView>
<asp:SqlDataSource ID="SqlPuesto" runat="server" ConnectionString="<%$ ConnectionStrings:cnn %>" SelectCommand="HistorialPuestosSAPT" DeleteCommand="delete from dSAPT_Puesto where cod_inspto=@cod_inspto" SelectCommandType="StoredProcedure">
    <DeleteParameters>
        <asp:Parameter Name="cod_inspto" />
    </DeleteParameters>
    <SelectParameters>
        <asp:SessionParameter Name="idIns" SessionField="idIns" Type="String" />
    </SelectParameters>
</asp:SqlDataSource>