﻿<%@ Control Language="vb" AutoEventWireup="false" CodeBehind="ucUsuCapacitaciones.ascx.vb" Inherits="Dotacion.ucUsuCapacitaciones" %>
<dx:ASPxGridView ID="gridUsuCapacitacion" runat="server" AutoGenerateColumns="False" ClientInstanceName="gridUsuCapacitacion" CssClass="CenteredGrid" DataSourceID="ObjectUsuCapacitaciones" KeyFieldName="idCapacitacion" AccessibilityCompliant="True" Width="100%">
<SettingsAdaptivity AdaptivityMode="HideDataCells">
<AdaptiveDetailLayoutProperties ColCount="1"></AdaptiveDetailLayoutProperties>
</SettingsAdaptivity>

    <SettingsPager Mode="ShowAllRecords" Visible="False">
    </SettingsPager>
    <Settings ShowFooter="True" ShowTitlePanel="True" />
    <SettingsBehavior AllowSort="False" />
    <SettingsCommandButton>
        <NewButton ButtonType="Button" Text="Agregar Capacitación">
            <Image Url="~/Content/Images/Add_16x16.png">
            </Image>
        </NewButton>
        <UpdateButton ButtonType="Button" Text="Guardar">
            <Image IconID="save_save_16x16">
            </Image>
        </UpdateButton>
        <CancelButton ButtonType="Link" RenderMode="Link">
        </CancelButton>
        <EditButton>
            <Image AlternateText="Editar" IconID="edit_edit_16x16" ToolTip="Modificar capacitación">
            </Image>
        </EditButton>
        <DeleteButton>
            <Image AlternateText="Eliminar" IconID="edit_delete_16x16" ToolTip="Quitar capacitación">
            </Image>
        </DeleteButton>
    </SettingsCommandButton>
    <SettingsText Title="Favor agregar capacitaciones o diplomados recibidos:" EmptyDataRow="[No ha ingresado capacitaciones aún]" />
    <EditFormLayoutProperties ColCount="2">
        <Items>
            <dx:GridViewColumnLayoutItem ColSpan="2" ColumnName="tituloCapacitacion" Width="100%">
            </dx:GridViewColumnLayoutItem>
            <dx:GridViewColumnLayoutItem ColSpan="2" ColumnName="conocimientosCapacitacion" Width="100%">
            </dx:GridViewColumnLayoutItem>
            <dx:GridViewColumnLayoutItem ColumnName="institucionCapacitacion">
            </dx:GridViewColumnLayoutItem>
            <dx:GridViewColumnLayoutItem ColumnName="duracionCapacitacion">
            </dx:GridViewColumnLayoutItem>
            <dx:GridViewColumnLayoutItem ColumnName="lugarCapacitacion">
            </dx:GridViewColumnLayoutItem>
            <dx:GridViewColumnLayoutItem ColumnName="anio">
            </dx:GridViewColumnLayoutItem>
            <dx:EditModeCommandLayoutItem ColSpan="2" HorizontalAlign="Center" Width="100%">
            </dx:EditModeCommandLayoutItem>
        </Items>
        <SettingsAdaptivity AdaptivityMode="SingleColumnWindowLimit" SwitchToSingleColumnAtWindowInnerWidth="1100">
        </SettingsAdaptivity>
    </EditFormLayoutProperties>
    <Columns>
        <dx:GridViewCommandColumn ShowDeleteButton="True" ShowEditButton="True" VisibleIndex="0" Caption=" " ButtonRenderMode="Image" ButtonType="Image">
        </dx:GridViewCommandColumn>
        <dx:GridViewDataTextColumn FieldName="idCapacitacion" Visible="False" VisibleIndex="1">
        </dx:GridViewDataTextColumn>
        <dx:GridViewDataTextColumn FieldName="idUsuario" Visible="False" VisibleIndex="2">
        </dx:GridViewDataTextColumn>
        <dx:GridViewDataTextColumn Caption="Título" FieldName="tituloCapacitacion" VisibleIndex="3" SortIndex="1" SortOrder="Ascending">
            <PropertiesTextEdit>
                <ValidationSettings CausesValidation="True" SetFocusOnError="True" ValidationGroup="capacitacion">
                    <RequiredField IsRequired="True" />
                </ValidationSettings>
            </PropertiesTextEdit>
            <CellStyle Font-Bold="True">
            </CellStyle>
        </dx:GridViewDataTextColumn>
        <dx:GridViewDataTextColumn Caption="Duración" FieldName="duracionCapacitacion" VisibleIndex="6">
            <PropertiesTextEdit>
                <ValidationSettings CausesValidation="True" SetFocusOnError="True" ValidationGroup="capacitacion">
                    <RequiredField IsRequired="True" />
                </ValidationSettings>
            </PropertiesTextEdit>
        </dx:GridViewDataTextColumn>
        <dx:GridViewDataTextColumn Caption="Lugar" FieldName="lugarCapacitacion" VisibleIndex="7">
            <PropertiesTextEdit>
                <ValidationSettings CausesValidation="True" SetFocusOnError="True" ValidationGroup="capacitacion">
                    <RequiredField IsRequired="True" />
                </ValidationSettings>
            </PropertiesTextEdit>
        </dx:GridViewDataTextColumn>
        <dx:GridViewDataTextColumn Caption="Institución" FieldName="institucionCapacitacion" VisibleIndex="4">
            <PropertiesTextEdit>
                <ValidationSettings CausesValidation="True" SetFocusOnError="True" ValidationGroup="capacitacion">
                    <RequiredField IsRequired="True" />
                </ValidationSettings>
            </PropertiesTextEdit>
        </dx:GridViewDataTextColumn>
        <dx:GridViewDataSpinEditColumn Caption="Año" FieldName="anio" VisibleIndex="8" SortIndex="0" SortOrder="Descending">
            <PropertiesSpinEdit DisplayFormatString="g" NumberType="Integer" Width="120px">
                <ValidationSettings CausesValidation="True" SetFocusOnError="True" ValidationGroup="capacitacion">
                    <RequiredField IsRequired="True" />
                </ValidationSettings>
            </PropertiesSpinEdit>
        </dx:GridViewDataSpinEditColumn>
        <dx:GridViewDataMemoColumn Caption="Competencias técnicas adquiridas" FieldName="conocimientosCapacitacion" VisibleIndex="5">
            <PropertiesMemoEdit HelpText="Explique un poco sus conocimientos adquiridos, max 500 carácteres." MaxLength="500" Rows="4">
                <ValidationSettings CausesValidation="True" SetFocusOnError="True" ValidationGroup="capacitacion">
                    <RequiredField IsRequired="True" />
                </ValidationSettings>
            </PropertiesMemoEdit>
        </dx:GridViewDataMemoColumn>
    </Columns>
    <Toolbars>
        <dx:GridViewToolbar>
            <Items>
                <dx:GridViewToolbarItem Command="New" Text="Agregar capacitación" ToolTip="Agregar una capacitación o diploma a su perfil">
                    <Image IconID="actions_add_16x16">
                    </Image>
                </dx:GridViewToolbarItem>
            </Items>
        </dx:GridViewToolbar>
    </Toolbars>
    <TotalSummary>
        <dx:ASPxSummaryItem DisplayFormat="Total: {0}" FieldName="tituloCapacitacion" SummaryType="Count" ShowInColumn="Año" />
    </TotalSummary>
    <Styles>
        <Header Wrap="True">
        </Header>
        <EmptyDataRow ForeColor="Red">
        </EmptyDataRow>
        <TitlePanel HorizontalAlign="Left">
        </TitlePanel>
    </Styles>
            <StylesToolbar>
        <Style HorizontalAlign="Left">
            <Paddings Padding="1px" />
        </Style>
        <Item BackColor="#125685" ForeColor="White">
        </Item>
    </StylesToolbar>
</dx:ASPxGridView>

<asp:ObjectDataSource ID="ObjectUsuCapacitaciones" runat="server" DataObjectTypeName="STP.EL.Dotacion.USU_Capacitaciones" DeleteMethod="Delete" InsertMethod="SaveChanges" SelectMethod="GetListUSU_CapacitacionesBySEG_Usuarios" TypeName="Dotacion.USU_CapacitacionesBusinessObject" UpdateMethod="SaveChanges">
    <SelectParameters>
        <asp:Parameter Name="idUsuario" Type="Int32" />
        <asp:Parameter Name="foreignLevel" Type="Int32" />
    </SelectParameters>
</asp:ObjectDataSource>
<br />
<br />
<dx:ASPxGridView ID="gridUsuConocimientos" runat="server" AutoGenerateColumns="False" ClientInstanceName="gridUsuConocimientos" CssClass="CenteredGrid" DataSourceID="ObjectUsuConocimiento" KeyFieldName="idConocimiento" AccessibilityCompliant="True" Width="100%">
<SettingsAdaptivity AdaptivityMode="HideDataCells">
<AdaptiveDetailLayoutProperties ColCount="1"></AdaptiveDetailLayoutProperties>
</SettingsAdaptivity>

    <SettingsPager Mode="ShowAllRecords" Visible="False">
    </SettingsPager>
    <Settings ShowFooter="True" ShowTitlePanel="True" />
    <SettingsBehavior AllowSort="False" />
    <SettingsCommandButton>
        <NewButton ButtonType="Button" Text="Agregar Conocimiento">
            <Image IconID="actions_add_16x16">
            </Image>
        </NewButton>
        <UpdateButton ButtonType="Button" Text="Guardar">
            <Image IconID="save_save_16x16">
            </Image>
        </UpdateButton>
        <CancelButton ButtonType="Link" RenderMode="Link">
        </CancelButton>
        <EditButton>
            <Image AlternateText="Editar" IconID="edit_edit_16x16" ToolTip="Modificar conocimiento">
            </Image>
        </EditButton>
        <DeleteButton>
            <Image AlternateText="Eliminar" IconID="edit_delete_16x16" ToolTip="quitar conocimiento">
            </Image>
        </DeleteButton>
    </SettingsCommandButton>
    <SettingsText Title="Otros conocimientos aprendidos (No es necesario título):" EmptyDataRow="[No ha ingresado otros conocimientos aún]" />
    <EditFormLayoutProperties ColCount="2">
        <Items>
            <dx:GridViewColumnLayoutItem ColSpan="2" ColumnName="nombreConocimiento" Width="100%">
            </dx:GridViewColumnLayoutItem>
            <dx:EditModeCommandLayoutItem ColSpan="2" HorizontalAlign="Right" Width="100%">
            </dx:EditModeCommandLayoutItem>
        </Items>
        <SettingsAdaptivity AdaptivityMode="SingleColumnWindowLimit" SwitchToSingleColumnAtWindowInnerWidth="800">
        </SettingsAdaptivity>
    </EditFormLayoutProperties>
    <Columns>
        <dx:GridViewCommandColumn ShowDeleteButton="True" ShowEditButton="True" VisibleIndex="0" Width="20%" Caption=" " ButtonRenderMode="Image" ButtonType="Image">
        </dx:GridViewCommandColumn>
        <dx:GridViewDataTextColumn FieldName="idConocimiento" Visible="False" VisibleIndex="1">
        </dx:GridViewDataTextColumn>
        <dx:GridViewDataTextColumn FieldName="idUsuario" Visible="False" VisibleIndex="2">
        </dx:GridViewDataTextColumn>
        <dx:GridViewDataMemoColumn Caption="Conocimiento" FieldName="nombreConocimiento" VisibleIndex="3" Width="80%">
            <PropertiesMemoEdit MaxLength="300" Rows="3">
                <ValidationSettings CausesValidation="True" SetFocusOnError="True" ValidationGroup="conocimiento">
                    <RequiredField IsRequired="True" />
                </ValidationSettings>
            </PropertiesMemoEdit>
        </dx:GridViewDataMemoColumn>
    </Columns>
    <Toolbars>
        <dx:GridViewToolbar>
            <Items>
                <dx:GridViewToolbarItem Command="New" Text="Agregar conocimiento" ToolTip="Agregar nuevo conocimiento">
                    <Image IconID="actions_add_16x16">
                    </Image>
                </dx:GridViewToolbarItem>
            </Items>
        </dx:GridViewToolbar>
    </Toolbars>
    <TotalSummary>
        <dx:ASPxSummaryItem DisplayFormat="Total: {0}" FieldName="idConocimiento" SummaryType="Count" ShowInColumn="Conocimiento" />
    </TotalSummary>
    <Styles>
        <Header Wrap="True">
        </Header>
        <EmptyDataRow ForeColor="Red">
        </EmptyDataRow>
        <TitlePanel HorizontalAlign="Left">
        </TitlePanel>
    </Styles>
                <StylesToolbar>
        <Style HorizontalAlign="Left">
            <Paddings Padding="1px" />
        </Style>
        <Item BackColor="#125685" ForeColor="White">
        </Item>
    </StylesToolbar>
</dx:ASPxGridView>

<asp:ObjectDataSource ID="ObjectUsuConocimiento" runat="server" DataObjectTypeName="STP.EL.Dotacion.USU_Conocimientos" DeleteMethod="Delete" InsertMethod="SaveChanges" SelectMethod="GetListUSU_ConocimientosBySEG_Usuarios" TypeName="Dotacion.USU_ConocimientosBusinessObject" UpdateMethod="SaveChanges">
    <SelectParameters>
        <asp:Parameter Name="idUsuario" Type="Int32" />
        <asp:Parameter Name="foreignLevel" Type="Int32" />
    </SelectParameters>
</asp:ObjectDataSource>


